<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var GlobalInfoWindow;  
	var newGlobalInfoWindow;

	function doDelete()
	{
		var cnt = checkCount();
		if(cnt <= 0)
		{
			alert('<spring:message code="MSG_ALERT.34"/>');
			return;
		}
		var lo_form = document.GeneralBaseForm1;
		action_para = "b_rtng.html?menuId=b03-delete,b-result";
		lo_form.action = action_para;
		doingProcess();
		lo_form.submit();			
	}
	
	
	function setSearchCondition()
	{
		startSearchForm();
		addSearchForm("name", "제목", "doGeneralSearchSubmit");
		addSearchForm("create_date", "상신일자", "doGeneralSearchSubmit");
		addSearchForm("state", "결재상태", "doGeneralSearchSubmit");
		endSearchForm();		
	}
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		//setSearchCondition();
		
		//DWRUtil.setValue("search_condition", StrSearchForm);
		//Rounded("div#nifty","white","lavender");
		
		GlobalInfoWindow = "";
	}
	
	function f_detailView(arg_unique_id, arg_rtg_type){
		var action_para = "b_rtng.html?menuId=b03-detail,b03-view&hid_submit_unique_id="+arg_unique_id+"&hid_rtg_type="+arg_rtg_type;

		document.GeneralBaseForm1.action = action_para;
		doingProcess();
		document.GeneralBaseForm1.submit();
	}
	
//-->       
</script>

<form name="GeneralBaseForm1" method="post">
	<table  width="990" border=1 cellpadding=0 cellspacing=0 class="body"  bordercolor="CCCCCC" style="border-collapse:collapse">

		<tr>
			<td width="30" class="table_title">
				<input type="checkbox" name="chkAll" onclick="javascript:checkAll();">
			</td>
			<td width="80" class="table_title"  >결재TYPE</td>
			<td width="80" class="table_title"  >결재상태</td>
			<td width="100" class="table_title" >요청/주문번호</td>
			<td width="428" class="table_title" >제목</td>
			<td width="155" class="table_title" >상신일자</td>
			<td width="70" class="table_title" >명령</td>
		</tr>
	
	
	
	
	<c:set var="cnt" value="${cnt+0}"/>
	<c:forEach items="${getSendedRoutingBox}" var="SendRout" varStatus="status">
		
	<c:set var="my_Style" value="table_body_line1"/>
	<c:if test="${(cnt+1)%2 ==0}">
		<c:set var="my_Style" value="table_body_line2"/>
	</c:if>
	
	<tr>
		<td class='<c:out value="${my_Style}"/>'>
		  <c:if test="${SendRout.state != 'I'}">
		    	<input type="checkbox" name="chkBox" value="<c:out value='${SendRout.rtgwrk_unique_id}'/>">
		  </c:if>			
		</td>
		<td class='<c:out value="${my_Style}"/>' >
			<c:choose>
			  <c:when test="${SendRout.rtg_type == 'G'}">
			    	<c:out value="일반"/>
			  </c:when>
			  <c:when test="${SendRout.rtg_type == 'O'}">
			    	<c:out value="주문"/>
			  </c:when>
			  <c:when test="${SendRout.rtg_type == 'R'}">
			    	<c:out value="구매요청"/>
			  </c:when>
			  <c:otherwise>
			    	<c:out value="알수없음"/>
			  </c:otherwise>
			</c:choose>
		</td>
		<td class='<c:out value="${my_Style}"/>'>
			<c:choose>
			  <c:when test="${SendRout.state == 'I'}">
			    	<c:out value="결재중"/>
			  </c:when>
			  <c:when test="${SendRout.state == 'A'}">
			    	<c:out value="결재완료"/>
			  </c:when>
			  <c:when test="${SendRout.state == 'D'}">
			    	<c:out value="반려"/>
			  </c:when>
			  <c:when test="${SendRout.state == 'F'}">
			    	<c:out value="상신취소"/>
			  </c:when>
			  <c:when test="${SendRout.state == 'R'}">
			    	<c:out value="접수완료"/>
			  </c:when>
			  <c:when test="${SendRout.state == 'S'}">
			    	<c:out value="주문완료"/>
			  </c:when>
			  <c:when test="${SendRout.state == 'G'}">
			    	<c:out value="입고완료"/>
			  </c:when>
			  <c:otherwise>
			    	<c:out value="${SendRout.state}"/>
			  </c:otherwise>
			</c:choose>
		</td>
		<td class='<c:out value="${my_Style}"/>'><c:out value="${SendRout.po_no}"/></td>
		<td align=left class='<c:out value="${my_Style}"/>'>&nbsp;<c:out value="${SendRout.name}"/></td>
		<td class='<c:out value="${my_Style}"/>'><fmt:formatDate value="${SendRout.create_date}" type="both" pattern="yyyy/MM/dd hh:mm a"/></td>
		<td class='<c:out value="${my_Style}"/>'>
			<a href="javascript:f_detailView('<c:out value='${SendRout.unique_id}'/>', '<c:out value='${SendRout.rtg_type}'/>')">[보기]</a>
		</td>
	</tr>
	<c:set var="cnt" value="${cnt+1}"/>	
	</c:forEach>
	<c:if test="${cnt < 1}">
		<tr>
			<td height="25" colspan="8" align="center">
				<spring:message code="MSG_ALERT.118"/>
			</td>
		</tr>
	</c:if>
	</table>
</form>