<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var GlobalInfoWindow;

	ac_projList = new Array();
	ac_projList[0] = new Array();//pj_name +pj_code
	ac_projList[1] = new Array();//pj_code
	ac_projList[2] = new Array();//unique_id
	ac_projList[3] = new Array();//start_plan_str;
	ac_projList[4] = new Array();//end_plan_str;
	
	ac_taskList = new Array();
	ac_taskList[0] = new Array();// task_uid 
	ac_taskList[1] = new Array();// task_title 
	ac_taskList[2] = new Array();// start_plan
	ac_taskList[3] = new Array();// due_date
	ac_taskList[4] = new Array();// resource_plan
	ac_taskList[5] = new Array();// start_date
	ac_taskList[6] = new Array();// end_date
	ac_taskList[7] = new Array();// resource_mh
	ac_taskList[8] = new Array();// is_closed
	ac_taskList[9] = new Array();// today_resource
	ac_taskList[10] = new Array();// tskmap_uid
	ac_taskList[11] = new Array();// is_opened
	
	function createTable()
	{
		var map_date = DWRUtil.getValue("map_date");
		var full_line = "<table  width=699 border=1 cellpadding=0 cellspacing=0 bordercolor='#CCCCCC' style='border-collapse:collapse'>";
		
		for(var i=0; i < ac_taskList[0].length; i++ )
		{
			var style = "table_body_line1";
			if(i%2==0)
			{
				style = "table_body_line2";
			}
			full_line = full_line + createTableLine(i, map_date, style);
		}
		full_line = full_line + "</table>";
		DWRUtil.setValue("table_info", full_line);
		
		DWRUtil.setValue("sum_resource_plan", 	calculateSum( 4 ));
		DWRUtil.setValue("sum_resource_mh", 	calculateSum( 7 ));
		DWRUtil.setValue("sum_resource_today", 	calculateSum( 9 ));
		
	}

	function reCalculate(num)
	{
		var new_today_str = DWRUtil.getValue(num + "_resource_today");
		var old_today_str = ac_taskList[9][num];
		var old_mh_str 	  = ac_taskList[7][num];
		
		if( isOnlyMoneyStr(new_today_str) == false)
		{
			alert('<spring:message code="MSG_ALERT.66"/>');
			DWRUtil.setValue(num + "_resource_today", 	old_today_str);
			return;
		}

		var new_today		=	Number(new_today_str.replace(/,/gi,""));
		var old_today		=	Number(old_today_str.replace(/,/gi,""));
		
		var value_gap = new_today - old_today;
		
		var old_mh			=	Number(old_mh_str.replace(/,/gi,""));
		var new_mh			=	old_mh + value_gap;
		var new_mh_str		=	addComma(new_mh.toString() );
		
		ac_taskList[7][num] = new_mh_str;
		ac_taskList[9][num] = new_today_str;

		DWRUtil.setValue("sum_resource_mh", 	calculateSum( 7 ));
		DWRUtil.setValue("sum_resource_today", 	calculateSum( 9 ));
	}
	function calculateSum( arr_key ) {
	
		var total_resource = 0.0;
		for(var i=0; i < ac_taskList[arr_key].length; i++ )
		{
			var task_resource_str = ac_taskList[arr_key][i];
			task_resource_str = task_resource_str.replace(/,/gi,"");
			var task_resource		=	Number(task_resource_str);
			
			total_resource = total_resource + Number(task_resource_str);
		}
		
		return addComma(total_resource.toString() );
	}
	
	function createTableLine(num, map_date, style)
	{
		task_uid	=	ac_taskList[0][num];// task_uid 
		task_title	=	ac_taskList[1][num];// task_title 
		start_plan	=	ac_taskList[2][num];// start_plan
		due_date	=	ac_taskList[3][num];// due_date
		resource_plan =	ac_taskList[4][num];// resource_plan
		start_date	=	ac_taskList[5][num];// start_date
		end_date	=	ac_taskList[6][num];// end_date
		resource_mh	=	ac_taskList[7][num];// resource_mh
		is_closed	=	ac_taskList[8][num];// is_closed
		today_resource=	ac_taskList[9][num];// today_resource
		tskmap_uid	=	ac_taskList[10][num];// tskmap_uid
		is_opened	=	ac_taskList[11][num];// is_opened


		var tableLine = 		"<tr>";



  		tableLine = tableLine + "<td  width=120 class='table_title' align=center>";
  		tableLine = tableLine + "<input type=hidden name='" + num + "_unique_id'   value='" + task_uid + "'/>";
  		tableLine = tableLine + "<input type=hidden name='" + num + "_tskmap_uid'  value='" + tskmap_uid + "'/>";
  		tableLine = tableLine + "<span id='" + num + "_task_title'>" + task_title + "</span>";
  		tableLine = tableLine + "</td>";
		tableLine = tableLine + "<td width=160 align='center' class='" + style + "' >";
		tableLine = tableLine + "<span id='" + num + "_start_plan'>" + start_plan + "</span>";

		tableLine = tableLine + "~";
		tableLine = tableLine + "<span id='" + num + "_due_date'>" + due_date + "</span>";
		tableLine = tableLine + "</td>";
		tableLine = tableLine + "<td width=160 align='center' class='" + style + "' >";
		tableLine = tableLine + "<span id='" + num + "_start_date'>";

		if( ac_taskList[11][num] == "Y")
		{
			tableLine = tableLine + start_date;
		}
		tableLine = tableLine + "</span>";
		tableLine = tableLine + "~";
		tableLine = tableLine + "<span id='" + num + "_end_date'>";
		if( ac_taskList[8][num] == "Y")
		{
			tableLine = tableLine + end_date;
		}
		tableLine = tableLine + "</span>";
		tableLine = tableLine + "</td>";
		tableLine = tableLine + "<td width=50 align='right' id='" + num + "_resource_plan' class='" + style + "'>" + resource_plan + "</td>";
		tableLine = tableLine + "<td width=50 align='right' id='" + num + "_resource_mh' class='" + style + "'>" + resource_mh + "</td>";
		tableLine = tableLine + "<td width=50 align='center' class='" + style + "'>";

		tableLine = tableLine + "<input type=text class='light_input' onChange='reCalculate( " + num + " );' name='" + num + "_resource_today'  value='" + today_resource + "' size='5' style='color=black;text-align:right;'";
		if( map_date == "0000/00/00" || is_closed == "Y")
		{
			tableLine = tableLine + " disabled";
		}
		tableLine = tableLine + "/>";
		tableLine = tableLine + "</td>";
		tableLine = tableLine + "<td width=50 align='center' class='" + style + "'>";
		tableLine = tableLine + "<input type='hidden' name='" + num + "_is_closed' value='" + is_closed + "' >";
		tableLine = tableLine + "<input type='hidden' name='" + num + "_is_closed_prev' value='" + is_closed + "' >";
		tableLine = tableLine + "<input type='checkbox' name='" + num + "_is_closed_chkbox'";
		if( map_date == "0000/00/00" )
		{
			tableLine = tableLine + " disabled";
		}
		if( is_closed == "Y")
		{
			tableLine = tableLine + " disabled checked";
		}
		tableLine = tableLine + "/>";
		tableLine = tableLine + "</td>";
		tableLine = tableLine + "<td width=50 align='center' class='" + style + "' id='" + num + "_status'>";
		if( ac_taskList[8][num] == "Y")
		{
			tableLine = tableLine + "완료";
		}
		else if( ac_taskList[8][num] == "N")
		{
			tableLine = tableLine + "진행중";
		}
		tableLine = tableLine + "</td>";
		tableLine = tableLine + "</tr>";

 		return tableLine;
	}

	
	
	function resetField()
	{

		var task_uid 		= "-1";
		var task_title 		=  "";
		var start_plan 		=  "";
		var due_date   		=  "";
		var resource_plan	=  "";
		var start_date		=  "";
		var end_date		=  "";
		var resource_mh		=  "";
		var is_closed		=  "N";
		var today_resource	=  "";
		var tskmap_uid		=  "-1";
		var is_opened		=  "N";
		
		for(var i=0; i<16; i++)
		{
			DWRUtil.setValue( i + "_unique_id",   task_uid);
			DWRUtil.setValue( i + "_task_title", task_title);
			DWRUtil.setValue( i + "_start_plan", start_plan);
			DWRUtil.setValue( i + "_due_date",   due_date);
			DWRUtil.setValue( i + "_resource_plan", 	resource_plan);
			DWRUtil.setValue( i + "_start_date", 	start_date);
			DWRUtil.setValue( i + "_end_date", 		end_date);
			DWRUtil.setValue( i + "_resource_mh", 	resource_mh);
			DWRUtil.setValue( i + "_is_closed", 	is_closed);
			DWRUtil.setValue( i + "_resource_today", today_resource);
			DWRUtil.setValue( i + "_tskmap_uid", 	tskmap_uid);
			DWRUtil.setValue( i + "_status", 	"");
			$(i + "_is_closed_chkbox").disabled = true;
			$(i + "_is_closed_chkbox").checked = true;
			$(i + "_resource_today").disabled = true;
		}

	}

	function getTodayStr()
	{
		today = today_global;
		yyyy= today.getFullYear();
		mm 	= today.getMonth()+1;
		dd	= today.getDate();
		if(mm<10) {			mm = "0" + mm;		}
		if(dd<10) {			dd = "0" + dd;		}
		fstr = yyyy + "/" + mm + "/" + dd;
		
		return fstr;
	}

	function ClearProjList()
	{
		for(i=0; i< ac_projList.length; i++) {
			ac_projList[i].clear();
		}
	}
	function ClearTaskList()
	{
		for(i=0; i< ac_taskList.length; i++) {
			ac_taskList[i].clear();
		}
	}
	
	function GetUnique_id(code)
	{
		return GetArrValue(code, 2);
	}
	
	function GetStart_plan(code)
	{
		return GetArrValue(code, 3);
	}
	
	function GetEnd_plan(code)
	{
		return GetArrValue(code, 4);
	}
	
	
	function GetStartValue(code, pos)
	{
		var val = GetArrValue(code, pos);
		if( val == '' || val == null)
		{
			return GetStart_plan(code);
		}
		
	}
	
	function GetEndValue(code, pos)
	{
		var val = GetArrValue(code, pos);
		if( val == '' || val == null )
		{
			return GetEnd_plan(code);
		}
		
	}
	
	function GetArrValue(code, pos)
	{
		var total_quan = ac_projList[pos].length;
		for(i=0; i< total_quan; i++) {
			if(ac_projList[1][i] == code)
			{
				return ac_projList[pos][i];
			}
		}
		
		return null;
	}
	
	
	function charchkArray(object)
	{
		var charcheck = "ㅂㅁㅋㅈㄴㅌㄷㅇㅊㄱㄹㅍㅅㅎㅠㅛㅗㅜㅕㅓㅡㅑㅏㅐㅣ.ㅔ;/['],\|ㅃㅉㄸㄲㅆㅒㅖ!@#$%^&*()+=";
		var ckmsg = object.value;
		var msglength = ckmsg.length;
		var submsg;
		
		if(msglength > 0)
		{
			submsg = ckmsg.substring(msglength-1,msglength);
		
			if(charcheck.indexOf(submsg) == -1)
			{
//				if(ac_projList[0].length == 1)
//				{
//					ac_projList[0].clear();
//				}
				if(ac_projList[0].length == 0 )
					getProjList(ckmsg);
			}
			else
			{
				if(msglength==1)
					ClearProjList();
			}
		}
		else
		{
			ClearProjList();
		}

		var posiCode = ckmsg.indexOf(" / ");
		if(posiCode > 0 ) {
		
			var code = ckmsg.substring(posiCode+3, msglength);
			var pj_name = ckmsg.substring(0, posiCode);
			
			var start_plan_str = GetStart_plan(code);
			var end_plan_str = GetEnd_plan(code);
			var unique_id = GetUnique_id(code);
			
			if(code != null)
			{
				DWRUtil.setValue("pj_code_span", code );
			}
			if(pj_name != null)
			{
				DWRUtil.setValue("pj_name", pj_name);
			}
			if(unique_id != null)
			{
				DWRUtil.setValue("pj_uid", unique_id);
			}
			else
			{
				alert('<spring:message code="MSG_ALERT.54"/>');
				return;
			}

			if(start_plan_str != null)
			{
				DWRUtil.setValue("pj_start_plan", start_plan_str);
			}
			if(end_plan_str != null)
			{
				DWRUtil.setValue("pj_end_plan", end_plan_str);
			
			}
			
			//$('pj_name').select();
			getTaskList(unique_id);
		}

	}
	
	
	
	function map_dateChange() {
		var unique_id	=	DWRUtil.getValue("pj_uid");
		getTaskList(unique_id);
	}
	
	
	function getProjList(searchKey)
	{
		CommonInfo.getProjList(gotProjList, searchKey);
	}
	
	
	function gotProjList(messages)
	{
		
		var msg_quan = 0;
	    for (var data in messages)
	    {
			if(messages[data].text != undefined) {
			
				var text = messages[data].text;
				var code = messages[data].code;
				var id   = messages[data].id;
				var start_plan = messages[data].value1;
				var due_date = messages[data].value2;
				
				if(text==null) text = '';
				if(code==null) code = '';
				if(id==null) id = '';
				if(start_plan==null) start_plan = '';
				if(due_date==null) 	due_date = '';
		
				ac_projList[0].push( text + " / " +code );
				ac_projList[1].push( code );
				ac_projList[2].push( id );
				ac_projList[3].push( start_plan );
				ac_projList[4].push( due_date );
				
				msg_quan++;
	        }
	    }

	}
	
	function getTaskList(pj_uid)
	{
	
		DWRUtil.setValue("msg_range", "");
	
		var map_date = DWRUtil.getValue("map_date");
		
		if( map_date == '0000/00/00' )
		{
			map_date = getTodayStr();
			DWRUtil.setValue("map_date", map_date);
		}
		DWRUtil.setValue("table_info", GwaitingMessageServ);
		
		CommonInfo.getTaskList(gotTaskList, pj_uid, map_date);
	}

	
	function doCheckBoxSet()
	{
		for(var i=0; i < ac_taskList[0].length; i++ )
		{
			var chkBoxIsClosed = i + "_is_closed_chkbox";
			var hiddenIsClosed = i + "_is_closed";
			
			chk_Field_closed = $(chkBoxIsClosed);
			
			if( chk_Field_closed.checked == false )
				DWRUtil.setValue( hiddenIsClosed, "N" );
			else
				DWRUtil.setValue( hiddenIsClosed, "Y" );
		}
	}
	
	function gotTaskList(messages)
	{
	 	ClearTaskList();
		var position =0
	    for (var data in messages)
	    {
			if(messages[data].text != undefined) {
			
				var task_uid 		= "-1";
				var task_title 		=  "";
				var start_plan 		=  "0000/00/00";
				var due_date   		=  "0000/00/00";
				var resource_plan	=  "0";
				var start_date		=  "";
				var end_date		=  "";
				var resource_mh		=  "0";
				var is_closed		=  "N";
				var today_resource	=  "0";
				var tskmap_uid		=  "-1";
				var is_opened		=  "N";
				
				if(messages[data].id != null)
					task_uid 		=  messages[data].id;
				if(messages[data].text != null)
					task_title 		=  messages[data].text;
				if(messages[data].value1 != null)
					start_plan 		=  messages[data].value1;
				if(messages[data].value2 != null)
					due_date   		=  messages[data].value2;
				if(messages[data].value3 != null)
					resource_plan	=  messages[data].value3;
				if(messages[data].value4 != null)
					start_date		=  messages[data].value4;
				if(messages[data].value5 != null)
					end_date		=  messages[data].value5;
				if(messages[data].value6 != null)
					resource_mh		=  messages[data].value6;
				if(messages[data].value7 != null)
					is_closed		=  messages[data].value7;
				if(messages[data].value8 != null)
					today_resource	=  messages[data].value8;
				if(messages[data].value9 != null)
					tskmap_uid		=  messages[data].value9;
				if(messages[data].value10 != null)
					is_opened		=  messages[data].value10;

				ac_taskList[0].push( task_uid );
				ac_taskList[1].push( task_title );
				ac_taskList[2].push( start_plan );
				ac_taskList[3].push( due_date );
				ac_taskList[4].push( removeDot(resource_plan) );
				ac_taskList[5].push( start_date );
				ac_taskList[6].push( end_date );
				ac_taskList[7].push( removeDot(resource_mh) );
				ac_taskList[8].push( is_closed );
				ac_taskList[9].push( removeDot(today_resource) );
				ac_taskList[10].push( tskmap_uid );
				ac_taskList[11].push( is_opened );
				position++;
	        }
	        
	    }
	    
		if(position==0) {

			DWRUtil.setValue( "can_submit_info",

			"<b>&nbsp;&nbsp;공정계획이 수립되어있지 않습니다." +
			"먼저 [계획수립]을 실행해주세요.<br></b>" 
			//+			"&nbsp;&nbsp;등록일:&nbsp;</span>"
			 );
			
			DWRUtil.setValue("map_date", "0000/00/00");
		}
		else {
			DWRUtil.setValue( "can_submit_info", ""	 );
		}

		createTable();

	}
	
	
	function clearField()
	{		
		document.materialRegistForm.reset();
	}
	
	//submit..
	function confirmScheduling()
	{
	/*
		var pj_code = DWRUtil.getValue("pj_code_span");
		var unique_id = GetUnique_id(pj_code);
		
		if(unique_id != null)
		{
			DWRUtil.setValue("pj_uid", unique_id);
		}
		else
		{
			alert('<spring:message code="MSG_ALERT.53"/>');
			return;
		}
	*/
		var map_date = DWRUtil.getValue("map_date");
		if( map_date == '0000/00/00' )
		{
			alert('<spring:message code="MSG_ALERT.9"/>');
			return;
		}
		
		doCheckBoxSet();
		
		var resource_mh = DWRUtil.getValue("sum_resource_mh");
		DWRUtil.setValue("total_resource_mh", resource_mh );
		
		var action_para = "c_prjt.html?&menuId=c17-add"
		document.setCurrentProjectForm.action=action_para;
		doingProcess();
		document.setCurrentProjectForm.submit();
	}
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		
		
		$('pj_name').select();
		
		createTable();
	}
//-->
</script>
<c:forEach items="${project}" var="project">	
<form name=setCurrentProjectForm method="post" enctype="multipart/form-data">
<input type="hidden" name="pj_uid" value='<c:out value="${project.unique_id}"/>' >
<table  width=500 border=1 cellpadding="0" cellspacing="0" bordercolor="#CCCCCC" style="border-collapse:collapse">

	 <tr>
  			<td align="center" class="table_title" width="125">프로젝트지정</td>
			<td align="left"  valign="top" class="blank" >&nbsp;&nbsp;<span id="pj_code_span" style="width:70;background:beige"  ><c:out value="${project.pj_code}"/></span>
<!-- background-color:yellow;background:red;TEXT-INDENT: 0px; -->
			<input type=text class="light_input"  name="pj_name"  size="30" onKeyUp="charchkArray(this)" onChange="charchkArray(this)" value="<c:out value="${project.pj_name}"/>" autocomplete="off">
<div id="ac5update" style="display:none;border:1px solid purple;background-color:white;"></div>
<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
		  new Autocompleter.Local(
		  'pj_name',
		  'ac5update',
		  ac_projList[0],
		  { tokens: new Array(',','\n'), fullSearch: true, partialSearch: true }
		  );
// ]]>
</script>			
			</td>
  		</tr>
		<tr>
  			<td align="center" class="table_title">전체일정 계획</td>
			<td align="left" class="blank" >&nbsp;&nbsp;&nbsp;<input type=text class="light_input_readonly_white"  name="pj_start_plan"  value='<c:out value="${project.start_plan_str}"/>' size="10" style="color=black;"  readonly  >&nbsp;~&nbsp;<input type=text class="light_input_readonly_white"  name="pj_end_plan" value='<c:out value="${project.end_plan_str}"/>' size="10" style="color=black;"  readonly  ></td>
  		</tr>

</table>
<br>
&nbsp;&nbsp;등록일:&nbsp;
<input type=text class="light_input_readonly_white"  
		name='map_date'  value='<c:out value="${map_date}"/>' size=10 style="color:black;font-weight:bold;"  onChange='map_dateChange();' readonly  ><img src="./media/calendar_imk.gif" width="16" height="15" id='map_date_calendar' style="cursor: pointer;" alt="달력"/>
<script language="JavaScript">
<!--//
  		Calendar.setup({inputField : 'map_date', ifFormat : "%Y/%m/%d", button : 'map_date_calendar' });
//-->
</script>
<span id='can_submit_info'>
<c:if test="${map_date == '0000/00/00'}">
<b>&nbsp;&nbsp;<spring:message code="MSG_ALERT.9"/><br></b>
</c:if>
</span>
<span id='msg_range'>
<c:forEach items="${data}" var="data">
<B><FONT face="Tahoma" color=purple>
실행 결과 :</FONT></B>
<c:out value="${data}"/>
</c:forEach>
</span>
<table  width=699 border=1 cellpadding="0" cellspacing="0" bordercolor="#CCCCCC" style="border-collapse:collapse">
	<tr>
		<td class="table_title" align=center>공정</td>
		<td colspan=2 align="center" class="table_title">일정</td>
		<td colspan=3 align="center" class="table_title">공수(M/H)</td>
		<td align="center" class="table_title">완료</td>
		<td align="center" class="table_title">진행</td>
	</tr>
	<tr>
		<td width=120 class="table_title" align=center>단계</td>
		<td width=160 align="center" class="table_title">계획</td>
		<td width=160 align="center" class="table_title">실적</td>
		<td width=50 align="center" class="table_title">계획</td>
		<td width=50 align="center" class="table_title">누적</td>
		<td width=50 align="center" class="table_title">당일</td>
		<td width=50 align="center" class="table_title">처리</td>
		<td width=50 align="center" class="table_title">상태</td>
	</tr>
</table>
<span id='table_info'></span>
<c:set var="cnt" value="${0}"/>
<script language="javascript">
<!--
<c:forEach items="${TaskList}" var="task" >
		ac_taskList[0].push( '<c:out value="${task.unique_id}"/>' );
		ac_taskList[1].push( '<c:out value="${task.task_title}"/>' );
		ac_taskList[2].push( '<c:out value="${task.start_plan_str}"/>' );
		ac_taskList[3].push( '<c:out value="${task.due_date_str}"/>' );
		ac_taskList[4].push( '<fmt:formatNumber value="${task.resource_plan}" type="number"/>' );
		ac_taskList[5].push( '<c:out value="${task.start_date_str}"/>' );
		ac_taskList[6].push( '<c:out value="${task.end_date_str}"/>' );
		ac_taskList[7].push( '<fmt:formatNumber value="${task.resource_mh}" type="number"/>' );
		ac_taskList[8].push( '<c:out value="${task.is_closed}"/>' );
		ac_taskList[9].push( '<fmt:formatNumber value="${task.resource_today}" type="number"/>' );
		ac_taskList[10].push( '<c:out value="${task.tskmap_uid}"/>' );
		ac_taskList[11].push( '<c:out value="${task.is_opened}"/>' );
<c:set var="cnt" value="${cnt+1}"/>
</c:forEach>
//-->
</script>
<input type='hidden' name='task_quan' value='<c:out value="${cnt}"/>' />
<input type="hidden" name='total_resource_mh' value=''>
<table  width=699 border=1 cellpadding="0" cellspacing="0" bordercolor="#CCCCCC" style="border-collapse:collapse">
	<tr>
		<td width=120 align=center class="table_title" ></td>
		<td width=160 align="center" class="table_title"></td>
		<td width=160 align="center" class="table_title" style="color:black;font-weight:bold;">합계</td>
		<td width=50 align="right" class="blank" style="color:black;font-weight:bold;" id='sum_resource_plan'></td>
		<td width=50 align="right" class="blank" style="color:black;font-weight:bold;" id='sum_resource_mh'></td>
		<td width=50 align="right" class="blank" style="color:black;font-weight:bold;" id='sum_resource_today'></td>
		<td width=50 align="center" class="table_title"></td>
		<td width=50 align="center" class="table_title"></td>
	</tr>
</table>
</form>
</c:forEach>
