<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var GlobalInfoWindow;
	
	ac_projList = new Array();
	ac_projList[0] = new Array();//pj_name +pj_code
	ac_projList[1] = new Array();//pj_code
	ac_projList[2] = new Array();//unique_id
	ac_projList[3] = new Array();//start_plan_str;
	ac_projList[4] = new Array();//end_plan_str;
	ac_projList[5] = new Array();//resource_plan
	

	taskArray = new Array();
	
	/*
	function ClearTaskArray()
	{
		taskArray.splice(0, taskArray.length);
	}
	*/
	

	function getTodayStr()
	{
		today = today_global;
		yyyy= today.getFullYear();
		mm 	= today.getMonth()+1;
		dd	= today.getDate();
		if(mm<10) {			mm = "0" + mm;		}
		if(dd<10) {			dd = "0" + dd;		}
		fstr = yyyy + "/" + mm + "/" + dd;
		
		return fstr;
	}

	function ClearProjList()
	{
		for(i=0; i< ac_projList.length; i++) {
			//ac_projList[i].splice(0, ac_projList[i].length);
			ac_projList[i].clear();
		}
	}
	
/*
	function ClearTaskList()
	{
		for(i=0; i< QUAN_TASK_FLD; i++) {
			ac_taskList[i].splice(0, ac_taskList[i].length);
		}
	}
*/

	function ClearAllArr()
	{
		ClearProjList();
		//ClearTaskList();
	}
	
	
	
	function GetUnique_id(code)
	{
		return GetArrValue(code, 2);
	}
	
	function GetStart_plan(code)
	{
		return GetArrValue(code, 3);
	}
	
	function GetEnd_plan(code)
	{
		return GetArrValue(code, 4);
	}
	
	
	function GetStartValue(code, pos)
	{
		var val = GetArrValue(code, pos);
		if( val == '' || val == null)
		{
			return GetStart_plan(code);
		}
		
	}
	
	function GetEndValue(code, pos)
	{
		var val = GetArrValue(code, pos);
		if( val == '' || val == null )
		{
			return GetEnd_plan(code);
		}
		
	}
	
	function GetArrValue(code, pos)
	{
		var total_quan = ac_projList[pos].length;
		for(i=0; i< total_quan; i++) {
			if(ac_projList[1][i] == code)
			{
				return ac_projList[pos][i];
			}
		}
		
		return null;
	}
	
	
	function charchkArray(object)
	{
		var charcheck = "ㅂㅁㅋㅈㄴㅌㄷㅇㅊㄱㄹㅍㅅㅎㅠㅛㅗㅜㅕㅓㅡㅑㅏㅐㅣ.ㅔ;/['],\|ㅃㅉㄸㄲㅆㅒㅖ!@#$%^&*()+=";
		var ckmsg = object.value;
		var msglength = ckmsg.length;
		var submsg;
		
		if(msglength > 0)
		{
			submsg = ckmsg.substring(msglength-1,msglength);
		
			if(charcheck.indexOf(submsg) == -1)
			{
				if(ac_projList[0].length == 0 )
					getProjList(ckmsg);
			}
			else
			{	
				if(msglength==1)
					ClearAllArr();
			}
		}
		else
		{
			ClearAllArr();
		}

		var posiCode = ckmsg.indexOf(" / ");
		if(posiCode > 0 ) {
		
			var code = ckmsg.substring(posiCode+3, msglength);
			var pj_name = ckmsg.substring(0, posiCode);
			
			var start_plan_str = GetStart_plan(code);
			var end_plan_str = GetEnd_plan(code);
			var unique_id = GetUnique_id(code);
			
			if(code != null)
			{
				DWRUtil.setValue("pj_code_span", code );
			}
			if(pj_name != null)
			{
				DWRUtil.setValue("pj_name", pj_name);
			}
			if(unique_id != null)
			{
				DWRUtil.setValue("pj_uid", unique_id);
			}
			else
			{
				alert('<spring:message code="MSG_ALERT.54"/>');
				return;
			}

			if(start_plan_str != null)
			{
				DWRUtil.setValue("pj_start_plan", start_plan_str);
			}
			if(end_plan_str != null)
			{
				DWRUtil.setValue("pj_end_plan", end_plan_str);
			
			}
			
			$('pj_name').select();
			DWRUtil.setValue("msg_range", "");
			//getTaskList(unique_id);
			getTaskTableList(DWRUtil.getValue("pj_uid"));
		}

	}
	
	function getProjList(searchKey)
	{
		CommonInfo.getProjList(gotProjList, searchKey);
	}
	
	
	function gotProjList(messages)
	{

		var msg_quan = 0;
	    for (var data in messages)
	    {
			if(messages[data].text != undefined) {
			
				var text = messages[data].text;
				var code = messages[data].code;
				var id   = messages[data].id;
				var start_plan = messages[data].value1;
				var due_date = messages[data].value2;
				var resource_plan = messages[data].value3;
				
				if(text==null) text = '';
				if(code==null) code = '';
				if(id==null) id = '';
				if(start_plan==null) start_plan = '';
				if(due_date==null) 	due_date = '';
				if(resource_plan==null) 	resource_plan = '';
		
				ac_projList[0].push( text + " / " +code );
				ac_projList[1].push( code );
				ac_projList[2].push( id );
				ac_projList[3].push( start_plan );
				ac_projList[4].push( due_date );
				ac_projList[5].push( resource_plan );
				
				msg_quan++;
	        }
	    }

	}
	
	function getTaskList(pj_uid)
	{
		CommonInfo.getTaskList(gotTaskList, pj_uid);
	}
	
	function resetTaskInput()
	{
		for(var i=0; i < taskArray.length; i++ )
		{
			var task_uid = taskArray[i];
			
			DWRUtil.setValue( i + "_start_plan", DWRUtil.getValue("pj_start_plan") );
			DWRUtil.setValue( i + "_due_date", 	DWRUtil.getValue("pj_end_plan") );
			DWRUtil.setValue( i + "_resource_plan", 	"0");
		}
		//ClearTaskArray();
	}
	
	function gotTaskList(messages)
	{
		resetTaskInput();
		
		var position =0
	    for (var data in messages)
	    {
			if(messages[data].text != undefined) {
				
				var task_uid = messages[data].id;
				var task_title =  messages[data].text;
				var start_plan =  messages[data].value1;
				var due_date   =  messages[data].value2;
				var resource_plan = messages[data].value3;
				
				//taskArray.push( task_uid );
				if(task_title != null)
					DWRUtil.setValue( position + "_task_title", task_title);
				if(start_plan != null)
					DWRUtil.setValue( position + "_start_plan", start_plan);
				if(due_date != null)
					DWRUtil.setValue( position + "_due_date",   due_date);
				if(resource_plan != null)
					DWRUtil.setValue( position + "_resource_plan",   resource_plan);
				
				position++;
	        }
	    }

	}
	
	
	function clearField()
	{		
		document.materialRegistForm.reset();
	}
	
	//submit..
	function confirmScheduling()
	{
	/*
		var pj_code = DWRUtil.getValue("pj_code_span");
		var unique_id = GetUnique_id(pj_code);
		
		if(unique_id != null)
		{
			DWRUtil.setValue("pj_uid", unique_id);
		}
		else
		{
			alert('<spring:message code="MSG_ALERT.53"/>');
			return;
		}
	*/
		var action_para = "c_prjt.html?&menuId=c18-edit"
		document.setCurrentProjectForm.action=action_para;
		doingProcess();
		document.setCurrentProjectForm.submit();
	}
	
	function getTaskTableList(unique_id)
	{
		DWRUtil.setValue("span_task_list", GwaitingMessageServ);
    	page_path = "/dong.html?searchType=tasklist";
		CommonInfo.getForward(loadforward, page_path + "&searchKey=" + unique_id);
		return;
	}
	
	function loadforward(data)
	{
		//alert(data);
	    DWRUtil.setValue("span_task_list", data);
	    
	    
	    var task_quan_str = DWRUtil.getValue("task_quan");
		var task_quan = Number(task_quan_str);
		
		for(var i=0; i<task_quan; i++ )
		{
		    Calendar.setup({inputField : i + '_start_plan', ifFormat : "%Y/%m/%d", button : i + '_start_plan_calendar' });
			Calendar.setup({inputField : i + '_due_date', 	ifFormat : "%Y/%m/%d", button : i + '_due_date_calendar' });
		}
	    
	    
	    
	    
	}
	
	function commandTaskList(cmd_type, task_uid)
	{
		if(cmd_type == 'delete')
		{
			res = confirm("작업을 삭제하시겠습니까?");
			if(res==false) {
				return;
			}
		}
		
		var pj_uid		= DWRUtil.getValue("pj_uid");
		var task_quan_str = DWRUtil.getValue("task_quan");
		var task_quan = Number(task_quan_str);
		
		// cmd_type:pj_uid:task_uid:unique_id1:unique_id2:....
		//--------------------------------------------------------
		var searchKey = cmd_type + ":" + pj_uid + ":" + task_uid ;
		for(var i=0; i<task_quan; i++ )
		{
			searchKey = searchKey + 
			":" +	DWRUtil.getValue( i + "_unique_id" );
		}
		
		DWRUtil.setValue("span_task_list", GwaitingMessageServ);
    	page_path = "/dong.html?searchType=taskcommand";
		CommonInfo.getForward(loadforward, page_path + "&searchKey=" + searchKey);
		return;
		
		
		
	}
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		
		
		getTaskTableList(DWRUtil.getValue("pj_uid"));
		
		$('pj_name').select();
	}
//-->
</script>
<span id='msg_range'>
<c:forEach items="${data}" var="data">
<B><FONT face="Tahoma" color=purple size=3>
실행 결과 :</FONT></B>
<c:out value="${data}"/>
</c:forEach>
</span>
<c:forEach items="${project}" var="project">
<form name=setCurrentProjectForm method="post" enctype="multipart/form-data">
<input type="hidden" name="pj_uid" value='<c:out value="${project.unique_id}"/>' >
<table width=680 border=1 cellpadding=0 cellspacing=0 bordercolor=#CCCCCC style="border-collapse:collapse">

	 <tr>
  			<td align="center" class="table_title" width="125">프로젝트지정</td>
			<td align="left"  valign="top" class="blank" >&nbsp;&nbsp;<span id="pj_code_span" style="width:70;background:beige"  ><c:out value="${project.pj_code}"/></span>
<!-- background-color:yellow;background:red;TEXT-INDENT: 0px; -->
			<input type=text class="light_input"  name="pj_name"  size="30" onKeyUp="charchkArray(this)" value="<c:out value="${project.pj_name}"/>" autocomplete="off">
<div id="ac5update" style="display:none;border:1px solid purple;background-color:white;"></div>
<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
		  new Autocompleter.Local(
		  'pj_name',
		  'ac5update',
		  ac_projList[0],
		  { tokens: new Array(',','\n'), fullSearch: true, partialSearch: true }
		  );
// ]]>
</script>			
			</td>
  		</tr>
		<tr>
  			<td align="center" class="table_title">전체일정 계획</td>
			<td align="left" class="blank" >&nbsp;&nbsp;시작&nbsp;<input type=text class="light_input"  name="pj_start_plan"  value='<c:out value="${project.start_plan_str}"/>' size="10" style="color=black;"  readonly  >&nbsp;&nbsp; ---&nbsp;&nbsp;완료&nbsp;<input type=text class="light_input"  name="pj_end_plan" value='<c:out value="${project.end_plan_str}"/>' size="10" style="color=black;"  readonly  ></td>
  		</tr>
</table>
<br>
<span id="span_task_list" ></span>

</form>
</c:forEach>