<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var GlobalInfoWindow;
	var matType;
	
	function goBack()
	{
		window.history.back();
		
	}
	function clearField()
	{		
		document.materialRegistForm.reset();
	}
	
	function onclickReset()
	{
		if( GlobalInfoWindow != "") {
			DWRUtil.setValue(GlobalInfoWindow, "");
		}
	}
	
	function onclickChangeType(type)
	{
		DWRUtil.setValue("class_code", type + "000000000");
		
		if( type == 'O')
		{
			$('model_no').disabled = false;
			$('description').disabled = false;
			$('model_no').style.backgroundColor='white';
			$('description').style.backgroundColor='white';
			
		}
		else
		{
			$('model_no').disabled = true;
			$('description').disabled = true;
			$('model_no').style.backgroundColor='beige';
			$('description').style.backgroundColor='beige';

		}

	}
	
	//submit..
	function modifyMaterial()
	{
		document.materialRegistForm.action="d_mtrl.html?&menuId=d01-edit,d01";
		doingProcess();
		document.materialRegistForm.submit();
		
	}
	
	function onclickFunction( handler )
	{
		var object;
		var title;
		var page_path;

		GlobalInfoWindow = 'assembly_info';
		
		var searchKey = DWRUtil.getValue('project_unique_id');
		
		page_path = "/dong.html?searchType=assembly&searchKey=" + searchKey;
		CommonInfo.getForward(loadforward, page_path + "&searchHandler=" + handler);
		$(GlobalInfoWindow).style.visibility = "visible";


	}
	
	function loadforward(data)
	{
	    DWRUtil.setValue(GlobalInfoWindow, data);
	}
	
	function selectMulti(hanler, code, name, unique_id)
	{

		DWRUtil.setValue("assy_code_span", code);
		DWRUtil.setValue("assy_name", name);
		DWRUtil.setValue("assy_unique_id", unique_id);
		
		DWRUtil.setValue(GlobalInfoWindow, "");

	}
	
	var TREE_ITEMS;
	
	function buildTree() {
		root = new Array('UNSPSC 분류', "javascript:setUnspsc('00000000');");
		root.push(new Array('segment1(01000000)', "javascript:setUnspsc('01000000');"));
		root.push(new Array('segment2(02000000)', "javascript:setUnspsc('02000000');"));
		TREE_ITEMS = new Array();
		TREE_ITEMS.push(root);
	}

	function setUnspsc(name)
	{
	    alert(name);
	}

	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		

		GlobalInfoWindow = "";
		//buildTree();
		
		$('item_code').disabled = true;
		
		DefaultMaterialType();
		onclickChangeType(matType);
	}

//-->
</script>
<c:forEach items="${materiallist}" var="material">
<script language="javascript">
<!--	
	//디폴트 자재 타입
	function DefaultMaterialType()
	{
		matType = '<c:out value="${material.standard_flag}"/>';
		if(matType == 'S') {
			document.materialRegistForm.standard_flag[0].checked = true;
		}
		else if(matType == 'M') {
			document.materialRegistForm.standard_flag[1].checked = true;
		}
		else if(matType == 'O') {
			document.materialRegistForm.standard_flag[2].checked = true;
		}
		
	}
//-->
</script>
<form name=materialRegistForm method="post" enctype="multipart/form-data">
	<input type="hidden" name="unique_id" value='<c:out value="${material.unique_id}"/>' >

	<table width="500" border="0" cellspacing="0" cellpadding="0" style="border－collapse:collapse">
		<tr>			<td colspan=19 height=1 class="outline"></td>	</tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">자재구분</td>
  			<td class="outline"></td>
  			<td align="left" class="blank" >&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('S')" name="standard_flag" value="S" >표준&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('M')" name="standard_flag" value="M" >메이커성&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('O')" name="standard_flag" value="O" >가공품&nbsp;&nbsp;
  			</td>
			<td class="outline"></td>
		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">품명</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=item_name value='<c:out value="${material.item_name}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">규격</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=specification value='<c:out value="${material.specification}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">제조원</td>
  			<td class="outline"></td>
    		<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=maker_name size="50" value='<c:out value="${material.maker_name}"/>'  style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">재질</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=model_no  value='<c:out value="${material.model_no}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
		
		
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">후처리</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=description value='<c:out value="${material.description}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
		
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">단가</td>
  			<td class="outline"></td>
    		<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=sales_price_str   value='<c:out value="${material.sales_price_str}"/>' size="50" style="color=black;">&nbsp;원</td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
		
		
		
		<tr><td colspan=19 height=2 ></td></tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title" width="30%">마스터품목코드</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=item_code value='<c:out value="${material.item_code}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">분류코드</td>
  			<td class="outline"></td>
    		<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=class_code value='<c:out value="${material.class_code}"/>'  size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
 		<tr><td colspan=19 height=1 class="outline"></td></tr>

<tr>
	<td></td><td></td><td></td>
	<td colspan=20>
	<script language="JavaScript">
	<!--//
		//buildTree();
		//new tree (TREE_ITEMS, TREE_TPL);
	//-->
	</script>
	</td>
	
</tr>
</table>
</form>
</c:forEach>
