<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var assy_code="";
	var can_submit_pl=true;
	var can_submit_prev=true;
	
	var is_new_case = true;
	
	var PlNoList = new Array();
	var ac_materialList = new Array();
	var ac_treatmentList = new Array();
	
	function clearPartField()
	{
		DWRUtil.setValue("item_name", "" );
		DWRUtil.setValue("specification", "" );
	    DWRUtil.setValue("maker_name", "" );
	    DWRUtil.setValue("model_no", "" );
	    DWRUtil.setValue("description", "" );
	    DWRUtil.setValue("sales_price", "" );
	}
	function setFieldLock( )
	{
		$("item_name").disabled = true;
	    $("specification").disabled = true;
	    $("maker_name").disabled = true;
	    $("model_no").disabled = true;
	    $("description").disabled = true;
	    $("sales_price").disabled = true;
	    
	    document.materialRegistForm.standard_flag[0].disabled = true;
	    document.materialRegistForm.standard_flag[1].disabled = true;
	    document.materialRegistForm.standard_flag[2].disabled = true;
	}
	function freeFieldLock( )
	{
		$("item_name").disabled = false;
		$("specification").disabled = false;
		$("maker_name").disabled = false;
		$("model_no").disabled = false;
		$("description").disabled = false;
		$("sales_price").disabled = false;
		
		document.materialRegistForm.standard_flag[0].disabled = false;
	    document.materialRegistForm.standard_flag[1].disabled = false;
	    document.materialRegistForm.standard_flag[2].disabled = false;
	}
	
	function hideMyPartInfo()
	{
		DWRUtil.setValue("my_need_part", "");
		$("my_need_part").style.height = 1;
		$("my_need_part").style.visibility = "hidden";
	}
	
	function displayMyPartInfo(content)
	{
		DWRUtil.setValue("my_need_part", content);
		$("my_need_part").style.visibility = "";
	    $("my_need_part").style.height = 100;
	}
	
	//MyPart에서 선택
	function selectPart( assy_uid, item_code_value )
	{
		    	
	   	DWRUtil.setValue("my_part_item_code", item_code_value);
	   	DWRUtil.setValue("my_part_assy_uid", assy_uid);
	    	
		DWRUtil.setValue("prev_code", item_code_value);
		checkPrevCode();
		
		hideMyPartInfo();

		//Focus
		$('pl_code').focus();
	}
	
	//submit..
	function registerMaterial()
	{
		if(can_submit_pl== false)
		{
			alert('<spring:message code="MSG_ALERT.98"/>');
			return;
		}
		
		if( is_new_case == false)
		{
			
			if(can_submit_prev== false)
			{
				alert('<spring:message code="MSG_ALERT.79"/>');
				return;
			}
			
			if( isEmpty($("prev_code")) == true)
			{
				alert('<spring:message code="MSG_ALERT.80"/>');
				return;
			}
			
			
		}
	
		if( isEmpty($("pl_code")) == true)
		{
			alert('<spring:message code="MSG_ALERT.73"/>');
			return;
		}
		
		if( isEmpty($("item_name")) == true)
		{
			alert('<spring:message code="MSG_ALERT.97"/>');
			return;
		}
		
		if( isAlphaNum($("pl_code")) != true)
		{
			alert('<spring:message code="MSG_ALERT.72"/>');
			return;
		}
		
		if( isNum($("quan")) != true)
		{
			alert('<spring:message code="MSG_ALERT.39"/>');
			return;
		}
		
		if( isNum($("sales_price")) != true)
		{
			alert('<spring:message code="MSG_ALERT.19"/>');
			return;
		}
		
		var curPlCode = DWRUtil.getValue("pl_code");
		
		if(curPlCode == "000" || curPlCode == "0000")
		{
			alert("<spring:message code="MSG_ALERT.1"/>");
			return;
		}
		
		item_code_value = assy_code + curPlCode;
		DWRUtil.setValue("item_code", item_code_value);
		
		var action_para = "d_mtrl.html?&menuId=d02-add"
		document.materialRegistForm.action=action_para;
		doingProcess();
		document.materialRegistForm.submit();
	}
	
	
	function commandMaterial( unique_id, action_type, child_quan, ref_quan, pl_no, quan, status, assy_uid )
	{
		var real_delete = false;
		
		if(action_type == "quan_add") {
		
			if(status == 'BM')
			{
				alert('<spring:message code="MSG_ALERT.46"/>');
				return;
			}
		
			var prompt_msg= '<spring:message code="MSG_PROMPT.1"/>';
			var prev_input= "1";
			var is_num=false;
			
			while(is_num==false) {
				prev_input = prompt(prompt_msg, prev_input);
				
				if(prev_input==null)
					return;
				is_num = isNumStr(prev_input);
				var prompt_msg= '<spring:message code="MSG_PROMPT.2"/>';
			}
			if(is_num) {
				action_para = "d_mtrl.html?&menuId=d02-edit,d02" + "&assy_uid=" + assy_uid;
				action_para = action_para + "&is_add_quan=" + "Y" + "&part_quan=" + prev_input;
			
				document.materialRegistForm.action=action_para;
				doingProcess();
				document.materialRegistForm.submit();	
			}
			else {
				alert('<spring:message code="MSG_ALERT.49"/>');
			}
			return;
		}
		
		if(status != 'BM')
		{
			alert('<spring:message code="MSG_ALERT.92"/>');
			return;
		}
	
		if(action_type == "delete") {
			res = confirm("자재를 삭제하시겠습니까?");
			if(res != true)
				return;
		}
		
		
		
		if(action_type == "edit") {
		
			if(ref_quan > 2) { //2개이상 레퍼런스
				res = confirm("이 자재는 다른 BOM에서 참조하고 있어 수정시 모두 변경됩니다. 그래도 수정하시겠습니까?");
				if(res != true)
					return;
			}			
		
		}
		if( action_type == "delete") {
			action_para = "d_mtrl.html?&menuId=d02-delete" + "&part_unique_id=" + unique_id + "&assy_uid=" + assy_uid;
			if(ref_quan==1)
				action_para = action_para + "&real_delete=1";
			else
				action_para = action_para + "&real_delete=0";
			
		}
		else if( action_type == "edit") {
			action_para = "d_mtrl.html?&menuId=d02-modform,d02-edit" + "&part_unique_id=" + unique_id + "&assy_uid=" + assy_uid;
			action_para = action_para + "&part_pl_no=" + pl_no + "&part_quan=" + quan;
		}
		else
			alert('<spring:message code="MSG_ALERT.48"/>');
		  
		document.materialRegistForm.action=action_para;
		doingProcess();
		document.materialRegistForm.submit();		
		
	}
	
	function checkIsNew()
	{
		if($("chk_prev_code").checked == true)
		{
			is_new_case = false;
			
			$("prev_code").disabled = false;
			DWRUtil.setValue("assy_code_span_add", "");
			//$('prev_code').style.visibility='visible';
			//$('prev_code').style.width=100;
			
			//Focus
			$('prev_code').focus();
			
			//input value에 셋팅
			DWRUtil.setValue("is_new", "N");
			
			$("prev_code").disabled = false;
			$('prev_code').style.backgroundColor='white';
			
			displayMyPartInfo('<spring:message code="MSG_INFO.3"/>');
			getMyNeedPart();
		
		}
		else
		{
			is_new_case = true;
			
			var disAassy_code;
			if(assy_code.length != 8)
				disAassy_code = assy_code;
			else
				disAassy_code = assy_code.substr(0,4) + "-" + assy_code.substr(4,4) + "-";
			
			$("prev_code").disabled = true;
			DWRUtil.setValue("assy_code_span_add", disAassy_code);
			

			//$('prev_code').style.visibility='hidden';
			//$('prev_code').style.width=0;
			
			//Focus
			$('pl_code').focus();
			//input value에 셋팅
			DWRUtil.setValue("is_new", "Y");
			
			$("prev_code").disabled = true;
			$('prev_code').style.backgroundColor='beige';
			
			can_submit_prev=true;
			
			DWRUtil.setValue("prev_code", "");
			
			freeFieldLock( );
	      	hideMyPartInfo();

		}
	}
	
	function clearField()
	{		
		document.materialRegistForm.reset();
	}
	
	function onclickReset()
	{
			DWRUtil.setValue("assembly_info", "");
	}
	
	
	function onclickChangeType(type)
	{
		DWRUtil.setValue("class_code", type + "000000000");
		
		if( type == 'O')
		{
			$('model_no').disabled = false;
			$('description').disabled = false;
			$('model_no').style.backgroundColor='white';
			$('description').style.backgroundColor='white';
			
		}
		else
		{
			$('model_no').disabled = true;
			$('description').disabled = true;
			$('model_no').style.backgroundColor='beige';
			$('description').style.backgroundColor='beige';

		}

	}
	
	
	function formingPlCode()
	{
		var curPlCode = DWRUtil.getValue("pl_code");
		var code_len = curPlCode.length;
		curPlCode	=	curPlCode.toUpperCase();
		
		if(code_len > 4)
		{
			alert('<spring:message code="MSG_ALERT.69"/>');
			curPlCode = curPlCode.substr(0,4);
		}
		else if(code_len == 1)
		{
			curPlCode = "000" + curPlCode;
		}
		else if(code_len == 2)
		{
			curPlCode = "00" + curPlCode;
		}
		else if(code_len == 3)
		{
			curPlCode = "0" + curPlCode;
		}
		
		DWRUtil.setValue("pl_code", curPlCode );
	}
	
	function checkPlCode()
	{	
		formingPlCode();
		
		var compared = DWRUtil.getValue("pl_code");

		for( var i=0; i<PlNoList.length; i++)
		{
			if( compared == PlNoList[i])
				return replyPlCode(false);
		}
		return replyPlCode(true);
	}
	
	function replyPlCode(valid)
	{
	    processPlReply(valid, "pl_code", "pl_code-error", "에러: 이미 사용중인 코드");
	}

	function processPlReply(valid, id, errid, error)
	{
	    if (valid)
	    {
	    	can_submit_pl = true;
	        DWRUtil.setValue(errid, "");
	        $(id).style.color = "black";

	    }
	    else
	    {
	    	can_submit_pl = false;
	        DWRUtil.setValue(errid, error);
	        $(id).style.color = "red";
	    }
	}
	
	function checkPrevCode()
	{
		item_code_prev = DWRUtil.getValue("prev_code");
	    //ItemCodeValidator.isValid(replyPrevCode, item_code_prev);
	    CommonInfo.getItemFromMasterDb(ItemFromMasterDb, item_code_prev);
	}
	
	function ItemFromMasterDb(messages)
	{
		var class_code = "";
		var founded = false;
		clearPartField();
	    for (var data in messages)
	    {
	    	if(messages[data].unique_id != undefined)	founded = true;
			if(messages[data].item_name != undefined)	DWRUtil.setValue("item_name", messages[data].item_name );
			if(messages[data].specification != undefined)	DWRUtil.setValue("specification", messages[data].specification );
	        if(messages[data].description != undefined)	DWRUtil.setValue("description", messages[data].description );
	        if(messages[data].model_no != undefined)	DWRUtil.setValue("model_no", messages[data].model_no );
	        if(messages[data].maker_name != undefined)	DWRUtil.setValue("maker_name", messages[data].maker_name );
	        if(messages[data].sales_price != undefined)	DWRUtil.setValue("sales_price", messages[data].sales_price );
	        if(messages[data].class_code != undefined)
	        {
	        	class_code =  messages[data].class_code ;
	        }
	    }

	    if(class_code.length == 0)
	    {
	    	class_code = "O0000000";
		}


		var err_msg = "코드 에러";

	    item_type = class_code.substr(0,4);
	    
	    if( item_type == 'S000')
	    	document.materialRegistForm.standard_flag[0].click();
	    else if( item_type == 'M000')
			document.materialRegistForm.standard_flag[1].click();
	    else if( item_type == 'O000')
			document.materialRegistForm.standard_flag[2].click();
	    else if( item_type == 'A000')
	    {
	    	err_msg = "경고:Assembly";
	    	alert('<spring:message code="MSG_ALERT.110"/>');
	    	founded=false;
	    }
	    else
	    {
	    	document.materialRegistForm.standard_flag[0].click();
	    	/*
	    	err_msg = "경고:알수없는 자재";
	    	alert('<spring:message code="MSG_ALERT.52"/>');
	    	founded=false;
	    	*/
	    }
	    
	    if(founded==true) {
	    	DWRUtil.setValue("pl_code", "_" + RandomString(3) );
	    	selectClick( $("pl_code") );
	    	setFieldLock();
	    }
	    else
	    	hideMyPartInfo();
	    
	    processPrevReply(founded, "prev_code", "prev_code-error", err_msg);
	    
	}
	
	function processPrevReply(valid, id, errid, error)
	{
	    if (valid)
	    {
	    	can_submit_prev = true;
	        DWRUtil.setValue(errid, "");
	        $(id).style.color = "black";
	    }
	    else
	    {
	    	can_submit_prev = false;
	        DWRUtil.setValue(errid, error);
	        $(id).style.color = "red";
	    }
	}
	
	function getAssyBom(unique_id)
	{
		DWRUtil.setValue("all_assy_list", GwaitingMessageServ);
    	page_path = "/dong.html?searchType=partline-simple";
		CommonInfo.getForward(loadpartlinedetail, page_path + "&searchKey=" + unique_id);
		return;
	}
	
	function getMyNeedPart()
	{
		DWRUtil.setValue("my_need_part", GwaitingMessageServ);
    	page_path = "/dong.html?searchType=partline-myneed";
		CommonInfo.getForward(displayMyPartInfo, page_path + "&searchKey=" + "null");
		return;
	}
	
	function loadpartlinedetail(data)
	{
	    DWRUtil.setValue("all_assy_list", data);
	    
	    //PlNoList를 셋팅하여 PL_NO 중복을 막는다.
	    CommonInfo.getBufferList(SetPlNoList);
	    
	}
	
	function SetPlNoList(messages)
	{
	
		var len = PlNoList.length;

		for (var i=0; i<len; i++)
	    {
	    	PlNoList.pop();
	    }
	    for (var data in messages)
	    {
	    	if(messages[data] != undefined) {
				PlNoList.push(messages[data]);
			}
		}
	}
	
	
	function onclickFunction( handler )
	{
		var object;
		var title;
		var page_path;

		GlobalInfoWindow = 'assembly_info';
		
		var searchKey = DWRUtil.getValue('project_unique_id');
		
		page_path = "/dong.html?searchType=assembly&searchKey=" + searchKey;
		CommonInfo.getForward(loadforward, page_path + "&searchHandler=" + handler);
		$(GlobalInfoWindow).style.visibility = "visible";


	}
	
	function loadforward(data)
	{
	    DWRUtil.setValue(GlobalInfoWindow, data);
	}
	
	function selectMulti(hanler, code, name, unique_id)
	{
		if(code.length > 8)
			assy_code = code.substring(0,8);
		else
			assy_code = code;
		
		var disAassy_code;
		if(assy_code.length != 8)
			disAassy_code = assy_code;
		else
			disAassy_code = assy_code.substr(0,4) + "-" + assy_code.substr(4,4);
			
		DWRUtil.setValue("assy_code_span", disAassy_code);
		DWRUtil.setValue("assy_code_span_add", disAassy_code + "-");
		DWRUtil.setValue("assy_name", name);
		DWRUtil.setValue("assy_unique_id", unique_id);
		
		DWRUtil.setValue(GlobalInfoWindow, "");
		
			
		//현재 Assy List 목록 가져오기
		getAssyBom(unique_id);
	}

	function setUnspsc(name)
	{
	    alert(name);
	}

	function setAssyHead() {
		var strLine = '<table width="571" border="1" cellpadding="0" cellspacing="0" bordercolor="#CCCCCC" style="border-collapse:collapse">';
		strLine = strLine + '<tr>';
		strLine = strLine + '<td width=1><td width="40" class="table_title" >품번</td>';
		strLine = strLine + '<td  class="table_title">품명 / 규격</td>';
		strLine = strLine + '<td width="50"  class="table_title">수량</td>';
		strLine = strLine + '<td width="80"  class="table_title">명령</td>';
		strLine = strLine + '</tr>';
		DWRUtil.setValue("all_assy_header", strLine);
	}
	
	function DefaultInit()
	{

		if(assy_code == "")
		{
			alert ('<spring:message code="MSG_ALERT.112"/>');
			return;
		}
		

		DWRUtil.setValue("item_code", RandomString(8));
		DWRUtil.setValue("class_code", "S000000000");
		DWRUtil.setValue("sales_price", "0");

		setAssyHead();

		DWRUtil.setValue("all_assy_list", GwaitingMessageServ);


		$('model_no').style.backgroundColor='beige';
		$('description').style.backgroundColor='beige';
		
		$('pj_name').disabled = false;
		
		$("quan").style.textAlign = "right";
		$("sales_price").style.textAlign = "right";
		$('model_no').disabled = false;
		$('description').disabled = false;
		
		//현재 Assy List 목록 가져오기
		getAssyBom(DWRUtil.getValue("assy_unique_id"));
		
		var disAassy_code;
		if(assy_code.length != 8)
			disAassy_code = assy_code;
		else
			disAassy_code = assy_code.substr(0,4) + "-" + assy_code.substr(4,4);
			
		DWRUtil.setValue("assy_code_span", disAassy_code);
		DWRUtil.setValue("assy_code_span_add", disAassy_code + "-");
		
		//Focus
		$('pl_code').focus();
		
		//신규등록이 디폴트
		$("prev_code").disabled = false;
		$('prev_code').style.backgroundColor='beige';
		//$('prev_code').style.visibility='hidden';
		//$('prev_code').style.width=0;
		
		//DWRUtil.setValue("general_info", "품번*: 종전코드 사용 , 구매요청 등 진행중인 자재는 수정불가합니다.");


			//Auto Completer
			new Autocompleter.Local(
				  'model_no',
				  'ac5update1',
				  ac_materialList,
				  { tokens: new Array(',','\n'), fullSearch: true, partialSearch: true }
				  );
			 new Autocompleter.Local(
				  'description',
				  'ac5update2',
				  ac_treatmentList,
				  { tokens: new Array(',','\n'), fullSearch: true, partialSearch: true }
				  );
				  
				  
		setSearchButtonMenu(this_page);
	}
//-->
</script>
<c:forEach items="${data}" var="data">
<B><FONT face="Tahoma" color=purple size=2>실행 결과: </FONT></B>
<c:out value="${data}"/><br>
</c:forEach>

<c:forEach items="${project}" var="project">
<input type="hidden" name="project_unique_id" value='<c:out value="${project.unique_id}"/>' >
<c:forEach items="${assembly}" var="assembly">	
<form name=materialRegistForm method="post" enctype="multipart/form-data">
	<input type="hidden" name="assy_unique_id" value='<c:out value="${assembly.unique_id}"/>' >
	<input type="hidden" name="pj_unique_id" value='<c:out value="${project.unique_id}"/>' >
	<input type="hidden" name=item_code>
  	<input type="hidden" name=class_code>
  	<input type="hidden" name=is_new>
  	<input type="hidden" name=my_part_item_code>
  	<input type="hidden" name=my_part_assy_uid>
	
<script language="javascript">
<!--
	assy_code = '<c:out value="${assembly.item_code}"/>';
	if(assy_code.length > 8)
		assy_code = assy_code.substring(0,8);
	
//-->
</script>
<!-- 
1	90	1	300	1	580
 -->

	<table width="990" border="0" cellspacing="0" cellpadding="0" style="border－collapse:collapse">
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
		<tr>
		<!-- 
			<td colspan=5></td>
		-->
			<td width=1 height="22" class="outline"></td>
	  		<td width=87 align="center" class="table_title">프로젝트</td>
	  		<td width=1 class="outline"></td>
			<td width=240 align="left"  valign="top" class="blank">&nbsp;&nbsp;<span id="pj_code_span" style="width:70;background:beige"  ><c:out value="${project.pj_code}"/></span>
			<input type=text class="light_input"  name="pj_name"   size="25" onclick="onclickFunction()" onkeypress="onclickFunction()" value='<c:out value="${project.pj_name}"/>' >
			</td>
			<td width=1 class="outline"></td>
			<td width=5></td>
			<td align=left><span id="all_assy_header" style="width:590;overflow: auto;"></span></td>
		</tr>
		<tr>
			<td colspan=5 height=1 class="outline"></td>
			<td width=5></td>
			<td rowspan=50 valign=top align=left><span id="all_assy_list" style="width:590; height:500; overflow:scroll ;overflow-x:hidden; text-align: left"></span></td>
		</tr>
<!-- 
		<tr>
	  		<td width=1 height="22" class="outline"></td>
	  		<td width=87 align="center" class="table_title">프로젝트</td>
	  		<td width=1 class="outline"></td>
			<td width=240 align="left"  valign="top" class="blank">&nbsp;&nbsp;<span id="pj_code_span" style="width:70;background:beige"  ><c:out value="${project.pj_code}"/></span>
			<input type=text class="light_input"  name="pj_name"   size="25" onclick="onclickFunction()" onkeypress="onclickFunction()" value='<c:out value="${project.pj_name}"/>' >
			</td>
			<td width=1 class="outline"></td>
			<td></td><td></td>
		</tr>

		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
 -->
		<tr>
	  		<td height="22" class="outline"></td>
	  		<td align="center" class="table_title">Assembly</td>
	  		<td class="outline"></td>
			<td align="left"  valign="top" class="blank" >&nbsp;&nbsp;<span id="assy_code_span" style="width:70;background:beige"  ></span>
			<input type=text class="light_input"  name="assy_name"   size="25" onclick="onclickFunction('assembly')" onkeypress="onclickFunction()" value='<c:out value="${assembly.item_name}"/>' >
			</td>
			<td class="outline"></td>
	  	<td></td><td></td>
	  	</tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
		<tr>
		  	<td></td>
	  		<td></td>
	  		<td></td>
			<td colspan=2 height=1><div id="assembly_info" style="visibility:hidden;"></div></td>
		<td></td><td></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
		<tr>
			<td height="22" class="outline"></td>
			<td align="center" class="table_title">종전코드</td>
			<td class="outline"></td>
				<td align="left" class="blank" >&nbsp;&nbsp;<input type="checkbox" name="chk_prev_code" value=""  onfocus="this.blur()" onClick="checkIsNew()" ><LABEL style="cursor:hand" class="base" for="reservsend">사용</LABEL>&nbsp;&nbsp;<input type=text class="light_input" onclick="onclickReset()" name=prev_code size="15" style="color=black;" onchange="checkPrevCode()"    ><span id="prev_code-error" class="error"></span></td>
 			<td class="outline"></td>
 		<td></td><td></td></tr>
 		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
 		<tr>
			<td colspan=5 height=1 align=right><span id="my_need_part" style ="visibility:hidden;text-overflow:ellipsis;overflow:scroll;overflow-x:hidden;height:1;" ></span></td>
		<td></td><td></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
  		<tr>
  			<td height="22" class="outline"></td>
  			<td align="center" class="table_title">자재구분</td>
  			<td class="outline"></td>
  			<td align="left" class="blank" >&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('S')" name="standard_flag" value="S" CHECKED >표준&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('M')" name="standard_flag" value="M" >메이커성&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('O')" name="standard_flag" value="O" >가공품&nbsp;&nbsp;
  			</td>
			<td class="outline"></td>
  		<td></td><td></td></tr>
		
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
  		<tr>
  			<td height="22" class="outline"></td>
  			<td align="center" class="table_title">품번</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<span id="assy_code_span_add" style="background:beige;width:70"  ></span>
   			<input type=text class="light_input" onclick="onclickReset()" name=pl_code size="4" style="color=black;" onchange="checkPlCode()"    ><span id="pl_code-error" class="error"></span></td>
  			<td class="outline"></td>
  		<td></td><td></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
  		<tr>
  			<td height="22" class="outline"></td>
  			<td align="center" class="table_title">품명</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input" onclick="onclickReset()"  name=item_name size="45" style="color=black;"></td>
  			<td class="outline"></td>
  		<td></td><td></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
  		<tr>
  			<td height="22" class="outline"></td>
  			<td align="center" class="table_title">규격</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input" onclick="onclickReset()"  name=specification size="45" style="color=black;"></td>
  			<td class="outline"></td>
  		<td></td><td></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
  		<tr>
  			<td height="22" class="outline"></td>
  			<td align="center" class="table_title">제조원</td>
  			<td class="outline"></td>
    		<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input" onclick="onclickReset()" onkeypress="DWRUtil.onReturn(event, registerMaterial)"  name=maker_name size="45" style="color=black;"></td>
  			<td class="outline"></td>
  		<td></td><td></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
  		<tr>
  			<td height="22" class="outline"></td>
  			<td align="center" class="table_title">단가 / 수량</td>
  			<td class="outline"></td>
    		<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input" onClick="selectClick( this )"  onkeypress="DWRUtil.onReturn(event, registerMaterial)" name=sales_price size="25" style="color=black;">&nbsp;원&nbsp;&nbsp;/&nbsp;&nbsp;<input type=text class="light_input" onClick="selectClick( this )"  name=quan size="5" align=right onkeypress="DWRUtil.onReturn(event, registerMaterial)" style="align:right" value=1>&nbsp;EA&nbsp;&nbsp;</td>
  			<td class="outline"></td>
  		<td></td><td></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
		<tr>
  			<td height="22" class="outline"></td>
  			<td align="center" class="table_title">재질</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input" onclick="onclickReset()"  onkeypress="DWRUtil.onReturn(event, registerMaterial)"  name=model_no size="45" style="color=black;">
   					<div id="ac5update1" style="display:none;border:1px solid purple;background-color:white;"></div>
   			
   			</td>
  			<td class="outline"></td>
  		<td></td><td></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
		<tr>
  			<td height="22" class="outline"></td>
  			<td align="center" class="table_title">후처리</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  onkeypress="DWRUtil.onReturn(event, registerMaterial)"  name=description size="45" style="color=black;">
   					<div id="ac5update2" style="display:none;border:1px solid purple;background-color:white;"></div>
   			
   			</td>
  			<td class="outline"></td>
  		<td></td><td></td></tr>
  		<tr><td colspan=5 height=1 class="outline"></td><td></td><td></td></tr>
		<tr><td colspan=5 height=150 ></td><td></td><td></td></tr>
</table>
</form>
</c:forEach>
</c:forEach>

<script language="JavaScript">
<!--//
<c:forEach items="${partlist}" var="part">
	PlNoList.push( '<c:out value="${part.pl_no}"/>' );
</c:forEach>
<c:forEach items="${material_group}" var="material_name" varStatus="status">
	ac_materialList.push( '<c:out value="${material_name.second}"/>' );
</c:forEach>
<c:forEach items="${treatment_group}" var="treatment_name" varStatus="status">
	ac_treatmentList.push( '<c:out value="${treatment_name.second}"/>' );
</c:forEach>
//-->
</script>