<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="tiles" uri="http://jakarta.apache.org/struts/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<html>
<head>
	<title>자재 상세정보</title>
	<link rel="stylesheet" type="text/css" href="./css/main_com1.css">
	<link rel="stylesheet" type="text/css" href="./css/style_com1.css">
</head>

<body>
<table width="100%" border=1 cellpadding=0 cellspacing=0  class="body" bordercolor="CCCCCC" style="border-collapse:collapse">
		<tr>
			<td width="100%" height="35" align="center" class="table_title1" colspan="2">자재정보보기</td>
		</tr>	
		<tr>
			<td width=280 height=170 align="center" valign=middle colspan="2">
				<img src="<c:out value='${material.image_path}'/>" border="0">
			</td>
		</tr>			
		<tr>
			<td width="30%" class="table_title" >품목코드</td>
			<td width="70%" class="table_title1" ><c:out value="${material.item_code}"/></td>
		</tr>	
		<tr>
			<td width="30%" class="table_title" >품명</td>
			<td width="70%" class="table_title1" ><c:out value="${material.item_name}"/></td>
		</tr>	
		<tr>
			<td width="30%" class="table_title" >규격</td>
			<td width="70%" class="table_title1" ><c:out value="${material.specification}"/></td>
		</tr>	
		<tr>
			<td width="30%" class="table_title" >제조원</td>
			<td width="70%" class="table_title1" ><c:out value="${material.maker_name}"/></td>
		</tr>	
		<tr>
			<td width="30%" class="table_title" >재질/모델</td>
			<td width="70%" class="table_title1" ><c:out value="${material.model_no}"/></td>
		</tr>		
		<tr>
			<td width="30%" class="table_title" >가격</td>
			<td width="70%" class="table_title1" ><fmt:formatNumber value="${material.sales_price}" type="number"/></td>
		</tr>							
		<tr>
			<td width="30%" class="table_title" >후처리/설명</td>
			<td width="70%" class="table_title1" >
			<c:out value="${material.description}"/>
			</td>
		</tr>	
		<tr>
			<td width="100%" height="35" align="center" class="table_title1" colspan="2">
				<a href="javascript:self.close();">[닫기]</a>
			</td>
		</tr>																				
</table>
</body>
</html>
