<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	
	function setSearchCondition()
	{
		startSearchForm();
		addSearchForm("supplier_code", "공급사코드", "doGeneralSearchSubmit");
		addSearchForm("supplier_name", "공급사명", "doGeneralSearchSubmit");
		addSearchForm("business_registration_no", "사업자등록번호", "doGeneralSearchSubmit");
		addSearchForm("president_name", "대표자명", "doGeneralSearchSubmit");
		addSearchForm("business_condition", "업태", "doGeneralSearchSubmit");
		addSearchForm("business_category", "종목", "doGeneralSearchSubmit");
		endSearchForm();		
	}
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		setSearchCondition();
		//DWRUtil.setValue("button_menu", StrButtonMenu);
		DWRUtil.setValue("search_condition", StrSearchForm);
		Rounded("div#nifty","white","lavender");		
	}
	
	function commandSupplier( unique_id, action_type )
	{
	
		var action_para;
		
		if(action_type == "delete") {
			res = confirm("공급사를 삭제하시겠습니까?");
			if(res != true)
				return;
			action_para = "e_ptnr.html?&menuId=e05-" + action_type + ",e-result&unique_id=" + unique_id;
		}
		else if(action_type == "modform") {
			action_para = "e_ptnr.html?&menuId=e05-" + action_type + ",e05-edit&unique_id=" + unique_id;
		}
		else if(action_type == "detail") {
			action_para = "e_ptnr.html?&menuId=e05-" + action_type + ",e05-view&unique_id=" + unique_id;
		}
		
		document.generalSearchForm.action=action_para;
		doingProcess();
		document.generalSearchForm.submit();
	}
	
//-->
</script>
<table  width=990 border=1 cellpadding="0" cellspacing="0" bordercolor="#CCCCCC" style="border-collapse:collapse">
	<tr>
		<td class="table_title" align=center>사업자등록번호</td>			
		<td class="table_title" align=center>공급사코드</td>			
		<td class="table_title" align=center>공급사명</td>
		<td class="table_title" align=center>대표자명</td>
		<td class="table_title" align=center>법인등록번호</td>
		<td class="table_title" align=center>업태/종목</td>
		<td class="table_title" align=center>소재지</td>
		<td class="table_title" align=center>명령</td>
	</tr>

<c:forEach items="${supplierlist}" var="suppliers" varStatus="status">
	<c:set var="my_Style" value="table_body_line1"/>
	<c:if test="${status.count%2 ==0}">
		<c:set var="my_Style" value="table_body_line2"/>
	</c:if>
		<tr>
			<td class='<c:out value="${my_Style}"/>' align=center><c:out value="${suppliers.business_registration_no}"/></td>
			<td class='<c:out value="${my_Style}"/>' align=center><c:out value="${suppliers.supplier_code}"/></td>
			<td class='<c:out value="${my_Style}"/>' align=center><c:out value="${suppliers.supplier_name}"/></td>
			<td class='<c:out value="${my_Style}"/>' align=center><c:out value="${suppliers.president_name}"/></td>
			<td class='<c:out value="${my_Style}"/>' align=center><c:out value="${suppliers.corporation_no}"/></td>
			<td class='<c:out value="${my_Style}"/>' align=center><c:out value="${suppliers.business_condition}"/>&nbsp;/&nbsp;<c:out value="${suppliers.business_category}"/></td>
			<td class='<c:out value="${my_Style}"/>' align=center><c:out value="${suppliers.address_1}"/>&nbsp;<c:out value="${suppliers.address_2}"/></td>
			<td class='<c:out value="${my_Style}"/>' align=center>
				<a href="javascript:commandSupplier('<c:out value="${suppliers.unique_id}"/>', 'detail')   ">[보기]</a>
				<a href="javascript:commandSupplier('<c:out value="${suppliers.unique_id}"/>', 'modform')   ">[수정]</a>
				<a href="javascript:commandSupplier('<c:out value="${suppliers.unique_id}"/>', 'delete') ">[삭제]</a>
			</td>
		</tr>

</c:forEach>

</table>