<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@	taglib prefix="tiles" uri="http://jakarta.apache.org/struts/tags-tiles"%>
<%@	taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib   prefix="spring" uri="http://www.springframework.org/tags"%>

<html>
<head>
	<style type="text/css" media="screen"> .selected { background-color: #888; }</style>

	<link rel="stylesheet" type="text/css" href="./css/niftyCorners.css">
	<link rel="stylesheet" type="text/css" href="./css/niftyPrint.css" media="print">
	<link rel="stylesheet" type="text/css" href="./css/main_com1.css">
	<link rel="stylesheet" type="text/css" href="./css/style_com1.css">
	<link rel="stylesheet" type='text/css' media='all' href='./css/calendar-blue.css' title='calendar-blue' />

	<tiles:insert attribute="meta"/>
	<title><tiles:getAsString name="title"/></title>
	<script type='text/javascript' src='./script/calendar.js'></script>
	<script type='text/javascript' src='./script/calendar-ko.js'></script>
	<script type='text/javascript' src='./script/calendar-setup.js'></script>
	<script type='text/javascript' src='./script/prototype.js'></script>
	<script type='text/javascript' src='./script/scriptaculous.js'></script>
	<script type="text/javascript" src="./script/rico.js"></script>
	<script type="text/javascript" src="./script/jrfx.js"></script>
	<script type="text/javascript" src="./script/jrfx_com.js"></script>
	
	<script type='text/javascript' src='./dwr/engine.js'></script>
	<script type='text/javascript' src='./dwr/util.js'></script>
	<script type='text/javascript' src='./dwr/interface/UrlValidator.js'> </script>
	<script type='text/javascript' src='./dwr/interface/CreditCardValidator.js'> </script>
	<script type='text/javascript' src='./dwr/interface/EmailValidator.js'> </script>
	<script type='text/javascript' src='./dwr/interface/UserIdValidator.js'> </script>
	<script type='text/javascript' src='./dwr/interface/CommonInfo.js'> </script>
	<script type='text/javascript' src='./dwr/interface/ItemCodeValidator.js'> </script>

	<script type='text/javascript' src="./script/tree/tree.js"></script>
	<script type='text/javascript' src="./script/tree/tree_tpl.js"></script>
<script language="JavaScript">
<!--//
var GwaitingMessage = "<span id='marquee'><marquee behavior=alternate width=185>" + 
						'<spring:message code="MSG_INFO.1"/>' +
						 "</marquee></span>";
var GwaitingMessageServ = "<marquee behavior=alternate width=300><spring:message code="MSG_INFO.3"/></marquee>";
//-->
</script>
</head>

<body topmargin=0 leftmargin=0 marginheight=0 marginwidth=0 >
<center>
<table border=0 cellspacing=0>
	<tr>
		<td width="27%" align="left">
			<c:forEach items="${com_logo}" var="logo">
			<img src='<c:out value="${logo}"/>'>
			</c:forEach>
			<!-- 
			<span class="general_msg"><spring:message code="SITE_DESC_ADD"/></span>
			 -->
		</td>
		<td style='filter=progid:DXImageTransform.Microsoft.Gradient(GradientType=1, StartColorStr=white, EndColorStr=<spring:message code="COLOR_BACKGROUND"/>)'>
			<tiles:insert attribute="header"/>
		</td>
		<td width="27%" bgcolor='<spring:message code="COLOR_BACKGROUND"/>' align="right" valign="bottom" >
		<span>
			<img src='media/bom2buy_slogo.gif'>
		</span>
		<div class="ver_msg"><spring:message code="SITE_VER"/></div></td>
	</tr>
	<tr>
		<td width="990" valign=top colspan=3 style='filter=progid:DXImageTransform.Microsoft.Gradient(GradientType=0, StartColorStr=<spring:message code="COLOR_BACKGROUND"/>, EndColorStr=white)'
		><tiles:insert attribute="toolbar"/></td>
	</tr>
	

	<c:if test="${menuPath != null }" >
		
		<tr>
		<td width="990" colspan=3 ><center>
			<table width="990" border=0 cellspacing=0>
			<tr>
				<td height=30 width="479" 
				style='
				border-top: #999999 0px dashed;
				border-left: #CCCCCC 1px solid;
				border-bottom: #AAAAAA 1px solid;
				border-right: #999999 0px dashed;
				filter=progid:DXImageTransform.Microsoft.Gradient(GradientType=1, StartColorStr=<spring:message code="COLOR_COMMANDBAR"/>, EndColorStr=white)' align="left">
				&nbsp;<span id="button_menu" style="position:relative; border-width:1px; border-style:none;" ></span>
				</td>
				<td bgcolor=white align="right" style='
				border-top: #999999 0px dashed;
				border-left: #999999 0px dashed;
				border-bottom: #AAAAAA 1px solid;
				border-right: #999999 0px dashed;
				color:purple;filter=progid:DXImageTransform.Microsoft.Gradient(GradientType=1, StartColorStr=white, EndColorStr=<spring:message code="COLOR_COMMANDBAR"/>);'>
				<span id="menu_path" style="color:white;background:#008080"><c:out value='${menuPath}'/></span>
				</td>
				<td bgcolor='<spring:message code="COLOR_COMMANDBAR"/>' style="
				border-top: #999999 0px dashed;
				border-left: #999999 0px dashed;
				border-bottom: #AAAAAA 1px solid;
				border-right: #AAAAAA 1px solid;"
				width="5">&nbsp;</td>
			</tr>
			</table>
		</center></td>
		</tr>
		<tr><td colspan=3 height=10 bgcolor="white"></td></tr>
	</c:if>

	<tr><td colspan=3><span id="search_condition" style="position:relative; border-width:1px; border-style:none;" ></span></td></tr>
	<tr><td colspan=3><div id="body_range" style="height:420;"><tiles:insert attribute="body"/></div></td></tr>
	<tr><td colspan=3><tiles:insert attribute="footer"/></td></tr>
	<tr><td colspan=3 height=15 bgcolor="white"></td></tr>
	</table>
</center>
</body>
</html>
