/**
 * ڹٽũƮ Լ
 *
 * : Ʒ  ޼ҵ Է ʵ̸(myform.myfield)
 *       Ķͷ ޴´. ʵ (myform.myfield.value) ƴ
 *        .
 *
 */


/**
 * Է° NULL üũ
 */
function isNull(input) {
    if (input.value == null || input.value == "") {
        return true;
    }
    return false;
}

/**
 * Է° ̽ ̿ ǹִ  ִ üũ
 */
function isEmpty(input) {
    if (input.value == null || input.value.replace(/ /gi,"") == "") {
        return true;
    }
    return false;
}

/**
 * Է° Ư (chars) ִ üũ
 * Ư ڸ     
 * ex) if (containsChars(form.name,"!,*&^%$#@~;")) {
 *         alert("̸ ʵ忡 Ư ڸ   ϴ.");
 *     }
 */
function containsChars(input,chars) {
    for (var inx = 0; inx < input.value.length; inx++) {
       if (chars.indexOf(input.value.charAt(inx)) != -1)
           return true;
    }
    return false;
}

/**
 * Է° Ư (chars) Ǿִ üũ
 * Ư ڸ Ϸ   
 * ex) if (!containsCharsOnly(form.blood,"ABO")) {
 *         alert(" ʵ忡 A,B,O ڸ   ֽϴ.");
 *     }
 */
function containsCharsOnly(input,chars) {
    for (var inx = 0; inx < input.value.length; inx++) {
       if (chars.indexOf(input.value.charAt(inx)) == -1)
           return false;
    }
    return true;
}

/**
 * Է° ĺ üũ
 * Ʒ isAlphabet()  isNumComma() ޼ҵ尡
 *  ̴ 쿡 var chars  
 * global  ϰ ϵ Ѵ.
 * ex) var uppercase = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
 *     var lowercase = "abcdefghijklmnopqrstuvwxyz"; 
 *     var number    = "0123456789";
 *     function isAlphaNum(input) {
 *         var chars = uppercase + lowercase + number;
 *         return containsCharsOnly(input,chars);
 *     }
 */
function isAlphabet(input) {
    var chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
    return containsCharsOnly(input,chars);
}

/**
 * Է° ĺ 빮 üũ
 */
function isUpperCase(input) {
    var chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    return containsCharsOnly(input,chars);
}

/**
 * Է° ĺ ҹ üũ
 */
function isLowerCase(input) {
    var chars = "abcdefghijklmnopqrstuvwxyz";
    return containsCharsOnly(input,chars);
}

/**
 * Է°  üũ
 */
function isNum(input) {
    var chars = "0123456789-.";
    return containsCharsOnly(input,chars);
}

/**
 * Է° ڸ ִ üũ
 */
function isOnlyNum(input) {
    var chars = "0123456789";
    return containsCharsOnly(input,chars);
}


/**
 * Է° ĺ,ڷ Ǿִ üũ
 */
function isAlphaNum(input) {
    var chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    return containsCharsOnly(input,chars);
}

/**
 * Է° ,(-) Ǿִ üũ
 */
function isNumDash(input) {
    var chars = "-0123456789";
    return containsCharsOnly(input,chars);
}

/**
 * Է° ,޸(,) Ǿִ üũ
 */
function isNumComma(input) {
    var chars = ",0123456789";
    return containsCharsOnly(input,chars);
}

/**
 * Է° ޸ ش.
 */
function removeComma(input) {
    return input.value.replace(/,/gi,"");
}

/**
 * Է° ڰ    üũ
 * ڼ format  ڹٽũƮ 'regular expression' 
 */
function isValidFormat(input,format) {
    if (input.value.search(format) != -1) {
        return true; //ùٸ  
    }
    return false;
}

/**
 * Է° ̸  üũ
 */
function isValidEmail(input) {
//    var format = /^(\S+)@(\S+)\.([A-Za-z]+)$/;
    var format = /^((\w|[\-\.])+)@((\w|[\-\.])+)\.([A-Za-z]+)$/;
    return isValidFormat(input,format);
}

/**
 * Է° ȭȣ (--) üũ
 */
function isValidPhone(input) {
    var format = /^(\d+)-(\d+)-(\d+)$/;
    return isValidFormat(input,format);
}

/**
 * õ ư ִ üũ
 */
function hasCheckedRadio(input) {
    if (input.length > 1) {
        for (var inx = 0; inx < input.length; inx++) {
            if (input[inx].checked) return true;
        }
    } else {
        if (input.checked) return true;
    }
    return false;
}

/**
 * õ üũڽ ִ üũ
 */
function hasCheckedBox(input) {
    return hasCheckedRadio(input);
}

/**
 * Է° Ʈ ̸ 
 * Author : Wonyoung Lee
 */
function getByteLength(input) {
    var byteLength = 0;
    for (var inx = 0; inx < input.value.length; inx++) {
        var oneChar = escape(input.value.charAt(inx));
        if ( oneChar.length == 1 ) {
            byteLength ++;
        } else if (oneChar.indexOf("%u") != -1) {
            byteLength += 2;
        } else if (oneChar.indexOf("%") != -1) {
            byteLength += oneChar.length/3;
        }
    }
    return byteLength;
}
