package com.rfxsoft.justrfx;

public interface Pair {
    /**
     * Retrieves the first Comparable contained in the class that implements Pair
     *
     * @return the first Comparable.
     */
     Comparable getFirst();

     /**
     * Retrieves the second Comparable contained in the class that implements Pair
     *
     * @return the second Comparable.
     */
     Comparable getSecond();

     String toString();
}
