package com.rfxsoft.justrfx.business;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.InitializingBean;

import com.rfxsoft.justrfx.data.JrfxBaselineDao;
import com.rfxsoft.justrfx.data.TableInfoDao;


public abstract class DbInfoManager implements InitializingBean{

	//̺  
	protected TableInfoDao tableInfoDao;
	
	//⺻ SQL óѴ.
	protected JrfxBaselineDao baseLineDao;
	
	protected final Log logger = LogFactory.getLog( getClass() );

	/*
	public void afterPropertiesSet() throws Exception {
		if (baseLineDao == null)	throw new BeanCreationException("Must set baseLineDao");
		if (tableInfoDao == null)	throw new BeanCreationException("Must set tableInfoDao");
	}
	*/

	public JrfxBaselineDao getBaseLineDao() {
		return baseLineDao;
	}

	public void setBaseLineDao(JrfxBaselineDao baseLineDao) {
		this.baseLineDao = baseLineDao;
	}

	public TableInfoDao getTableInfoDao() {
		return tableInfoDao;
	}

	public void setTableInfoDao(TableInfoDao tableInfoDao) {
		this.tableInfoDao = tableInfoDao;
	}
	
	
}
  