package com.rfxsoft.justrfx.business.a_rfml;

import com.rfxsoft.justrfx.business.DbInfoManager;
import com.rfxsoft.justrfx.data.AssyMapDao;
import com.rfxsoft.justrfx.data.RfqAstDao;
import com.rfxsoft.justrfx.data.RtgAstDao;
import com.rfxsoft.justrfx.data.SrcAhdDao;
import com.rfxsoft.justrfx.data.SysInfoDao;

public abstract class AbstractDaoBasedRfmlManager extends DbInfoManager
		implements RfmlManager {

	protected RfqAstDao rfqastDao;
	protected RtgAstDao rtgastDao;
	protected SrcAhdDao  srcahdDao;
	protected AssyMapDao assymapDao;
	protected SysInfoDao sysinfoDao;
	
	/**
	 * @return the assymapDao
	 */
	public AssyMapDao getAssymapDao() {
		return assymapDao;
	}
	/**
	 * @param assymapDao the assymapDao to set
	 */
	public void setAssymapDao(AssyMapDao assymapDao) {
		this.assymapDao = assymapDao;
	}
	/**
	 * @return the rfqastDao
	 */
	public RfqAstDao getRfqastDao() {
		return rfqastDao;
	}
	/**
	 * @param rfqastDao the rfqastDao to set
	 */
	public void setRfqastDao(RfqAstDao rfqastDao) {
		this.rfqastDao = rfqastDao;
	}
	/**
	 * @return the rtgastDao
	 */
	public RtgAstDao getRtgastDao() {
		return rtgastDao;
	}
	/**
	 * @param rtgastDao the rtgastDao to set
	 */
	public void setRtgastDao(RtgAstDao rtgastDao) {
		this.rtgastDao = rtgastDao;
	}
	/**
	 * @return the srcahdDao
	 */
	public SrcAhdDao getSrcahdDao() {
		return srcahdDao;
	}
	/**
	 * @param srcahdDao the srcahdDao to set
	 */
	public void setSrcahdDao(SrcAhdDao srcahdDao) {
		this.srcahdDao = srcahdDao;
	}
	/**
	 * @return the sysinfoDao
	 */
	public SysInfoDao getSysinfoDao() {
		return sysinfoDao;
	}
	/**
	 * @param sysinfoDao the sysinfoDao to set
	 */
	public void setSysinfoDao(SysInfoDao sysinfoDao) {
		this.sysinfoDao = sysinfoDao;
	}
	
}
