package com.rfxsoft.justrfx.business.b_rtng;

import com.rfxsoft.justrfx.business.DbInfoManager;
import com.rfxsoft.justrfx.data.RtgAppDao;
import com.rfxsoft.justrfx.data.RtgAstDao;
import com.rfxsoft.justrfx.data.RtgWrkDao;
import com.rfxsoft.justrfx.data.SysInfoDao;


public abstract class AbstractDaoBasedRtngManager extends DbInfoManager
		implements RtngManager {
	
	protected RtgAstDao rtgastDao;
	protected RtgWrkDao rtgwrkDao;
	protected RtgAppDao rtgappDao;
	protected SysInfoDao sysinfoDao;

	/**
	 * @return the sysinfoDao
	 */
	public SysInfoDao getSysinfoDao() {
		return sysinfoDao;
	}

	/**
	 * @param sysinfoDao the sysinfoDao to set
	 */
	public void setSysinfoDao(SysInfoDao sysinfoDao) {
		this.sysinfoDao = sysinfoDao;
	}

	public RtgAppDao getRtgappDao() {
		return rtgappDao;
	}

	public void setRtgappDao(RtgAppDao rtgappDao) {
		this.rtgappDao = rtgappDao;
	}

	public RtgAstDao getRtgastDao() {
		return rtgastDao;
	}

	public void setRtgastDao(RtgAstDao rtgastDao) {
		this.rtgastDao = rtgastDao;
	}

	public RtgWrkDao getRtgwrkDao() {
		return rtgwrkDao;
	}

	public void setRtgwrkDao(RtgWrkDao rtgwrkDao) {
		this.rtgwrkDao = rtgwrkDao;
	}

}
