package com.rfxsoft.justrfx.business.b_rtng;

import java.util.List;
import java.util.Map;
import java.util.Date;

import com.rfxsoft.justrfx.data.SysInfoDao;
import com.rfxsoft.justrfx.domain.Routing;
import com.rfxsoft.justrfx.domain.RtgAst;
import com.rfxsoft.justrfx.domain.RtgWrk;

import com.rfxsoft.justrfx.domain.XpoBhd;


/**
 * @author k1park
 *
 	b01:	 ۼ
	b02:	 û ۼ --
	b03:	
	//b04:	
	b05:	̰ -->, ݷ
	b06:	
	
	...Ȳ ... 
 */
public interface RtngManager {
	
	
	public SysInfoDao getSysinfoDao();
	
	
	// b01;	 ۼ
	
	//ο RtgAst--DB Է¾
	public RtgAst NewRtgAst(Integer rtgast_uid, String user_id, String name, String content,
			String state, Integer item_quan, String item_abst,
			String rtg_type, Integer po_user_uid, Integer coord_key_uid,
			Date aprv_date, Date req_date);

	public void setWorkCursor(Integer rtgast_uid, Integer work_cursor);
	//selectuid
	public RtgAst getselectuid(String table,int unique_id);
	public Routing getRoutingById(int unique_id);
	public RtgAst getRtgAstById(int unique_id);
	public XpoBhd getXpoBhdById(int unique_id);
	
	// rtgapp α  شǴ   о´.
	public List getMyApprvList(String user_id);
	
	// rtgwrk    о´.
	public List getRtgWrkApprvList(int routing_id);
	
	// prڰ ſû
	//public int pr_addRouting(int item_quan, String item_abst, int user_uid, int po_user_uid);
	
	// RtgAst (addRouting) RtgWrk 
	public boolean addRouting(String creator, RtgAst rtgast, int user_uid, int po_user_uid);
	public boolean modifyRouting(String creator, RtgAst rtgast, int user_uid, int po_user_uid);
	
	// RtgWrk 
	public boolean addRtgwrk(String creator, RtgWrk rtgwrk);
	
	// b02:	 û ۼ
	public void addPurchaseInternalRequest();
	
	// , ̰, Կ 
	public List getRoutingBoxCheck(List routing_list, String gubun);
	
	// b03:	
	public List getSendedRoutingBox(Map condition); //ſû (PO, Ϲ)
	
	// b03:	(rtgwrk ڸ   )
	public void delSendedRoutingBox(int routing_id);
	
	// b03:	(rtgast  (F))
	public void changeSendedRoutingState(Map condition);
	
	// b08: ſû
	public List getSendedRoutingBoxOnlyPR(String user_id);
	
	//縸 PO
	public List getSendedRoutingBoxOnlyPO(String user_id);
	
	// b04:	
	public List getReservedRoutingBox(Map condition);
	
	// b05:	̰
	public List getNotconcludedBox(int user_uid);// ũ̵ ̰ᰡ
	//public List getNotconcludedBox(Map condition);
	//  Ǵ ݷϱ(wrkType:true=, false=ݷ)
	public boolean doApprove(int rtgast_uid, String comment, boolean wrkType, String aprv_user_id, String aprv_name, Date aprv_date);
	
	//  ...
	public int isLastChecker(int rtgast_uid);
	
	// b05:	̰(ڱⰡ ؾ  Ǵ)
	public int getNotconcludedCheck(int routing_id, int serial);
	
	// b06:	
	public List getConcludedBox(int user_uid);// ũ̵  Ȱ 
	//public List getConcludedBox(Map condition);	
	
	// b07:	뺸
	public List getTongboBox(Map condition);	
	
	// b03-view: ŵ 뺸
	//public List getSendDetailView(Map condition);  --> deprecated
	public List getSendDetailView(int rtgast_unique_id);
	
	// b03:Կ Ҷ 
	public void editRouting(String title,String content,int rtg_unique_id, String rtgast_state);

	//̰/
	//public void deleteOrderComplete(String table,String[] po_uid);
	//ܰ踦 ũ ̵  赥
	public int deleteRtgworkByUnique_id(Integer[] unique_id);
	//ܰ踦 Rtgast  
	public int deleteRtgworkByRtgast_id(Integer[] routing_id);
	//ܰ踦 tgast  ۾  赥
	public int deleteRtgworkByRtgastNRoleisW(Integer[] routing_id);
	
	public int deleteRtgworkByUnique_id(Integer unique_id);
	public int deleteRtgworkByRtgast_id(Integer routing_id);
	public int deleteRtgworkByRtgastNRoleisW(Integer routing_id);
	
	
	//
	public void addFileInsert(String user_id,int file_length,String[] file_f_name,Integer[] file_group_code,String[] file_item_code);
	
	//ϸƮ
	public List getFileList(int file_group_code);
	
	//ݷ ÷
	public void editRtgD();
	
	//ýۻ ÷
	public void editRtgS();	

}
