package com.rfxsoft.justrfx.business.c_prjt;

import com.rfxsoft.justrfx.business.DbInfoManager;
import com.rfxsoft.justrfx.data.ComBstDao;
import com.rfxsoft.justrfx.data.ProjectDao;
import com.rfxsoft.justrfx.data.PjtTskDao;
import com.rfxsoft.justrfx.data.TskMapDao;

public abstract class AbstractDaoBasedPrjtManager extends DbInfoManager implements PrjtManager {

	protected ProjectDao projectDao;
	protected PjtTskDao pjttskDao;
	protected TskMapDao tskmapDao;
	protected ComBstDao combstDao;
	
	public TskMapDao getTskmapDao() {
		return tskmapDao;
	}
	public void setTskmapDao(TskMapDao tskmapDao) {
		this.tskmapDao = tskmapDao;
	}
	public ProjectDao getProjectDao() {
		return projectDao;
	}
	public void setProjectDao(ProjectDao projectDao) {
		this.projectDao = projectDao;
	}

	
	public PjtTskDao getPjttskDao() {
		return pjttskDao;
	}
	public void setPjttskDao(PjtTskDao pjttskDao) {
		this.pjttskDao = pjttskDao;
	}
	public ComBstDao getCombstDao() {
		return combstDao;
	}
	public void setCombstDao(ComBstDao combstDao) {
		this.combstDao = combstDao;
	}



}
