package com.rfxsoft.justrfx.business.j_prch;

import java.util.Date;
import java.util.List;
import com.rfxsoft.justrfx.domain.XpoAst;

/**
 * @author k1park
 *
 	j12:	ſûó
	j01:	ּ ˻
	j02:	ּ ۼ
	j03:	ӽú
	j04:	԰ Ȯ
	j05:	԰ Ȳ
	j06:	԰ Ȳ
	j07:	꼭 
	j08:	 
	j09:	 Ȳ
	j12:	ſûó
 */

public interface PrchManager {

	public XpoAst getLineItemByUid(Integer xpoast_uid);
	
	//ش PR/PO/GR/RFQ ׸ partlist  
	public List/*PartList*/ getPrDetail(int pr_uid);
	public List/*PartList*/ getPoDetail(int po_uid);
	public List/*PartList*/ getGrDetail(int gr_uid);
	public List/*PartList*/ getRfqDetail(int rf_uid);
	
	public List/*XpoAst*/ getXpoAstList(String po_no);
	public List/*XpoAst*/ getAcDetail(String doc_type);
	


	//	------------- PR(PurchaseReuisite)  ----------------------
	//
	//poڿ  ſû (RtgAstκ)
	public List getPrListForPoUser(int po_user_uid);

	//PR: assymap unique id Ʈ 
	public void confirmPrReceive(List assymap_uid_list);
	
	//PR: rtgast unique_id .
	public void confirmPrReceiveByGroup(int pr_uid);
	
	public void confirmPrReceiveByGroup(List unique_id_list);
	
	//PRݷ: //assymap_uid_list assymap pr_uid 
	public void doPrDeny(List assymap_uid_list);
	public void doPrDeny(int item_quan, Integer assymap_uids[]);
	
	//rtgast unique_id ݷ
	public void doPrDenyByGroup(int pr_uid);



	//-------------------- PO(PurchageOrder) ----------------------
//	//ſû  : ׷
//	public List getPurchageRequestList();
//	//ſû ۼ õ ڵ ˻
//	public List getPurchageOrderSelectList(int po_uid, List child_list);

	//ֹ: 
	//public void addPurchageOrder(int po_uid, String po_no,  List assymap_uid_list);// (Ʒ)
	public void addPurchageOrder(int po_uid, String po_no,  Integer[] arrAssymap_uid, int quanUid);
	public Object addPurchageOrderDetail(int po_uid, Double sales_amount, String pay_condition, 
			Date req_delivery_date,	String request_info, String delivery_address_1, Date po_date, String creator);
	//po_uid Ͽ ٿ Status  CR-->POڰ ϱ ٷ 
	public void addTemporaryPurchageOrder(String creator, int po_uid, String po_no,  List assymap_uid_list);
	//ſû (POڰ ϱ ٷ)
	public List getTemporaryPurchageOrderList(int po_uid);
	//ſû (  ȸ)
	public List getSendApprPurchageOrderList(int po_uid);
	//ſû 
	public List getPurchageOrderList(int po_uid);
	//ſû ()
	public void deletePurchageOrderList(int po_uid, String po_no, List assymap_uid_list, int sec);
	//ſû (-º)
	public void changePurchageOrderAssyMap(List assymap_uid_list);
	//Ϸ : ֹȮ(Ʈ ؼ confirmPurchageOrderListInsert )
	public boolean confirmPurchageOrderList(int po_uid, String creator);
	//Ϸ : ֹȮ
	public boolean confirmPurchageOrderListInsert(int po_uid, String creator, List list);/* */
	//public boolean confirmPurchageOrderListInsert(int po_uid, String creator, Integer[] assy_uids, int item_quan);

	//ֹ
	public void editPoCancel(Integer[] rtg_uid, Double[] cn_quan, Double[] po_quan, String dr_id, String dr_info); 
	public void cancelPourchaseOrderLine(Integer cur_user_uid,  String changer, Integer[] assymap_uid_list, Integer item_quan);
	//PO
	public List /*XpoAhd*/ getPoHeadList(String wa_code);
	public List /*XpoAhd*/ getPoHeadListNotGr(String wa_code);
	public List /*XpoAhd*/ getPoHeadListGr(String wa_code);
	public List /*RtgAst*/ getAcList(String wa_code, String s_date, String e_date, String supplier_code, String supplier_name);
	

	
	//Ż
	public void deleteOrderAll(String[] po_uid);	
	
	//-------------------- GR(GoodsReceipt) ------------------------
	//԰Ȯ
	public boolean addGoodsReceiptBatch(int item_quan, Integer assymap_uid[], Double po_quan[], Double gr_quan[], String[] is_close, int gr_user_uid, String gr_userid, String gr_user_name, String wa_code, Integer gr_uid/*dummy*/, String gr_no/*dummy*/,
			String gr_comment, String item_abst);
	public boolean addGoodsReceiptSingle(String gr_comment, String creator, int gr_uid, String gr_no, int gr_user_uid, int gr_sec, int assymap_uid, Double po_quan, Double gr_quan, String is_closed, Date gr_date);
	//԰

	public List getGoodsReceipt(
			String date_type, 
			String s_date, 
			String e_date, 
			String no_type, 
			String s_type_no, 
			String e_type_no, 
			String gr_type, 
			String s_gr_type_no, 
			String e_gr_type_no, 
			String seller_code,
			String wa_name, 
			String dept_code, 
			String division_name,
			String gr_reason,
			String sel_item_code, 
			String var_item_code, 
			String item_name, 
			String po_type,
			String status, 
			String account_name,
			String arap_flag,
			String worker_type, 
			String var_user_name			
	);
	
	//԰Ȳ
	public List /*XpoAst*/getGoodsReceiptGr(
			String mp_status,
			String is_final,
			String date_type, 
			String s_date, 
			String e_date, 
			String no_type, 
			String s_type_no, 
			String e_type_no, 
			String gr_type, 
			String s_gr_type_no, 
			String e_gr_type_no, 
			String seller_code,
			String seller_name,
			String wa_name, 
			String dept_name, 
			String division_name,
			String gr_reason,
			String sel_item_code, 
			String var_item_code,
			String account_code,
			String item_name, 
			String po_type,
			String status, 
			String account_name,
			String arap_flag,
			String worker_type, 
			String po_user_name,
			String gr_user_name,
			String wa_code
	);
	//԰
	public void deleteGoodsReceipt( Integer[] rtg_uid,  String[] lo_is_closed, Double[] li_gr_quan, int item_qty, String content );
	
	//԰Ҹ
	public List getGoodsReceiptCancel(
			String date_type, 
			String s_date, 
			String e_date, 
			String no_type, 
			String s_type_no, 
			String e_type_no, 
			String gr_type, 
			String s_gr_type_no, 
			String e_gr_type_no, 
			String seller_code,
			String wa_name, 
			String dept_code, 
			String division_name,
			String gr_reason,
			String sel_item_code, 
			String var_item_code, 
			String item_name, 
			String po_type,
			String status, 
			String account_name,
			String arap_flag,
			String worker_type, 
			String var_user_name	
	);
	
	//-------------------- Ϸ(PaymentComplete) ------------------
	
	public Double getPurchaseCostByPjCode(String pj_code);
	//Ϸ
	public void addPaymentComplete(Integer item_quan, Integer[] xpoast_uids,
			String txt_name, String txt_content, String item_abst,  String ac_userid, String ac_user_name,
			String wa_code, /*Double ac_sum,*/ Integer coord_key);
	//
	public List getPaymentComplete(int py_uid);
	//
	public void deletePaymentComplete(int py_uid, List assymap_list);
	
	//Ʈŷ
	public List getOrderTrakingList(String date_type, String s_date, String e_date, String no_type, String s_type_no, String e_type_no, String wa_name, String dept_code, String sel_item_code, String var_item_code, 
			String item_name, String rush_order_flag, String gr_complete_flag, String worker_type, String user_name, String status, String seller_code);
	
	public List getPoOrderTrakingList(String date_type, String s_date, String e_date, String no_type, String s_type_no, String e_type_no, String wa_name, String dept_code, String sel_item_code, String var_item_code, 
			String item_name, String rush_order_flag, String gr_complete_flag, String worker_type, String user_name, String status, String seller_code);
	public void RefreshGrQuan(Integer rtgast_uid);
	public void RefreshPoQuan(Integer rtgast_uid);
	
	/*ſû ֹͰ ȳ  
	 * 
	 */
	public void RefreshPrRtgastByPr(Integer pr_uid) ;
	
	public void RefreshAcTotalPrice(String[] doc_type, int quan);
		
}
