package com.rfxsoft.justrfx.business.k_gate;

import com.rfxsoft.justrfx.business.DbInfoManager;
import com.rfxsoft.justrfx.data.ErrHwGrDao;
import com.rfxsoft.justrfx.data.ErrHwPoDao;
import com.rfxsoft.justrfx.data.IhwGrDao;
import com.rfxsoft.justrfx.data.IhwPoDao;
import com.rfxsoft.justrfx.data.ImkOdtDao;
import com.rfxsoft.justrfx.data.ImkRfqDao;
import com.rfxsoft.justrfx.data.OdtAstDao;

public abstract class AbstractDaoBasedGateManager extends DbInfoManager 
	implements GateManager {
	
	protected IhwPoDao   ihwpoDao;
	protected IhwGrDao   ihwgrDao;
	protected ImkOdtDao  imkodtDao;
	protected ImkRfqDao  imkrfqDao;
	protected ErrHwPoDao errhwpoDao;
	protected ErrHwGrDao errhwgrDao;
	protected OdtAstDao  odtastDao;
	
	public IhwGrDao getIhwgrDao() {
		return ihwgrDao;
	}
	public void setIhwgrDao(IhwGrDao ihwgrDao) {
		this.ihwgrDao = ihwgrDao;
	}
	public IhwPoDao getIhwpoDao() {
		return ihwpoDao;
	}
	public void setIhwpoDao(IhwPoDao ihwpoDao) {
		this.ihwpoDao = ihwpoDao;
	}
	public ImkOdtDao getImkodtDao() {
		return imkodtDao;
	}
	public void setImkodtDao(ImkOdtDao imkodtDao) {
		this.imkodtDao = imkodtDao;
	}
	public ImkRfqDao getImkrfqDao() {
		return imkrfqDao;
	}
	public void setImkrfqDao(ImkRfqDao imkrfqDao) {
		this.imkrfqDao = imkrfqDao;
	}
	public ErrHwGrDao getErrhwgrDao() {
		return errhwgrDao;
	}
	public void setErrhwgrDao(ErrHwGrDao errhwgrDao) {
		this.errhwgrDao = errhwgrDao;
	}
	public ErrHwPoDao getErrhwpoDao() {
		return errhwpoDao;
	}
	public void setErrhwpoDao(ErrHwPoDao errhwpoDao) {
		this.errhwpoDao = errhwpoDao;
	}
	public OdtAstDao getOdtastDao() {
		return odtastDao;
	}
	public void setOdtastDao(OdtAstDao odtastDao) {
		this.odtastDao = odtastDao;
	}

}
