package com.rfxsoft.justrfx.data;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.AssyMap;

public interface AssyMapDao {
	
	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public AssyMap getById(int unique_id);

	public List getDynamic(Map condition);
	public Object insert( String creator, AssyMap assymap);
	public Object insert( String creator, AssyMap assymap, Date cteate_date);
	public Integer delete(int unique_id);
	public Integer update(AssyMap assymap);
	//	end-of-baseline

	public List getByParent(int parent);
	public List getPartListByParent(int parent);
	public List getPartListByParentOrderbyCreateDateDesc(int parent);

	public boolean isSon(int parent, int child);

	public Integer delete(int parent, int child);	//Delete flag :'Y'
	public Integer deleteByParent(int parent);	//Delete flag :'Y'
	
	//public Integer deleteByChild(int child); ownerԷʿ
	public Integer deleteByChild(int child, int owner);	//Delete flag :'Y'
	
	public List getCartList(Map cartMap);
	/*
	 *  06.3.17 hyun suk oh
	 *  īƮ 
	 */
	public List getCartDetail(Integer unique_id);
	
	public Integer setChildQaun(int child_quan, int unique_id);
}
