package com.rfxsoft.justrfx.data;

import java.util.Date;
import java.util.List;
import java.util.Map;


import com.rfxsoft.justrfx.domain.Audit;


public interface AuditDao {
	
	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public Audit getById(int unique_id);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Object insert( String creator, Audit audit);
	public Integer update(Audit audit);
	//	end-of-baseline
	
	public void purge(Date oldestDate);
}