package com.rfxsoft.justrfx.data;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.ComBst;

/**
 * @author k1park
 *
 */
public interface ComBstDao {

	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert(String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public ComBst getById(int unique_id);
	public List getDynamic(Map condition);
	public List getSelectcond(String tableName, Map condition, int start, int record_quan, String order_by);
	public Integer delete(int unique_id);
	public Object insert(String creator, ComBst combst);
	public Integer update(ComBst combst);
	//	end-of-baseline

	public ComBst getByCode(String company_code);//
	public ComBst getCondComBst(Map condition);
	public Integer delete(String wa_code);	//Delete flag :'Y'
	public List getByWaNm(String companycode);

}
