package com.rfxsoft.justrfx.data;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.DatabaseType;


public interface JrfxBaselineDao {
	public List select_all(String tableName);//start=1, record_quan=100, is_asc=false
	public List select_all(String tableName, int start, int record_quan, String order_by, boolean is_asc);
	public List select_cond(String tableName, Map condition);//start=1, record_quan=100, is_asc=false
	public List select_cond(String tableName, Map condition, int start, int record_quan, String order_by);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert(String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	public DatabaseType getDbTypeEnum();
}
