package com.rfxsoft.justrfx.data;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.SrcAhd;

/**
 * @author k1park
 *縶
 */
public interface SrcAhdDao {
	
	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public SrcAhd getById(int unique_id);
	public List getDetail(Map condition);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Object insert( String creator, SrcAhd object);
	public Integer update(SrcAhd object);
	public List getSelectcond(String tableName, Map condition, int start, int record_quan, String order_by);
	//	end-of-baseline
	
	public List getAll(Map limit);
	public List getByName(String item_name);
	public List getBySpec(String item_name);
	public boolean isRegisterd(String item_code);
	public boolean isRegisterdSpec(String specification);
	public int getUniqueByCode(String item_code);
	
	//ڽ  ϳ 
	public void setChildQaunPlPl(int unique_id);
	//	ڽ  ϳ 
	public void setChildQaunMiMi(int unique_id);
	//PL ۷  ϳ 
	public void setRefQaunPlPl(int unique_id) ;
	//	PL ۷  ϳ
	public void setRefQaunMiMi(int unique_id) ;
	
	public int getChildQaun(int unique_id);
	public Integer setChildQaun(int child_quan, int unique_id);
	public Integer delete(String item_code);	//Delete flag :'Y'
	
}
