package com.rfxsoft.justrfx.data;
import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.UsrAst;

public interface UsrAstDao {
	
	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public UsrAst getById(int unique_id);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Object insert( String creator, UsrAst object);
	public Integer update(UsrAst object);
	//	end-of-baseline
	
	public UsrAst getByUsernameAndPassword(String username, String password);
	public List getDynamic(UsrAst condition);
	public List getByIdMail(String user_id);
	
	public boolean isRegisterdMail(String mail);
	public boolean isRegisterdUserId(String user_id);
	
	public Integer updatePassword(int unique_id, String new_password);
	public Integer updateEMail(int unique_id, String new_email);
	public Integer delete(String user_id);	//Delete flag :'Y'
	public Integer restore(int unique_id);	//Delete flag :'N'' 
	public Integer deleteConfirm(int unique_id);	//¥ .
	
	public Integer checkLogin(Integer user_uid, String ip, Date login_date);
	public Integer checkLogout(Integer user_uid, Date logout_date);
	public void		clearLoginFlag();
}
