package com.rfxsoft.justrfx.data.ibatis;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.AssignDao;
import com.rfxsoft.justrfx.domain.Assign;


public class SqlMapClientAssignDao extends BaseLineSqlMapClientDao implements
		AssignDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientAssignDao() {		super("assign");	}
	public List getAll() {		return this.select_all();	}
	public Assign getById(int unique_id) {		return (Assign)this.select_uid(unique_id);	}
	public Object insert( String creator, Assign object) {		return this.insert_object(creator, object);	}
	public Integer update(Assign assign) {	return	this.update_object(assign);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------


	public List getByUserId(String receive_id) {
		return getSqlMapClientTemplate().queryForList("getAssignsByReceiverId", receive_id);
	}

	public boolean isPowered(String project_code, String receive_id) {

		Map<String, String> params = new HashMap<String, String>();
		params.put("pj_code", project_code);
		params.put("receiver_id", receive_id);
		
		Assign assign = null;
		assign = (Assign)getSqlMapClientTemplate().queryForObject("getAssignsByReceiverId",	params);
		if(assign==null) {
			return false;
		}
		else {
			return true;
		}
		
	}

	public Integer delete(String project_code, String receive_id) {
		Map<String, String> params = new HashMap<String, String>();
		params.put("pj_code", project_code);
		params.put("receiver_id", receive_id);
		
		return getSqlMapClientTemplate().update("deleteAssignByReceiverProject", params);
	}


}
