package com.rfxsoft.justrfx.data.ibatis;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.AssyMapDao;

import com.rfxsoft.justrfx.domain.AssyMap;
import com.rfxsoft.justrfx.domain.SrcAhd;


/**
 * @author k1park
 *
 */
public class SqlMapClientAssyMapDao extends BaseLineSqlMapClientDao implements
		AssyMapDao {


	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientAssyMapDao() {		super("assymap");	}
	public List getAll() {		return this.select_all();	}
	public AssyMap getById(int unique_id) {		return (AssyMap)this.select_uid(unique_id);	}
	public Object insert( String creator, AssyMap object) {		return this.insert_object(creator, object);	}
	public Integer update(AssyMap assymap) {	return	this.update_object(assymap);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	
	public Object insert( String creator, AssyMap assymap, Date cteate_date) {
		assymap.setCreator(creator);
		assymap.setCreate_date(cteate_date);

		return getSqlMapClientTemplate().insert("insert-assymap", assymap);
	}
	public List getPartListByParent(int parent) {
		return getSqlMapClientTemplate().queryForList("getPartlistByParent", new Integer(parent));
	}
	public List getPartListByParentOrderbyCreateDateDesc(int parent) {
		return getSqlMapClientTemplate().queryForList("getPartlistByParentOrderByCreateDateDesc", new Integer(parent));		
	}

	public List getByParent(int parent) {
		return getSqlMapClientTemplate().queryForList("getAssyMapsByParent", new Integer(parent));

	}

	public boolean isSon(int parent, int child) {
		
		Map<String, Integer> params = new HashMap<String, Integer>();
		params.put("parent", new Integer(parent) );
		params.put("child", new Integer(child) );
		
		AssyMap assymap = null;
		assymap = (AssyMap)getSqlMapClientTemplate().queryForObject("selectcond-assymap",	params);
		if(assymap==null) {
			return false;
		}
		else {
			return true;
		}
		
	}

	public Integer delete(int parent, int child) {
		Map<String, Integer> params = new HashMap<String, Integer>();
		params.put("parent", new Integer(parent) );
		params.put("child", new Integer(child) );
		
		return getSqlMapClientTemplate().update("deleteAssyMapByParentChild", params);

	}

	public Integer deleteByParent(int parent) {

		return getSqlMapClientTemplate().update("deleteAssyMapByParent", new Integer(parent));
		
	}

	public Integer deleteByChild(int child, int owner) {
		Map<String, Integer> params = new HashMap<String, Integer>();
		params.put("child", new Integer(child) );
		params.put("pr_user_uid", new Integer(owner) );

		return getSqlMapClientTemplate().update("delete-assymap", child);

	}
	
	/*
	public Integer deleteByChild(int child) {
		deleteByChild(child, SessionSecurityManager.getThis_useruid());
	}
	*/

	
	public List getCartList(Map cartMap)
	{
		return getSqlMapClientTemplate().queryForList("getCartGroupList",cartMap);
	}
	
	public List getCartDetail(Integer unique_id)
	{
		return getSqlMapClientTemplate().queryForList("getCartList",unique_id);
	}
	

	public Integer setChildQaun(int child_quan, int unique_id) {
		AssyMap assymap = getById(unique_id);
		if(assymap==null)
			return -1;
		Integer cur_child_quan = assymap.getChild_quan();
		if(cur_child_quan!=child_quan)
		{
			assymap.setChild_quan(child_quan);
			this.update(assymap);
		}
		return child_quan;
	}
}
