package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.ClaAstDao;
import com.rfxsoft.justrfx.domain.ClaAst;

public class SqlMapClientClaAstDao extends BaseLineSqlMapClientDao implements
		ClaAstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientClaAstDao() {		super("claast");	}
	public List getAll() {		return this.select_all();	}
	public ClaAst getById(int unique_id) {		return (ClaAst)this.select_uid(unique_id);	}
	public Object insert(String creator, ClaAst object) {		return this.insert_object(creator, object);	}
	public Integer update( ClaAst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	


	public ClaAst getByCode(String code) {
		return (ClaAst)getSqlMapClientTemplate().queryForObject(
				"getClaAstByCode",	code);
	}

	public Integer delete(String code) {
		return getSqlMapClientTemplate().update("deleteClaAst", code);
	}


}
