package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.ComAstDao;

import com.rfxsoft.justrfx.domain.ComAst;

public class SqlMapClientComAstDao extends BaseLineSqlMapClientDao implements
		ComAstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientComAstDao() {		super("comast");	}
	public List getAll() {		return this.select_all();	}
	public ComAst getById(int unique_id) {		return (ComAst)this.select_uid(unique_id);	}
	public Object insert( String creator, ComAst object) {		return this.insert_object(creator, object);	}
	public Integer update(ComAst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	


	public ComAst getByCode(String company_code) { 
		return (ComAst)getSqlMapClientTemplate().queryForObject(
				"getComAstByCode",	company_code);
	}

	public Integer delete(String company_code) {
		return getSqlMapClientTemplate().update("deleteComAstByCode", company_code);

	}

}
