package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;


import com.rfxsoft.justrfx.data.ComCstDao;

import com.rfxsoft.justrfx.domain.ComCst;

public class SqlMapClientComCstDao extends BaseLineSqlMapClientDao implements
		ComCstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * 
	 */
	public SqlMapClientComCstDao() {		super("comcst");	}
	public List getAll() {		return this.select_all();	}
	public ComCst getById(int unique_id) {		return (ComCst)this.select_uid(unique_id);	}
	public Object insert( String creator, ComCst object) {		return this.insert_object(creator, object);	}
	public Integer update(ComCst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	


	public ComCst getByCode(String division_code) { 
		return (ComCst)getSqlMapClientTemplate().queryForObject(
				"getComCstByCode",	division_code);
	}

	public Integer delete(String division_code) {
		return getSqlMapClientTemplate().update("deleteComCstByCode", division_code);

	}
	
	public List getByWaNm(String company_code)
	{
		return getSqlMapClientTemplate().queryForList("getComCstByCode", company_code);
	}
	
	public List getByDiNm(Map condition)
	{
		return getSqlMapClientTemplate().queryForList("getComcstByCode", condition);
	}

}
