package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;


import com.rfxsoft.justrfx.data.ComDstDao;
import com.rfxsoft.justrfx.domain.ComDst;


public class SqlMapClientComDstDao extends BaseLineSqlMapClientDao implements
		ComDstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientComDstDao() {		super("comdst");	}
	public List getAll() {		return this.select_all();	}
	public ComDst getById(int unique_id) {		return (ComDst)this.select_uid(unique_id);	}
	public Object insert( String creator, ComDst object) {		return this.insert_object(creator, object);	}
	public Integer update(ComDst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	
	
	public int getUniqueByCode(String code) {
		ComDst comdst = null;
		comdst = (ComDst)getSqlMapClientTemplate().queryForObject("getComDstByDeptCode",	code);
		if(comdst==null) {
			return -1;
		}
		else {
			return comdst.getUnique_id();
		}
	}
	
	public int getUniqueByCode(Map condition) {
		ComDst comdst = null;
		comdst = (ComDst)getSqlMapClientTemplate().queryForObject("getComDstByDeptCodeMap",	condition);
		if(comdst==null) {
			return -1;
		}
		else {
			return comdst.getUnique_id();
		}
	}
	
	public List getByName(String dept_name) {

		return getSqlMapClientTemplate().queryForList("getComDstsByName", dept_name);

	}
	
	public List getByDeptNm(Map condition)
	{
		return getSqlMapClientTemplate().queryForList("getComDstsByCode", condition);
	}
	
	public List getByBudgetDeptNm(String company_code)
	{
		return getSqlMapClientTemplate().queryForList("getByBudgetDeptNm", company_code);
	}

	public boolean isRegisterd(String dept_code) {

		ComDst comdst = null;
		comdst = (ComDst)getSqlMapClientTemplate().queryForObject("getComDstByDeptCode",	dept_code);
		if(comdst==null) {
			return false;
		}
		else {
			return true;
		}
	}
	
	public boolean isRegisterdName(String dept_name) {

		ComDst comdst = null;
		comdst = (ComDst)getSqlMapClientTemplate().queryForObject("getComDstByDeptName",	dept_name);
		if(comdst==null) {
			return false;
		}
		else {
			return true;
		}	
	}

	public Integer delete(String dept_code) {
		return getSqlMapClientTemplate().update("deleteComDstByDeptCode", dept_code);

	}
}
