package com.rfxsoft.justrfx.data.ibatis;

import com.rfxsoft.justrfx.data.ComInfoDao;
import com.rfxsoft.justrfx.domain.ComInfo;

public class SqlMapClientComInfoDao extends BaseLineSqlMapClientDao implements
		ComInfoDao {

	public String GetEnv(String wa_code, String name) {
		
		ComInfo condition = new ComInfo();
		
		condition.setWa_code(wa_code);
		condition.setVar_name(name);
		
		ComInfo info = (ComInfo)getSqlMapClientTemplate().queryForObject(
				"getCominfoByName",	condition);
		if(info==null)
			return "";
		return info.getVar_value();
	}

	public void SetEnv(String com_id, String name, String value) {
		
		ComInfo new_val = new ComInfo();
		
		new_val.setWa_code(com_id);
		new_val.setVar_name(name);
		new_val.setVar_value(value);
		
		ComInfo info = (ComInfo)getSqlMapClientTemplate().queryForObject(
				"getCominfoByName",	new_val);
		if(info==null) { //insert
			getSqlMapClientTemplate().insert("insert-cominfo", new_val);
		}
		else {//update
			getSqlMapClientTemplate().update("updateCominfo", new_val);
		}

	}
	
	public void ClearEnv(String var_name, String var_value) {
		ComInfo new_val = new ComInfo();
		
		new_val.setVar_name(var_name);
		new_val.setVar_value(var_value);
		
		getSqlMapClientTemplate().update("clearComValue", new_val);

	}

}
