package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.CtrAstDao;
import com.rfxsoft.justrfx.domain.CtrAst;

public class SqlMapClientCtrAstDao extends BaseLineSqlMapClientDao implements
		CtrAstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientCtrAstDao() {		super("ctrast");	}
	public List getAll() {		return this.select_all();	}
	public CtrAst getById(int unique_id) {		return (CtrAst)this.select_uid(unique_id);	}
	public Object insert(String creator, CtrAst object) {		return this.insert_object(creator, object);	}
	public Integer update(CtrAst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	

	public CtrAst getByCtrNo(String ctr_no) {
		return (CtrAst)getSqlMapClientTemplate().queryForObject(
				"getCtrAstByCode",	ctr_no);
	}


	public Integer delete(String ctr_no) {
		return getSqlMapClientTemplate().update("deleteCtrAstByCode", ctr_no);

	}


}
