package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;


import com.rfxsoft.justrfx.data.ProjectDao;

import com.rfxsoft.justrfx.domain.Project;

public class SqlMapClientProjectDao extends BaseLineSqlMapClientDao implements
		ProjectDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientProjectDao() {		super("project");	}
	public List getAll() {		return this.select_all();	}
	public Project getById(int unique_id) {		return (Project)this.select_uid(unique_id);	}
	public Object insert( String creator, Project object) {		return this.insert_object(creator, object);	}
	public Integer update(Project object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	
	public Integer complish(int unique_id) {
		return getSqlMapClientTemplate().update("complish-project-byuid", new Integer(unique_id) );
	}

	public Project getByCode(String code) {
		return (Project)getSqlMapClientTemplate().queryForObject(
				"getProjectByCode",	code);
	}


	public Integer delete(String code) {
		return getSqlMapClientTemplate().update("deleteProjectByCode", code);

	}
	
	public Integer updatePrchAmount(Map condition) {
		return getSqlMapClientTemplate().update("update-project-prch-amount", condition);

	}
	
	public void updateCondByUid(Map map) {
		getSqlMapClientTemplate().update("update-project-cond", map);
		
	}


}
