package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.RfqAstDao;

import com.rfxsoft.justrfx.domain.RfqAst;

public class SqlMapClientRfqAstDao extends BaseLineSqlMapClientDao implements
		RfqAstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientRfqAstDao() {		super("rfqast");	}
	public List getAll() {		return this.select_all();	}
	public RfqAst getById(int unique_id) {		return (RfqAst)this.select_uid(unique_id);	}

	//XPOAST, RFQAST assymap  uid Ƿ insert 翩θ üũϿѴ.
	// ߻ ϱ .
	public Object insert( String creator, RfqAst object) {
		
		RfqAst inserted = (RfqAst)this.select_uid(object.getUnique_id());
		Object result = null;
		if(inserted==null) {
			result = this.insert_object(creator, object);
		}
		else {
			result = this.update_object(object);
		}
		return result;
	
	}
	public Integer update(RfqAst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	

	public RfqAst getByCode(String code) {
		return (RfqAst)getSqlMapClientTemplate().queryForObject(
				"getRfqAstByCode",	code);
	}

	public Integer delete(String code) {
		return getSqlMapClientTemplate().update("deleteRfqAstByCode", code);
	}


}
