package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.ZipCodeDao;
import com.rfxsoft.justrfx.domain.ZipCode;

public class SqlMapClientZipCodeDao extends BaseLineSqlMapClientDao implements
		ZipCodeDao {

	
	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientZipCodeDao() {		super("zipcode");	}
	public List getAll() {		return this.select_all();	}
	public ZipCode getById(int unique_id) {		return (ZipCode)this.select_uid(unique_id);	}
	public Object insert( String creator, ZipCode object) {		return this.insert_object(creator, object);	}
	public Integer update(ZipCode object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	

	public List getDongList() {
		return getSqlMapClientTemplate().queryForList("getDongLists", null);
	}

	public ZipCode getZipByCode(String code) {
		return (ZipCode)getSqlMapClientTemplate().queryForObject(
				"getZipCodeByCode",	code);
	}
	
	public List getZipListByDong(String dong) {
		return getSqlMapClientTemplate().queryForList("getZipListByDong", dong);
	}

}
