
package com.rfxsoft.justrfx;


import java.util.Calendar;

import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import java.util.TimeZone;



import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.context.support.FileSystemXmlApplicationContext;
import org.springframework.mail.javamail.JavaMailSender;

import com.rfxsoft.justrfx.business.f_admn.DefaultAdmnManager;
import com.rfxsoft.justrfx.data.ProjectDao;
import com.rfxsoft.justrfx.data.TableInfoDao;
import com.rfxsoft.justrfx.data.UsrAstDao;

import com.rfxsoft.justrfx.domain.DomainTest;
import com.rfxsoft.justrfx.domain.Project;
import com.rfxsoft.justrfx.domain.UsrAst;
import com.rfxsoft.justrfx.mail.VelocityMimeMessagePreparator;


/* 
Key Description of Associated Value 
java.version Java Runtime Environment version 
java.vendor Java Runtime Environment vendor 
java.vendor.url Java vendor URL 
java.home Java installation directory 
java.vm.specification.version Java Virtual Machine specification version 
java.vm.specification.vendor Java Virtual Machine specification vendor 
java.vm.specification.name Java Virtual Machine specification name 
java.vm.version Java Virtual Machine implementation version 
java.vm.vendor Java Virtual Machine implementation vendor 
java.vm.name Java Virtual Machine implementation name 
java.specification.version Java Runtime Environment specification version 
java.specification.vendor Java Runtime Environment specification vendor 
java.specification.name Java Runtime Environment specification name 
java.class.version Java class format version number 
java.class.path Java class path 
java.library.path List of paths to search when loading libraries 
java.io.tmpdir Default temp file path 
java.compiler Name of JIT compiler to use 
java.ext.dirs Path of extension directory or directories 

os.name Operating system name 
os.arch Operating system architecture 
os.version Operating system version 
file.separator File separator ("/" on UNIX) 
path.separator Path separator (":" on UNIX) 
line.separator Line separator ("\n" on UNIX) 
user.name User's account name 
user.home User's home directory 
user.dir User's current working directory 
*/ 



/*
 * Test
 */
public class dbMain {
	
	private ApplicationContext context;
	

	public static void SystemInfo() { 
		System.out.println("Operating system name : "+System.getProperty("os.name")); 
		System.out.println("Operating system architecture : "+System.getProperty("os.arch")); 
		System.out.println("Operating system version : "+System.getProperty("os.version")); 
		System.out.println("File separator (\"/\" on UNIX) : "+System.getProperty("file.separator")); 
		System.out.println("Path separator (\":\" on UNIX) : "+System.getProperty("path.separator")); 
		System.out.println("Line separator (\"n\" on UNIX) : "+System.getProperty("line.separator")); 
		System.out.println("User's account name : "+System.getProperty("user.name")); 
		System.out.println("User's home directory : "+System.getProperty("user.home")); 
		System.out.println("User's current working directory : "+System.getProperty("user.dir")); 
		} 
	
	@SuppressWarnings("unused")
	private static Map CompressArrayList(String owner_str,  String role_str, Map<String, String> role_map) {
		if(owner_str==null || role_str==null)
			return null;
		
		Map<String, Integer> map = new HashMap<String, Integer>();

		String[] ownerArr       = owner_str.split(",");  	// ///뺸  
		String[] tempArrRole        = role_str.split(",");   	// ///뺸 а

		int j=0;
		for(int i=0 ; i< ownerArr.length; i++)
		{
			if(map.containsKey(ownerArr[i]) ==false ) {
				map.put(ownerArr[i], new Integer(j));
				role_map.put(ownerArr[i], tempArrRole[i]);
				j++;
			}
		}
		
		if(ownerArr.length != tempArrRole.length)
			return null;
		
		return map;
		
		
	}
	
	
	int copyArrStr2Str(String[] from, String[] to) {
		
		if(from==null)
			return -1;
		
		for(int i=0; i<from.length; i++) {
			//to[i] = new String(from[i]);
			to[i] = from[i] ;
		}
		
		return from.length;
	}
	
	int copyArrStr2Int(String[] from, Integer[] to) {
		
		if(from==null)
			return -1;
		
		for(int i=0; i<from.length; i++) {
			to[i] = Integer.parseInt(from[i] );
		}
		
		return from.length;
	}
	
	public static void main(String[] args) {	
		
		VelocityRunner();
		/*
		String owner_str = "100,200,300,300,500";
		String role_str = "W,D,F,F,G";

		String[] ownerArr = new String[100];
		String[] roleArr = new String[100];
		
		Map role_map = new HashMap();
		Map cmpressed  = CompressArrayList(owner_str, role_str, role_map);
		
		if(cmpressed==null)
			return;

        Set set = cmpressed.keySet();
        Object []UserUids = set.toArray();
        int i = 0;
        for(; i < UserUids.length; i++)
        {
			String strUserUid = (String)UserUids[i];
			Integer strUserRole= (Integer)cmpressed.get(strUserUid);
			ownerArr[strUserRole] = new String(strUserUid );
			roleArr[strUserRole] = new String((String)role_map.get(strUserUid) );
        }
        
        int quan_of_val = i;
        for(int j=0; j<quan_of_val; j++) {
        	System.out.println(ownerArr[j] + "-" + roleArr[j]);
        }
        */
//		copyArrStr2Int(ownerArr, intArrOwner);
//		copyArrStr2Str(tempArrRole, strArrRole);

		
		//caller();
		
		//XmlTest();
		
		//FileReader file_reader;
		
		//SystemInfo();
		
		
		//TestProject();
		//TestAdminManager();
		//TestDomainClass();
		
		//TestTableInfo();
//		
//		String strMenu = "c01-edit,c01-edit";
//		strMenu.matches()
//		
//        String[] splited = new String[2]; //迭 
//
//        splited = strMenu.split("[,]", 2); //ɰ ֱ
//        System.out.println(splited[0]); //ɰ  
//        System.out.println(splited[1]); //ɰ  
		
	}
	
	@SuppressWarnings("unused")
	private static void XmlTest() {
		System.out.println("Initializing application");
		ApplicationContext context = new FileSystemXmlApplicationContext(
			new String[] {
						"company-information.xml",
						"applicationContext.xml",
						"menuContext.xml",
						"envContext.xml"
						}
		);
		
//		ibatisXmlDebug debber = new ibatisXmlDebug(DataMapPolicy.SELECTALL, "USRAST");
//		List list = getOutputListType();
		
		
		//Map params = new HashMap();
		//params.put("Na					me", "new%" );
		//params.put("Dept", "DFGH" );
		//IbatisXmlDebug debber = new IbatisXmlDebug(SELECTCOND, "USRAST", params);
		//UsrAst usrAst = (UsrAst)getOutputListType();
		
		
		//2. Ͽ ִ Policy ̵
		//3. ǲ
		//--> ƿǲ
	
		

	
		UsrAstDao usersDao = (UsrAstDao)context.getBean("usrAstDao");
		
		System.out.println("ü");
		List users = usersDao.getAll();
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst user = (UsrAst)i.next();
			System.out.println(user);
		}
		

	}
	

	@SuppressWarnings("unused")
	private static void TestDomainClass() {
		DomainTest test = new DomainTest();
		System.out.println(test);
		test.setTest_name("added");
		test.setUnique_id(888);
		System.out.println(test);
		
	}
	
	@SuppressWarnings("unused")
	private static void TestProject() {
		ApplicationContext thiscontext =
			new ClassPathXmlApplicationContext(System.getProperty("user.dir") + "\\..\\justrfx-web\\WebContent\\WEB-INF\\applicationContext.xml");
		
		ProjectDao projectDao = (ProjectDao)thiscontext.getBean("projectDao");
	
		Project project = new Project();
		project.setPj_code("42344");
		projectDao.insert("root", project);
	}
	
	
	@SuppressWarnings("unused")
	private static void TestAdminManager() {
		System.out.println("Initializing application");
		
		ApplicationContext context = new FileSystemXmlApplicationContext(
				new String[] {
						"company-information.xml",
						"applicationContext.xml",
						"menuContext.xml",
						"envContext.xml"
						}
		);
		

		System.out.println("Class Loader");
		DefaultAdmnManager adminMgr = (DefaultAdmnManager)context.getBean("adminManager");
		
		System.out.println(" Ȯ");

		
		List users = adminMgr.getAllUsers();
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst user = (UsrAst)i.next();
			System.out.println(user);
		}
		
		System.out.println("  Ȯ");
//		Map params = new HashMap();
//		params.put("Name", "new%" );
//		params.put("Dept", "DFGH" );
//		users = adminMgr.getUsersDynamic(params);
	
		UsrAst condition = new UsrAst();
		condition.setUser_id("%new%");
				
		users = adminMgr.getUsersDynamic(condition);
		
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst user = (UsrAst)i.next();
			System.out.println(user);
		}
		
		String my_user = "new_user11";
		String my_status = "GENERAL";
		String my_email = "vsfsfsdf1@ffwfwfw.com";
		
		boolean is_allowed = 	adminMgr.checkTempUser( my_user, my_status, my_email);
		
		if(is_allowed == true) {
			System.out.println("ӽû ߰");
			adminMgr.addTempUser("root", my_user, my_status, my_email);
		}
		else
			System.out.println("߰  .");
		
		String addReason = adminMgr.checkReason();
		
		if( addReason != null)
			System.out.println(addReason);
		
		System.out.println("μ Ȯ");
		
		String dept_code = "rwerr1";
		String dept_name = "濵1";

		is_allowed = 	adminMgr.checkDept(dept_code, dept_name);
		if(is_allowed == true) {
			System.out.println("μ ߰");
			adminMgr.addDept("root", dept_code, dept_name, 0);
		}
		else
			System.out.println("߰  .");

		addReason = adminMgr.checkReason();
		if( addReason != null)
			System.out.println(addReason);
	}
	
	
	
	
	@SuppressWarnings("unused")
	private static void TestTableInfo() {
		System.out.println("Initializing project application");
		System.out.println("User's current working directory : "+System.getProperty("user.dir")); 

		String AppPath = System.getProperty("user.dir") + "\\WebContent\\WEB-INF\\applicationContext.xml";
		System.out.println("App XML File : " + AppPath); 
		
		ApplicationContext thiscontext = new FileSystemXmlApplicationContext(
				new String[] {
						"WebContent/WEB-INF/company-information.xml",
						"WebContent/WEB-INF/applicationContext.xml",
						"WebContent/WEB-INF/menuContext.xml",
						"WebContent/WEB-INF/envContext.xml"
						}
		);
		
		TableInfoDao tableInfoDao = (TableInfoDao)thiscontext.getBean("tableInfoDao");

		int count = tableInfoDao.getCountSrcAhd();
		System.out.println(count);
		//	
//		Project project = new Project();
//		project.setPj_code("42344");
//		projectDao.insert(project);
//		
//		project = new Project();
//		project.setPj_code("fgrt");
//		projectDao.insert(project);
//		
//		List projects =projectDao.getAll();
//		for(Iterator i=projects.iterator(); i.hasNext();) {
//			Project test = (Project)i.next();
//			System.out.println(test);
//		}
		
	}
	
	
	
	public  static void TestSomething() {
		Calendar rightNow = Calendar.getInstance();
		TimeZone tz = rightNow.getTimeZone();
		String sTz = tz.getID();
//		
		Integer iTz =  rightNow.get(Calendar.ZONE_OFFSET) + rightNow.get(Calendar.DST_OFFSET) ;
		
		iTz = iTz / 3600000;
//		String sTg = "GMT " + iTz;
//		
//		iTz = (-1)*iTz / 60;
//		
//		String sTg = iTz.toString();
		
		System.out.println(sTz);
		
		
		//SystemInfo();
		//VelocityRunner();
		
//		//  ׽Ʈ
//		
//		try {
//			   try {
//				MailUtil.sendMail("smtp.samsung.com",25, "[]334","keionepark@paran.com","k1park@imk.samsung.com ", "ûϽ  ϴ.");
//			} catch (AddressException e) {
//				// TODO Auto-generated catch block
//				e.printStackTrace();
//			} catch (MessagingException e) {
//				// TODO Auto-generated catch block
//				e.printStackTrace();
//			}
//			  } catch (UnsupportedEncodingException e) {
//			   new MessagingException(e.toString());
//			  }
//	
//		PdfCreateTest pdf_test = new PdfCreateTest();
//	
//		pdf_test.Main();
		
		//new dbMain()TestUsers();		
	}
	
	
	
	
	public  static void VelocityRunner() {
		ApplicationContext ctx = new FileSystemXmlApplicationContext(
				new String[] { "WebContent/WEB-INF/velocity.xml",	"WebContent/WEB-INF/javaMailSender.xml" });

		JavaMailSender sender = (JavaMailSender) ctx.getBean("sender");
		VelocityMimeMessagePreparator preparator = (VelocityMimeMessagePreparator) ctx
				.getBean("preparator");

		Map<String, String> data = new HashMap<String, String>();
		data.put("msg", "Velocity Mail TestԴϴ.");

		preparator.setData(data);

		sender.send(preparator);
	}

	
	
	@SuppressWarnings("unused")
	private void TestUsers() {
		System.out.println("Initializing application");
		context = new ClassPathXmlApplicationContext("applicationContext.xml");
		
		UsrAstDao usersDao = (UsrAstDao)context.getBean("usrAstDao");
	
		Map<String, String> params = new HashMap<String, String>();
		params.put("Name", "%" );
		params.put("Dept", "AAA" );
		//params.put("Position", "B" );
		
		List users =usersDao.getDynamic(params);
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst test = (UsrAst)i.next();
			System.out.println(test);
		}
		
	}
	
	
	@SuppressWarnings("unused")
	private void ArgTest() {
		System.out.println("Initializing application");
		context = new ClassPathXmlApplicationContext("applicationContext.xml");

		UsrAstDao usersDao = (UsrAstDao)context.getBean("usrAstDao");
		
		System.out.println("ü");
		List users = usersDao.getAll();
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst user = (UsrAst)i.next();
			System.out.println(user);
		}
		
		System.out.println(" Class");
		UsrAst condition = new UsrAst();
		condition.setUser_id("new_user11");
		users = usersDao.getDynamic(condition);
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst user = (UsrAst)i.next();
			System.out.println(user);
		}
		
		System.out.println(" Map");
		Map<String, String> params = new HashMap<String, String>();
		params.put("aaa", "%" );
		users = usersDao.getDynamic(params);
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst user = (UsrAst)i.next();
			System.out.println(user);
		}
		
		
		
		
		System.out.println("--");
	}


	@SuppressWarnings("unused")
	private void run() {
		System.out.println("Initializing application");
		context = new ClassPathXmlApplicationContext("applicationContext.xml");

		UsrAstDao usersDao = (UsrAstDao)context.getBean("usrAstDao");
		
		List users = usersDao.getAll();
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst user = (UsrAst)i.next();
			System.out.println(user);
		}
				
//		UsrAst usrast1 = usersDao.getById(1);
//		System.out.println("unique_id=1:"+usrast1);
//		
//		System.out.println("Updating Password....");
//
//		usersDao.updatePassword(1, "$samsung");
//		usrast1 = usersDao.getById(1);
//		System.out.println("unique_id=1:"+usrast1);
		
		
		UsrAst temp = new UsrAst();
		temp.SetDefault();//ʱȭѴ.
		//System.out.println("temp UsrAst: "+temp);
		
		//temp.setUser_id("imne2fw21");
		//temp.setPassword("dgdfgdfgd");
		//temp.setEmail("kwpdda2r2k1@imarket.com");
		
		if(	usersDao.insert("root", temp) != null)
			System.out.println("insert: succed");
		else
			System.out.println("insert: failed");
			

		users = usersDao.getAll();
		for(Iterator i=users.iterator(); i.hasNext();) {
			UsrAst user = (UsrAst)i.next();
			System.out.println(user);
		}
	}

	
	@SuppressWarnings("unused")
	private static void caller() {
		
		StringBuffer sb = new StringBuffer(256);
		String strRtg_type= "-----------------------------------------";
		char[]in = strRtg_type.toCharArray();
		
		System.out.println("before: " + sb );
		
		int len = calle(in);
		sb.append(in, 0, len);
		
		System.out.println("after: " + sb.toString());
		
		String[] arrStr = new String[1];
		calle_str( arrStr);
		
		System.out.println("after: " + arrStr[0]);
		
	}
	private static int calle( char[] rtg_type) {
		String from = "form_s";
		int len = from.length();
		//rtg_type = from.toCharArray().clone();
		System.arraycopy(from.toCharArray(), 0, rtg_type, 0, len);
		
		return len;
	}
	private static void calle_str( String[] rtg_type) {
		String from = "form_s";
		rtg_type[0] = from;

	}

}
