package com.rfxsoft.justrfx.domain;

import java.util.Date;

/**
 * @author k1park
 *Assembly Relation Mapper
 */
public class AssyMap extends JrfxSuperDomain {
	private String del_info_flag;
	private String is_closed;
	private String is_new;
	private String req_flag;
	private String rush_order_flag;
	private Double bm_quan;
	private Double gr_quan;
	private Double mquan;
	private Double pr_quan;
	private Double quan;
	private Double rc_quan;
	private Integer ac_uid;
	private Integer child;
	private Integer gr_sec;
	private Integer gr_uid;
	private Integer gr_user_uid;
	private Integer parent;
	private Integer po_sec;
	private Integer po_uid;
	private Integer po_user_uid;
	private Integer pr_uid;
	private Integer pr_user_uid;
	private Integer rc_uid;
	private Integer rcvr_uid;
	private Integer rr_uid;
	private Integer tr_uid;
	private Integer ct_uid;
	private Integer rf_uid;
	private Date change_date;
	private Date recv_date;
	private Date req_date;
	private String buyer_item_code;
	private String changer;
	private String delivery_info;
	private String gr_no;
	private String item_code;
	private String pl_no;
	private String po_no;
	private String rcvr_name;
	private String req_info;
	private String sp_code;
	private String status;
	private Double sales_price;
	private Double source_price;

	private String origin;
	
	private Integer child_quan;
	private Integer disp_order;//assylevel 
	private Integer coord_key1;
	private Integer coord_key2;
	private Integer coord_key3;

	
	//item uid Ʈ (: '1111, 4444, 6666')
	private String	item_uid_list; //SQL update ó   update, select . insert Ұ

//	//parent 縶Ϳ  īƮ  user_uid ȴ.
//	//̶ PR  where prev_user_uid child Ͽ ..
//	private int		prev_user_uid; //SQL update ó   update, select . insert Ұ
	
	//where in (....) ˻ϱ  .
	public AssyMap( String item_uid_list) {
		this.item_uid_list = item_uid_list;
	}
	public AssyMap() {
		super();		// JrfxSuperDomain Ʈ  ϹǷ ҷ Ѵ.
		this.is_new = "N";
		this.rush_order_flag = "N";
		this.del_info_flag = "N";
		this.req_flag = "N";
		
		this.parent = -1;
		this.child = -1;
		
		this.quan = 0.0;
		this.mquan = 0.0;
		this.bm_quan = 0.0;
		this.pr_quan = 0.0;
		this.gr_quan = 0.0;
		this.rc_quan = 0.0;
		this.ac_uid = -1;
		this.pr_uid = -1;
		this.pr_user_uid = -1;
		this.po_uid = -1;
		this.po_user_uid = -1;
		this.tr_uid = -1;
		this.gr_uid = -1;
		this.gr_user_uid = -1;
		this.rc_uid = -1;
		this.rr_uid = -1;
		this.ct_uid = -1;
		this.rf_uid = -1;
		this.rcvr_uid = -1;
		this.sales_price = 0.0;
		this.source_price = 0.0;
		
		this.child_quan = 0;
		this.disp_order = -1;
		this.coord_key1 = -1;
		this.coord_key2 = -1;
		this.coord_key3 = -1;
		
		this.origin = "O";
	}
	
	//Part Copy ҷִ Լ
	public void setCopyDefault() {
		this.del_info_flag = "N";
		this.is_closed	="N";
		this.is_new		="N";
		this.req_flag	="N";
		this.rush_order_flag	="N";
		this.gr_quan	=0.0;
		this.mquan		=0.0;
		this.pr_quan	=0.0;
		this.rc_quan	=0.0;
		this.ac_uid = -1;
		this.gr_sec = -1;
		this.gr_uid = -1;
		this.gr_user_uid = -1;
		this.parent = -1;
		this.po_sec = -1;
		this.po_uid = -1;
		this.po_user_uid = -1;
		this.pr_uid = -1;
		this.pr_user_uid = -1;
		this.rc_uid = -1;
		this.rcvr_uid = -1;
		this.rr_uid = -1;
		this.tr_uid = -1;
		this.ct_uid = -1;
		this.rf_uid = -1;
		this.change_date = new Date();
		this.recv_date=null;
		this.req_date=null;
		this.changer="";
		this.delivery_info="";
		this.gr_no="";
		this.po_no="";
		this.rcvr_name="";
		this.req_info="";
		this.status="BM";
		
		this.child_quan = 0;
		this.disp_order = -1;
		this.coord_key1 = -1;
		this.coord_key2 = -1;
		this.coord_key3 = -1;
	}
	public String getItem_uid_list() {
		return item_uid_list;
	}
	public void setItem_uid_list(String item_uid_list) {
		this.item_uid_list = item_uid_list;
	}
	
	public String getIs_new() {
		return is_new;
	}
	public void setIs_new(String is_new) {
		this.is_new = is_new;
	}
	public Integer getChild() {
		return child;
	}
	public void setChild(Integer child) {
		this.child = child;
	}
	public Integer getParent() {
		return parent;
	}
	public void setParent(Integer parent) {
		this.parent = parent;
	}
	public Date getChange_date() {
		return change_date;
	}
	public void setChange_date(Date change_date) {
		this.change_date = change_date;
	}
	public String getChanger() {
		return changer;
	}
	public void setChanger(String changer) {
		this.changer = changer;
	}
	public String getPl_no() {
		return pl_no;
	}
	public void setPl_no(String pl_no) {
		this.pl_no = pl_no;
	}

	public Double getQuan() {
		return quan;
	}
	public void setQuan(Double quan) {
		this.quan = quan;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Integer getAc_uid() {
		return ac_uid;
	}
	public void setAc_uid(Integer ac_uid) {
		this.ac_uid = ac_uid;
	}
	public String getDelivery_info() {
		return delivery_info;
	}
	public void setDelivery_info(String delivery_info) {
		this.delivery_info = delivery_info;
	}
	public String getGr_no() {
		return gr_no;
	}
	public void setGr_no(String gr_no) {
		this.gr_no = gr_no;
	}
	public Integer getGr_uid() {
		return gr_uid;
	}
	public void setGr_uid(Integer gr_uid) {
		this.gr_uid = gr_uid;
	}
	public Integer getGr_user_uid() {
		return gr_user_uid;
	}
	public void setGr_user_uid(Integer gr_user_uid) {
		this.gr_user_uid = gr_user_uid;
	}
	public String getPo_no() {
		return po_no;
	}
	public void setPo_no(String po_no) {
		this.po_no = po_no;
	}
	public Integer getPo_uid() {
		return po_uid;
	}
	public void setPo_uid(Integer po_uid) {
		this.po_uid = po_uid;
	}
	public Integer getPo_user_uid() {
		return po_user_uid;
	}
	public void setPo_user_uid(Integer po_user_uid) {
		this.po_user_uid = po_user_uid;
	}
	public Integer getPr_uid() {
		return pr_uid;
	}
	public void setPr_uid(Integer pr_uid) {
		this.pr_uid = pr_uid;
	}
	public Integer getPr_user_uid() {
		return pr_user_uid;
	}
	public void setPr_user_uid(Integer pr_user_uid) {
		this.pr_user_uid = pr_user_uid;
	}
	public Integer getRc_uid() {
		return rc_uid;
	}
	public void setRc_uid(Integer rc_uid) {
		this.rc_uid = rc_uid;
	}
	public Integer getRcvr_uid() {
		return rcvr_uid;
	}
	public void setRcvr_uid(Integer rcvr_uid) {
		this.rcvr_uid = rcvr_uid;
	}
	public Date getReq_date() {
		return req_date;
	}
	public void setReq_date(Date req_date) {
		this.req_date = req_date;
	}
	public String getReq_flag() {
		return req_flag;
	}
	public void setReq_flag(String req_flag) {
		this.req_flag = req_flag;
	}
	public String getReq_info() {
		return req_info;
	}
	public void setReq_info(String req_info) {
		this.req_info = req_info;
	}
	public Integer getRr_uid() {
		return rr_uid;
	}
	public void setRr_uid(Integer rr_uid) {
		this.rr_uid = rr_uid;
	}
	public String getRush_order_flag() {
		return rush_order_flag;
	}
	public void setRush_order_flag(String rush_order_flag) {
		this.rush_order_flag = rush_order_flag;
	}
	public Integer getTr_uid() {
		return tr_uid;
	}
	public void setTr_uid(Integer tr_uid) {
		this.tr_uid = tr_uid;
	}
	public String getDel_info_flag() {
		return del_info_flag;
	}
	public void setDel_info_flag(String del_info_flag) {
		this.del_info_flag = del_info_flag;
	}
	public String getRcvr_name() {
		return rcvr_name;
	}
	public void setRcvr_name(String rcvr_name) {
		this.rcvr_name = rcvr_name;
	}
	public String getIs_closed() {
		return is_closed;
	}
	public void setIs_closed(String is_closed) {
		this.is_closed = is_closed;
	}
	public String getItem_code() {
		return item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}
	public Double getBm_quan() {
		return bm_quan;
	}
	public void setBm_quan(Double bm_quan) {
		this.bm_quan = bm_quan;
	}
	public Double getGr_quan() {
		return gr_quan;
	}
	public void setGr_quan(Double gr_quan) {
		this.gr_quan = gr_quan;
	}
	public Double getMquan() {
		return mquan;
	}
	public void setMquan(Double mquan) {
		this.mquan = mquan;
	}
	public Double getPr_quan() {
		return pr_quan;
	}
	public void setPr_quan(Double pr_quan) {
		this.pr_quan = pr_quan;
	}
	public Double getRc_quan() {
		return rc_quan;
	}
	public void setRc_quan(Double rc_quan) {
		this.rc_quan = rc_quan;
	}
	public Integer getGr_sec() {
		return gr_sec;
	}
	public void setGr_sec(Integer gr_sec) {
		this.gr_sec = gr_sec;
	}
	public Integer getPo_sec() {
		return po_sec;
	}
	public void setPo_sec(Integer po_sec) {
		this.po_sec = po_sec;
	}
	public String getBuyer_item_code() {
		return buyer_item_code;
	}
	public void setBuyer_item_code(String buyer_item_code) {
		this.buyer_item_code = buyer_item_code;
	}
	public String getSp_code() {
		return sp_code;
	}
	public void setSp_code(String sp_code) {
		this.sp_code = sp_code;
	}
	public Date getRecv_date() {
		return recv_date;
	}
	public void setRecv_date(Date recv_date) {
		this.recv_date = recv_date;
	}
	public Double getSales_price() {
		return sales_price;
	}
	public void setSales_price(Double sales_price) {
		this.sales_price = sales_price;
	}
	public Double getSource_price() {
		return source_price;
	}
	public void setSource_price(Double source_price) {
		this.source_price = source_price;
	}
	/**
	 * @return the ct_uid
	 */
	public Integer getCt_uid() {
		return ct_uid;
	}
	/**
	 * @param ct_uid the ct_uid to set
	 */
	public void setCt_uid(Integer ct_uid) {
		this.ct_uid = ct_uid;
	}
	/**
	 * @return the rf_uid
	 */
	public Integer getRf_uid() {
		return rf_uid;
	}
	/**
	 * @param rf_uid the rf_uid to set
	 */
	public void setRf_uid(Integer rf_uid) {
		this.rf_uid = rf_uid;
	}
	/**
	 * @return the origin
	 */
	public String getOrigin() {
		return origin;
	}
	/**
	 * @param origin the origin to set
	 */
	public void setOrigin(String origin) {
		this.origin = origin;
	}
	/**
	 * @return the child_quan
	 */
	public Integer getChild_quan() {
		if(child_quan==null)
			return 0;
		return child_quan;
	}
	/**
	 * @param child_quan the child_quan to set
	 */
	public void setChild_quan(Integer child_quan) {
		this.child_quan = child_quan;
	}
	/**
	 * @return the coord_key1
	 */
	public Integer getCoord_key1() {
		return coord_key1;
	}
	/**
	 * @param coord_key1 the coord_key1 to set
	 */
	public void setCoord_key1(Integer coord_key1) {
		this.coord_key1 = coord_key1;
	}
	/**
	 * @return the coord_key2
	 */
	public Integer getCoord_key2() {
		return coord_key2;
	}
	/**
	 * @param coord_key2 the coord_key2 to set
	 */
	public void setCoord_key2(Integer coord_key2) {
		this.coord_key2 = coord_key2;
	}
	/**
	 * @return the coord_key3
	 */
	public Integer getCoord_key3() {
		return coord_key3;
	}
	/**
	 * @param coord_key3 the coord_key3 to set
	 */
	public void setCoord_key3(Integer coord_key3) {
		this.coord_key3 = coord_key3;
	}
	/**
	 * @return the disp_order
	 */
	public Integer getDisp_order() {
		return disp_order;
	}
	/**
	 * @param disp_order the disp_order to set
	 */
	public void setDisp_order(Integer disp_order) {
		this.disp_order = disp_order;
	}

}
