package com.rfxsoft.justrfx.domain;
import java.util.Date;

/**
 * @author k1park
 * : MCMBST
 */
public class ComBst extends JrfxSuperDomain {
    private String	abudget_av_flag;						// ߰ ڵ    						
	private String	ac_cancel_flag;        					// ԰  ()   
	private String	account_assign_type;   					//  Ÿ            
	private String	account_need_flag;     					// ʼ Է            
	private String	add_budget_flag;       					// ߰                 
	private String	address_1;             					//  ּ 1            
	private String	address_2;             					//  ּ 2            
	private String	agreement_attach_type; 					//   ġ       
	private String	agreement_flag;        					//  /뺸           
	private String	ao_id;                 					// Account Officer          
	private String	ao_name;               					// AO ̸                  
	private Integer	approver_min_cnt;      					// ּ             
	private String	approver_type;         					//   Ÿ         
	private String	area_code;            					// ڵ                 
	private String	auto_dc_flag;          					// ԰ ڵۿϷ  
	private String	auto_gi_flag;         					// ڵ                 
	private String	auto_gr_flag;          					// ۿϷ  ڵ԰ 
	private String	biz_category;          					//                      
	private String	biz_condition;         					//                      
	private String	biz_no;                					//  Ϲȣ          
	private String	bs_approval_type;      					//  ż            
	private String	bs_auto_order_flag;    					//  ڵ            
	private String	bs_flag;               					//                  
	private String	bs_price_type;         					//  ݰ        
	private String	budget_active_flag;    					//                  
	private Date	change_date;           					//                  
	private String	change_reason;         					//                  
	private String	change_time;           					// ð                 
	private String	changer;               					//                    
	private String	company_code;          					// ȸڵ                 
	private String	company_name;          					// ȸ                             
	private String	create_time;           					// ð                            
	private String	creditcard_po_flag;    					// ſī ֹ        
	//--ȵ ͸ Ŭ ´.private String	delete_flag;           					//                  
	private String	gr_approval_flag;      					// ԰ ſ          
	private String	gr_closing_flag;       					// ԰                 
	private String	gr_pop_date;           					// ԰ ˾    
	private int  	gr_pop_date_range;     					// ԰ ˾ Ⱓ   
	private String	gr_pop_flag;           					// ԰ ˾ 뿩   
	private String	idx_mcmbst_uniq;       					// company_code,wa_code     
	private String	if_active_flag;        					// PO & GR Interface        
	private String	if_file_id;            					// IF  ID               
	private String	if_serial_no;          					// Serial No                
	private String	inventory_flag;        					// /            
	private String	item_group_code;       					// ǰڵ               
	private String	myclass_flag;          					// My Class 뿩        
	private String	myclass_group;         					// My Class ׷            
	private String	mysite_group;          					// My Site ׷             
	private String	office_flag;           					// O 뿩         
	private String	payment_request_type;  					// ſī Ÿ        
	private String	po_disable_if_flag;    					// ֹҰ I/F         
	private String	pr_active_flag;        					// ſû             
	private String	president_name;        					// ǥ ̸              
	private String	reapproval_flag;       					// /  ſ    
	private Date	reg_date;              					//                  
	private String	reg_id;                					//  ID                
	private String	reg_name;              					//  ̸              
	//ʿ--private String	reg_time;              					// Ͻð                  
	private String	rep_account_code;      					// ǥ                 
	private String	rep_dept_code;         					// ǥ μ                
	private String	rep_division_code;     					// ǥ               
	private String	round_flag;            					// ǰ ݿø          
	private Double	round_place;           					// ǰ ݿø ڸ       
	private String	sg_mysite_flag;        					// ҽ̱׷ MySite      
	private String	site_manager_email;    					// ڸּ     
	private String	site_manager_mobile_no;					// ڵȣ   
	private String	site_manager_name ;    					// ڸ           
	private String	site_manager_tel_no;   					// ȭȣ     
	private String	sku_flag;              					// SKU                  
	private String	sort_seq;              					//  Seq                 
	private String	tpl_use_flag;          					// 뿩             
	private String	wa_code;               					// ڵ               
	private String	wa_group;              					// ׷ (׷)    
	private String	wa_name;               					//                  
	private String	zip_code;              					//  ȣ
	private String  delete_flag;
	
	public ComBst() {
		super();
		reg_date = change_date = this.getCreate_date();
	}
	
	public void SetDefault() {
		abudget_av_flag	= "";
		ac_cancel_flag	= "";
		account_assign_type	= "";
		account_need_flag	= "";
		add_budget_flag	= "";
		address_1	= "";
		address_2	= "";
		agreement_attach_type	= "";
		agreement_flag	= "";
		ao_id	= "";
		ao_name	= "";
		approver_min_cnt	= 0;
		approver_type	= "";
		area_code	= "";
		auto_dc_flag	= "";
		auto_gi_flag	= "";
		auto_gr_flag	= "";
		biz_category	= "";
		biz_condition	= "";
		biz_no	= "";
		bs_approval_type	= "";
		bs_auto_order_flag	= "";
		bs_flag	= "";
		bs_price_type	= "";
		budget_active_flag	= "";
		change_reason	= "";
		change_time	= "";
		changer	= "";
		company_code	= "";
		company_name	= "";
		create_time	= "";
		creditcard_po_flag	= "";
		gr_approval_flag	= "";
		gr_closing_flag	= "";
		gr_pop_date	= "";
		gr_pop_date_range	= 0;
		gr_pop_flag	= "";
		idx_mcmbst_uniq	= "";
		if_active_flag	= "";
		if_file_id	= "";
		if_serial_no	= "";
		inventory_flag	= "";
		item_group_code	= "";
		myclass_flag	= "";
		myclass_group	= "";
		mysite_group	= "";
		office_flag	= "";
		payment_request_type	= "";
		po_disable_if_flag	= "";
		pr_active_flag	= "";
		president_name	= "";
		reapproval_flag	= "";
		reg_id	= "";
		reg_name	= "";
		rep_account_code	= "";
		rep_dept_code	= "";
		rep_division_code	= "";
		round_flag	= "";
		round_place	= 0.0;
		sg_mysite_flag	= "";
		site_manager_email	= "";
		site_manager_mobile_no	= "";
		site_manager_name 	= "";
		site_manager_tel_no	= "";
		sku_flag	= "";
		sort_seq	= "";
		tpl_use_flag	= "";
		wa_group	= "";
		zip_code	= "";
		reg_date = change_date = this.getCreate_date();
		this.wa_code 	= Integer.toHexString(this.getUnique_id()).toUpperCase();
	}

	
	public String toString() {
        StringBuffer result = new StringBuffer(2048);
        
        result.append("Output: ComBst { ");
        result.append(this.getUnique_id() + ", ");
    	result.append(company_code + ", ");
    	result.append(wa_code + ", ");
    	result.append(wa_name + ", ");
    	result.append(president_name + ", ");
    	result.append(biz_no + ", ");
    	result.append(zip_code + ", ");
    	result.append(address_1 + ", ");
    	result.append(address_2 + ", ");
    	result.append(biz_condition + ", ");
    	result.append(biz_category + ", ");
    	result.append(rep_account_code + ", ");
    	result.append(rep_dept_code + ", ");
    	result.append(rep_division_code + ", ");
    	result.append(this.getCreator() );
        return result.toString();
	}
	
	public String getAddress_1() {
		return address_1;
	}
	public void setAddress_1(String address_1) {
		this.address_1 = address_1;
	}
	public String getAddress_2() {
		return address_2;
	}
	public void setAddress_2(String address_2) {
		this.address_2 = address_2;
	}
	public String getBiz_category() {
		return biz_category;
	}
	public void setBiz_category(String biz_category) {
		this.biz_category = biz_category;
	}
	public String getBiz_condition() {
		return biz_condition;
	}
	public void setBiz_condition(String biz_condition) {
		this.biz_condition = biz_condition;
	}
	public String getBiz_no() {
		return biz_no;
	}
	public void setBiz_no(String biz_no) {
		this.biz_no = biz_no;
	}
	public Date getChange_date() {
		return change_date;
	}
	public void setChange_date(Date change_date) {
		this.change_date = change_date;
	}
	public String getChange_reason() {
		return change_reason;
	}
	public void setChange_reason(String change_reason) {
		this.change_reason = change_reason;
	}
	public String getChanger() {
		return changer;
	}
	public void setChanger(String changer) {
		this.changer = changer;
	}
	public String getCompany_code() {
		return company_code;
	}
	public void setCompany_code(String company_code) {
		this.company_code = company_code;
	}
	public String getPresident_name() {
		return president_name;
	}
	public void setPresident_name(String president_name) {
		this.president_name = president_name;
	}
	public String getRep_account_code() {
		return rep_account_code;
	}
	public void setRep_account_code(String rep_account_code) {
		this.rep_account_code = rep_account_code;
	}
	public String getRep_dept_code() {
		return rep_dept_code;
	}
	public void setRep_dept_code(String rep_dept_code) {
		this.rep_dept_code = rep_dept_code;
	}
	public String getRep_division_code() {
		return rep_division_code;
	}
	public void setRep_division_code(String rep_division_code) {
		this.rep_division_code = rep_division_code;
	}
	public String getWa_code() {
		return wa_code;
	}
	public void setWa_code(String wa_code) {
		this.wa_code = wa_code;
	}
	public String getWa_name() {
		return wa_name;
	}
	public void setWa_name(String wa_name) {
		this.wa_name = wa_name;
	}
	public String getZip_code() {
		return zip_code;
	}
	public void setZip_code(String zip_code) {
		this.zip_code = zip_code;
	}

	public String getAbudget_av_flag() {
		return abudget_av_flag;
	}

	public void setAbudget_av_flag(String abudget_av_flag) {
		this.abudget_av_flag = abudget_av_flag;
	}

	public String getAc_cancel_flag() {
		return ac_cancel_flag;
	}

	public void setAc_cancel_flag(String ac_cancel_flag) {
		this.ac_cancel_flag = ac_cancel_flag;
	}

	public String getAccount_assign_type() {
		return account_assign_type;
	}

	public void setAccount_assign_type(String account_assign_type) {
		this.account_assign_type = account_assign_type;
	}

	public String getAccount_need_flag() {
		return account_need_flag;
	}

	public void setAccount_need_flag(String account_need_flag) {
		this.account_need_flag = account_need_flag;
	}

	public String getAdd_budget_flag() {
		return add_budget_flag;
	}

	public void setAdd_budget_flag(String add_budget_flag) {
		this.add_budget_flag = add_budget_flag;
	}

	public String getAgreement_attach_type() {
		return agreement_attach_type;
	}

	public void setAgreement_attach_type(String agreement_attach_type) {
		this.agreement_attach_type = agreement_attach_type;
	}

	public String getAgreement_flag() {
		return agreement_flag;
	}

	public void setAgreement_flag(String agreement_flag) {
		this.agreement_flag = agreement_flag;
	}

	public String getAo_id() {
		return ao_id;
	}

	public void setAo_id(String ao_id) {
		this.ao_id = ao_id;
	}

	public String getAo_name() {
		return ao_name;
	}

	public void setAo_name(String ao_name) {
		this.ao_name = ao_name;
	}

	public Integer getApprover_min_cnt() {
		return approver_min_cnt;
	}

	public void setApprover_min_cnt(Integer approver_min_cnt) {
		this.approver_min_cnt = approver_min_cnt;
	}

	public String getApprover_type() {
		return approver_type;
	}

	public void setApprover_type(String approver_type) {
		this.approver_type = approver_type;
	}

	public String getArea_code() {
		return area_code;
	}

	public void setArea_code(String area_code) {
		this.area_code = area_code;
	}

	public String getAuto_dc_flag() {
		return auto_dc_flag;
	}

	public void setAuto_dc_flag(String auto_dc_flag) {
		this.auto_dc_flag = auto_dc_flag;
	}

	public String getAuto_gi_flag() {
		return auto_gi_flag;
	}

	public void setAuto_gi_flag(String auto_gi_flag) {
		this.auto_gi_flag = auto_gi_flag;
	}

	public String getAuto_gr_flag() {
		return auto_gr_flag;
	}

	public void setAuto_gr_flag(String auto_gr_flag) {
		this.auto_gr_flag = auto_gr_flag;
	}

	public String getBs_approval_type() {
		return bs_approval_type;
	}

	public void setBs_approval_type(String bs_approval_type) {
		this.bs_approval_type = bs_approval_type;
	}

	public String getBs_auto_order_flag() {
		return bs_auto_order_flag;
	}

	public void setBs_auto_order_flag(String bs_auto_order_flag) {
		this.bs_auto_order_flag = bs_auto_order_flag;
	}

	public String getBs_flag() {
		return bs_flag;
	}

	public void setBs_flag(String bs_flag) {
		this.bs_flag = bs_flag;
	}

	public String getBs_price_type() {
		return bs_price_type;
	}

	public void setBs_price_type(String bs_price_type) {
		this.bs_price_type = bs_price_type;
	}

	public String getBudget_active_flag() {
		return budget_active_flag;
	}

	public void setBudget_active_flag(String budget_active_flag) {
		this.budget_active_flag = budget_active_flag;
	}

	public String getChange_time() {
		return change_time;
	}

	public void setChange_time(String change_time) {
		this.change_time = change_time;
	}

	public String getCompany_name() {
		return company_name;
	}

	public void setCompany_name(String company_name) {
		this.company_name = company_name;
	}

	public String getCreate_time() {
		return create_time;
	}

	public void setCreate_time(String create_time) {
		this.create_time = create_time;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getCreditcard_po_flag() {
		return creditcard_po_flag;
	}

	public void setCreditcard_po_flag(String creditcard_po_flag) {
		this.creditcard_po_flag = creditcard_po_flag;
	}

	public String getGr_approval_flag() {
		return gr_approval_flag;
	}

	public void setGr_approval_flag(String gr_approval_flag) {
		this.gr_approval_flag = gr_approval_flag;
	}

	public String getGr_closing_flag() {
		return gr_closing_flag;
	}

	public void setGr_closing_flag(String gr_closing_flag) {
		this.gr_closing_flag = gr_closing_flag;
	}

	public String getGr_pop_date() {
		return gr_pop_date;
	}

	public void setGr_pop_date(String gr_pop_date) {
		this.gr_pop_date = gr_pop_date;
	}

	public int getGr_pop_date_range() {
		return gr_pop_date_range;
	}

	public void setGr_pop_date_range(int gr_pop_date_range) {
		this.gr_pop_date_range = gr_pop_date_range;
	}

	public String getGr_pop_flag() {
		return gr_pop_flag;
	}

	public void setGr_pop_flag(String gr_pop_flag) {
		this.gr_pop_flag = gr_pop_flag;
	}

	public String getIdx_mcmbst_uniq() {
		return idx_mcmbst_uniq;
	}

	public void setIdx_mcmbst_uniq(String idx_mcmbst_uniq) {
		this.idx_mcmbst_uniq = idx_mcmbst_uniq;
	}

	public String getIf_active_flag() {
		return if_active_flag;
	}

	public void setIf_active_flag(String if_active_flag) {
		this.if_active_flag = if_active_flag;
	}

	public String getIf_file_id() {
		return if_file_id;
	}

	public void setIf_file_id(String if_file_id) {
		this.if_file_id = if_file_id;
	}

	public String getIf_serial_no() {
		return if_serial_no;
	}

	public void setIf_serial_no(String if_serial_no) {
		this.if_serial_no = if_serial_no;
	}

	public String getInventory_flag() {
		return inventory_flag;
	}

	public void setInventory_flag(String inventory_flag) {
		this.inventory_flag = inventory_flag;
	}

	public String getItem_group_code() {
		return item_group_code;
	}

	public void setItem_group_code(String item_group_code) {
		this.item_group_code = item_group_code;
	}

	public String getMyclass_flag() {
		return myclass_flag;
	}

	public void setMyclass_flag(String myclass_flag) {
		this.myclass_flag = myclass_flag;
	}

	public String getMyclass_group() {
		return myclass_group;
	}

	public void setMyclass_group(String myclass_group) {
		this.myclass_group = myclass_group;
	}

	public String getMysite_group() {
		return mysite_group;
	}

	public void setMysite_group(String mysite_group) {
		this.mysite_group = mysite_group;
	}

	public String getOffice_flag() {
		return office_flag;
	}

	public void setOffice_flag(String office_flag) {
		this.office_flag = office_flag;
	}

	public String getPayment_request_type() {
		return payment_request_type;
	}

	public void setPayment_request_type(String payment_request_type) {
		this.payment_request_type = payment_request_type;
	}

	public String getPo_disable_if_flag() {
		return po_disable_if_flag;
	}

	public void setPo_disable_if_flag(String po_disable_if_flag) {
		this.po_disable_if_flag = po_disable_if_flag;
	}

	public String getPr_active_flag() {
		return pr_active_flag;
	}

	public void setPr_active_flag(String pr_active_flag) {
		this.pr_active_flag = pr_active_flag;
	}

	public String getReapproval_flag() {
		return reapproval_flag;
	}

	public void setReapproval_flag(String reapproval_flag) {
		this.reapproval_flag = reapproval_flag;
	}

	public String getReg_id() {
		return reg_id;
	}

	public void setReg_id(String reg_id) {
		this.reg_id = reg_id;
	}

	public String getReg_name() {
		return reg_name;
	}

	public void setReg_name(String reg_name) {
		this.reg_name = reg_name;
	}

	public String getRound_flag() {
		return round_flag;
	}

	public void setRound_flag(String round_flag) {
		this.round_flag = round_flag;
	}

	public Double getRound_place() {
		return round_place;
	}

	public void setRound_place(Double round_place) {
		this.round_place = round_place;
	}

	public String getSg_mysite_flag() {
		return sg_mysite_flag;
	}

	public void setSg_mysite_flag(String sg_mysite_flag) {
		this.sg_mysite_flag = sg_mysite_flag;
	}

	public String getSite_manager_email() {
		return site_manager_email;
	}

	public void setSite_manager_email(String site_manager_email) {
		this.site_manager_email = site_manager_email;
	}

	public String getSite_manager_mobile_no() {
		return site_manager_mobile_no;
	}

	public void setSite_manager_mobile_no(String site_manager_mobile_no) {
		this.site_manager_mobile_no = site_manager_mobile_no;
	}

	public String getSite_manager_name() {
		return site_manager_name;
	}

	public void setSite_manager_name(String site_manager_name) {
		this.site_manager_name = site_manager_name;
	}

	public String getSite_manager_tel_no() {
		return site_manager_tel_no;
	}

	public void setSite_manager_tel_no(String site_manager_tel_no) {
		this.site_manager_tel_no = site_manager_tel_no;
	}

	public String getSku_flag() {
		return sku_flag;
	}

	public void setSku_flag(String sku_flag) {
		this.sku_flag = sku_flag;
	}

	public String getSort_seq() {
		return sort_seq;
	}

	public void setSort_seq(String sort_seq) {
		this.sort_seq = sort_seq;
	}

	public String getTpl_use_flag() {
		return tpl_use_flag;
	}

	public void setTpl_use_flag(String tpl_use_flag) {
		this.tpl_use_flag = tpl_use_flag;
	}

	public String getWa_group() {
		return wa_group;
	}

	public void setWa_group(String wa_group) {
		this.wa_group = wa_group;
	}

	public Date getReg_date() {
		return reg_date;
	}

	public void setReg_date(Date reg_date) {
		this.reg_date = reg_date;
	}

	public String getDelete_flag() {
		return delete_flag;
	}

	public void setDelete_flag(String delete_flag) {
		this.delete_flag = delete_flag;
	}
	
//	private	String		create_time;	
//	private	String		change_time;
}
/*
company_code	ȸڵ
wa_code	ڵ
company_name	ȸ
wa_name	
president_name	ǥ ̸
biz_no	 Ϲȣ
zip_code	 ȣ
address_1	 ּ 1
address_2	 ּ 2
biz_condition	
biz_category	
rep_account_code	ǥ 
rep_dept_code	ǥ μ 
rep_division_code	ǥ
if_file_id	IF  ID
if_serial_no	Serial No
budget_active_flag	 
account_need_flag	ʼ Է
add_budget_flag	߰
abudget_av_flag	߰ ڵ 
account_assign_type	 Ÿ
approver_type	  Ÿ
approver_min_cnt	ּ  
reapproval_flag	/  ſ
agreement_flag	 /뺸
agreement_attach_type	  ġ
inventory_flag	/ 
auto_gi_flag	ڵ
sku_flag	SKU 
ac_cancel_flag	԰  ()
gr_closing_flag	԰
gr_approval_flag	԰ ſ
bs_flag	 
bs_auto_order_flag	 ڵ 
bs_approval_type	 ż
bs_price_type	 ݰ 
pr_active_flag	ſû 
mysite_group	My Site ׷
if_active_flag	PO & GR Interface
wa_group	׷ (׷)
myclass_group	My Class ׷
myclass_flag	My Class 뿩
ao_id	Account Officer
ao_name	AO ̸
sg_mysite_flag	ҽ̱׷ MySite 
round_flag	ǰ ݿø 
round_place	ǰ ݿø ڸ
auto_dc_flag	԰ ڵۿϷ 
office_flag	O 뿩
item_group_code	ǰڵ
reg_date	
reg_time	Ͻð
reg_id	 ID
reg_name	 ̸
sort_seq	 Seq
tpl_use_flag	뿩
unique_id	Unique ID
site_manager_name	ڸ
site_manager_tel_no	ȭȣ
site_manager_mobile_no	ڵȣ
site_manager_email	ڸּ
gr_pop_flag	԰ ˾ 뿩
gr_pop_date	԰ ˾ 
gr_pop_date_range	԰ ˾ Ⱓ
area_code	ڵ
po_disable_if_flag	ֹҰ I/F 
creditcard_po_flag	ſī ֹ
auto_gr_flag	ۿϷ  ڵ԰
payment_request_type	ſī Ÿ
create_date	
create_time	ð
creator	
change_date	
change_time	ð
changer	
change_reason	
delete_flag	*/

