package com.rfxsoft.justrfx.domain;
import java.util.Date;

/**
 * @author k1park
 * ֹ Main
 */
public class PoOrderTrack extends JrfxSuperDomain {
	
	private String po_no;
	private	Date   av_req_date;
	private	Double buying_amount;
	private String buying_currency;
	private	Double buying_price;
	private String company_code;
	private String delivery_address_1;
	private String delivery_address_2;
	private String delivery_zip_code;
	private String dept_code;
	private String description;
	private String item_code;
	private String item_name;
	private String model_no;
	private	Double moq;
	private	Double mxq;
	private	Double order_multiple;
	private String po_creator_id;
	private String po_creator_tel_no;
	private	Date   po_date;
	private	Double po_qty;
	private String po_seq;
	private String po_type;
	private	Date   pr_date;
	private	Double pr_qty;
	private	Date   pr_receive_date;
	private String pr_receiver_id;
	private String pr_requester_id;
	private String pr_wa_code;
	private String receiver_id;
	private	Date   req_delivery_date;
	private String rush_order_flag;
	private	Double sales_amount;
	private String sales_currency;
	private	Double sales_price;
	private String sn_dept_code;
	private String sn_wa_code;
	private String sp_code;
	private String specification;
	private	Integer unique_id;
	private String unit_code;
	private String wa_code;
	private String po_creator_name;
	private String receiver_name;
	private String req_info;	
	private Date   change_date;    // 
	private String changer;	    // 
	private String receiver_tel_no;
	private String receiver_hp_no;
	
	//usrast
	private String wa_name; //
	private String pr_name; //û̸
	
	public Date getChange_date() {
		return change_date;
	}
	public void setChange_date(Date change_date) {
		this.change_date = change_date;
	}
	public String getChanger() {
		return changer;
	}
	public void setChanger(String changer) {
		this.changer = changer;
	}
	public String getReq_info() {
		return req_info;
	}
	public void setReq_info(String req_info) {
		this.req_info = req_info;
	}
	public PoOrderTrack() {
		super();

	}
	public String getPr_name() {
		return pr_name;
	}
	public void setPr_name(String pr_name) {
		this.pr_name = pr_name;
	}
	public String getWa_name() {
		return wa_name;
	}
	public void setWa_name(String wa_name) {
		this.wa_name = wa_name;
	}
	public Date getAv_req_date() {
		return av_req_date;
	}
	public void setAv_req_date(Date av_req_date) {
		this.av_req_date = av_req_date;
	}
	public Double getBuying_amount() {
		return buying_amount;
	}
	public void setBuying_amount(Double buying_amount) {
		this.buying_amount = buying_amount;
	}
	public String getBuying_currency() {
		return buying_currency;
	}
	public void setBuying_currency(String buying_currency) {
		this.buying_currency = buying_currency;
	}
	public Double getBuying_price() {
		return buying_price;
	}
	public void setBuying_price(Double buying_price) {
		this.buying_price = buying_price;
	}
	public String getCompany_code() {
		return company_code;
	}
	public void setCompany_code(String company_code) {
		this.company_code = company_code;
	}
	public String getDelivery_address_1() {
		return delivery_address_1;
	}
	public void setDelivery_address_1(String delivery_address_1) {
		this.delivery_address_1 = delivery_address_1;
	}
	public String getDelivery_address_2() {
		return delivery_address_2;
	}
	public void setDelivery_address_2(String delivery_address_2) {
		this.delivery_address_2 = delivery_address_2;
	}
	public String getDelivery_zip_code() {
		return delivery_zip_code;
	}
	public void setDelivery_zip_code(String delivery_zip_code) {
		this.delivery_zip_code = delivery_zip_code;
	}
	public String getDept_code() {
		return dept_code;
	}
	public void setDept_code(String dept_code) {
		this.dept_code = dept_code;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getItem_code() {
		return item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}
	public String getItem_name() {
		return item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}
	public String getModel_no() {
		return model_no;
	}
	public void setModel_no(String model_no) {
		this.model_no = model_no;
	}
	public Double getMoq() {
		return moq;
	}
	public void setMoq(Double moq) {
		this.moq = moq;
	}
	public Double getMxq() {
		return mxq;
	}
	public void setMxq(Double mxq) {
		this.mxq = mxq;
	}
	public Double getOrder_multiple() {
		return order_multiple;
	}
	public void setOrder_multiple(Double order_multiple) {
		this.order_multiple = order_multiple;
	}
	public String getPo_creator_id() {
		return po_creator_id;
	}
	public void setPo_creator_id(String po_creator_id) {
		this.po_creator_id = po_creator_id;
	}
	public String getPo_creator_tel_no() {
		return po_creator_tel_no;
	}
	public void setPo_creator_tel_no(String po_creator_tel_no) {
		this.po_creator_tel_no = po_creator_tel_no;
	}
	public Date getPo_date() {
		return po_date;
	}
	public void setPo_date(Date po_date) {
		this.po_date = po_date;
	}
	public Double getPo_qty() {
		return po_qty;
	}
	public void setPo_qty(Double po_qty) {
		this.po_qty = po_qty;
	}
	public String getPo_seq() {
		return po_seq;
	}
	public void setPo_seq(String po_seq) {
		this.po_seq = po_seq;
	}
	public String getPo_type() {
		return po_type;
	}
	public void setPo_type(String po_type) {
		this.po_type = po_type;
	}
	public Date getPr_date() {
		return pr_date;
	}
	public void setPr_date(Date pr_date) {
		this.pr_date = pr_date;
	}
	public Double getPr_qty() {
		return pr_qty;
	}
	public void setPr_qty(Double pr_qty) {
		this.pr_qty = pr_qty;
	}
	public Date getPr_receive_date() {
		return pr_receive_date;
	}
	public void setPr_receive_date(Date pr_receive_date) {
		this.pr_receive_date = pr_receive_date;
	}
	public String getPr_receiver_id() {
		return pr_receiver_id;
	}
	public void setPr_receiver_id(String pr_receiver_id) {
		this.pr_receiver_id = pr_receiver_id;
	}
	public String getPr_requester_id() {
		return pr_requester_id;
	}
	public void setPr_requester_id(String pr_requester_id) {
		this.pr_requester_id = pr_requester_id;
	}
	public String getPr_wa_code() {
		return pr_wa_code;
	}
	public void setPr_wa_code(String pr_wa_code) {
		this.pr_wa_code = pr_wa_code;
	}
	public String getReceiver_id() {
		return receiver_id;
	}
	public void setReceiver_id(String receiver_id) {
		this.receiver_id = receiver_id;
	}
	public Date getReq_delivery_date() {
		return req_delivery_date;
	}
	public void setReq_delivery_date(Date req_delivery_date) {
		this.req_delivery_date = req_delivery_date;
	}
	public String getRush_order_flag() {
		return rush_order_flag;
	}
	public void setRush_order_flag(String rush_order_flag) {
		this.rush_order_flag = rush_order_flag;
	}
	public Double getSales_amount() {
		return sales_amount;
	}
	public void setSales_amount(Double sales_amount) {
		this.sales_amount = sales_amount;
	}
	public String getSales_currency() {
		return sales_currency;
	}
	public void setSales_currency(String sales_currency) {
		this.sales_currency = sales_currency;
	}
	public Double getSales_price() {
		return sales_price;
	}
	public void setSales_price(Double sales_price) {
		this.sales_price = sales_price;
	}
	public String getSn_dept_code() {
		return sn_dept_code;
	}
	public void setSn_dept_code(String sn_dept_code) {
		this.sn_dept_code = sn_dept_code;
	}
	public String getSn_wa_code() {
		return sn_wa_code;
	}
	public void setSn_wa_code(String sn_wa_code) {
		this.sn_wa_code = sn_wa_code;
	}
	public String getSp_code() {
		return sp_code;
	}
	public void setSp_code(String sp_code) {
		this.sp_code = sp_code;
	}
	public String getSpecification() {
		return specification;
	}
	public void setSpecification(String specification) {
		this.specification = specification;
	}
	public Integer getUnique_id() {
		return unique_id;
	}
	public void setUnique_id(Integer unique_id) {
		this.unique_id = unique_id;
	}
	public String getUnit_code() {
		return unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}
	public String getWa_code() {
		return wa_code;
	}
	public void setWa_code(String wa_code) {
		this.wa_code = wa_code;
	}
	public String getPo_no() {
		return po_no;
	}
	public void setPo_no(String po_no) {
		this.po_no = po_no;
	}
	public String getPo_creator_name() {
		return po_creator_name;
	}
	public void setPo_creator_name(String po_creator_name) {
		this.po_creator_name = po_creator_name;
	}
	public String getReceiver_name() {
		return receiver_name;
	}
	public void setReceiver_name(String receiver_name) {
		this.receiver_name = receiver_name;
	}
	public String getReceiver_hp_no() {
		return receiver_hp_no;
	}
	public void setReceiver_hp_no(String receiver_hp_no) {
		this.receiver_hp_no = receiver_hp_no;
	}
	public String getReceiver_tel_no() {
		return receiver_tel_no;
	}
	public void setReceiver_tel_no(String receiver_tel_no) {
		this.receiver_tel_no = receiver_tel_no;
	}
	
	
}
	