package com.rfxsoft.justrfx.domain;
import java.util.Date;

/**
 * @author k1park
 * ֹ Main
 */
public class XpoAst extends JrfxSuperDomain {
	private Date av_complete_date;
	private Date av_req_date;
	private Date by_confirm_date;
	private Date by_po_date;
	private Date change_date;
	private Date co_date;
	private Date dc_date;
	private Date dr_date;
	private Date gr_date;
	private Date mp_confirm_date;
	private Date po_date;
	private Date pr_date;
	private Date pr_receive_date;
	private Date req_delivery_date;
	private Date sn_create_date;
	private Date sn_date;
	private Date sp_if_date;
	private Date sp_receive_date;
	private Date std_delivery_date;
	private Double buying_amount;
	private Double buying_amount_local;
	private Double buying_exchange_rate;
	private Double buying_price;
	private Double buying_price_local;
	private Double gr_blocking_qty;
	private Double gr_qty;
	private Double moq;
	private Double mxq;
	private Double order_multiple;
	private Double po_blocking_qty;
	private Double po_qty;
	private Double pr_qty;
	private Double profit_rate;
	private Double sales_amount;
	private Double sales_amount_local;
	private Double sales_exchange_rate;
	private Double sales_price;
	private Double sales_price_local;
	private Double sn_blocking_qty;
	private Double sn_qty;
	private Double sn_release_qty;
	private Integer dr_cnt;
	private Integer real_lt;
	private Integer req_lt;
	private Integer sms_cnt;			//rtgast(OŸ) coord key  ޻ ڵ̴.
	private String adjust_bank_flag;
	private String adjust_budget_flag;
	private String approval_flag;
	private String bank_payment_flag;
	private String bs_flag;
	private String budget_flag;
	private String ctr_exp_complete;
	private String ctr_exp_flag;
	private String delete_flag;
	private String dr_info_flag;
	private String exchange_model;
	private String is_closed;
	private String order_blocking_flag;
	private String po_delay_flag;
	private String req_flag;
	private String rfq_flag;
	private String rush_order_flag;
	private String sp_if_flag;
	private String ui_gr_flag;
	private String vdc_flag;
	private String account_code;
	private String account_name;
	private String ao_dept_code;
	private String ao_id;
	private String area_code;
	private String attach_no;
	private String ba_code;
	private String blocking_type;
	private String budget_dept_code;
	private String budget_division_code;
	private String budget_wa_code;
	private String buying_ctr_no;
	private String buying_currency;
	private String by_division_code;
	private String by_gr_no;
	private String by_gr_seq;
	private String by_gr_year;
	private String by_item_code;
	private String by_po_no;
	private String by_po_seq;
	private String by_status;
	private String catalog_id;
	private String cell_code;
	private String changer;
	private String co_reason;
	private String co_requester_id;
	private String co_type_1;
	private String co_type_2;
	private String co_user_id;
	private String company_code;
	private String delivery_address_1;
	private String delivery_address_2;
	private String delivery_terms;
	private String delivery_zip_code;
	private String dept_code;
	private String dept_name;
	private String description;
	private String division_code;
	private String doc_type;
	private String dr_id;
	private String dr_info;
	private String dr_reason_code;
	private String dr_type;
	private String gr_no;
	private String gr_reason;
	private String gr_seq;
	private String gr_user_id;
	private String gr_user_name;
	private String invest_no;
	private String invester_id;
	private String item_code;
	private String item_name;
	private String local_currency;
	private String model_no;
	private String mp_status;
	private String payment_terms;
	private String po_creator_id;
	private String po_creator_name;
	private String po_creator_tel_no;
	private String po_no;
	private String po_seq;
	private String po_type;
	private String po_type_status;
	private String pr_name;
	private String pr_receiver_id;
	private String pr_requester_id;
	private String pr_wa_code;
	private String receiver_hp_no;
	private String receiver_id;
	private String receiver_name;
	private String receiver_tel_no;
	private String req_info;
	private String sales_ctr_no;
	private String sales_currency;
	private String seller_code;
	private String seller_name;
	private String ship_method;
	private String sn_dept_code;
	private String sn_division_code;
	private String sn_wa_code;
	private String sourcing_id;
	private String sp_code;
	private String sp_person_id;
	private String sp_po_no;
	private String specification;
	private String unit_code;
	private String wa_code;
	private String wa_name;
	private String is_final;
	
	private String maker_name;
	
	public XpoAst() {
		super();
		by_confirm_date = new Date();
	}
	public String getAccount_code() {
		return account_code;
	}
	public void setAccount_code(String account_code) {
		this.account_code = account_code;
	}
	public String getAccount_name() {
		return account_name;
	}
	public void setAccount_name(String account_name) {
		this.account_name = account_name;
	}
	public String getAdjust_bank_flag() {
		return adjust_bank_flag;
	}
	public void setAdjust_bank_flag(String adjust_bank_flag) {
		this.adjust_bank_flag = adjust_bank_flag;
	}
	public String getAdjust_budget_flag() {
		return adjust_budget_flag;
	}
	public void setAdjust_budget_flag(String adjust_budget_flag) {
		this.adjust_budget_flag = adjust_budget_flag;
	}
	public String getAo_dept_code() {
		return ao_dept_code;
	}
	public void setAo_dept_code(String ao_dept_code) {
		this.ao_dept_code = ao_dept_code;
	}
	public String getAo_id() {
		return ao_id;
	}
	public void setAo_id(String ao_id) {
		this.ao_id = ao_id;
	}
	public String getApproval_flag() {
		return approval_flag;
	}
	public void setApproval_flag(String approval_flag) {
		this.approval_flag = approval_flag;
	}
	public String getArea_code() {
		return area_code;
	}
	public void setArea_code(String area_code) {
		this.area_code = area_code;
	}
	public String getAttach_no() {
		return attach_no;
	}
	public void setAttach_no(String attach_no) {
		this.attach_no = attach_no;
	}
	public Date getAv_complete_date() {
		return av_complete_date;
	}
	public void setAv_complete_date(Date av_complete_date) {
		this.av_complete_date = av_complete_date;
	}
	public Date getAv_req_date() {
		return av_req_date;
	}
	public void setAv_req_date(Date av_req_date) {
		this.av_req_date = av_req_date;
	}
	public String getBa_code() {
		return ba_code;
	}
	public void setBa_code(String ba_code) {
		this.ba_code = ba_code;
	}
	public String getBank_payment_flag() {
		return bank_payment_flag;
	}
	public void setBank_payment_flag(String bank_payment_flag) {
		this.bank_payment_flag = bank_payment_flag;
	}
	public String getBlocking_type() {
		return blocking_type;
	}
	public void setBlocking_type(String blocking_type) {
		this.blocking_type = blocking_type;
	}
	public String getBs_flag() {
		return bs_flag;
	}
	public void setBs_flag(String bs_flag) {
		this.bs_flag = bs_flag;
	}
	public String getBudget_dept_code() {
		return budget_dept_code;
	}
	public void setBudget_dept_code(String budget_dept_code) {
		this.budget_dept_code = budget_dept_code;
	}
	public String getBudget_division_code() {
		return budget_division_code;
	}
	public void setBudget_division_code(String budget_division_code) {
		this.budget_division_code = budget_division_code;
	}
	public String getBudget_flag() {
		return budget_flag;
	}
	public void setBudget_flag(String budget_flag) {
		this.budget_flag = budget_flag;
	}
	public String getBudget_wa_code() {
		return budget_wa_code;
	}
	public void setBudget_wa_code(String budget_wa_code) {
		this.budget_wa_code = budget_wa_code;
	}
	public Double getBuying_amount() {
		return buying_amount;
	}
	public void setBuying_amount(Double buying_amount) {
		this.buying_amount = buying_amount;
	}
	public Double getBuying_amount_local() {
		return buying_amount_local;
	}
	public void setBuying_amount_local(Double buying_amount_local) {
		this.buying_amount_local = buying_amount_local;
	}
	public String getBuying_ctr_no() {
		return buying_ctr_no;
	}
	public void setBuying_ctr_no(String buying_ctr_no) {
		this.buying_ctr_no = buying_ctr_no;
	}
	public String getBuying_currency() {
		return buying_currency;
	}
	public void setBuying_currency(String buying_currency) {
		this.buying_currency = buying_currency;
	}
	public Double getBuying_exchange_rate() {
		return buying_exchange_rate;
	}
	public void setBuying_exchange_rate(Double buying_exchange_rate) {
		this.buying_exchange_rate = buying_exchange_rate;
	}
	public Double getBuying_price() {
		return buying_price;
	}
	public void setBuying_price(Double buying_price) {
		this.buying_price = buying_price;
	}
	public Double getBuying_price_local() {
		return buying_price_local;
	}
	public void setBuying_price_local(Double buying_price_local) {
		this.buying_price_local = buying_price_local;
	}
	public Date getBy_confirm_date() {
		return by_confirm_date;
	}
	public void setBy_confirm_date(Date by_confirm_date) {
		this.by_confirm_date = by_confirm_date;
	}
	public String getBy_division_code() {
		return by_division_code;
	}
	public void setBy_division_code(String by_division_code) {
		this.by_division_code = by_division_code;
	}
	public String getBy_gr_no() {
		return by_gr_no;
	}
	public void setBy_gr_no(String by_gr_no) {
		this.by_gr_no = by_gr_no;
	}
	public String getBy_gr_seq() {
		return by_gr_seq;
	}
	public void setBy_gr_seq(String by_gr_seq) {
		this.by_gr_seq = by_gr_seq;
	}
	public String getBy_gr_year() {
		return by_gr_year;
	}
	public void setBy_gr_year(String by_gr_year) {
		this.by_gr_year = by_gr_year;
	}
	public String getBy_item_code() {
		return by_item_code;
	}
	public void setBy_item_code(String by_item_code) {
		this.by_item_code = by_item_code;
	}
	public Date getBy_po_date() {
		return by_po_date;
	}
	public void setBy_po_date(Date by_po_date) {
		this.by_po_date = by_po_date;
	}
	public String getBy_po_no() {
		return by_po_no;
	}
	public void setBy_po_no(String by_po_no) {
		this.by_po_no = by_po_no;
	}
	public String getBy_po_seq() {
		return by_po_seq;
	}
	public void setBy_po_seq(String by_po_seq) {
		this.by_po_seq = by_po_seq;
	}
	public String getBy_status() {
		return by_status;
	}
	public void setBy_status(String by_status) {
		this.by_status = by_status;
	}
	public String getCatalog_id() {
		return catalog_id;
	}
	public void setCatalog_id(String catalog_id) {
		this.catalog_id = catalog_id;
	}
	public String getCell_code() {
		return cell_code;
	}
	public void setCell_code(String cell_code) {
		this.cell_code = cell_code;
	}
	public Date getChange_date() {
		return change_date;
	}
	public void setChange_date(Date change_date) {
		this.change_date = change_date;
	}
	public String getChanger() {
		return changer;
	}
	public void setChanger(String changer) {
		this.changer = changer;
	}
	public Date getCo_date() {
		return co_date;
	}
	public void setCo_date(Date co_date) {
		this.co_date = co_date;
	}
	public String getCo_reason() {
		return co_reason;
	}
	public void setCo_reason(String co_reason) {
		this.co_reason = co_reason;
	}
	public String getCo_requester_id() {
		return co_requester_id;
	}
	public void setCo_requester_id(String co_requester_id) {
		this.co_requester_id = co_requester_id;
	}
	public String getCo_type_1() {
		return co_type_1;
	}
	public void setCo_type_1(String co_type_1) {
		this.co_type_1 = co_type_1;
	}
	public String getCo_type_2() {
		return co_type_2;
	}
	public void setCo_type_2(String co_type_2) {
		this.co_type_2 = co_type_2;
	}
	public String getCo_user_id() {
		return co_user_id;
	}
	public void setCo_user_id(String co_user_id) {
		this.co_user_id = co_user_id;
	}
	public String getCompany_code() {
		return company_code;
	}
	public void setCompany_code(String company_code) {
		this.company_code = company_code;
	}
	public Date getCreate_date() {
		return create_date;
	}
	public void setCreate_date(Date create_date) {
		this.create_date = create_date;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public String getCtr_exp_complete() {
		return ctr_exp_complete;
	}
	public void setCtr_exp_complete(String ctr_exp_complete) {
		this.ctr_exp_complete = ctr_exp_complete;
	}
	public String getCtr_exp_flag() {
		return ctr_exp_flag;
	}
	public void setCtr_exp_flag(String ctr_exp_flag) {
		this.ctr_exp_flag = ctr_exp_flag;
	}
	public Date getDc_date() {
		return dc_date;
	}
	public void setDc_date(Date dc_date) {
		this.dc_date = dc_date;
	}
	public String getDelete_flag() {
		return delete_flag;
	}
	public void setDelete_flag(String delete_flag) {
		this.delete_flag = delete_flag;
	}
	public String getDelivery_address_1() {
		return delivery_address_1;
	}
	public void setDelivery_address_1(String delivery_address_1) {
		this.delivery_address_1 = delivery_address_1;
	}
	public String getDelivery_address_2() {
		return delivery_address_2;
	}
	public void setDelivery_address_2(String delivery_address_2) {
		this.delivery_address_2 = delivery_address_2;
	}
	public String getDelivery_terms() {
		return delivery_terms;
	}
	public void setDelivery_terms(String delivery_terms) {
		this.delivery_terms = delivery_terms;
	}
	public String getDelivery_zip_code() {
		return delivery_zip_code;
	}
	public void setDelivery_zip_code(String delivery_zip_code) {
		this.delivery_zip_code = delivery_zip_code;
	}
	public String getDept_code() {
		return dept_code;
	}
	public void setDept_code(String dept_code) {
		this.dept_code = dept_code;
	}
	public String getDept_name() {
		return dept_name;
	}
	public void setDept_name(String dept_name) {
		this.dept_name = dept_name;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getDivision_code() {
		return division_code;
	}
	public void setDivision_code(String division_code) {
		this.division_code = division_code;
	}
	public String getDoc_type() {
		return doc_type;
	}
	public void setDoc_type(String doc_type) {
		this.doc_type = doc_type;
	}
	public Integer getDr_cnt() {
		return dr_cnt;
	}
	public void setDr_cnt(Integer dr_cnt) {
		this.dr_cnt = dr_cnt;
	}
	public Date getDr_date() {
		return dr_date;
	}
	public void setDr_date(Date dr_date) {
		this.dr_date = dr_date;
	}
	public String getDr_id() {
		return dr_id;
	}
	public void setDr_id(String dr_id) {
		this.dr_id = dr_id;
	}
	public String getDr_info() {
		return dr_info;
	}
	public void setDr_info(String dr_info) {
		this.dr_info = dr_info;
	}
	public String getDr_info_flag() {
		return dr_info_flag;
	}
	public void setDr_info_flag(String dr_info_flag) {
		this.dr_info_flag = dr_info_flag;
	}
	public String getDr_reason_code() {
		return dr_reason_code;
	}
	public void setDr_reason_code(String dr_reason_code) {
		this.dr_reason_code = dr_reason_code;
	}
	public String getDr_type() {
		return dr_type;
	}
	public void setDr_type(String dr_type) {
		this.dr_type = dr_type;
	}
	public String getExchange_model() {
		return exchange_model;
	}
	public void setExchange_model(String exchange_model) {
		this.exchange_model = exchange_model;
	}
	public Double getGr_blocking_qty() {
		return gr_blocking_qty;
	}
	public void setGr_blocking_qty(Double gr_blocking_qty) {
		this.gr_blocking_qty = gr_blocking_qty;
	}
	public Date getGr_date() {
		return gr_date;
	}
	public void setGr_date(Date gr_date) {
		this.gr_date = gr_date;
	}
	public String getGr_no() {
		return gr_no;
	}
	public void setGr_no(String gr_no) {
		this.gr_no = gr_no;
	}
	public Double getGr_qty() {
		return gr_qty;
	}
	public void setGr_qty(Double gr_qty) {
		this.gr_qty = gr_qty;
	}
	public String getGr_reason() {
		return gr_reason;
	}
	public void setGr_reason(String gr_reason) {
		this.gr_reason = gr_reason;
	}
	public String getGr_seq() {
		return gr_seq;
	}
	public void setGr_seq(String gr_seq) {
		this.gr_seq = gr_seq;
	}
	public String getGr_user_id() {
		return gr_user_id;
	}
	public void setGr_user_id(String gr_user_id) {
		this.gr_user_id = gr_user_id;
	}
	public String getGr_user_name() {
		return gr_user_name;
	}
	public void setGr_user_name(String gr_user_name) {
		this.gr_user_name = gr_user_name;
	}
	public String getInvest_no() {
		return invest_no;
	}
	public void setInvest_no(String invest_no) {
		this.invest_no = invest_no;
	}
	public String getInvester_id() {
		return invester_id;
	}
	public void setInvester_id(String invester_id) {
		this.invester_id = invester_id;
	}
	public String getIs_closed() {
		return is_closed;
	}
	public void setIs_closed(String is_closed) {
		this.is_closed = is_closed;
	}
	public String getItem_code() {
		return item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}
	public String getItem_name() {
		return item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}
	public String getLocal_currency() {
		return local_currency;
	}
	public void setLocal_currency(String local_currency) {
		this.local_currency = local_currency;
	}
	public String getModel_no() {
		return model_no;
	}
	public void setModel_no(String model_no) {
		this.model_no = model_no;
	}
	public Double getMoq() {
		return moq;
	}
	public void setMoq(Double moq) {
		this.moq = moq;
	}
	public Date getMp_confirm_date() {
		return mp_confirm_date;
	}
	public void setMp_confirm_date(Date mp_confirm_date) {
		this.mp_confirm_date = mp_confirm_date;
	}
	public String getMp_status() {
		return mp_status;
	}
	public void setMp_status(String mp_status) {
		this.mp_status = mp_status;
	}
	public Double getMxq() {
		return mxq;
	}
	public void setMxq(Double mxq) {
		this.mxq = mxq;
	}
	public String getOrder_blocking_flag() {
		return order_blocking_flag;
	}
	public void setOrder_blocking_flag(String order_blocking_flag) {
		this.order_blocking_flag = order_blocking_flag;
	}
	public Double getOrder_multiple() {
		return order_multiple;
	}
	public void setOrder_multiple(Double order_multiple) {
		this.order_multiple = order_multiple;
	}
	public String getPayment_terms() {
		return payment_terms;
	}
	public void setPayment_terms(String payment_terms) {
		this.payment_terms = payment_terms;
	}
	public Double getPo_blocking_qty() {
		return po_blocking_qty;
	}
	public void setPo_blocking_qty(Double po_blocking_qty) {
		this.po_blocking_qty = po_blocking_qty;
	}
	public String getPo_creator_id() {
		return po_creator_id;
	}
	public void setPo_creator_id(String po_creator_id) {
		this.po_creator_id = po_creator_id;
	}
	public String getPo_creator_name() {
		return po_creator_name;
	}
	public void setPo_creator_name(String po_creator_name) {
		this.po_creator_name = po_creator_name;
	}
	public String getPo_creator_tel_no() {
		return po_creator_tel_no;
	}
	public void setPo_creator_tel_no(String po_creator_tel_no) {
		this.po_creator_tel_no = po_creator_tel_no;
	}
	public Date getPo_date() {
		return po_date;
	}
	public void setPo_date(Date po_date) {
		this.po_date = po_date;
	}
	public String getPo_delay_flag() {
		return po_delay_flag;
	}
	public void setPo_delay_flag(String po_delay_flag) {
		this.po_delay_flag = po_delay_flag;
	}
	public String getPo_no() {
		return po_no;
	}
	public void setPo_no(String po_no) {
		this.po_no = po_no;
	}
	public Double getPo_qty() {
		return po_qty;
	}
	public void setPo_qty(Double po_qty) {
		this.po_qty = po_qty;
	}
	public String getPo_seq() {
		return po_seq;
	}
	public void setPo_seq(String po_seq) {
		this.po_seq = po_seq;
	}
	public String getPo_type() {
		return po_type;
	}
	public void setPo_type(String po_type) {
		this.po_type = po_type;
	}
	public String getPo_type_status() {
		return po_type_status;
	}
	public void setPo_type_status(String po_type_status) {
		this.po_type_status = po_type_status;
	}
	public Date getPr_date() {
		return pr_date;
	}
	public void setPr_date(Date pr_date) {
		this.pr_date = pr_date;
	}
	public String getPr_name() {
		return pr_name;
	}
	public void setPr_name(String pr_name) {
		this.pr_name = pr_name;
	}
	public Double getPr_qty() {
		return pr_qty;
	}
	public void setPr_qty(Double pr_qty) {
		this.pr_qty = pr_qty;
	}
	public Date getPr_receive_date() {
		return pr_receive_date;
	}
	public void setPr_receive_date(Date pr_receive_date) {
		this.pr_receive_date = pr_receive_date;
	}
	public String getPr_receiver_id() {
		return pr_receiver_id;
	}
	public void setPr_receiver_id(String pr_receiver_id) {
		this.pr_receiver_id = pr_receiver_id;
	}
	public String getPr_requester_id() {
		return pr_requester_id;
	}
	public void setPr_requester_id(String pr_requester_id) {
		this.pr_requester_id = pr_requester_id;
	}
	public String getPr_wa_code() {
		return pr_wa_code;
	}
	public void setPr_wa_code(String pr_wa_code) {
		this.pr_wa_code = pr_wa_code;
	}
	public Double getProfit_rate() {
		return profit_rate;
	}
	public void setProfit_rate(Double profit_rate) {
		this.profit_rate = profit_rate;
	}
	public Integer getReal_lt() {
		return real_lt;
	}
	public void setReal_lt(Integer real_lt) {
		this.real_lt = real_lt;
	}
	public String getReceiver_hp_no() {
		return receiver_hp_no;
	}
	public void setReceiver_hp_no(String receiver_hp_no) {
		this.receiver_hp_no = receiver_hp_no;
	}
	public String getReceiver_id() {
		return receiver_id;
	}
	public void setReceiver_id(String receiver_id) {
		this.receiver_id = receiver_id;
	}
	public String getReceiver_name() {
		return receiver_name;
	}
	public void setReceiver_name(String receiver_name) {
		this.receiver_name = receiver_name;
	}
	public String getReceiver_tel_no() {
		return receiver_tel_no;
	}
	public void setReceiver_tel_no(String receiver_tel_no) {
		this.receiver_tel_no = receiver_tel_no;
	}
	public Date getReq_delivery_date() {
		return req_delivery_date;
	}
	public void setReq_delivery_date(Date req_delivery_date) {
		this.req_delivery_date = req_delivery_date;
	}
	public String getReq_flag() {
		return req_flag;
	}
	public void setReq_flag(String req_flag) {
		this.req_flag = req_flag;
	}
	public String getReq_info() {
		return req_info;
	}
	public void setReq_info(String req_info) {
		this.req_info = req_info;
	}
	public Integer getReq_lt() {
		return req_lt;
	}
	public void setReq_lt(Integer req_lt) {
		this.req_lt = req_lt;
	}
	public String getRfq_flag() {
		return rfq_flag;
	}
	public void setRfq_flag(String rfq_flag) {
		this.rfq_flag = rfq_flag;
	}
	public String getRush_order_flag() {
		return rush_order_flag;
	}
	public void setRush_order_flag(String rush_order_flag) {
		this.rush_order_flag = rush_order_flag;
	}
	public Double getSales_amount() {
		return sales_amount;
	}
	public void setSales_amount(Double sales_amount) {
		this.sales_amount = sales_amount;
	}
	public Double getSales_amount_local() {
		return sales_amount_local;
	}
	public void setSales_amount_local(Double sales_amount_local) {
		this.sales_amount_local = sales_amount_local;
	}
	public String getSales_ctr_no() {
		return sales_ctr_no;
	}
	public void setSales_ctr_no(String sales_ctr_no) {
		this.sales_ctr_no = sales_ctr_no;
	}
	public String getSales_currency() {
		return sales_currency;
	}
	public void setSales_currency(String sales_currency) {
		this.sales_currency = sales_currency;
	}
	public Double getSales_exchange_rate() {
		return sales_exchange_rate;
	}
	public void setSales_exchange_rate(Double sales_exchange_rate) {
		this.sales_exchange_rate = sales_exchange_rate;
	}
	public Double getSales_price() {
		return sales_price;
	}
	public void setSales_price(Double sales_price) {
		this.sales_price = sales_price;
	}
	public Double getSales_price_local() {
		return sales_price_local;
	}
	public void setSales_price_local(Double sales_price_local) {
		this.sales_price_local = sales_price_local;
	}
	public String getSeller_code() {
		return seller_code;
	}
	public void setSeller_code(String seller_code) {
		this.seller_code = seller_code;
	}
	public String getSeller_name() {
		return seller_name;
	}
	public void setSeller_name(String seller_name) {
		this.seller_name = seller_name;
	}
	public String getShip_method() {
		return ship_method;
	}
	public void setShip_method(String ship_method) {
		this.ship_method = ship_method;
	}
	public Integer getSms_cnt() {
		return sms_cnt;
	}
	public void setSms_cnt(Integer sms_cnt) {
		this.sms_cnt = sms_cnt;
	}
	public Double getSn_blocking_qty() {
		return sn_blocking_qty;
	}
	public void setSn_blocking_qty(Double sn_blocking_qty) {
		this.sn_blocking_qty = sn_blocking_qty;
	}
	public Date getSn_create_date() {
		return sn_create_date;
	}
	public void setSn_create_date(Date sn_create_date) {
		this.sn_create_date = sn_create_date;
	}
	public Date getSn_date() {
		return sn_date;
	}
	public void setSn_date(Date sn_date) {
		this.sn_date = sn_date;
	}
	public String getSn_dept_code() {
		return sn_dept_code;
	}
	public void setSn_dept_code(String sn_dept_code) {
		this.sn_dept_code = sn_dept_code;
	}
	public String getSn_division_code() {
		return sn_division_code;
	}
	public void setSn_division_code(String sn_division_code) {
		this.sn_division_code = sn_division_code;
	}
	public Double getSn_qty() {
		return sn_qty;
	}
	public void setSn_qty(Double sn_qty) {
		this.sn_qty = sn_qty;
	}
	public Double getSn_release_qty() {
		return sn_release_qty;
	}
	public void setSn_release_qty(Double sn_release_qty) {
		this.sn_release_qty = sn_release_qty;
	}
	public String getSn_wa_code() {
		return sn_wa_code;
	}
	public void setSn_wa_code(String sn_wa_code) {
		this.sn_wa_code = sn_wa_code;
	}
	public String getSourcing_id() {
		return sourcing_id;
	}
	public void setSourcing_id(String sourcing_id) {
		this.sourcing_id = sourcing_id;
	}
	public String getSp_code() {
		return sp_code;
	}
	public void setSp_code(String sp_code) {
		this.sp_code = sp_code;
	}
	public Date getSp_if_date() {
		return sp_if_date;
	}
	public void setSp_if_date(Date sp_if_date) {
		this.sp_if_date = sp_if_date;
	}
	public String getSp_if_flag() {
		return sp_if_flag;
	}
	public void setSp_if_flag(String sp_if_flag) {
		this.sp_if_flag = sp_if_flag;
	}
	public String getSp_person_id() {
		return sp_person_id;
	}
	public void setSp_person_id(String sp_person_id) {
		this.sp_person_id = sp_person_id;
	}
	public String getSp_po_no() {
		return sp_po_no;
	}
	public void setSp_po_no(String sp_po_no) {
		this.sp_po_no = sp_po_no;
	}
	public Date getSp_receive_date() {
		return sp_receive_date;
	}
	public void setSp_receive_date(Date sp_receive_date) {
		this.sp_receive_date = sp_receive_date;
	}
	public String getSpecification() {
		return specification;
	}
	public void setSpecification(String specification) {
		this.specification = specification;
	}
	public Date getStd_delivery_date() {
		return std_delivery_date;
	}
	public void setStd_delivery_date(Date std_delivery_date) {
		this.std_delivery_date = std_delivery_date;
	}
	public String getUi_gr_flag() {
		return ui_gr_flag;
	}
	public void setUi_gr_flag(String ui_gr_flag) {
		this.ui_gr_flag = ui_gr_flag;
	}
	public Integer getUnique_id() {
		return unique_id;
	}
	public void setUnique_id(Integer unique_id) {
		this.unique_id = unique_id;
	}
	public String getUnit_code() {
		return unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}
	public String getVdc_flag() {
		return vdc_flag;
	}
	public void setVdc_flag(String vdc_flag) {
		this.vdc_flag = vdc_flag;
	}
	public String getWa_code() {
		return wa_code;
	}
	public void setWa_code(String wa_code) {
		this.wa_code = wa_code;
	}
	public String getWa_name() {
		return wa_name;
	}
	public void setWa_name(String wa_name) {
		this.wa_name = wa_name;
	}
	public String getIs_final() {
		return is_final;
	}
	public void setIs_final(String is_final) {
		this.is_final = is_final;
	}
	

	
	public String getFull_spec() {
		String full_spec = "";
		if(this.specification!=null && this.specification.length()>0)
			full_spec = full_spec + specification;
		if(this.model_no!=null && this.model_no.length()>0)
			full_spec = full_spec + " / " + model_no;
		if(this.description!=null && this.description.length()>0)
			full_spec = full_spec + " | " + description;		
		if(this.maker_name!=null && this.maker_name.length()>0)
			full_spec = full_spec + " (" + maker_name+ ")";
		
		return full_spec;
		
	}
	public String getMaker_name() {
		return maker_name;
	}
	public void setMaker_name(String maker_name) {
		this.maker_name = maker_name;
	}
	
	
	public String getItem_code_dash() {
		String item_code_dash = item_code;
		
		if(item_code.length()>8) {
			item_code_dash = item_code.substring(0,4) + "-" +
			item_code.substring(4,8) + "-" + item_code.substring(8);
		}
			
		return item_code_dash;
	}
	
	public Double getGr_amount() {
		return gr_qty * sales_price;
	}
	
	public Double getPo_amount() {
		return po_qty * sales_price;
	}
}
	