package com.rfxsoft.justrfx.dwr;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.rfxsoft.justrfx.data.ComDstDao;
import com.rfxsoft.justrfx.domain.ComDst;

public class Department {

	protected final Log logger = LogFactory.getLog( getClass() );

	static LinkedList<AcMessage> messages =new LinkedList<AcMessage>();
	protected ComDstDao comdstDao;

	public ComDstDao getComdstDao() {
		return comdstDao;
	}

	public void setComdstDao(ComDstDao comdstDao) {
		this.comdstDao = comdstDao;
	}

	public List addMessage(String text)
    {
        messages.addFirst(new AcMessage(text));

        return messages;
    }
	
	public List getMessages()
	{
		List comdsts = comdstDao.getAll();

		for(Iterator i=comdsts.iterator(); i.hasNext();) {
			ComDst comdst = (ComDst)i.next();
			String text = comdst.getDept_name();
			logger.info(text);
			messages.addFirst(new AcMessage(text));
		}		
		
	    return messages;
	}
}
