package com.rfxsoft.justrfx.dwr;

import java.io.File;
import java.util.Iterator;
import java.util.List;
import java.util.Random;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.FileUploadException;
import org.apache.commons.fileupload.servlet.ServletFileUpload;
import com.rfxsoft.justrfx.web.security.SessionSecurityManager;
public class UploadCopier {

	ServletFileUpload upload;
	HttpServletRequest request;
	
	String file_name;
	String adjust_name; //Display  ø  ġȯ.
	
    String field_name;
    String content_type;
    boolean isInMemory;
    long sizeInBytes;
    
    Integer file_unique;

	public Integer getFile_unique() {
		return file_unique;
	}

	public void setFile_unique(Integer file_unique) {
		this.file_unique = file_unique;
	}

	public String getContent_type() {
		return content_type;
	}

	public void setContent_type(String content_type) {
		this.content_type = content_type;
	}

	public String getField_name() {
		return field_name;
	}

	public void setField_name(String field_name) {
		this.field_name = field_name;
	}

	public boolean isInMemory() {
		return isInMemory;
	}

	public void setInMemory(boolean isInMemory) {
		this.isInMemory = isInMemory;
	}

	public long getSizeInBytes() {
		return sizeInBytes;
	}

	public void setSizeInBytes(long sizeInBytes) {
		this.sizeInBytes = sizeInBytes;
	}

	public UploadCopier(ServletFileUpload upload, HttpServletRequest request) {
		super();
		this.upload = upload;
		this.request = request;
		
		Random ran = new Random();
		int iRand = ran.nextInt();
		
		if(iRand < 0) {
			iRand = (-1)* iRand;
		}
		
		file_unique = new Integer(iRand);
		adjust_name = "";
	}
	
	public void DoCopy() {
	    try
	    {
	     	List items = upload.parseRequest(request);
		   	Iterator iter = items.iterator();
		   	
	    	while (iter.hasNext()) {
	    	    FileItem item = (FileItem) iter.next();
	    	    if (!item.isFormField()) {

	    	    	//System.out.println("1"+item.getFieldName());
	    	    	//System.out.println("2"+item.getContentType());
	    	    	//System.out.println("3"+item.isInMemory());
	    	    	//System.out.println("4"+item.getName());

	    	    	this.setField_name(item.getFieldName());
	    	    	this.setContent_type(item.getContentType());
					this.setInMemory(item.isInMemory());
					this.setSizeInBytes(item.getSize());	    	    	
	    	        this.setFile_name(item.getName());
	    	        
	    	        String fileName = this.getFile_name();
	    	        long sizeInBytes = this.getSizeInBytes();
	    	        String filePath = SessionSecurityManager.getSystemInfo(request).getUploadPath();
	    	        //System.out.println("filePath:"+filePath);
	    	        if( fileName.length() > 0 && sizeInBytes>0) {
	    	        
		   	            File uploadedFile = new File(filePath + getField_name()+ "-" +  getFile_unique().toString());
		   	            try {
							item.write(uploadedFile);
			   	         	//InputStream uploadedStream = item.getInputStream();
			   	         	//uploadedStream.close();
						} catch (Exception e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
	    	        }
	    	    }
	    	}

	    }
	    catch (FileUploadException e)
	    {
	        e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
	    }
	}
	
	
	public String getFile_name() {
		return adjust_name;
	}

	public void setFile_name(String file_name) {
		// 
		
		this.file_name = file_name;
		
		for(int i=0; i < file_name.length(); i++)
		{
			String comparing = file_name.substring(i, i+1);
			
			if(file_name.lastIndexOf("\\")<i){
				this.adjust_name = adjust_name + comparing;
			}
			/*
			if( comparing.compareTo("\\") == 0)
				this.adjust_name = adjust_name + "\\\\";
			else
				this.adjust_name = adjust_name + comparing;
			*/
		}
		//System.out.println(adjust_name);

	}

}
