package com.rfxsoft.justrfx.mail;


import java.util.HashMap;
import java.util.Map;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.FileSystemXmlApplicationContext;
import org.springframework.mail.javamail.JavaMailSender;

/**
 * @author robh
 *  
 */
public class VelocityRunner {

	public static void main(String[] args) {
		ApplicationContext ctx = new FileSystemXmlApplicationContext(
				new String[] { "conf/velocity.xml",
						"conf/javaMailSender.xml" });

		JavaMailSender sender = (JavaMailSender) ctx.getBean("sender");
		VelocityMimeMessagePreparator preparator = (VelocityMimeMessagePreparator) ctx
				.getBean("preparator");

		Map<String, String> data = new HashMap<String, String>();
		data.put("msg", "Hello World!");

		preparator.setData(data);

		sender.send(preparator);
	}
}