package com.rfxsoft.justrfx.mail.simple;

import org.springframework.mail.MailSender;
import org.springframework.mail.SimpleMailMessage;

public abstract class SimpleMailSender {
	protected abstract MailSender getMailSender();

	public final void sendMessage(String to, String text) {
		SimpleMailMessage msg = new SimpleMailMessage();

		msg.setTo(to);
		msg.setSubject("Test Message");
		msg.setFrom("k1park@imk.samsung.com");
		msg.setText(text);
		
		MailSender sender = getMailSender();
		
		sender.send(msg);
	}
}
