package com.rfxsoft.justrfx.test;


import org.apache.poi.hssf.usermodel.*;
import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.hssf.util.CellReference;
import java.io.FileOutputStream;
import java.io.IOException;

public class  MakeExcel
{
 public static void main(String[] args) 
 {
  //ϳ  Ͽ شϴ Ŭ 
  HSSFWorkbook wb = new HSSFWorkbook();
  //ϳ  Ʈ شϴ Ŭ 
  HSSFSheet sheet = wb.createSheet();
  // Ʈ ε, ̸, Ʈ ڵ Ÿ 
  wb.setSheetName(0, "", HSSFWorkbook.ENCODING_UTF_16);
  //Ʈ  ࿡ شϴ Ŭ , rownum ε 
  HSSFRow row = sheet.createRow((short)0);
  //Ʈ   شϴ Ŭ , column ε 
  HSSFCell cell = row.createCell((short)0);
  //  ѱ۰ ϱ  ڵ  
  cell.setEncoding(HSSFCell.ENCODING_UTF_16);
  // Ʈ ϴ Ŭ
  HSSFFont font = wb.createFont();
  //  , Ʈ, ,   Ÿ ϴ Ŭ 
  HSSFCellStyle cellStyle = wb.createCellStyle();

  cellStyle.setFillBackgroundColor(HSSFColor.BRIGHT_GREEN.index);
  cell.setCellStyle(cellStyle);
  cell.setCellValue("");

  font.setFontHeightInPoints((short)14);
  font.setFontName("ü");
  font.setColor((short)10);
  
  cellStyle.setFont(font);
  cellStyle.setDataFormat(HSSFDataFormat.getBuiltinFormat("m/d/yy h:mm"));
  cell = row.createCell((short)2);
  cell.setCellStyle(cellStyle);
  cell.setCellValue(new java.util.Date());  
        

  for(int i=1;i<=9;i++){
   row = sheet.createRow((short)i);
   cell = row.createCell((short)0);
   cell.setCellValue(2);
   cell = row.createCell((short)1);
   cell.setCellValue(i);
   cell = row.createCell((short)2);
   cell.setCellType(HSSFCell.CELL_TYPE_FORMULA);
   //CellReferenceŬ POI  ǥ  ǥ ȯִ Ŭ
   CellReference cellRef1 = new CellReference(i, 0);
   CellReference cellRef2 = new CellReference(i, 1);
            //setCellFormula() ϸ  
   cell.setCellFormula(cellRef1.toString() +"*"+cellRef2.toString());
   row = sheet.createRow((short)10);
   cell = row.createCell((short)2);
   CellReference cellStart = new CellReference(1, 2);
   CellReference cellEnd = new CellReference(9, 2);
   cell.setCellFormula("sum("+cellStart.toString()+":"+cellEnd.toString()+")");

  }

  FileOutputStream fileOut = null;
  try{
   fileOut = new FileOutputStream("C:/temp.xls");
   wb.write(fileOut);
   System.out.println("Ͽ Ǿϴ.");
  }catch(IOException ex){
   ex.printStackTrace();
  }finally{
   if(fileOut != null) 
    try{
      fileOut.close();
   }catch(IOException ex){}
  }
  
 }
}

