package com.rfxsoft.justrfx.view;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFDataFormat;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.hssf.util.HSSFColor;
import org.springframework.web.servlet.view.document.AbstractExcelView;

public class ExcelView_d20 extends AbstractExcelView {

	private static final int GUBUN			= 0;	//ǰ
	private static final int ITEM_NAME		= 1;	//ǰ
	private static final int SPECIFICATION	= 2;	//԰
	private static final int MODEL_NO		= 3;	///
	private static final int DESCRIPTION	= 4;	//ó
	private static final int MAKER_NAME		= 5;	//
	private static final int SALES_PRICE	= 6;	//
	private static final int BM_QTY			= 7;	//()
	private static final int PL_NO			= 8;	//ȣ(4)	



	void SetCellValue(HSSFSheet sheet, HSSFCellStyle style, int row, int col, Object value) {
		
		getCell(sheet, row, col).setEncoding(HSSFCell.ENCODING_UTF_16);
		getCell(sheet, row, col).setCellValue((String)value);

	}
	
	@Override
	protected void buildExcelDocument(Map model, HSSFWorkbook wb,
			HttpServletRequest request, HttpServletResponse response) throws Exception {

		
		HSSFSheet sheet = wb.createSheet();
		//ŸϽƮ
	    HSSFCellStyle style = wb.createCellStyle();
	    HSSFCellStyle style_bom = wb.createCellStyle();
	    style.setDataFormat(HSSFDataFormat.getBuiltinFormat("m/d/yy"));
	    style.setBorderBottom(HSSFCellStyle.BORDER_THIN);
	    style.setBottomBorderColor(HSSFColor.BLUE.index);
	    style.setAlignment(HSSFCellStyle.ALIGN_CENTER);
//	    style.setBorderLeft(HSSFCellStyle.BORDER_THIN);
//	    style.setLeftBorderColor(HSSFColor.GREEN.index);
//	    style.setBorderRight(HSSFCellStyle.BORDER_THIN);
//	    style.setRightBorderColor(HSSFColor.BLUE.index);
//	    style.setBorderTop(HSSFCellStyle.BORDER_MEDIUM_DASHED);
//	    style.setTopBorderColor(HSSFColor.BLACK.index); 
	    style_bom.setDataFormat(HSSFDataFormat.getBuiltinFormat("m/d/yy"));
	    style_bom.setBorderBottom(HSSFCellStyle.BORDER_THIN);
	    style_bom.setBottomBorderColor(HSSFColor.BLUE.index);
	    style_bom.setAlignment(HSSFCellStyle.ALIGN_CENTER);
	    style_bom.setFillForegroundColor(HSSFColor.YELLOW.index);
	    style_bom.setFillPattern(HSSFCellStyle.SOLID_FOREGROUND);
	    //style_bom.setFillBackgroundColor(HSSFColor.YELLOW.index);
	    
		
	    wb.setSheetName(0, "ľεҰ", HSSFCell.ENCODING_UTF_16);
	    
	    int row=0;
	    HSSFRow hssRow 	= sheet.createRow(0);
	    HSSFCell cell=null;
	    
	    cell = 	hssRow.createCell((short)GUBUN);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style);
	    		cell.setCellValue("");
	    cell = 	hssRow.createCell((short)ITEM_NAME);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style);
	    		cell.setCellValue("ǰ");
	   	cell = 	hssRow.createCell((short)SPECIFICATION);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style);
	    		cell.setCellValue("԰");
	    cell = 	hssRow.createCell((short)MODEL_NO);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style);
	    		cell.setCellValue("/"); 		
	    cell = 	hssRow.createCell((short)DESCRIPTION);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style);
	    		cell.setCellValue("ó");		
	    cell = 	hssRow.createCell((short)MAKER_NAME);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style);
	    		cell.setCellValue(""); 		
	    cell = 	hssRow.createCell((short)SALES_PRICE);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style);
	    		cell.setCellValue("");
	    cell = 	hssRow.createCell((short)BM_QTY);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style_bom);
	    		cell.setCellValue("()");
	    cell = 	hssRow.createCell((short)PL_NO);cell.setEncoding(HSSFCell.ENCODING_UTF_16);cell.setCellStyle(style_bom);
	    		cell.setCellValue("ǰ(4)");	    		
	    		
	    //SetCellValue( sheet, style, row, GUBUN, 	"");
		//SetCellValue( sheet, style, row, ITEM_NAME, 	"ǰ");
		//SetCellValue( sheet, style, row, SPECIFICATION, "԰");
		//SetCellValue( sheet, style, row, MODEL_NO, 		"/");
		//SetCellValue( sheet, style, row, DESCRIPTION, 	"ó");
		//SetCellValue( sheet, style, row, MAKER_NAME, 	"");
		//SetCellValue( sheet, style, row, SALES_PRICE, 	"");
		//SetCellValue( sheet, style_bom, row, BM_QTY, 		"()");
		//SetCellValue( sheet, style_bom, row, PL_NO, 		"ǰ(4)");
		//row++;

		sheet = wb.createSheet();
		wb.setSheetName(1, "м", HSSFCell.ENCODING_UTF_16);
		row = 0;
		SetCellValue( sheet, style, row, GUBUN, 	"");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"");row++;
		SetCellValue( sheet, style, row, GUBUN, 	"BEAR");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"Bearing");row++;
		SetCellValue( sheet, style, row, GUBUN, 	"PNEU");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"Pneumatic");row++;
		SetCellValue( sheet, style, row, GUBUN, 	"MOTO");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"Motor");row++;
		SetCellValue( sheet, style, row, GUBUN, 	"MECH");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"ⱸŸ");row++;
		SetCellValue( sheet, style, row, GUBUN, 	"SENS");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"Sensor");row++;
		SetCellValue( sheet, style, row, GUBUN, 	"PLCP");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"PLC");row++;
		SetCellValue( sheet, style, row, GUBUN, 	"CONN");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"Connector");row++;
		SetCellValue( sheet, style, row, GUBUN, 	"ELEC");
		SetCellValue( sheet, style, row, ITEM_NAME, 	"Ÿ");row++;
	}

}
