package com.rfxsoft.justrfx.web;

import java.util.Date;

import javax.servlet.http.HttpSessionBindingEvent;
import javax.servlet.http.HttpSessionBindingListener;

import com.rfxsoft.justrfx.business.f_admn.AdmnManager;

public class CustomBindingListener implements HttpSessionBindingListener {
	 
	private AdmnManager adminManager;
	private Integer	user_uid;
	private String ip_addr;
	 
	public CustomBindingListener(String remoteAddr,
			AdmnManager myadminManager, Integer myUser_uid) {
		this.adminManager = myadminManager;
		this.user_uid = myUser_uid;
		this.ip_addr = remoteAddr;
	}
 
	public void valueBound(HttpSessionBindingEvent event) {

		adminManager.checkLogin(user_uid, ip_addr, new Date());

	}
 
	public void valueUnbound(HttpSessionBindingEvent event) {
		adminManager.checkLogout(user_uid, new Date());
	}

	
}
