package com.rfxsoft.justrfx.web;


import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;

import com.rfxsoft.justrfx.domain.RegisterdMasterCompany;
import com.rfxsoft.justrfx.domain.menu.MenuGroup;
import com.rfxsoft.justrfx.domain.menu.MenuObject;
import com.rfxsoft.justrfx.web.security.SessionSecurityManager;
import com.rfxsoft.justrfx.web.tiles.AbstractMenuController;
import com.rfxsoft.justrfx.business.f_admn.AdmnManager;


/**
 * @author k1park
 */
public class IndexController extends AbstractMenuController {
	Map<String, Object> menu_info = new HashMap<String, Object>();
	public ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {
		RegisterdMasterCompany m_com = this.getMasterCompany();
//		String companyDisplay = "";
		String companyLogo	  = "";
		
		if(m_com!=null) {
//			companyDisplay  = this.getMasterCompany().getCompanyDisplay();
			companyLogo		= this.getMasterCompany().getCompanyLogo();
		}
		
		//αε 
		if (SessionSecurityManager.isUserLoggedIn(request)) {
			//޴  о ޴
			//EnvFile о  
			
			MenuGroup group = null;
			Vector<MenuObject> menuList = null;
			Vector<MenuGroup> menuGroupList = new Vector<MenuGroup>();
			
			group = new MenuGroup("", "");
			menuList=new Vector<MenuObject>();
			menuList.add(new MenuObject("", ""));
			group.setListMenu(menuList);
			menuGroupList.add(group);
			
//			String menuType = RequestUtils.getStringParameter(request, "menuId");
			
			if(m_com!=null) {
//				companyDisplay  = this.getMasterCompany().getCompanyDisplay();
				companyLogo		= this.getMasterCompany().getCompanyLogo();
			}
			
			String	 myUserId	= this.getThis_userid(request);
			String	 myUserName	= this.getThis_user_name(request);
			
			menu_info.put("menuPosition", "5");
			menu_info.put("menuGroupKey", "h_mynv");
			menu_info.put("com_logo",	masterCompany.getCompanyLogo());
			menu_info.put("menubody",	"main/init.jsp");
			menu_info.put("displaytitle", 	"");
			menu_info.put("menutitle", "");
			menu_info.put("menulist", menuGroupList);
			menu_info.put("menuType", "h04");	//Toolbar MenuѴ.
			menu_info.put("menuGroup", "h_mynv");
			menu_info.put("loginned_user_id", myUserId);
			menu_info.put("loginned_user_name", myUserName);
			menu_info.put("com_logo",	companyLogo);//ȸΰ 
			
			AdmnManager adminManager=this.getAdminManager();
			if(adminManager!= null){
				List list = this.getAdminManager().getMainBoard();
				menu_info.put("boardlistAll",	list);//  
			}

			return new ModelAndView("index", menu_info);


		} else {//α׿Ǿ
			Map<String, Object> menu_info = new HashMap<String, Object>();
			/*
			AdmnManager adminManager=this.getAdminManager();
			if(adminManager!= null){
				List list = this.getAdminManager().getMainBoard();
				menu_info.put("board",	list);//  
			}
			*/
			menu_info.put("com_logo",	masterCompany.getCompanyLogo());

			String login_route = "security-login";
			/*
			if( companyDisplay!=null && companyDisplay.length() >0) {
				login_route = login_route + companyDisplay;
			}
			*/
			
			return new ModelAndView(login_route, menu_info);

		}

		
	}
}


