package com.rfxsoft.justrfx.web.controller;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Random;
import java.util.StringTokenizer;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanCreationException;

import org.springframework.web.bind.ServletRequestBindingException;
import org.springframework.web.bind.ServletRequestUtils;

import com.rfxsoft.justrfx.business.b_rtng.RtngManager;
import com.rfxsoft.justrfx.business.d_mtrl.MtrlManager;
import com.rfxsoft.justrfx.business.f_admn.AdmnManager;
import com.rfxsoft.justrfx.business.g_mynf.MynfManager;
import com.rfxsoft.justrfx.business.j_prch.PrchManager;
import com.rfxsoft.justrfx.business.k_gate.GateManager;
import com.rfxsoft.justrfx.domain.AssyMap;
import com.rfxsoft.justrfx.domain.Board;
import com.rfxsoft.justrfx.domain.ComAst;
import com.rfxsoft.justrfx.domain.ComBst;
import com.rfxsoft.justrfx.domain.ComCst;
import com.rfxsoft.justrfx.domain.ComDst;
import com.rfxsoft.justrfx.domain.ErrHwGr;
import com.rfxsoft.justrfx.domain.ErrHwPo;
import com.rfxsoft.justrfx.domain.RtgAst;
import com.rfxsoft.justrfx.domain.SrcAhd;
import com.rfxsoft.justrfx.domain.SrcMap;
import com.rfxsoft.justrfx.domain.SystemInfo;
import com.rfxsoft.justrfx.domain.UsrAst;
import com.rfxsoft.justrfx.domain.XpoAst;
import com.rfxsoft.justrfx.domain.command.JrServiceName;
import com.rfxsoft.justrfx.domain.menu.MenuStructure;

public class AdmnManagerController extends AbstractMenuTileController {

	String user_id;
	String dept_code;
	String user_type;
	String email_id;
	String username;
	String reg_no;
	String dept_name;
	String dept_group;

	
	/*
	 * f12
	 */
	String admission_date;							// ŷ
	String admission_flag;							// ŷο
	String agreement_type;							//   
	String bank_payment_flag;						// B2B 
	String biz_group;								// ұ׷ڵ
	String biz_group_name;							// ұ׷
	String blocking_flag;							// Blocking 
	String change_date;								// 
	String change_reason;							// 
	String changer;									// 
	String company_code;							// ȸڵ		
	String company_grade;							// ȸ 
	String company_group;							// ȸ׷ ڵ
	String company_group_name;						// ȸ׷ 
	String company_name;							// ȸ
	String create_date;								// 
	String creator;									// 
	String deal_amount;								// ֱݾ
	String deal_amount_str;							// ֱݾ
	String deal_date;								// 
	//String delete_flag;								// 
	String employee;								// 
	String ep_company_code;							// EP ȸڵ
	String foreign_wa_flag;							// ؿܻ 
	String groupware_type;							// ׷
	String home_page_url;							// Ȩ ּ
	String main_view_flag;							// ű԰ Խÿ
	String mro_amount;								// MRO 
	String multi_price_flag;						// ǰ 
	String multi_price_group;						// ǰ ׷
	String remark;									// 
	String sales_amount;							// 
	String sort_seq;								//  Seq
	String sourcing_group;							// ҽ̱׷
	String unique_id;								// Unique ID
	String wa_flag;									// ٹ 뿩
	//f14
	String	abudget_av_flag;						// ߰ ڵ    						
	String	ac_cancel_flag;        					// ԰  ()   
	String	account_assign_type;   					//  Ÿ            
	String	account_need_flag;     					// ʼ Է            
	String	add_budget_flag;       					// ߰                 
	String	address_1;             					//  ּ 1            
	String	address_2;             					//  ּ 2            
	String	agreement_attach_type; 					//   ġ       
	String	agreement_flag;        					//  /뺸           
	String	ao_id;                 					// Account Officer          
	String	ao_name;               					// AO ̸                  
	String	approver_min_cnt;      					// ּ             
	String	approver_type;         					//   Ÿ         
	String	area_code;            					// ڵ                 
	String	auto_dc_flag;          					// ԰ ڵۿϷ  
	String	auto_gi_flag;         					// ڵ                 
	String	auto_gr_flag;          					// ۿϷ  ڵ԰ 
	String	biz_category;          					//                      
	String	biz_condition;         					//                      
	String	biz_no;                					//  Ϲȣ   
	String	bs_approval_type;      					//  ż            
	String	bs_auto_order_flag;    					//  ڵ            
	String	bs_flag;               					//                  
	String	bs_price_type;         					//  ݰ        
	String	budget_active_flag;    					//                  
	String	change_time;           					// ð                 
	String	create_time;           					// ð                 
	String	creditcard_po_flag;    					// ſī ֹ        
	String	gr_approval_flag;      					// ԰ ſ          
	String	gr_closing_flag;       					// ԰                 
	String	gr_pop_date;           					// ԰ ˾    
	String	gr_pop_date_range;     					// ԰ ˾ Ⱓ   
	String	gr_pop_flag;           					// ԰ ˾ 뿩   
	String	idx_mcmbst_uniq;       					// company_code,wa_code     
	String	if_active_flag;        					// PO & GR Interface        
	String	if_file_id;            					// IF  ID               
	String	if_serial_no;          					// Serial No                
	String	inventory_flag;        					// /            
	String	item_group_code;       					// ǰڵ               
	String	myclass_flag;          					// My Class 뿩        
	String	myclass_group;         					// My Class ׷            
	String	mysite_group;          					// My Site ׷             
	String	office_flag;           					// O 뿩         
	String	payment_request_type;  					// ſī Ÿ        
	String	po_disable_if_flag;    					// ֹҰ I/F         
	String	pr_active_flag;        					// ſû             
	String	president_name;        					// ǥ ̸              
	String	reapproval_flag;       					// /  ſ    
	String	reg_date;              					//                  
	String	reg_id;                					//  ID                
	String	reg_name;              					//  ̸              
	String	reg_time;              					// Ͻð                 
	String	rep_account_code;      					// ǥ                 
	String	rep_dept_code;         					// ǥ μ                
	String	rep_division_code;     					// ǥ               
	String	round_flag;            					// ǰ ݿø          
	String	round_place;           					// ǰ ݿø ڸ       
	String	sg_mysite_flag;        					// ҽ̱׷ MySite      
	String	site_manager_email;    					// ڸּ     
	String	site_manager_mobile_no;					// ڵȣ   
	String	site_manager_name ;    					// ڸ           
	String	site_manager_tel_no;   					// ȭȣ     
	String	sku_flag;              					// SKU                  
	String	tpl_use_flag;          					// 뿩             
	String	wa_code;               					// ڵ               
	String	wa_group;              					// ׷ (׷)    
	String	wa_name;               					//                  
	String	zip_code;              					//  ȣ
	//f16
	String[] div_code;								// ڵ
	String[] div_name;								// θ
	String	 division_code;							// ڵ
	String	 division_name;							// θ
	String[] check;									// üũڽ
	String	ba_code;								// B/A
	String	bracket;								// Ѱ
	String  delete_flag;							// 
	//f02
	String[] dep_name;								// μ̸
	String[] dep_code;								// μڵ
	String[] dep_group;								// μ׷
	//usrast
	
	String	login_id;
	String	password;
	String	user_name;
	String	emp_no;
	String	position;
	String	tel_no;
	String	extension_no;
	String	pw_req_flag;
	String	hp_no;
	String	email;
	String	fax_no;
	String	blocking_reason;
	String	grade_code;
	String	logout_date;
	String	login_date;
	String	login_ip;
	String	login_flag;
	String	login_fail_cnt;
	String	pw_change_date;
	String	concurrent_user;
	String	max_user_cnt;
	String	admit_id;
	String	admit_date;
	String	catalog_admin;
	String	budget_flag;
	String	approval_flag;
	String	om_address;
	String	ep_id;
	String	ep_company_name;
	String	ep_dept_code;
	String	ep_dept_name;
	String	ep_position_code;
	String	ep_suborg_code;
	String	ep_suborg_name;
	String	bs_bulk_flag;
	String	bs_co_bulk_flag;
	String	po_admin_flag;
	String	pr_admin_flag;
	String	budget_admin_flag;
	String	user_admin_flag;
	String	agreement_admin_flag;
	String	ac_admin_flag;
	String	mysite_admin_flag;
	String	bs_admin_flag;
	String	inventory_admin_flag;
	String	approver_flag;
	String	pc_agreement_admin_flag;
	String	strategic_flag;
	String	ot_user_flag;
	String	gr_user_flag;
	String	new_item_user_flag;
	String	desc_search_flag;
	String	dti_receiver_flag;
	String	price_open_flag;
	String	po_auto_delete_flag;
	String	buying_price_open_flag;
	String	cell_code;
	String	ao_dept_code;
	String	budget_dept_code;
	String	account_code;
	String	receiver_id;
	String	receiver_name;
	String	receiver_tel_no;
	String	receiver_hp_no;
	String	delivery_zip_code;
	String	delivery_address_1;
	String	delivery_address_2;
	String	delivery_area_code;
	String	budget_range;
	String	pr_po_type;
	String	sn_doc_type;
	String	item_mail_flag;
	String	creator_mail_flag;
	String	price_mail_flag;
	String	po_mail_flag;
	String	sn_mail_flag;
	String	gr_mail_flag;
	String	dc_mail_flag;
	String	user_grade;
	String	language_type;
	String	time_zone;
	String	sr_admin_flag;
	String	if_update_flag;
	String	po_substitute_status;
	String	first_page_type;
	String	mp_req_date;
	String	mp_requester;
	String	by_reply_date;
	String	new_request_flag;
	String	pr_return_use_flag;
	String	req_ui_bulk_flag;
	String	budget_input_flag;
	String	csi_type;
	String	csi_change_reason;
	String	return_admin_flag;
	String	gr_pop_notice_flag;
	String	bs_notice_flag;
	String	dss_grade;
	String	menu_type;
	String	auth_flag;
	String	auth_type;
	String	auth_from_date;
	String	auth_to_date;
	String	sn_price_open_flag;
	String	unique_id_comdst;
	String  uid_combst;
	String	po_user_uid;
	String  account_class;
	String  dept_class;
	int		start;
	int		page;
	int 	rownumfirst;
	int     totalCnt;
	
	
	//f25(board)
	String	board_name;
	String	board_email;
	String	board_title;
	String	board_content;
	Date	board_date;
	String  board_date_str;
	String	mime;
	String  gubun;
	String  board_count;
	int   	board_depth;
	int	    parent;
	String  gu_bun;
	private String excelPath;
	 
	//Map		map; -local 
	
	
//	  Ķ
	String[]	file_group_code	= null; //׷ڵ
	String[]	file_item_code	= null; //ڵ(=ũŰ)
	String[]	file_f_name		= null; //̸
	String[]	file_f_size		= null; //ϻ
	Integer		file_length		= 0;	//ϰ
	

	public String replace_blank(String args)
	{
		String replace = args.equals("Y")? args : "N"; 
		return replace;
	}
	
	public String nullCk(String args)
	{
		if(args == null)
		{
			args = "";
		}
	  return args;
	}
	
	public String change(String args){
		if(args.equals("on")){
			args = "Y";
		}else{
			args = "N";
		}
		
		return args;
	}
	
	public int reUnique_Id()
	{
		Random ran = new Random();
		int iRand = 0;
		iRand = ran.nextInt();
			if(iRand < 0) {
			   iRand = (-1)* iRand;
			   }
			 return iRand;
	}
	
	private void GetRequestValue(HttpServletRequest request) {
		
//		 Ķ.
		UsrAst me = this.getMyInfoManager().getMyInfo( this.getThis_useruid(request));
		this.file_group_code = request.getParameterValues("file_group_code");
		
		if(this.file_group_code != null){
			this.file_length = this.file_group_code.length;
		}
		this.file_item_code = request.getParameterValues("file_item_code");
		this.file_f_name = request.getParameterValues("file_f_name");
		this.file_f_size = request.getParameterValues("file_f_size");
		
		
//		f12 --aram
		user_id								= nullCk(request.getParameter("user_id"));				//Ƶ
		dept_name							= nullCk(request.getParameter("dept_name"));			//μ
		admission_date						= nullCk(request.getParameter("admission_date"));		//ŷ
		admission_flag						= nullCk(request.getParameter("admission_flag"));		//ŷο
		agreement_type						= nullCk(request.getParameter("agreement_type"));		//  
		bank_payment_flag					= nullCk(request.getParameter("bank_payment_flag"));	//B2B 
		biz_group							= nullCk(request.getParameter("biz_group"));			//ұ׷ڵ
		biz_group_name						= nullCk(request.getParameter("biz_group_name"));		//ұ׷
		blocking_flag						= change(nullCk(request.getParameter("blocking_flag")));		//Blocking 
		change_date							= nullCk(request.getParameter("change_date"));			//
		change_reason						= nullCk(request.getParameter("change_reason"));		//
		changer								= nullCk(me.getUser_id());								//
		company_code						= nullCk(request.getParameter("company_code"));			//ȸڵ
		company_grade						= nullCk(request.getParameter("company_grade"));		//ȸ 
		company_group						= nullCk(request.getParameter("company_group"));		//ȸ׷ ڵ
		company_group_name					= nullCk(request.getParameter("company_group_name"));	//ȸ׷ 
		company_name						= nullCk(request.getParameter("company_name"));			//ȸ
		create_date							= nullCk(request.getParameter("create_date"));			//
		creator								= nullCk(request.getParameter("creator"));			//
		deal_amount							= nullCk(request.getParameter("deal_amount"));			//ֱݾ
		deal_amount_str						= nullCk(request.getParameter("deal_amount_str"));			//ֱݾ
		deal_date							= nullCk(request.getParameter("deal_date"));			//
		employee							= nullCk(request.getParameter("employee"));				//
		ep_company_code						= nullCk(request.getParameter("ep_company_code"));		//EP ȸڵ
		foreign_wa_flag						= change(nullCk(request.getParameter("foreign_wa_flag")));		//ؿܻ 
		groupware_type						= nullCk(request.getParameter("groupware_type"));		//׷
		home_page_url						= nullCk(request.getParameter("home_page_url"));		//Ȩ ּ
		main_view_flag						= change(nullCk(request.getParameter("main_view_flag")));		//ű԰ Խÿ
		mro_amount							= nullCk(request.getParameter("mro_amount"));			//MRO 
		multi_price_flag					= change(nullCk(request.getParameter("multi_price_flag")));		//ǰ 
		multi_price_group					= nullCk(request.getParameter("multi_price_group"));	//ǰ ׷
		remark								= nullCk(request.getParameter("remark"));				//
		sales_amount						= nullCk(request.getParameter("sales_amount"));			//
		sort_seq							= nullCk(request.getParameter("sort_seq"));				// Seq
		sourcing_group						= nullCk(request.getParameter("sourcing_group"));		//ҽ̱׷
		wa_flag								= change(nullCk(request.getParameter("wa_flag")));		//ٹ 뿩
		
		start								= nullCk(request.getParameter("page")).equals("")? 0 : 	Integer.parseInt(request.getParameter("page"));				// 
		//rownumfirst							= page * 30;
		unique_id							= nullCk(request.getParameter("unique_id"));
		abudget_av_flag						= change(nullCk(request.getParameter("abudget_av_flag")));		
		ac_cancel_flag        				= nullCk(request.getParameter("ac_cancel_flag"));
		account_assign_type   				= nullCk(request.getParameter("account_assign_type"));
		account_need_flag     				= change(nullCk(request.getParameter("account_need_flag")));
		add_budget_flag       				= change(nullCk(request.getParameter("add_budget_flag")));
		address_1             				= nullCk(request.getParameter("address_1"));
		address_2             				= nullCk(request.getParameter("address_2"));
		agreement_attach_type 				= nullCk(request.getParameter("agreement_attach_type"));
		agreement_flag        				= nullCk(request.getParameter("agreement_flag"));
		ao_id                 				= nullCk(request.getParameter("ao_id"));
		ao_name               				= nullCk(request.getParameter("ao_name"));
		approver_min_cnt      				= nullCk(request.getParameter("approver_min_cnt"));
		approver_type         				= nullCk(request.getParameter("approver_type"));
		area_code            				= nullCk(request.getParameter("area_code"));
		auto_dc_flag          				= nullCk(request.getParameter("auto_dc_flag"));
		auto_gi_flag         				= nullCk(request.getParameter("auto_gi_flag"));
		auto_gr_flag          				= nullCk(request.getParameter("auto_gr_flag"));
		biz_category          				= nullCk(request.getParameter("biz_category"));
		biz_condition						= nullCk(request.getParameter("biz_condition"));
		
		
		biz_no                				= nullCk(request.getParameter("biz_no"));
		bs_approval_type      				= nullCk(request.getParameter("bs_approval_type"));
		bs_auto_order_flag    				= nullCk(request.getParameter("bs_auto_order_flag"));
		bs_flag               				= nullCk(request.getParameter("bs_flag"));
		bs_price_type         				= nullCk(request.getParameter("bs_price_type"));
		budget_active_flag    				= change(nullCk(request.getParameter("budget_active_flag")));
		change_time           				= nullCk(request.getParameter("change_time"));
		create_time           				= nullCk(request.getParameter("create_time"));
		creditcard_po_flag    				= nullCk(request.getParameter("creditcard_po_flag"));
		gr_approval_flag      				= nullCk(request.getParameter("gr_approval_flag"));
		gr_closing_flag       				= nullCk(request.getParameter("gr_closing_flag"));
		gr_pop_date           				= nullCk(request.getParameter("gr_pop_date"));
		gr_pop_date_range     				= nullCk(request.getParameter("gr_pop_date_range"));
		gr_pop_flag           				= nullCk(request.getParameter("gr_pop_flag"));
		idx_mcmbst_uniq       				= nullCk(request.getParameter("idx_mcmbst_uniq"));
		if_active_flag        				= nullCk(request.getParameter("if_active_flag"));
		if_file_id            				= nullCk(request.getParameter("if_file_id"));
		if_serial_no          				= nullCk(request.getParameter("if_serial_no"));
		inventory_flag        				= nullCk(request.getParameter("inventory_flag"));
		item_group_code       				= nullCk(request.getParameter("item_group_code"));
		myclass_flag          				= nullCk(request.getParameter("myclass_flag"));
		myclass_group         				= nullCk(request.getParameter("myclass_group"));
		mysite_group          				= nullCk(request.getParameter("mysite_group"));
		office_flag           				= nullCk(request.getParameter("office_flag"));
		payment_request_type  				= nullCk(request.getParameter("payment_request_type"));
		po_disable_if_flag    				= nullCk(request.getParameter("po_disable_if_flag"));
		pr_active_flag        				= nullCk(request.getParameter("pr_active_flag"));
		president_name        				= nullCk(request.getParameter("president_name"));
		reapproval_flag       				= nullCk(request.getParameter("reapproval_flag"));
		reg_date              				= nullCk(request.getParameter("reg_date"));
		reg_id                				= nullCk(request.getParameter("reg_id"));
		reg_name              				= nullCk(request.getParameter("reg_name"));
		reg_time              				= nullCk(request.getParameter("reg_time"));
		rep_account_code      				= nullCk(request.getParameter("rep_account_code"));
		rep_dept_code         				= nullCk(request.getParameter("rep_dept_code"));
		rep_division_code     				= nullCk(request.getParameter("rep_division_code"));
		round_flag            				= nullCk(request.getParameter("round_flag"));
		round_place           				= nullCk(request.getParameter("round_place"));
		sg_mysite_flag        				= nullCk(request.getParameter("sg_mysite_flag"));
		site_manager_email    				= nullCk(request.getParameter("site_manager_email"));
		site_manager_mobile_no				= nullCk(request.getParameter("site_manager_mobile_no"));
		site_manager_name     				= nullCk(request.getParameter("site_manager_id"));
		site_manager_tel_no   				= nullCk(request.getParameter("site_manager_tel_no"));
		sku_flag              				= nullCk(request.getParameter("sku_flag"));
		tpl_use_flag          				= nullCk(request.getParameter("tpl_use_flag"));
		wa_code               				= nullCk(request.getParameter("wa_code"));
		wa_group              				= nullCk(request.getParameter("wa_group"));
		wa_name               				= nullCk(request.getParameter("wa_name"));
		zip_code              				= nullCk(request.getParameter("zip_code"));
		account_class           			= nullCk(request.getParameter("account_class"));
		dept_class           				= nullCk(request.getParameter("dept_class"));
//f16	
		check								= request.getParameterValues("check");
		div_code							= request.getParameterValues("division_code");
		div_name							= request.getParameterValues("division_name");
		dep_code							= request.getParameterValues("dept_code");
		dep_name							= request.getParameterValues("dept_name");
		dep_group							= request.getParameterValues("dept_group");
		dept_code              				= nullCk(request.getParameter("dept_code"));
		dept_name              				= nullCk(request.getParameter("dept_name"));
		dept_group              			= nullCk(request.getParameter("dept_group"));
		ba_code              				= nullCk(request.getParameter("ba_code"));
		bracket              				= nullCk(request.getParameter("bracket"));
		delete_flag              			= "N";
		division_code             			= nullCk(request.getParameter("division_code"));
		division_name             	 		= nullCk(request.getParameter("division_name"));
		reg_no								= nullCk(request.getParameter("reg_no1"))+"-"+nullCk(request.getParameter("reg_no2"));
		login_id               				= nullCk(request.getParameter("login_id")						);
		password               				= nullCk(request.getParameter("password")						);
		user_name              				= nullCk(request.getParameter("user_name")						);
		emp_no                 				= nullCk(request.getParameter("emp_no")							);
		user_type							= nullCk(request.getParameter("user_type")						);
		position               				= nullCk(request.getParameter("position")						);
		tel_no                 				= nullCk(request.getParameter("tel_no")							);
		extension_no           				= nullCk(request.getParameter("extension_no")					);
		pw_req_flag            				= nullCk(request.getParameter("pw_req_flag")					);
		hp_no                  				= nullCk(request.getParameter("hp_no")							);
		email                  				= nullCk(request.getParameter("email")							);
		fax_no                 				= nullCk(request.getParameter("fax_no")							);
		blocking_reason        				= nullCk(request.getParameter("blocking_reason")				);
		grade_code             				= nullCk(request.getParameter("grade_code")						);
		logout_date            				= nullCk(request.getParameter("logout_date")					);
		login_date             				= nullCk(request.getParameter("login_date")						);
		login_ip               				= nullCk(request.getParameter("login_ip")						);
		login_flag             				= nullCk(request.getParameter("login_flag")						);
		login_fail_cnt         				= nullCk(request.getParameter("login_fail_cnt")					);
		pw_change_date         				= nullCk(request.getParameter("pw_change_date")					);
		concurrent_user        				= nullCk(request.getParameter("concurrent_user")				);
		max_user_cnt           				= nullCk(request.getParameter("max_user_cnt")					);
		admit_id               				= nullCk(request.getParameter("admit_id")						);
		admit_date             				= nullCk(request.getParameter("admit_date")						);
		catalog_admin          				= nullCk(request.getParameter("catalog_admin")					);
		budget_flag            				= nullCk(request.getParameter("budget_flag")					);
		approval_flag          				= nullCk(request.getParameter("approval_flag")					);
		om_address             				= nullCk(request.getParameter("om_address")						);
		ep_id                  				= nullCk(request.getParameter("ep_id")							);
		ep_company_name        				= nullCk(request.getParameter("ep_company_name")				);
		ep_dept_code           				= nullCk(request.getParameter("ep_dept_code")					);
		ep_dept_name           				= nullCk(request.getParameter("ep_dept_name")					);
		ep_position_code       				= nullCk(request.getParameter("ep_position_code")				);
		ep_suborg_code         				= nullCk(request.getParameter("ep_suborg_code")					);
		ep_suborg_name         				= nullCk(request.getParameter("ep_suborg_name")					);
		bs_bulk_flag           				= nullCk(request.getParameter("bs_bulk_flag")					);
		bs_co_bulk_flag        				= nullCk(request.getParameter("bs_co_bulk_flag")				);
		po_admin_flag          				= nullCk(request.getParameter("po_admin_flag")					);
		pr_admin_flag          				= nullCk(request.getParameter("pr_admin_flag")					);
		budget_admin_flag      				= nullCk(request.getParameter("budget_admin_flag")				);
		user_admin_flag        				= nullCk(request.getParameter("user_admin_flag")				);
		agreement_admin_flag   				= nullCk(request.getParameter("agreement_admin_flag")			);
		ac_admin_flag          				= nullCk(request.getParameter("ac_admin_flag")					);
		mysite_admin_flag      				= nullCk(request.getParameter("mysite_admin_flag")				);
		bs_admin_flag          				= nullCk(request.getParameter("bs_admin_flag")					);
		inventory_admin_flag   				= nullCk(request.getParameter("inventory_admin_flag")			);
		approver_flag          				= nullCk(request.getParameter("approver_flag")					);
		pc_agreement_admin_flag				= nullCk(request.getParameter("pc_agreement_admin_flag")		);
		strategic_flag         				= nullCk(request.getParameter("strategic_flag")					);
		ot_user_flag           				= nullCk(request.getParameter("ot_user_flag")					);
		gr_user_flag           				= nullCk(request.getParameter("gr_user_flag")					);
		new_item_user_flag     				= nullCk(request.getParameter("new_item_user_flag")				);
		desc_search_flag       				= nullCk(request.getParameter("desc_search_flag")				);
		dti_receiver_flag      				= nullCk(request.getParameter("dti_receiver_flag")				);
		price_open_flag        				= nullCk(request.getParameter("price_open_flag")				);
		po_auto_delete_flag    				= nullCk(request.getParameter("po_auto_delete_flag")			);
		buying_price_open_flag 				= nullCk(request.getParameter("buying_price_open_flag")			);
		cell_code              				= nullCk(request.getParameter("cell_code")						);
		ao_dept_code           				= nullCk(request.getParameter("ao_dept_code")					);
		budget_dept_code       				= nullCk(request.getParameter("budget_dept_code")				);
		account_code           				= nullCk(request.getParameter("account_code")					);
		receiver_id            				= nullCk(request.getParameter("receiver_id")					);
		receiver_name          				= nullCk(request.getParameter("receiver_name")					);
		receiver_tel_no        				= nullCk(request.getParameter("receiver_tel_no")				);
		receiver_hp_no         				= nullCk(request.getParameter("receiver_hp_no")					);
		delivery_zip_code      				= nullCk(request.getParameter("delivery_zip_code")				);
		delivery_address_1     				= nullCk(request.getParameter("delivery_address_1")				);
		delivery_address_2     				= nullCk(request.getParameter("delivery_address_2")				);
		delivery_area_code     				= nullCk(request.getParameter("delivery_area_code")				);
		budget_range           				= nullCk(request.getParameter("budget_range")					);
		pr_po_type             				= nullCk(request.getParameter("pr_po_type")						);
		sn_doc_type            				= nullCk(request.getParameter("sn_doc_type")					);
		item_mail_flag         				= nullCk(request.getParameter("item_mail_flag")					);
		creator_mail_flag      				= nullCk(request.getParameter("creator_mail_flag")				);
		price_mail_flag        				= nullCk(request.getParameter("price_mail_flag")				);
		po_mail_flag           				= nullCk(request.getParameter("po_mail_flag")					);
		sn_mail_flag           				= nullCk(request.getParameter("sn_mail_flag")					);
		gr_mail_flag           				= nullCk(request.getParameter("gr_mail_flag")					);
		dc_mail_flag           				= nullCk(request.getParameter("dc_mail_flag")					);
		user_grade             				= nullCk(request.getParameter("user_grade")						);
		language_type          				= nullCk(request.getParameter("language_type")					);
		time_zone              				= nullCk(request.getParameter("time_zone")						);
		sr_admin_flag          				= nullCk(request.getParameter("sr_admin_flag")					);
		if_update_flag         				= nullCk(request.getParameter("if_update_flag")					);
		po_substitute_status   				= nullCk(request.getParameter("po_substitute_status")			);
		first_page_type        				= nullCk(request.getParameter("first_page_type")				);
		mp_req_date            				= nullCk(request.getParameter("mp_req_date")					);
		mp_requester           				= nullCk(request.getParameter("mp_requester")					);
		by_reply_date          				= nullCk(request.getParameter("by_reply_date")					);
		new_request_flag       				= nullCk(request.getParameter("new_request_flag")				);
		pr_return_use_flag     				= nullCk(request.getParameter("pr_return_use_flag")				);
		req_ui_bulk_flag       				= nullCk(request.getParameter("req_ui_bulk_flag")				);
		budget_input_flag      				= nullCk(request.getParameter("budget_input_flag")				);
		csi_type               				= nullCk(request.getParameter("csi_type")						);
		csi_change_reason      				= nullCk(request.getParameter("csi_change_reason")				);
		return_admin_flag      				= nullCk(request.getParameter("return_admin_flag")				);
		gr_pop_notice_flag     				= nullCk(request.getParameter("gr_pop_notice_flag")				);
		bs_notice_flag         				= nullCk(request.getParameter("bs_notice_flag")					);
		dss_grade              				= nullCk(request.getParameter("dss_grade")						);
		menu_type              				= nullCk(request.getParameter("menu_type")						);
		auth_flag              				= nullCk(request.getParameter("auth_flag")						);
		auth_type              				= nullCk(request.getParameter("auth_type")						);
		auth_from_date         				= nullCk(request.getParameter("auth_from_date")					);
		auth_to_date           				= nullCk(request.getParameter("auth_to_date")					);
		sn_price_open_flag     				= nullCk(request.getParameter("sn_price_open_flag")				);
		unique_id_comdst       				= nullCk(request.getParameter("unique_id_comdst")				);
		po_user_uid            				= nullCk(request.getParameter("po_user_uid")					);
		uid_combst							= nullCk(request.getParameter("uid_combst")						);

//f25
		board_name            				= nullCk(request.getParameter("board_name")						);
		board_email            				= nullCk(request.getParameter("board_email")					);
		board_title            				= nullCk(request.getParameter("board_title")					);
		board_content            			= nullCk(request.getParameter("board_content")					);
		mime		            			= nullCk(request.getParameter("mime")							);
		gubun		            			= nullCk(request.getParameter("gubun")							);
		gu_bun		            			= nullCk(request.getParameter("gu_bun")							);
		board_count		            		= nullCk(request.getParameter("board_count")					);
		board_date_str		            	= nullCk(request.getParameter("board_date_str")					);
		board_date		            		= String2Date(board_date_str)									;
		board_depth		            		= request.getParameter("board_depth") == null? 0 : String2Integer(request.getParameter("board_depth"));
		parent		            			= request.getParameter("parent") == null? 0 : String2Integer(request.getParameter("parent"));
		excelPath = systemInfo.getExcelPath();
	}
	
	public void DoMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		Vector<String> result = new Vector<String>();
		UsrAst user;
		List list;

		//ε   Ÿ ...		
		if ( this.getServiceName() != JrServiceName.F_ADMN) 
		{
			logger.info("F_ADMN     Դϴ.");
			return;
		}
		
		//  б
		GetRequestValue(request);
		switch(this.getMenuId()) 
		{
		
			case MN01://μ˻/
				switch(this.getActivityName()){
				case MODFORM:	//
				{
					Vector<ComDst> comdst_list = new Vector<ComDst>();
					if(SetDeptForm(comdst_list)) {
						menu_info.put("updatelist", 	comdst_list );

					}
					else {
						result.add("󼼺⸦ ã ϴ.");
					}
				}
					break;
				case EDIT:
					changeDept();
					menu_info.put( "data", "μ Ǿϴ.");
					menu_info.put( "URL", "f_admn.html?menuId=f01");


					break;
				case DELETE:		// Action	
				{
					this.deleteDept();
					menu_info.put( "data", "μ Ǿϴ.");
					menu_info.put( "URL", "f_admn.html?menuId=f01");
					break;
				}		
			
			default:
				menu_info.put("deptlist", 	this.GetDeptList() );
				break;
			}
			break;
						
			case MN02:		
			//μ 
				switch(this.getActivityName())
			{
				case ADD:
					menu_info.put("data",	addDeptList(request));
					break;
					
				case FILE: 
					try{
						menu_info.put("data", addFileUpdtComDst(request, result));
					}catch(Exception e)
					{
						//System.out.println(e);
					}
					break;
				default:
					menu_info.put("data", reUnique_Id());
					break;
			}
			break;	

		case MN03:// ˻/
			switch(this.getActivityName()){ //GetUsrAstForm
				case MODFORM:
					user = GetUsrAstForm();
					if(user != null) {
						List<UsrAst> lists = new ArrayList<UsrAst>();
						lists.add(user);
						menu_info.put("user", 	lists );
					}
					else {
						result.add("ڸ ã   ۾ Ͽϴ.");
					}
					break;
				case EDIT:
					this.modifyUser();
					menu_info.put("data", "  ߽ϴ.");
					menu_info.put("URL", "f_admn.html?menuId=f03");
					break;
				case DELETE:		// Action	
				{
					this.deleteuser();
					/*
					menu_info.put("userlist", 	this.GetUserList(request) );
					*/
					break;
				}		
				
			default://ʱ  ˻ 
				menu_info.put("userlist", 	this.GetUserList(request) );
				
				break;
			}
			break;
			case MN11://ȸ˻/
				switch(this.getActivityName()){
				case MODFORM:
				{
					Vector<ComAst> vecComAst = new Vector<ComAst>();
					if(SetComInfoForm(vecComAst)) {
						menu_info.put("com_info", 	vecComAst );
					}
					else {
						result.add("󼼺⸦ ã ϴ.");
					}
				}
					break;
				case EDIT:
					menu_info.put("data", 	changeCominfo()	);
					break;
				case DELETE:		// Action	
				{
					menu_info.put("companylist",   this.deletecompany());
					break;
				}
									
				default:
					menu_info.put("companylist", 	this.GetCompanyList() );
				}
				break;
			case MN12:		
				//ȸ 
				switch(this.getActivityName())
				{
					case ADD:
						menu_info.put("data",	addCompany(request));
						break;
						
					case FILE:
						try{
							menu_info.put("data", addFileUpdtComAst(request, result));
						}catch(Exception e)
						{
							//System.out.println(e);
						}
						break;	
					default:
						menu_info.put("data", reUnique_Id());
						break;
				}
				break;
			case MN13:// ˻/
				switch(this.getActivityName())
				{
					case FORM:		//Է
						break;
					case LISTALL:	// 
					case LISTCOND:	// 
						menu_info.put("buyerlist", 	this.getBuyerList() );
						break;
					case MODFORM:	//
					{
						Vector<ComBst> combst_list = new Vector<ComBst>();
						if(getProjectByCode(combst_list)) {
							menu_info.put("businesslist", 	combst_list );
						}
						else {
							result.add("󼼺⸦ ã ϴ.");
						}
						//menu_info.put("data", 	result);
					}
						break;
					case DETAIL:		//󼼺
						//menu_info.put("buyerlist", 	this.getBuyerInfo() );
						break;
					case EDIT:		// Action
						setUpdate();
						//menu_info.put("data", 	modifyBuyer());
						break;
					case DELETE:		// Action	
					{
						this.deleteBuyer();
						//menu_info.put("buyerlist",   this.deleteBuyer());
					}
					break;
						
					default:
						list = this.getBuyerList();
						menu_info.put("buyerlist", 	list);
						/*
						 * toStringPage(Ʈ Ʈ, üī, , Map)
						 */
						Map map = new HashMap();
						menu_info.put("pagging", toStringPage(20, totalCnt,start, map)); //jsp pagging ãƿ .
						break;
				}
				break;
			case MN14:
				switch(this.getActivityName())
				{
					case ADD:
						menu_info.put("data", addComBst(request));
						break;
					case FILE: 
						try{
							menu_info.put("data", addFileUpdtComBst(request, result));
						}catch(Exception e)
						{
							//System.out.println(e);
						}
						break;
					default:
						menu_info.put("data", reUnique_Id());
						break;
						
				}
				break;
				
			case MN15://ΰ˻/
				switch(this.getActivityName()){
				case MODFORM:	//
				{
					Vector<ComCst> vecComCst = new Vector<ComCst>();
					if(SetDivisionForm(vecComCst)) {
						menu_info.put("updatelist", 	vecComCst );
						
						
					}
					else {
						result.add("󼼺⸦ ã ϴ.");
					}
					//menu_info.put("data", 	result);
				}
					break;
				case EDIT:
					menu_info.put("data", 	changeDivision()	);
					break;
				case DELETE:		// Action	
				{
					 this.deleteDivision();
					//menu_info.put("divisionlist",   this.deleteDivision());
				}		
					
				default:
					menu_info.put("divisionlist", 	this.GetDivisionList() );
				}
				break;
			case MN16:
				//ε
				switch(this.getActivityName())
				{
					case ADD:
						menu_info.put("data",	addDivision(request));
						break;
						
					case FILE: 
						try{
							menu_info.put("data", addFileUpdtComCst(request, result));
						}catch(Exception e)
						{
							//System.out.println(e);
						}
						break;
					default:
						menu_info.put("data", reUnique_Id());
						break;
				}
				break;
			
			case MN21://װ˻//󼼺
				switch(this.getActivityName()){
				case MODFORM:	///
						Board aa = SetBoardForm(Integer.parseInt(this.unique_id));
						menu_info.put("boardlist", 	aa );	
							
					//menu_info.put("data", 	result);
					break;
				case DETAIL:
					aa = SetBoardForm_list(Integer.parseInt(this.unique_id));
					menu_info.put("boardlist", 	aa );
					break;
				case EDIT:
					menu_info.put("data", 	changeBoard()	);
					break;
				case DELETE:		// Action	
				{
					menu_info.put("boardlist",   this.deleteBoard());
					break;
				}	
	 
				default:
					menu_info.put("boardlist", 	this.GetBoardList() );
					break;
				}
				break;
			
			case MN22://Q&A˻//󼼺
				switch(this.getActivityName()){
				case MODFORM:	///
					Board aa = SetBoardForm(Integer.parseInt(this.unique_id));
					menu_info.put("boardlist", 	aa );	
							
					//menu_info.put("data", 	result);
					break;
				case DETAIL:
					aa = SetBoardForm_list(Integer.parseInt(this.unique_id));
					menu_info.put("boardlist", 	aa );	
						
				break;
					
					
				case EDIT:
					menu_info.put("data", 	changeBoard()	);
					break;
				case DELETE:		// Action	
				{
					menu_info.put("boardlist",   this.deleteBoard());
					break;
				}	
	
				default:
					menu_info.put("boardlist", 	this.GetBoardList() );
					break;
				}
				break;
	
			case MN23:
				switch(this.getActivityName()){
					case ADD:	//ó.
					    this.Validate("ERR_PO");
						break;
                    case DETAIL:        //󼼺
                        menu_info.put("poDetail", this.getErrHwPoByUniqueId(this.unique_id));	
						break;
					default:
					    menu_info.put("interfacepolist", this.getIFPOList(request));						
						break;
				}
				break;
			case MN24:
				switch(this.getActivityName())
				{
    				case ADD:	//ó.
    					this.Validate("ERR_GR");
    					break;
                    case DETAIL:        //󼼺
                        menu_info.put("grDetail", this.getErrHwGrByUniqueId(this.unique_id));
    					break;
    				default:
    				    menu_info.put("interfacegrlist", this.getIFGRList(request));						
    					break;
				}	
				break;
				
			case MN25:
				switch(this.getActivityName())
				{
					case ADD:
						//UsrAst usr = (UsrAst)adminManager.getBaseLineDao().select_uid("usrast", this.getThis_useruid(request));
						menu_info.put("data",	addBoard(request));
						break;
				
					default:
						menu_info.put("boardlist", this.GetUserLists(request) );
					break;
				}	
				break;
				
			case MN26:
				//Q&AԽù 
				switch(this.getActivityName())
				{
					case ADD:
						//UsrAst usr = (UsrAst)adminManager.getBaseLineDao().select_uid("usrast", this.getThis_useruid(request));
						menu_info.put("data",	addBoard(request));
						break;
				
					default:
						menu_info.put("boardlist", this.GetUserLists(request) );
					break;
				}	
				break;	
				
			case MN27:
				// 
				switch(this.getActivityName())
				{
					case EDIT:
						menu_info.put("data",	addUsrAst(request));
						break;
					case FILE: 
						try{
							menu_info.put("data", addFileUpdtUsrAst(request, result));
						}catch(Exception e)
						{
							logger.debug(e);
						}
						break;
					default:
						menu_info.put("data", reUnique_Id());
						break;
				}
				break;
		
				
			case MN04:
			{
				//ġ 
				Random ran = new Random();
				int iRand = ran.nextInt();
				
//				List uniques = new ArrayList(); Ʈ ᵵ ȴ.
				Vector<String> uniques = new Vector<String>();
				
//				Default Unique ̵
				for(int i=0; i<5; i++) {
					iRand = ran.nextInt();
					uniques.add(Integer.toHexString(iRand).toUpperCase());
				}
				// ɼ--ApplicationContext-menu ǵǾ ִ.
				MenuStructure options = this.getMenuManager().GetSelectedParent("optionUserType");
				
				menu_info.put("optionlist", 		options.getMenuGroups("optionUserType"));
				menu_info.put("uniques", uniques);
			}
				break;
			
			case MN30://ܼμ
			{
				Random ran = new Random();
				int iRand = ran.nextInt();
				
				menu_info.put("dept_code", Integer.toHexString(iRand).toUpperCase());
				menu_info.put("dept_name", "");
			}
				break;
			
			case MN31://μ˻/
				switch(this.getActivityName()){
				case MODFORM:	//
				{
					Vector<ComDst> comdst_list = new Vector<ComDst>();
					if(SetDeptForm(comdst_list)) {
						menu_info.put("updatelist", 	comdst_list );

					}
					else {
						result.add("󼼺⸦ ã ϴ.");
					}
				}
					break;
				case EDIT:
					changeDept();
					menu_info.put( "data", "μ Ǿϴ.");
					menu_info.put( "URL", "f_admn.html?menuId=f01");
					break;
				case DELETE:		// Action	
				{
					menu_info.put("deptlist",   this.deleteDept());
					break;
				}		
			
			default:
				menu_info.put("deptlist", 	this.GetDeptList() );
				break;
			}
				break;
				
			case MN32:
				switch(this.getActivityName())
				{
					case ADD:
						menu_info.put("data",	addDeptList(request));
						break;
						
					case FILE: 
						try{
							menu_info.put("data", addFileUpdtComDst(request, result));
						}catch(Exception e)
						{
							//System.out.println(e);
						}
						break;
					default:
						menu_info.put("data", reUnique_Id());
						break;
				}
				break;
				
			case MN33://׺
				switch(this.getActivityName()){
			
				case MODFORM:	///
						Board aa = SetBoardForm(Integer.parseInt(this.unique_id));
						menu_info.put("boardlist", 	aa );	
							
					break;
				case DETAIL:
					aa = SetBoardForm_list(Integer.parseInt(this.unique_id));
					menu_info.put("boardlist", 	aa );
					break;
				case EDIT:
					menu_info.put("data", 	changeBoard()	);
					break;
			
				default:
					menu_info.put("boardlist", 	this.GetBoardList() );
					break;
				}
				break;
				
			case MN34:	//FAQ
				switch(this.getActivityName()){
				case MODFORM:	///
						Board aa = SetBoardForm(Integer.parseInt(this.unique_id));
						menu_info.put("boardlist", 	aa );	
							
					break;
				case DETAIL:
					aa = SetBoardForm_list(Integer.parseInt(this.unique_id));
					menu_info.put("boardlist", 	aa );
					
					break;
				default:
					menu_info.put("boardlist", 	this.GetBoardList() );
				break;
				}
				break;
			case MN35:	//Q&A  
				switch(this.getActivityName()){
				case ADD:
					menu_info.put("data",	addBoard(request));
					break;
				case MODFORM:	///
						Board aa = SetBoardForm(Integer.parseInt(this.unique_id));
						menu_info.put("boardlist", 	aa );	
						
					break;
				case DETAIL:
					aa = SetBoardForm_list(Integer.parseInt(this.unique_id));
					menu_info.put("boardlist", 	aa );
					
					break;
				case EDIT:
					menu_info.put("data", 	changeBoard()	);
					break;
				case DELETE:		// Action	
				{
					menu_info.put("boardlist",   this.deleteBoard());
					break;
				}
	
				default:
					menu_info.put("boardlist", 	this.GetBoardList() );
				break;
				}
				break;
			case MN36:	//ڷ 
				switch(this.getActivityName()){
				case MODFORM:	///
						Board aa = SetBoardForm(Integer.parseInt(this.unique_id));
						menu_info.put("boardlist", 	aa );	
							
					break;
				case DETAIL:
					aa = SetBoardForm_list(Integer.parseInt(this.unique_id));
					menu_info.put("boardlist", 	aa );
					
					break;
				default:
					menu_info.put("boardlist", 	this.GetBoardList() );
				break;
				}
				break;
			case MN37:
				break;
			case MN38:
				break;

			case MN39:
				switch(this.getActivityName())
				{
					case FILE: 
						try{
							menu_info.put("data", addFileUpdtSrcAhd(request, result));
						}catch(Exception e)
						{
							//System.out.println(e);
						}
						break;
					default:
						menu_info.put("data", reUnique_Id());
						break;
				}
				break;
				
			case MN40: //˾â
				menu_info.put("list", this.GetUsrAstForm());
				break;
				
			case MN41:
				//Q&AԽù 
				switch(this.getActivityName())
				{
					case ADD:
						menu_info.put("data",	addBoard(request));
						break;
				
					default:
						menu_info.put("boardlist", this.GetUserLists(request) );
					break;
				}	
				break;	
			case MN43:
				//Q&AԽù ۵
				switch(this.getActivityName())
				{
					case ADD:
						menu_info.put("data",	replyBoard(request));
						break;
				    
					default:
						menu_info.put("boardlist", this.GetUserLists(request) );
						Board board = SetBoardForm_list(Integer.parseInt(this.unique_id));
						menu_info.put("board", 	board );
					break;
				}	
				break;	
			case MN44://ڷ 
				switch(this.getActivityName())
				{
					case ADD:
						//UsrAst usr = (UsrAst)adminManager.getBaseLineDao().select_uid("usrast", this.getThis_useruid(request));
						menu_info.put("data",	addBoard(request));
						break;
				
					default:
						menu_info.put("boardlist", this.GetUserLists(request) );
					break;
				}	
				break;	
				
			case MN45://ڷ   
				switch(this.getActivityName()){
				case MODFORM:	///
						Board aa = SetBoardForm(Integer.parseInt(this.unique_id));
						menu_info.put("boardlist", 	aa );	
							
					//menu_info.put("data", 	result);
					break;
				case DETAIL:
					aa = SetBoardForm_list(Integer.parseInt(this.unique_id));
					menu_info.put("boardlist", 	aa );
					break;
				case EDIT:
					menu_info.put("data", 	changeBoard()	);
					break;
				case DELETE:		// Action	
				{
					menu_info.put("boardlist",   this.deleteBoard());
					break;
				}	
	 
				default:
					menu_info.put("boardlist", 	this.GetBoardList() );
					break;
				}
				break;
				
				
		default:
			menu_info.put("companylist", 	this.GetCompanyList() );
		

		}

	}
    
    /**
     * MN23 : ̽ ֹƮ
     */
	public List getIFPOList(HttpServletRequest request)
    {		
        Map<String, String> cond = new HashMap<String, String>();
        
        if (nullCk(request.getParameter("company_code")).length() > 0)
            cond.put("company_code", request.getParameter("company_code"));
        
        if (nullCk(request.getParameter("wa_code")).length() > 0)        
            cond.put("wa_code", request.getParameter("wa_code"));
        
        if (nullCk(request.getParameter("po_creator_name")).length() > 0)
            cond.put("po_creator_name", request.getParameter("po_creator_name"));

        if (nullCk(request.getParameter("create_date")).length() > 0)
            cond.put("create_date", request.getParameter("create_date"));
        
        if (nullCk(request.getParameter("po_no")).length() > 0)        
            cond.put("po_no", request.getParameter("po_no"));
        
        if (nullCk(request.getParameter("item_code")).length() > 0)
            cond.put("item_code", request.getParameter("item_code"));
        
		return adminManager.getIFPOList(cond);
	}
    
    /**
     * MN24 : ̽ ԰Ʈ
     */
    public List getIFGRList(HttpServletRequest request)
    {       
    	Map<String, String> cond = new HashMap<String, String>();
        
        if (nullCk(request.getParameter("company_code")).length() > 0)
            cond.put("company_code", request.getParameter("company_code"));
        
        if (nullCk(request.getParameter("wa_code")).length() > 0)        
            cond.put("wa_code", request.getParameter("wa_code"));
        
        if (nullCk(request.getParameter("gr_no")).length() > 0)
            cond.put("gr_no", request.getParameter("gr_no"));

        if (nullCk(request.getParameter("create_date")).length() > 0)
            cond.put("create_date", request.getParameter("create_date"));
        
        if (nullCk(request.getParameter("po_no")).length() > 0)        
            cond.put("po_no", request.getParameter("po_no"));
        
        if (nullCk(request.getParameter("item_code")).length() > 0)
            cond.put("item_code", request.getParameter("item_code"));
        
        return adminManager.getIFGRList(cond);
    }    
    
    /**
     * ̽  ֹ  󼼳 ȸ
     * @param uniqueId
     * @return
     */
    public ErrHwPo getErrHwPoByUniqueId(String uniqueId)
    {      
        return adminManager.getErrHwPoByUniqueId(Integer.parseInt(uniqueId));
    
    }
	
    /**
     * ̽  ԰  󼼳 ȸ
     * @param uniqueId
     * @return
     */
    public ErrHwGr getErrHwGrByUniqueId(String uniqueId)
    {      
        return adminManager.getErrHwGrByUniqueId(Integer.parseInt(uniqueId));
    
    }    

	//f02μ
	public List addDeptList(HttpServletRequest request){
		
		ComDst comdst = new ComDst();
		UsrAst me = this.getMyInfoManager().getMyInfo( this.getThis_useruid(request));
		Random ran = new Random();
		  int iRand = 0;
		
		comdst.SetDefault(me.getUser_id());
		comdst.setCompany_name(company_name);				//ȸ
		comdst.setCompany_code(company_code);				//ȸڵ
		comdst.setWa_name(wa_name);							//
		comdst.setWa_code(wa_code);							//ڵ
		comdst.setDivision_code(division_code);				//ڵ
		comdst.setDivision_name(division_name);				//θ
		comdst.setBlocking_flag(blocking_flag);				//Blocking
		comdst.setAccount_class(account_class);
		comdst.setDept_class(dept_class);
		comdst.setDept_group(dept_group);
		comdst.setChanger(changer);
		comdst.setChange_reason(change_reason);
		
		if(check != null){
			for(int i = 0; i < check.length; i++)
			{
				iRand = ran.nextInt();
				   if(iRand < 0) {
				    iRand = (-1)* iRand;
				   }
				    this.unique_id   = Integer.toString(iRand);
					comdst.setUnique_id      (Integer.parseInt(unique_id));
					comdst.setDept_code(dep_code[Integer.parseInt(check[i])]);
					comdst.setDept_name(dep_name[Integer.parseInt(check[i])]);
					
					adminManager.addDeptList(this.getThis_userid(request), comdst);
				
			}
		
		
		}
		Vector<String> result = new Vector<String>();
		result.add("μ  Ϸ ");
		if(gubun.equals("f32"))  
		{
			result.add( "f_admn.html?menuId=f31");
		}else if(gubun.equals("f02"))
		{
			result.add( "f_admn.html?menuId=f01");
		}
		return result;
		
	}
	
	//f01
	private List GetDeptList() {
	
		Map<String, String> condition = new HashMap<String, String>();
	
		logger.info("company_name:"+company_name+"division_name:"+division_name+"wa_name:"+wa_name+"dept_name:"+dept_name);
		if(!nullCk(company_name).equals("")){
			condition.put("company_name", "%"+company_name+"%" );
		}
		if(!nullCk(wa_name).equals(""))
		{
			condition.put("wa_name", "%"+wa_name+"%" );
		}
		if(!nullCk(wa_name).equals(""))
		{
			condition.put("wa_name", "%"+wa_name+"%" );
		}
		if(!division_name.equals(""))
		{
			condition.put("division_name", "%"+division_name+"%" );
		}
		if(!dept_code.equals(""))
		{
			condition.put("dept_code", "%"+dept_code+"%" );
		}
		if(!dept_name.equals(""))
		{
			condition.put("dept_name", "%"+dept_name+"%" );
		}
		if(condition.size()>0){
			return adminManager.getDepts(condition);
		}else{
			return adminManager.getAllDepts();}
	}
	//f01 
	private boolean SetDeptForm(List<ComDst> lists){
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find division unique id");
			return false;
		}
		ComDst com= adminManager.getDeptById(Integer.parseInt(unique_id));
		lists.add(com);
		return true;
	}
	
	/*
	private List GetDeptList( HttpServletRequest request) {
		
		String deptname = request.getParameter("deptname");

		logger.info("deptname:" + deptname);
	
		
		return adminManager.getDeptByName(deptname+"%");
		
	}
	*/
	public void changeDept(){
		
		ComDst com = new ComDst();
		if(unique_id			!= null)    com.setUnique_id(Integer.parseInt(unique_id));
		//if(company_code			!= null)	com.setCompany_code(company_code);
		//if(company_name			!= null)	com.setCompany_name(company_name);
		///if(wa_code				!= null)	com.setWa_code(wa_code);
		//if(wa_name				!= null)	com.setWa_name(wa_name);
		//if(division_code		!= null)	com.setDivision_code(division_code);
		//if(division_name		!= null)	com.setDivision_name(division_name);	
		if(dept_code			!= null)	com.setDept_code(dept_code);	
		if(dept_name			!= null)	com.setDept_name(dept_name);
		//if(blocking_flag		!= null)	com.setBlocking_flag(blocking_flag);
		

		adminManager.changeDept(com);
		List<String> result = new ArrayList<String>();
		result.add("μ   Ϸ ");

		
	}
	
	
	public List setUpdate()
	{
		ComBst combst = new ComBst();
		combst.SetDefault();
		
		combst.setUnique_id						(Integer.parseInt(unique_id));
		combst.setAbudget_av_flag				(abudget_av_flag	   );
		combst.setAccount_assign_type			(account_assign_type   );
		combst.setAccount_need_flag				(account_need_flag     );
		combst.setAdd_budget_flag				(add_budget_flag       );		
		combst.setAddress_1             		(address_1             );
		combst.setAddress_2             		(address_2             );
		combst.setBiz_category          		(biz_category          );
		combst.setBiz_condition         		(biz_condition         );
		combst.setBiz_no                		(biz_no                );
		combst.setBudget_active_flag			(budget_active_flag    );
		combst.setCompany_code          		(company_code          );
		combst.setCompany_name          		(company_name          );
		combst.setPresident_name        		(president_name        );
		combst.setSite_manager_name    			(site_manager_name 	   );
		combst.setSite_manager_email    		(site_manager_email    );
		combst.setSite_manager_mobile_no		(site_manager_mobile_no);
		combst.setSite_manager_tel_no   		(site_manager_tel_no   );
		combst.setWa_code               		(wa_code               );
		combst.setWa_name               		(wa_name               );
		combst.setZip_code              		(zip_code              );
		combst.setChanger						(changer               );
		
		/*
		combst.setAc_cancel_flag				(ac_cancel_flag        );
		combst.setAgreement_attach_type 		(agreement_attach_type );
		combst.setAgreement_flag				(agreement_flag        );
		combst.setAo_id                 		(ao_id                 );
		combst.setAo_name               		(ao_name               );
		combst.setApprover_min_cnt      		(Integer.parseInt(approver_min_cnt)      );
		combst.setApprover_type					(approver_type         );
		combst.setArea_code            			(area_code			   );
		combst.setAuto_dc_flag          		(auto_dc_flag          );
		combst.setAuto_gi_flag         			(auto_gi_flag          );
		combst.setAuto_gr_flag					(auto_gr_flag          );
		combst.setBs_approval_type				(bs_approval_type      );
		combst.setBs_auto_order_flag    		(bs_auto_order_flag    );
		combst.setBs_flag               		(bs_flag               );
		combst.setBs_price_type         		(bs_price_type         );
		combst.setChange_reason         		(change_reason         );
		combst.setChange_time           		(change_time           );
		combst.setChanger						(changer               ); 
		combst.setCreate_time					(create_time           ); 
		combst.setCreator               		(creator               );
		combst.setCreditcard_po_flag    		(creditcard_po_flag    );
		combst.setGr_approval_flag				(gr_approval_flag      );  
		combst.setGr_closing_flag       		(gr_closing_flag       );
		combst.setGr_pop_date           		(gr_pop_date           );
		combst.setGr_pop_date_range     		(Integer.parseInt(gr_pop_date_range)     );
		combst.setGr_pop_flag           		(gr_pop_flag           );
		combst.setIdx_mcmbst_uniq       		(idx_mcmbst_uniq       );
		combst.setIf_active_flag        		(if_active_flag        );
		combst.setIf_file_id            		(if_file_id            );
		combst.setIf_serial_no          		(if_serial_no          );
		combst.setInventory_flag        		(inventory_flag        );
		combst.setItem_group_code       		(item_group_code       );
		combst.setMyclass_flag          		(myclass_flag          );
		combst.setMyclass_group         		(myclass_group         );
		combst.setMysite_group          		(mysite_group          );
		combst.setOffice_flag           		(office_flag           );
		combst.setPayment_request_type  		(payment_request_type  );
		combst.setPo_disable_if_flag    		(po_disable_if_flag    );
		combst.setPr_active_flag        		(pr_active_flag        );
		combst.setPresident_name        		(president_name        );
		combst.setReapproval_flag       		(reapproval_flag       );
		combst.setReg_date              		(reg_date              );
		combst.setReg_time              		(reg_time              );
		combst.setReg_id                		(reg_id                );
		combst.setReg_name              		(reg_name              );
		combst.setRep_account_code      		(rep_account_code      );
		combst.setRep_dept_code         		(rep_dept_code         );
		combst.setRep_division_code     		(rep_division_code     );
		combst.setRound_flag            		(round_flag            );
		combst.setRound_place           		(Double.parseDouble(round_place)           );
		combst.setSg_mysite_flag				(sg_mysite_flag        );
		combst.setSite_manager_email    		(site_manager_email    );
		combst.setSite_manager_mobile_no		(site_manager_mobile_no);
		combst.setSite_manager_name     		(site_manager_name     );
		combst.setSite_manager_tel_no   		(site_manager_tel_no   );
		combst.setSku_flag              		(sku_flag              );
		combst.setSort_seq              		(sort_seq              );
		combst.setTpl_use_flag          		(tpl_use_flag          );
		combst.setWa_code               		(wa_code               );
		combst.setWa_group              		(wa_group              );
		*/
		
		adminManager.setBusinessUpDate(combst);
		List<String> result = new ArrayList<String>();
		result.add(" : ");
		result.add( "f_admn.html?menuId=f13");

		return result;

	}
	
	
	public void DoPopupMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		String target_form = null;
		String target_ctrl = null;
		String target_ctrl1 = null;
		try {
			target_form = ServletRequestUtils.getStringParameter(request, "objForm");
			target_ctrl = ServletRequestUtils.getStringParameter(request, "objCtrl");
			target_ctrl1 = ServletRequestUtils.getStringParameter(request, "objCtrl1");
		} catch (ServletRequestBindingException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		menu_info.put("objForm", 	target_form);
		menu_info.put("objCtrl", 	target_ctrl);
		menu_info.put("objCtrl1", 	target_ctrl1);
	}
	
	private boolean getProjectByCode(List<ComBst> lists) {

		
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find pj unique id");
			return false;
		}
		
		int intUnique_id = Integer.parseInt(unique_id); //
		
		ComBst business = adminManager.getBusinessByUniqueId(intUnique_id);
		lists.add(business);
		
		return true;
		
	}
	

//	 ˻
	private List getBuyerList() {
		/*
		 * biz_no 				ڵϹȣ
		 * wa_name 				ȸ 
		 * president_name 		ǥ 
		 * company_code 		εϹȣ
		 * biz_condition        
		 * biz_category 		
		 */
		
		Map<String, String> map = new HashMap<String, String>();
		List list;
		
		//delete_flag XML ͸ϹǷ ʴ´.
		//delete_flag = "N";
		//condition.put("delete_flag", delete_flag );
		if(!nullCk(company_name).equals(""))
		{
			map.put("company_name", "%"+company_name+"%" );
		}
		if(!nullCk(company_code).equals(""))
		{
			map.put("company_code", "%"+company_code+"%" );
		}
		if(!nullCk(wa_name).equals(""))
		{
			map.put("wa_name", "%"+wa_name+"%" );
		}
		if(!nullCk(wa_code).equals(""))
		{
			map.put("wa_code", "%"+wa_code+"%" );
		}
		if(!nullCk(biz_condition).equals(""))
		{
			map.put("biz_condition", "%"+biz_condition+"%" );
		}
		if(!nullCk(biz_category).equals(""))
		{
			map.put("biz_category", "%"+biz_category+"%" );
		}
				
		
		if(map.size()>0)
		{
			//map.put("delete_flag","N");
			//map.put("start", start);
			list = adminManager.getSelectcond("combst", map, start*20, 20, "desc" );
			totalCnt = adminManager.getComBstTatalCnt(map);
		}
		else
		{
			list = adminManager.getAllBusiness();
		}
		return list;
	}
	
//	 
	private List deleteuser() 
	{
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find pj unique id");
		}
		logger.debug("unique_id   :    "+unique_id);
		adminManager.deleteUser(Integer.parseInt(unique_id));
		List lists = GetCompanyList();
		return lists;
	}
	
//	ȸ 
	private List deletecompany() 
	{
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find pj unique id");
		}
		
		adminManager.deleteCompany(Integer.parseInt(unique_id));
		List lists = GetCompanyList();
		return lists;
	}
	
	
	
//	 
	private List deleteBuyer() 
	{
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find pj unique id");
		}
		
		adminManager.deleteBusiness(Integer.parseInt(unique_id));
		List lists = getBuyerList();
		return lists;
	}
//	 
	private List deleteDivision()
	{
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find division unique id");
		}
		
		adminManager.deleteDivision(Integer.parseInt(unique_id));
		List lists = GetDivisionList();
		return lists;
	}
//	μ 
	private List deleteDept()
	{
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find dept unique id");
		}
		
		adminManager.deleteDept(Integer.parseInt(unique_id));
		List lists = GetDeptList();
		return lists;
	}
	

	private List GetUserList( HttpServletRequest request) {

		if( user_name=="" && dept_name=="" && position=="")
		{
			return adminManager.getAllUsers();
		}
		else
		{
			Map<String, String> condition = new HashMap<String, String>();
			
			if(user_name.trim() != "")
			{
				if(user_name.length()>0)
					{
						condition.put("user_name","%"+user_name+"%");
					}
			}
			if(dept_name.trim() != "")
			{
				if(dept_name.length()>0)
					{
						condition.put("dept_name","%"+dept_name+"%");
					}
			}
				
			if(position.trim() != "")
			{
				if(position.length()>0)
					{
					condition.put("position","%"+position+"%");
					}
			}
			return adminManager.getUsersDynamic(condition);
		}
	}
	
	
	protected Vector GetKeyArray (String line) {
		
		Vector<String> vecOut = new Vector<String>();
		
		
		int index = -1;
		String oStr=";";
		String key = null;
		int start = 0;
		
		index = line.indexOf(oStr);

//		for (int i=0;i<textLength;i++){
		while(index>=0)
		{
			key = line.substring(start,index);
			vecOut.add(key);

			index = index + oStr.length();
			start = index;
			index = line.indexOf(oStr,index);
		}

//		logger.debug(+oCount +oStr);
//
//		}
//
//		}

	
		return vecOut;
		
	}
	
	public List addFileUpdtUsrAst(HttpServletRequest request, Vector<String> result)
	{
		Vector vt 				= null;
		UsrAst usrast 			= null;
		ExcelFileController efc = null;
		Random ran				= null;
		boolean flag 			= false;
		int cnt					= 0;
		int iRand;
		String fileNm;
		Map<String, String> condition = new HashMap<String, String>();
		for(int z=0; z<file_length; z++)
		{
			try
			{
				fileNm = excelPath+file_group_code[z]+"-"+file_item_code[z];
				
				String[]	buffer   = null;
				usrast = new UsrAst();
				efc = new ExcelFileController(fileNm);
				vt = efc.readExcelFile(true);
				
				ran = new Random();
				iRand = 0;
				for(int i = 1; i < vt.size(); i++)
				{
					iRand = ran.nextInt();
					if(iRand < 0) {
						iRand = (-1)* iRand;
					}
					this.unique_id 		= Integer.toString(iRand);
					
					buffer = (String[])vt.get(i);
					if(buffer.length == 26)
					{
						usrast.setUnique_id					(Integer.parseInt(unique_id)			);
						
						usrast.setUser_id					(buffer[0]								);
						usrast.setUser_name					(buffer[1]								);
						usrast.setCompany_code				(buffer[2]								);
						usrast.setWa_code 					(buffer[3]								);
						usrast.setDept_code 				(buffer[5]			 					);
						usrast.setReg_no 					(buffer[6]								);
						usrast.setPosition 					(buffer[7]								);
						usrast.setEmp_no 					(buffer[8]								);
						usrast.setTel_no 					(buffer[9]								);
						usrast.setHp_no 					(buffer[10]								);
						usrast.setFax_no 					(buffer[11]								);
						usrast.setEmail 					(buffer[12]								);
						usrast.setZip_code 					(buffer[13]								);//
						usrast.setAddress_1 				(buffer[14]								);
						usrast.setAddress_2					(buffer[15]								);
						usrast.setEp_id 					(buffer[16]								);
						usrast.setBudget_dept_code       	(buffer[17]	    						);
						usrast.setSn_doc_type            	(buffer[18]								);
						usrast.setReceiver_name          	(buffer[19]								);
						usrast.setReceiver_tel_no        	(buffer[20]								);
						usrast.setReceiver_hp_no         	(buffer[21]								);
						usrast.setDelivery_zip_code      	(buffer[22]								);
						usrast.setDelivery_address_1     	(buffer[23]								);
						usrast.setDelivery_address_2     	(buffer[24]								);
						usrast.setUser_type 				(buffer[25]								);
						usrast.setPassword					("0000" 								);
						
						usrast.setAccount_code           	("");	
						usrast.setLogin_id					("");	usrast.setReceiver_id            	("");
						usrast.setEp_dept_code 				("");	usrast.setExtension_no 				("");
						usrast.setPw_req_flag 				("");	usrast.setBlocking_flag 			("");
						usrast.setBlocking_reason 			("");	usrast.setGrade_code 				("");
						usrast.setLogin_ip 					("");	usrast.setLogin_flag				("");
						usrast.setAdmit_id					("");	usrast.setCatalog_admin				("");
						usrast.setBudget_flag 				("");	usrast.setApproval_flag 			("");
						usrast.setEp_company_code 			("");	usrast.setEp_company_name			("");
						usrast.setEp_dept_name				("");	usrast.setEp_position_code			("");
						usrast.setEp_suborg_code 			("");	usrast.setEp_suborg_name 			("");
						usrast.setBs_bulk_flag				("");	usrast.setBs_co_bulk_flag			("");
						usrast.setPo_admin_flag			    ("");	usrast.setPr_admin_flag				("");
						usrast.setBudget_admin_flag			("");	usrast.setUser_admin_flag           ("");
						usrast.setAgreement_admin_flag      ("");	usrast.setAc_admin_flag             ("");
						usrast.setMysite_admin_flag         ("");	usrast.setBs_admin_flag             ("");
						usrast.setInventory_admin_flag      ("");	usrast.setApprover_flag             (""); 
						usrast.setPc_agreement_admin_flag   ("");	usrast.setStrategic_flag            ("");
						usrast.setOt_user_flag              ("");	usrast.setGr_user_flag              ("");
						usrast.setNew_item_user_flag        ("");	usrast.setGr_approval_flag          ("");
						usrast.setDesc_search_flag          ("");	usrast.setDti_receiver_flag         ("");
						usrast.setPrice_open_flag			("");	usrast.setPo_auto_delete_flag       ("");
						usrast.setBuying_price_open_flag    ("");	usrast.setCell_code 	            ("");
						usrast.setAo_dept_code           	("");	usrast.setDelivery_area_code     	("");
						usrast.setBudget_range           	("");	usrast.setPr_po_type             	("");
						usrast.setItem_mail_flag            ("");	usrast.setCreator_mail_flag         ("");
						usrast.setPrice_mail_flag           ("");	usrast.setPo_mail_flag              ("");
						usrast.setSn_mail_flag              ("");	usrast.setGr_mail_flag              ("");
						usrast.setDc_mail_flag              ("");	usrast.setUser_grade             	("");
						usrast.setLanguage_type          	("");	usrast.setTime_zone              	("");
						usrast.setGroupware_type         	("");	usrast.setSr_admin_flag             ("");
						usrast.setIf_update_flag            ("");	usrast.setPo_substitute_status      ("");
						usrast.setFirst_page_type        	("");	usrast.setMp_requester           	("");
						usrast.setNew_request_flag          ("");	usrast.setPr_return_use_flag        ("");
						usrast.setReq_ui_bulk_flag          ("");	usrast.setBudget_input_flag         ("");
						usrast.setCsi_type               	("");	usrast.setCsi_change_reason      	("");
						usrast.setReturn_admin_flag         ("");	usrast.setGr_pop_flag               ("");
						usrast.setGr_pop_date            	("");	usrast.setGr_pop_notice_flag        ("");
						usrast.setBs_notice_flag            ("");	usrast.setDss_grade 	            ("");
						usrast.setMenu_type 	            ("");	usrast.setAuth_flag                 ("");
						usrast.setAuth_type              	("");	
						//usrast.setAuth_from_date            (""); usrast.setAuth_to_date              ("");	
						usrast.setSn_price_open_flag        ("");
						usrast.setInventory_flag            ("");	//usrast.setCreator                	("");
						usrast.setChanger                	("");	usrast.setChange_reason         	("");
						
						
						/*
						 *  ߺ ̵
						 */
						condition.put("user_id", usrast.getUser_id());
						cnt = adminManager.getUsrAstUserIdCnt(condition);
						if(cnt > 0)
						{
							result.add("[]̹ ϵ ̵  :  "+ usrast.getUser_id());
						}
						else
						{
							/*
							 * ȸڵ ڵ ڵ ȣ  
							 */
							cnt = 0;
							condition.put("company_code", usrast.getCompany_code());
							condition.put("wa_code", usrast.getWa_code());
							condition.put("division_code", buffer[4]);
							condition.put("dept_code", usrast.getDept_code());
							cnt = adminManager.getComDstUnionCkCnt(condition);
							if(cnt > 0) 
							{
								flag = false;	
								usrast.setUid_combst(((ComBst)adminManager.getCondComBst(condition)).getUnique_id());
								usrast.setUnique_id_comdst(adminManager.getUniqueByCode(condition));
								if( adminManager.addUser(this.getThis_userid(request), usrast) ==null)
									flag =  false;
								else
									flag = true;
								if(flag)
								{
									result.add("[] óǾϴ.  ̵  :  "+ usrast.getUser_id());
								}
								else
								{
									result.add("[]E-Mail ߺ   ̵  :  "+ usrast.getUser_id());
								}
								
							}
							else
							{
								result.add("[]"+usrast.getCompany_code()+"  " 
								+usrast.getWa_code()+" "	
								+usrast.getDept_code()+" ȣ   ȸ  μ ڵ Դϴ."		
								);
							}
							
						}
					}
					else
					{
						result.add("[]  ƴմϴ.");
					}
				}
			}
			catch(Exception e)
			{
				result.add("[] " +e);
			}
		}
		return result;
	}
	
//	 06.04.19 HwanKyu.Kang   update
	public List addFileUpdtComBst(HttpServletRequest request, Vector<String> result)
	{
		Vector vt 				= null;
		ComBst combst 			= null;
		ExcelFileController efc = null;
		Random ran				= null;
		int cnt					= 0;
		int iRand;
		String fileNm;
		Map<String, String> condition = new HashMap<String, String>();
			for(int z=0; z<file_length; z++)
			{
				try
				{
					fileNm = excelPath+file_group_code[z]+"-"+file_item_code[z];
					
					String[]	buffer   = null;
					combst = new ComBst();
					efc = new ExcelFileController(fileNm);
					vt = efc.readExcelFile(true);
					
					ran = new Random();
					iRand = 0;
					for(int i = 1; i < vt.size(); i++)
					{
						iRand = ran.nextInt();
						if(iRand < 0) {
							iRand = (-1)* iRand;
						}
						this.unique_id 		= Integer.toString(iRand);
						
						buffer = (String[])vt.get(i);
						if(buffer.length == 20)
						{
							combst.SetDefault();
							combst.setUnique_id						(Integer.parseInt(unique_id));
							combst.setCompany_code          		(buffer[0]  );
							combst.setCompany_name          		(buffer[1]	);
							combst.setWa_code               		(buffer[2]	);
							combst.setWa_name               		(buffer[3]  );
							combst.setPresident_name        		(buffer[4]  );
							combst.setBiz_no                		(buffer[5]  );
							combst.setBiz_condition         		(buffer[6]  );
							combst.setBiz_category          		(buffer[7]  );
							combst.setZip_code              		(buffer[8]  );
							combst.setAddress_1             		(buffer[9]  );
							combst.setAddress_2             		(buffer[10] );
							combst.setBudget_active_flag			(buffer[11]	);
							combst.setAccount_need_flag				(buffer[12]	);
							combst.setAdd_budget_flag				(buffer[13]	); 		
							combst.setAccount_assign_type			(buffer[14] );
							combst.setAbudget_av_flag				(buffer[15]	); 
							combst.setSite_manager_name     		(buffer[16]	);
							combst.setSite_manager_email    		(buffer[17]	);
							combst.setSite_manager_tel_no   		(buffer[18]	);
							combst.setSite_manager_mobile_no		(buffer[19]	);
							combst.setAc_cancel_flag				(""			);
							combst.setAgreement_attach_type 		("" 		);
							combst.setAgreement_flag				(""        	);
							combst.setAo_id                 		(""         );
							combst.setAo_name               		(""         );
							//combst.setApprover_min_cnt      		(""      	);
							combst.setApprover_type					(""         );
							combst.setArea_code            			(""			);
							combst.setAuto_dc_flag          		(""         );
							combst.setAuto_gi_flag         			(""         );
							combst.setAuto_gr_flag					(""         );
							combst.setBs_approval_type				(""      	);
							combst.setBs_auto_order_flag    		(""    		);
							combst.setBs_flag               		(""         );
							combst.setBs_price_type         		(""         );
							combst.setChange_reason         		(""         );
							combst.setChange_time           		(""         );
							combst.setChanger						(""         );   
							combst.setCreate_time					(""         ); 
							//combst.setCreator               		(""         );
							combst.setCreditcard_po_flag    		(""    		);
							combst.setGr_approval_flag				(""      	);  
							combst.setGr_closing_flag       		(""       	);
							combst.setGr_pop_date           		(""         );
							//combst.setGr_pop_date_range     		(""     	);
							combst.setGr_pop_flag           		(""         );
							combst.setIdx_mcmbst_uniq       		(""       	);
							combst.setIf_active_flag        		(""        	);
							combst.setIf_file_id            		(""         );
							//combst.setIf_serial_no          		(""         );
							combst.setInventory_flag        		(""       	);
							combst.setItem_group_code       		(""       	);
							combst.setMyclass_flag          		(""         );
							combst.setMyclass_group         		(""         );
							combst.setMysite_group          		(""         );
							combst.setOffice_flag           		(""         );
							combst.setPayment_request_type  		(""  		);
							combst.setPo_disable_if_flag    		(""    		);
							combst.setPr_active_flag        		(""        	);
							combst.setReapproval_flag       		(""       	);
							combst.setReg_id                		(""         );
							combst.setReg_name              		(""         );
							combst.setRep_account_code      		(""      	);
							combst.setRep_dept_code         		(""         );
							combst.setRep_division_code     		(""     	);
							combst.setRound_flag            		(""         );
							//combst.setRound_place           		(""         );
							combst.setSg_mysite_flag				(""        	);
							combst.setSku_flag              		(""         );
							combst.setSort_seq              		(""         );
							combst.setTpl_use_flag          		(""         );
							combst.setWa_group              		(""         );
							combst.setDelete_flag					("N"		);
							
							condition.put("company_code", combst.getCompany_code());
							condition.put("wa_code", combst.getWa_code());
							cnt = adminManager.getComBstUnionCkCnt(condition);
							
								if(cnt > 0) //ߺ  ڵ
								{
									result.add("[]̹ ϵ ڵ  :  "+ combst.getWa_code());
								}
								else
								{
									cnt = 0;
									condition.put("company_code", combst.getCompany_code());
									cnt = adminManager.getComAstCompanyCodeCnt(condition);
									if(cnt > 0)
									{
										adminManager.addBusiness(this.getThis_userid(request), combst);
										result.add("[]( "+combst.getCompany_name()+" )ڵ :"+ combst.getWa_code()+"   ϵǾϴ.");
									}
									else
									{
										result.add("[]( "+combst.getCompany_name()+" )ȸڵ :"+ combst.getCompany_code()+"  ȸĿ 忡 Ͽ ֽʽÿ");
									}
									
								}
						}
						else
						{
							result.add("[]  ƴմϴ.");
						}
					
					}
				}
				catch(Exception e)
				{
					result.add("[] "+e);
				}
		}
		return result;
	}
//	06.04.05 HwanKyu.Kang ȸ 
	public void modifyUser(){
		
		if(unique_id==null)
			return;
		
		UsrAst usrast = this.getAdminManager().getById(Integer.parseInt(unique_id));
		if(usrast==null)
			return;
		
		if(user_id!=null)	usrast.setUser_id					(user_id								);
		/*н */		usrast.setPassword					("0000"								);
		//if(user_type!=null)	usrast.setUser_type 				(user_type								);
		if(user_name!=null)	usrast.setUser_name					(user_name								);
		if(reg_no!=null)	usrast.setReg_no 					(reg_no									);
		if(emp_no!=null)	usrast.setEmp_no 					(emp_no									);
		if(company_code!=null)	usrast.setCompany_code			(company_code							);
		if(dept_code!=null)	usrast.setDept_code 				(dept_code								);
		if(position!=null)	usrast.setPosition 					(position								);
		if(tel_no!=null)	usrast.setTel_no 					(tel_no									);
		if(extension_no!=null)	usrast.setExtension_no 			(extension_no		 					);
		//if(pw_req_flag!=null)	usrast.setPw_req_flag 				(pw_req_flag		 					);
		if(hp_no!=null)	usrast.setHp_no 					(hp_no									);
		if(email!=null)	usrast.setEmail 					(email									);
		if(fax_no!=null)	usrast.setFax_no 					(fax_no									);
		if(zip_code!=null)	usrast.setZip_code 					(zip_code								);
		if(address_1!=null)	usrast.setAddress_1 				(address_1								);
		if(address_2!=null)	usrast.setAddress_2					(address_2								);
		//if(blocking_flag!=null)	usrast.setBlocking_flag 			(blocking_flag							);
		//if(blocking_reason!=null)	usrast.setBlocking_reason 			(blocking_reason						);
		//if(grade_code!=null)	usrast.setGrade_code 				(grade_code								);
		//if(login_ip!=null)	usrast.setLogin_ip 					(login_ip			 					);
		//if(login_flag!=null)	usrast.setLogin_flag				(login_flag								);

		//if(admit_id!=null)	usrast.setAdmit_id					(admit_id								);
		//if(catalog_admin!=null)	usrast.setCatalog_admin				(catalog_admin							);
		/*
		if(budget_flag!=null)	usrast.setBudget_flag 				(replace_blank(budget_flag)				);
		if(approval_flag!=null)	usrast.setApproval_flag 			(replace_blank(approval_flag)			);
		if(om_address!=null)	usrast.setOm_address 				(om_address								);
		if(ep_id!=null)	usrast.setEp_id 					(ep_id									);
		if(ep_company_code!=null)	usrast.setEp_company_code 			(ep_company_code						);
		if(ep_company_name!=null)	usrast.setEp_company_name			(ep_company_name						);
		if(ep_dept_code!=null)	usrast.setEp_dept_code 				(ep_dept_code		 					);
		if(ep_dept_name!=null)	usrast.setEp_dept_name				(ep_dept_name							);
		if(ep_position_code!=null)	usrast.setEp_position_code			(ep_position_code						);
		if(ep_suborg_code!=null)	usrast.setEp_suborg_code 			(ep_suborg_code							);
		if(ep_suborg_name!=null)	usrast.setEp_suborg_name 			(ep_suborg_name							);
		if(wa_code!=null)	usrast.setWa_code 					(wa_code								);

		if(bs_bulk_flag!=null)	usrast.setBs_bulk_flag				(replace_blank(bs_bulk_flag)			);
		if(bs_co_bulk_flag!=null)	usrast.setBs_co_bulk_flag			(replace_blank(bs_co_bulk_flag)			);
		if(po_admin_flag!=null)	usrast.setPo_admin_flag			    (replace_blank(po_admin_flag)			);
		if(pr_admin_flag!=null)	usrast.setPr_admin_flag				(replace_blank(pr_admin_flag)			);
		if(budget_admin_flag!=null)	usrast.setBudget_admin_flag			(replace_blank(budget_admin_flag)		);
		if(user_admin_flag!=null)	usrast.setUser_admin_flag           (replace_blank(user_admin_flag)			);
		if(agreement_admin_flag!=null)	usrast.setAgreement_admin_flag      (replace_blank(agreement_admin_flag)	);
		if(ac_admin_flag!=null)	usrast.setAc_admin_flag             (replace_blank(ac_admin_flag)			);
		if(mysite_admin_flag!=null)	usrast.setMysite_admin_flag         (replace_blank(mysite_admin_flag)		);
		if(bs_admin_flag!=null)	usrast.setBs_admin_flag             (replace_blank(bs_admin_flag)			);
		if(inventory_admin_flag!=null)	usrast.setInventory_admin_flag      (replace_blank(inventory_admin_flag) 	);
		if(approver_flag!=null)	usrast.setApprover_flag             (replace_blank(approver_flag)			); 
		if(pc_agreement_admin_flag!=null)	usrast.setPc_agreement_admin_flag   (pc_agreement_admin_flag 				);
		if(strategic_flag!=null)	usrast.setStrategic_flag            (strategic_flag		  					);
		if(ot_user_flag!=null)	usrast.setOt_user_flag              (replace_blank(ot_user_flag)	   		);
		if(gr_user_flag!=null)	usrast.setGr_user_flag              (replace_blank(gr_user_flag)			);
		if(new_item_user_flag!=null)	usrast.setNew_item_user_flag        (new_item_user_flag						);
		if(gr_approval_flag!=null)	usrast.setGr_approval_flag          (replace_blank(gr_approval_flag)		);
		if(desc_search_flag!=null)	usrast.setDesc_search_flag          (replace_blank(desc_search_flag)		);
		if(dti_receiver_flag!=null)	usrast.setDti_receiver_flag         (replace_blank(dti_receiver_flag)		);
		if(price_open_flag!=null)	usrast.setPrice_open_flag           (replace_blank(price_open_flag)			);
		if(po_auto_delete_flag!=null)	usrast.setPo_auto_delete_flag       (replace_blank(po_auto_delete_flag)		);

		if(buying_price_open_flag!=null)	usrast.setBuying_price_open_flag    (buying_price_open_flag  				);
		if(cell_code!=null)	usrast.setCell_code 	            (cell_code								);
		if(ao_dept_code!=null)	usrast.setAo_dept_code           	(ao_dept_code		    				);
		if(budget_dept_code!=null)	usrast.setBudget_dept_code       	(budget_dept_code	    				);
		if(account_code!=null)	usrast.setAccount_code           	(account_code		    				);
		if(receiver_id!=null)	usrast.setReceiver_id            	(receiver_id							);
		if(receiver_name!=null)	usrast.setReceiver_name          	(receiver_name							);
		if(receiver_tel_no!=null)	usrast.setReceiver_tel_no        	(receiver_tel_no						);
		if(receiver_hp_no!=null)	usrast.setReceiver_hp_no         	(receiver_hp_no							);
		if(delivery_zip_code!=null)	usrast.setDelivery_zip_code      	(delivery_zip_code						);
		if(delivery_address_1!=null)	usrast.setDelivery_address_1     	(delivery_address_1						);
		if(delivery_address_2!=null)	usrast.setDelivery_address_2     	(delivery_address_2						);
		if(delivery_area_code!=null)	usrast.setDelivery_area_code     	(delivery_area_code						);
		if(budget_range!=null)	usrast.setBudget_range           	(budget_range		    				);
		if(pr_po_type!=null)	usrast.setPr_po_type             	(pr_po_type								);
		if(sn_doc_type!=null)	usrast.setSn_doc_type            	(sn_doc_type							);
		if(item_mail_flag!=null)	usrast.setItem_mail_flag            (replace_blank(item_mail_flag)			);
		if(creator_mail_flag!=null)	usrast.setCreator_mail_flag         (creator_mail_flag						);
		if(price_mail_flag!=null)	usrast.setPrice_mail_flag           (replace_blank(price_mail_flag)			);
		if(po_mail_flag!=null)	usrast.setPo_mail_flag              (po_mail_flag		    				);
		if(sn_mail_flag!=null)	usrast.setSn_mail_flag              (replace_blank(sn_mail_flag)	    	);
		if(gr_mail_flag!=null)	usrast.setGr_mail_flag              (replace_blank(gr_mail_flag)	    	);
		if(dc_mail_flag!=null)	usrast.setDc_mail_flag              (replace_blank(dc_mail_flag)	    	);

		if(user_grade!=null)	usrast.setUser_grade             	(user_grade								);
		if(language_type!=null)	usrast.setLanguage_type          	(language_type							);
		if(time_zone!=null)	usrast.setTime_zone              	(time_zone   							);
		if(groupware_type!=null)	usrast.setGroupware_type         	(groupware_type							);
		if(sr_admin_flag!=null)	usrast.setSr_admin_flag             (sr_admin_flag							);
		if(if_update_flag!=null)	usrast.setIf_update_flag            (if_update_flag							);
		if(po_substitute_status!=null)	usrast.setPo_substitute_status      (po_substitute_status 					);
		if(first_page_type!=null)	usrast.setFirst_page_type        	(first_page_type						);
		if(mp_requester!=null)	usrast.setMp_requester           	(mp_requester							);
		if(new_request_flag!=null)	usrast.setNew_request_flag          (new_request_flag	    				);
		if(pr_return_use_flag!=null)	usrast.setPr_return_use_flag        (pr_return_use_flag						);
		if(req_ui_bulk_flag!=null)	usrast.setReq_ui_bulk_flag          (req_ui_bulk_flag	    				);
		if(budget_input_flag!=null)	usrast.setBudget_input_flag         (budget_input_flag						);
		if(csi_type!=null)	usrast.setCsi_type               	(csi_type			    				);
		if(csi_change_reason!=null)	usrast.setCsi_change_reason      	(csi_change_reason						);
		if(return_admin_flag!=null)	usrast.setReturn_admin_flag         (return_admin_flag    					);
		if(gr_pop_flag!=null)	usrast.setGr_pop_flag               (gr_pop_flag							);
		if(gr_pop_date!=null)	usrast.setGr_pop_date            	(gr_pop_date    						);
		if(gr_pop_notice_flag!=null)	usrast.setGr_pop_notice_flag        (gr_pop_notice_flag   					);
		if(bs_notice_flag!=null)	usrast.setBs_notice_flag            (bs_notice_flag       					);
		if(dss_grade!=null)	usrast.setDss_grade 	            (dss_grade        						);
		if(menu_type!=null)	usrast.setMenu_type 	            (menu_type  							);
		if(auth_flag!=null)	usrast.setAuth_flag                 (auth_flag								);
		if(auth_type!=null)	usrast.setAuth_type              	(auth_type								);

		if(auth_from_date!=null)	usrast.setAuth_from_date            (String2Date(auth_from_date)			);
		if(auth_to_date!=null)	usrast.setAuth_to_date              (String2Date(auth_to_date)				);
		if(sn_price_open_flag!=null)	usrast.setSn_price_open_flag        (sn_price_open_flag						);
		if(inventory_flag!=null)	usrast.setInventory_flag            (inventory_flag							);
		//if(creator!=null)	usrast.setCreator                	(creator        						);
		if(changer!=null)	usrast.setChanger                	(changer           						);
		if(change_reason!=null)	usrast.setChange_reason         	(change_reason							);
		*/
		if(unique_id_comdst!=null)	usrast.setUnique_id_comdst 	    	(Integer.parseInt(unique_id_comdst)		);
		if(uid_combst!=null)	usrast.setUid_combst	 	    	(Integer.parseInt(uid_combst)			);
		
		adminManager.modifyUser(usrast);
	}
	public List  addUsrAst(HttpServletRequest request){
				
				UsrAst usrast = new UsrAst();
				usrast.SetDefault();
				
				usrast.setLogin_id					(login_id								);		
				usrast.setUser_id					(user_id								);
				usrast.setPassword					("0000" 								);
				usrast.setUser_type 				(user_type								);
				usrast.setUser_name					(user_name								);
				usrast.setReg_no 					(reg_no									);
				usrast.setEmp_no 					(emp_no									);
				usrast.setCompany_code				(company_code							);
				usrast.setDept_code 				(dept_code								);
				usrast.setPosition 					(position								);
				usrast.setTel_no 					(tel_no									);
				usrast.setExtension_no 				(extension_no		 					);
				usrast.setPw_req_flag 				(pw_req_flag		 					);
				usrast.setHp_no 					(hp_no									);
				usrast.setEmail 					(email									);
				usrast.setFax_no 					(fax_no									);
				usrast.setZip_code 					(zip_code								);
				usrast.setAddress_1 				(address_1								);
				usrast.setAddress_2					(address_2								);
				usrast.setBlocking_flag 			(blocking_flag							);
				usrast.setBlocking_reason 			(blocking_reason						);
				usrast.setGrade_code 				(grade_code								);
				usrast.setLogin_ip 					(login_ip			 					);
				usrast.setLogin_flag				(login_flag								);
				usrast.setAdmit_id					(admit_id								);
				usrast.setCatalog_admin				(catalog_admin							);
				usrast.setBudget_flag 				(replace_blank(budget_flag)				);
				usrast.setApproval_flag 			(replace_blank(approval_flag)			);
				usrast.setOm_address 				(om_address								);
				usrast.setEp_id 					(ep_id									);
				usrast.setEp_company_code 			(ep_company_code						);
				usrast.setEp_company_name			(ep_company_name						);
				usrast.setEp_dept_code 				(ep_dept_code		 					);
				usrast.setEp_dept_name				(ep_dept_name							);
				usrast.setEp_position_code			(ep_position_code						);
				usrast.setEp_suborg_code 			(ep_suborg_code							);
				usrast.setEp_suborg_name 			(ep_suborg_name							);
				usrast.setWa_code 					(wa_code								);
				usrast.setBs_bulk_flag				(replace_blank(bs_bulk_flag)			);
				usrast.setBs_co_bulk_flag			(replace_blank(bs_co_bulk_flag)			);
				usrast.setPo_admin_flag			    (replace_blank(po_admin_flag)			);
				usrast.setPr_admin_flag				(replace_blank(pr_admin_flag)			);
				usrast.setBudget_admin_flag			(replace_blank(budget_admin_flag)		);
				usrast.setUser_admin_flag           (replace_blank(user_admin_flag)			);
				usrast.setAgreement_admin_flag      (replace_blank(agreement_admin_flag)	);
				usrast.setAc_admin_flag             (replace_blank(ac_admin_flag)			);
				usrast.setMysite_admin_flag         (replace_blank(mysite_admin_flag)		);
				usrast.setBs_admin_flag             (replace_blank(bs_admin_flag)			);
				usrast.setInventory_admin_flag      (replace_blank(inventory_admin_flag) 	);
				usrast.setApprover_flag             (replace_blank(approver_flag)			); 
				usrast.setPc_agreement_admin_flag   (pc_agreement_admin_flag 				);
				usrast.setStrategic_flag            (strategic_flag		  					);
				usrast.setOt_user_flag              (replace_blank(ot_user_flag)	   		);
				usrast.setGr_user_flag              (replace_blank(gr_user_flag)			);
				usrast.setNew_item_user_flag        (new_item_user_flag						);
				usrast.setGr_approval_flag          (replace_blank(gr_approval_flag)		);
				usrast.setDesc_search_flag          (replace_blank(desc_search_flag)		);
				usrast.setDti_receiver_flag         (replace_blank(dti_receiver_flag)		);
				usrast.setPrice_open_flag           (replace_blank(price_open_flag)			);
				usrast.setPo_auto_delete_flag       (replace_blank(po_auto_delete_flag)		);
				usrast.setBuying_price_open_flag    (buying_price_open_flag  				);
				usrast.setCell_code 	            (cell_code								);
				usrast.setAo_dept_code           	(ao_dept_code		    				);
				usrast.setBudget_dept_code       	(budget_dept_code	    				);
				usrast.setAccount_code           	(account_code		    				);
				usrast.setReceiver_id            	(receiver_id							);
				usrast.setReceiver_name          	(receiver_name							);
				usrast.setReceiver_tel_no        	(receiver_tel_no						);
				usrast.setReceiver_hp_no         	(receiver_hp_no							);
				usrast.setDelivery_zip_code      	(delivery_zip_code						);
				usrast.setDelivery_address_1     	(delivery_address_1						);
				usrast.setDelivery_address_2     	(delivery_address_2						);
				usrast.setDelivery_area_code     	(delivery_area_code						);
				usrast.setBudget_range           	(budget_range		    				);
				usrast.setPr_po_type             	(pr_po_type								);
				usrast.setSn_doc_type            	(sn_doc_type							);
				usrast.setItem_mail_flag            (replace_blank(item_mail_flag)			);
				usrast.setCreator_mail_flag         (creator_mail_flag						);
				usrast.setPrice_mail_flag           (replace_blank(price_mail_flag)			);
				usrast.setPo_mail_flag              (po_mail_flag		    				);
				usrast.setSn_mail_flag              (replace_blank(sn_mail_flag)	    	);
				usrast.setGr_mail_flag              (replace_blank(gr_mail_flag)	    	);
				usrast.setDc_mail_flag              (replace_blank(dc_mail_flag)	    	);
				usrast.setUser_grade             	(user_grade								);
				usrast.setLanguage_type          	(language_type							);
				usrast.setTime_zone              	(time_zone   							);
				usrast.setGroupware_type         	(groupware_type							);
				usrast.setSr_admin_flag             (sr_admin_flag							);
				usrast.setIf_update_flag            (if_update_flag							);
				usrast.setPo_substitute_status      (po_substitute_status 					);
				usrast.setFirst_page_type        	(first_page_type						);
				usrast.setMp_requester           	(mp_requester							);
				usrast.setNew_request_flag          (new_request_flag	    				);
				usrast.setPr_return_use_flag        (pr_return_use_flag						);
				usrast.setReq_ui_bulk_flag          (req_ui_bulk_flag	    				);
				usrast.setBudget_input_flag         (budget_input_flag						);
				usrast.setCsi_type               	(csi_type			    				);
				usrast.setCsi_change_reason      	(csi_change_reason						);
				usrast.setReturn_admin_flag         (return_admin_flag    					);
				usrast.setGr_pop_flag               (gr_pop_flag							);
				usrast.setGr_pop_date            	(gr_pop_date    						);
				usrast.setGr_pop_notice_flag        (gr_pop_notice_flag   					);
				usrast.setBs_notice_flag            (bs_notice_flag       					);
				usrast.setDss_grade 	            (dss_grade        						);
				usrast.setMenu_type 	            (menu_type  							);
				usrast.setAuth_flag                 (auth_flag								);
				usrast.setAuth_type              	(auth_type								);
				usrast.setAuth_from_date            (String2Date(auth_from_date)      					);
				usrast.setAuth_to_date              (String2Date(auth_to_date)							);
				usrast.setSn_price_open_flag        (sn_price_open_flag						);
				usrast.setInventory_flag            (inventory_flag							);
				//usrast.setCreator                	(creator        						);
				usrast.setChanger                	(changer           						);
				usrast.setChange_reason         	(change_reason							);
				usrast.setUnique_id_comdst 	    	(Integer.parseInt(unique_id_comdst)		);
				usrast.setUid_combst	 	    	(Integer.parseInt(uid_combst)			);
				usrast.setChange_date               (String2Date(change_date)          		);
//				usrast.setCreate_date               (create_date				);
//				usrast.setBy_reply_date				(by_reply_date				);
//				usrast.setMp_req_date				(mp_req_date				);
				//usrast.setDelete_flag             (delete_flag				);
				
				//usrast.setPo_user_uid 			(po_user_uid 				);
//				usrast.setLogout_date 				(logout_date		 		);
				//usrast.setLogin_date 				(login_date					);
//				usrast.setLogin_fail_cnt 			(login_fail_cnt				);
				//usrast.setPw_change_date 			(pw_change_date				);
				//usrast.setConcurrent_user 		(concurrent_user	 		);
				//usrast.setMax_user_cnt 			(max_user_cnt		 		);
//				usrast.setAdmit_date 				(admit_date					);
			
				adminManager.addUser(this.getThis_userid(request), usrast);
				Vector<String> result = new Vector<String>();
				result.add("  : ");
				result.add( "f_admn.html?menuId=f03" );
				
				return result;
			}
	


	public List  addComBst(HttpServletRequest request){
		
		ComBst combst = new ComBst();
		combst.SetDefault();
		
		combst.setAbudget_av_flag				(replace_blank(abudget_av_flag)		); 
		combst.setAc_cancel_flag				(ac_cancel_flag        				);
		combst.setAccount_assign_type			(account_assign_type   				);
		combst.setAccount_need_flag				(replace_blank(account_need_flag)	);
		combst.setAdd_budget_flag				(replace_blank(add_budget_flag)		); 		
		combst.setAddress_1             		(address_1             				);
		combst.setAddress_2             		(address_2             				);
		combst.setAgreement_attach_type 		(agreement_attach_type 				);
		combst.setAgreement_flag				(agreement_flag        				);
		combst.setAo_id                 		(ao_id                 				);
		combst.setAo_name               		(ao_name               				);
		//combst.setApprover_min_cnt      		(Integer.parseInt(approver_min_cnt)	);
		combst.setApprover_type					(approver_type         				);
		combst.setArea_code            			(area_code			   				);
		combst.setAuto_dc_flag          		(auto_dc_flag         				);
		combst.setAuto_gi_flag         			(auto_gi_flag          				);
		combst.setAuto_gr_flag					(auto_gr_flag          				);
		combst.setBiz_category          		(biz_category          				);
		combst.setBiz_condition         		(biz_condition         				);
		combst.setBiz_no                		(biz_no               				);
		combst.setBs_approval_type				(bs_approval_type      				);
		combst.setBs_auto_order_flag    		(bs_auto_order_flag    				);
		combst.setBs_flag               		(bs_flag               				);
		combst.setBs_price_type         		(bs_price_type         				);
		combst.setBudget_active_flag			(replace_blank(budget_active_flag)	);
		combst.setChange_reason         		(change_reason         				);
		combst.setChange_time           		(change_time           				);
		combst.setChanger						(changer               				);   
		combst.setCompany_code          		(company_code          				);
		combst.setCompany_name          		(company_name          				);
		combst.setCreate_time					(create_time           				); 
		//combst.setCreator               		(creator               				);
		combst.setCreditcard_po_flag    		(creditcard_po_flag    				);
		combst.setGr_approval_flag				(gr_approval_flag      				);  
		combst.setGr_closing_flag       		(gr_closing_flag       				);
		combst.setGr_pop_date           		(gr_pop_date           				);
		//combst.setGr_pop_date_range     		(Integer.parseInt(gr_pop_date_range));
		combst.setGr_pop_flag           		(gr_pop_flag           				);
		combst.setIdx_mcmbst_uniq       		(idx_mcmbst_uniq       				);
		combst.setIf_active_flag        		(if_active_flag        				);
		combst.setIf_file_id            		(if_file_id            				);
		combst.setIf_serial_no          		(if_serial_no          				);
		combst.setInventory_flag        		(inventory_flag       				);
		combst.setItem_group_code       		(item_group_code       				);
		combst.setMyclass_flag          		(myclass_flag          				);
		combst.setMyclass_group         		(myclass_group         				);
		combst.setMysite_group          		(mysite_group          				);
		combst.setOffice_flag           		(office_flag           				);
		combst.setPayment_request_type  		(payment_request_type  				);
		combst.setPo_disable_if_flag    		(po_disable_if_flag    				);
		combst.setPr_active_flag        		(pr_active_flag        				);
		combst.setPresident_name        		(president_name        				);
		combst.setReapproval_flag       		(reapproval_flag       				);
		//SuperClass ڵ .
		//combst.setReg_date              		(reg_date              );
		//combst.setReg_time              		(reg_time              );
		combst.setReg_id                		(reg_id                				);
		combst.setReg_name              		(reg_name              				);
		combst.setRep_account_code      		(rep_account_code      				);
		combst.setRep_dept_code         		(rep_dept_code         				);
		combst.setRep_division_code     		(rep_division_code     				);
		combst.setRound_flag            		(round_flag            				);
		//combst.setRound_place           		(Double.parseDouble(round_place)	);
		combst.setSg_mysite_flag				(sg_mysite_flag        				);
		combst.setSite_manager_email    		(site_manager_email    				);
		combst.setSite_manager_mobile_no		(site_manager_mobile_no				);
		combst.setSite_manager_name     		(site_manager_name     				);
		combst.setSite_manager_tel_no   		(site_manager_tel_no   				);
		combst.setSku_flag              		(sku_flag              				);
		combst.setSort_seq              		(sort_seq              				);
		combst.setTpl_use_flag          		(tpl_use_flag          				);
		combst.setWa_code               		(wa_code               				);
		combst.setWa_group              		(wa_group              				);
		combst.setWa_name               		(wa_name               				);
		combst.setZip_code              		(zip_code              				);
		combst.setDelete_flag					("N"				   				);
				
		adminManager.addBusiness(this.getThis_userid(request), combst);
		
		Vector<String> result = new Vector<String>();
		result.add("  : ");
		result.add( "f_admn.html?menuId=f13" );
		
		return result;
	}
	
	
	
	
//	 @author lee a ram
	// ȸ
	
	public List addCompany(HttpServletRequest request){
		
		ComAst comast = new ComAst();
		UsrAst me = this.getMyInfoManager().getMyInfo( this.getThis_useruid(request));
		
		comast.SetDefault(me.getUser_id());
		
		comast.setAdmission_flag(admission_flag);			//ŷο
		comast.setAgreement_type(agreement_type);			//  
		comast.setBank_payment_flag	(bank_payment_flag);	//B2B 
		comast.setBiz_group(biz_group);						//ұ׷ڵ
		comast.setBiz_group_name(biz_group_name);			//ұ׷
		comast.setBlocking_flag(blocking_flag);				//Blocking 
		comast.setChange_reason(change_reason);				//
		comast.setChanger(changer);							//
		comast.setCompany_code(company_code);				//ȸڵ
		comast.setCompany_grade(company_grade);				//ȸ 
		comast.setCompany_group(company_group);				//ȸ׷ ڵ
		comast.setCompany_group_name(company_group_name);	//ȸ׷ 
		comast.setCompany_name(company_name);				//ȸ
		comast.setDeal_amount(Double.parseDouble(deal_amount));	//ֱݾ
		comast.setDeal_date(String2Date(deal_date));		//
//		comast.setDelete_flag(delete_flag);					//
		comast.setEmployee(Double.parseDouble(employee));   //
		comast.setEp_company_code(ep_company_code);			//EP ȸڵ
		comast.setForeign_wa_flag(foreign_wa_flag);			//ؿܻ 
		comast.setGroupware_type(groupware_type);			//׷
		comast.setHome_page_url(home_page_url);				//Ȩ ּ
		comast.setMain_view_flag(main_view_flag);			//ű԰ Խÿ
		comast.setMro_amount(Double.parseDouble(mro_amount));					//MRO 
		comast.setMulti_price_flag(multi_price_flag);		//ǰ 
		comast.setMulti_price_group(multi_price_group);		//ǰ ׷
		comast.setRemark(remark);							//
		comast.setSales_amount(Double.parseDouble(sales_amount));				//
		comast.setSort_seq(sort_seq);						// Seq
		comast.setSourcing_group(sourcing_group);			//ҽ̱׷
		comast.setWa_flag(wa_flag);							//ٹ 뿩
		
		logger.debug("Biz_group_name			:::::::߰ ڵ    ::::::"+biz_group_name			);
		
		adminManager.addCompany(this.getThis_userid(request), comast);
	
		Vector<String> result = new Vector<String>();
		result.add("ȸ  Ϸ ");
		result.add("f_admn.html?menuId=f11");
		
		
		return result;
	}
	

//	 06.04.18 HwanKyu.Kang ȸ  update
	public List addFileUpdtComAst(HttpServletRequest request, Vector<String> result)
	{
		
		Vector vt 				= null;
		ComAst comast 			= null;
		ExcelFileController efc = null;
		Random ran				= null;
		int cnt					= 0;
		int iRand;
		String fileNm;
		Map<String, String> condition = new HashMap<String, String>();
		for(int z=0; z<file_length; z++)
		{
			try
			{
				fileNm = excelPath+file_group_code[z]+"-"+file_item_code[z];
				
				String[]	buffer   = null;
				comast = new ComAst();
				efc = new ExcelFileController(fileNm);
				vt = efc.readExcelFile(true);
				
				ran = new Random();
				iRand = 0;
				for(int i = 1; i < vt.size(); i++)
				{
					iRand = ran.nextInt();
					if(iRand < 0) {
						iRand = (-1)* iRand;
					}
					this.unique_id 		= Integer.toString(iRand);
					
					buffer = (String[])vt.get(i);
					
					if(buffer.length == 9)
					{
						//comast.SetDefault();
						comast.setUnique_id							(Integer.parseInt(unique_id));
						comast.setCompany_code						(buffer[0]);						//ȸڵ
						comast.setCompany_name						(buffer[1]);						//ȸ
						comast.setForeign_wa_flag					(buffer[2]);						//ؿܻ 
						comast.setSales_amount						(Double.parseDouble(buffer[3]));	//
						comast.setMro_amount						(Double.parseDouble(buffer[4]));	//MRO 
						comast.setEmployee							(Double.parseDouble((buffer[5])));	//
						comast.setRemark							(buffer[6]);						//
						comast.setDeal_date							(String2Date(buffer[7]));			//
						comast.setDeal_amount						(Double.parseDouble(buffer[8]));	//ֱݾ
		
						comast.setBiz_group_name					("");								//ұ׷
						comast.setAdmission_flag					("");								//ŷο
						comast.setAgreement_type					("");								//  
						comast.setBank_payment_flag					("");								//B2B 
						comast.setBiz_group							("");								//ұ׷ڵ
						comast.setBlocking_flag						("");								//Blocking 
						comast.setChange_reason						("");								//
						comast.setChanger							("");								//
						comast.setCompany_grade						("");								//ȸ 
						comast.setCompany_group						("");								//ȸ׷ ڵ
						comast.setCompany_group_name				("");								//ȸ׷ 
						comast.setEp_company_code					("");								//EP ȸڵ
						comast.setGroupware_type					("");								//׷
						comast.setHome_page_url						("");								//Ȩ ּ
						comast.setMain_view_flag					("");								//ű԰ Խÿ
						comast.setMulti_price_flag					("");								//ǰ 
						comast.setMulti_price_group					("");								//ǰ ׷
						comast.setSort_seq							("");								// Seq
						comast.setSourcing_group					("");								//ҽ̱׷
						comast.setWa_flag							("");								//ٹ 뿩
						
						
						
						condition.put("company_code", comast.getCompany_code());
						cnt = adminManager.getComAstCompanyCodeCnt(condition);
						
						if(cnt > 0) //ߺ  ڵ
						{
							result.add("[]̹ ϵ ȸڵԴϴ.  :  "+ comast.getCompany_code());
						}
						else
						{
							adminManager.addCompany(this.getThis_userid(request), comast);
							result.add("[]( "+comast.getCompany_name()+" )ȸڵ :"+ comast.getCompany_code()+"   ϵǾϴ.");
						}
					}
					else
					{
						result.add("[]  ƴմϴ.");
					}
				}
			}
			catch(Exception e)
			{
				result.add("[] "+e);
			}
		}
		return result;
	}
	
	//f12   --aram
	private boolean SetComInfoForm(List<ComAst> lists){
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find pj unique id");
			return false;
		}
		ComAst com= adminManager.getCompanyByUniqueId(Integer.parseInt(unique_id));
		lists.add(com);
		return true;
	}
	
    //06.04.04   viewpage
	private UsrAst GetUsrAstForm(){
		if(unique_id == null || unique_id.equals("")) 
		{
			logger.info("cannot find pj unique id");
			return null;
		}

		return adminManager.getById(Integer.parseInt(unique_id));

	}

	//f12  --aram
	public List changeCominfo(){
		
		ComAst com = new ComAst();
		if(unique_id			!= null)    com.setUnique_id(Integer.parseInt(unique_id));
		if(company_code			!= null)	com.setCompany_code(company_code);
		if(company_name			!= null)	com.setCompany_name(company_name);
		if(biz_group_name		!= null)	com.setBiz_group_name(biz_group_name);
		if(multi_price_flag		!= null)	com.setMulti_price_flag(multi_price_flag);
		if(multi_price_group	!= null)	com.setMulti_price_group(multi_price_group);
		if(groupware_type		!= null)	com.setGroupware_type(groupware_type);
		if(wa_flag				!= null)	com.setWa_flag(wa_flag);
		if(sourcing_group		!= null)	com.setSourcing_group(sourcing_group);
		if(agreement_type		!= null)	com.setAgreement_type(agreement_type);
		if(foreign_wa_flag		!= null)	com.setForeign_wa_flag(foreign_wa_flag);
		if(sales_amount			!= null)	com.setSales_amount(Double.parseDouble(sales_amount));
		if(mro_amount			!= null)	com.setMro_amount(Double.parseDouble(mro_amount));
		if(employee				!= null)	com.setEmployee(Double.parseDouble(employee));
		if(remark				!= null)	com.setRemark(remark);
		if(deal_date			!= null)	com.setDeal_date(String2Date(deal_date));;
		if(deal_amount			!= null)	com.setDeal_amount(Double.parseDouble(deal_amount)); 
		if(company_group_name   != null)	com.setCompany_group_name(company_group_name);
		
		adminManager.changeComInfo(com);
		List<String> result = new ArrayList<String>();
		result.add("ȸ   Ϸ ");
		result.add("f_admn.html?menuId=f11");

		return result;
	}
	public List changeDivision(){
		
		ComCst com = new ComCst();
		if(unique_id			!= null)    com.setUnique_id(Integer.parseInt(unique_id));
		if(company_code			!= null)	com.setCompany_code(company_code);
		if(company_name			!= null)	com.setCompany_name(company_name);
		if(wa_code				!= null)	com.setWa_code(wa_code);
		if(wa_name				!= null)	com.setWa_name(wa_name);
		if(ba_code				!= null)	com.setBa_code(ba_code);
		if(change_reason		!= null)	com.setChange_reason(change_reason);	
		if(changer				!= null)	com.setChanger(changer);
		if(sort_seq				!= null)	com.setSort_seq(sort_seq);
		if(delete_flag			!= null)	com.setDelete_flag(delete_flag);
		if(division_code		!= null)	com.setDivision_code(division_code);
		if(division_name		!= null)	com.setDivision_name(division_name);
		
		adminManager.changeDivision(com);
		List<String> result = new ArrayList<String>();
		result.add("   Ϸ ");
		result.add("f_admn.html?menuId=f15");

		return result;
	}

	
	//f12
	private List GetCompanyList(){
	
		if( company_code.length()==0 && company_name.length()==0 && company_group_name.length()==0 && multi_price_group.length()==0 && sourcing_group.length()==0 && sales_amount.length()==0 && deal_date.length()==0 && deal_amount.length()==0)
		{
			logger.info("ΰ˻");
			return adminManager.getCompanyList();
		}
		
		else
		{
			logger.info("ǰ˻");
			Map<String, String> condition = new HashMap<String, String>();
			if(!nullCk(company_code).equals("")){
				condition.put("company_code", "%"+company_code+"%" );
			}
			if(!nullCk(company_name).equals("")){
				condition.put("company_name", "%"+company_name+"%" );
			}
			
			return adminManager.getCompanyList(condition);
		}	
	}
	
//	 06.04.19 HwanKyu.Kang   update
	public List addFileUpdtComCst(HttpServletRequest request, Vector<String> result)
	{
		Vector vt 				= null;
		ComCst comcst 			= null;
		ExcelFileController efc = null;
		Random ran				= null;
		int cnt					= 0;
		int iRand;
		String fileNm;
		Map<String, String> condition = new HashMap<String, String>();
		for(int z=0; z<file_length; z++){
			try
			{
				fileNm = excelPath+file_group_code[z]+"-"+file_item_code[z];
				
				String[]	buffer   = null;
				comcst = new ComCst();
				efc = new ExcelFileController(fileNm);
				vt = efc.readExcelFile(true);
				
				ran = new Random();
				iRand = 0;
				for(int i = 1; i < vt.size(); i++)
				{
					iRand = ran.nextInt();
					if(iRand < 0) {
						iRand = (-1)* iRand;
					}
					this.unique_id 		= Integer.toString(iRand);
					
					buffer = (String[])vt.get(i);
					if(buffer.length == 6)
					{
						comcst.setUnique_id						(Integer.parseInt(unique_id));
						comcst.setCompany_code					(buffer[0]					);			//ȸڵ
						comcst.setCompany_name					(buffer[1]					);			//ȸ
						comcst.setWa_code						(buffer[2]					);			//ڵ
						comcst.setWa_name						(buffer[3]					);			//
						comcst.setDivision_code					(buffer[4]					);			//ڵ
						comcst.setDivision_name					(buffer[5]					);			//θ
						
						comcst.setBa_code("");	comcst.setChange_reason("");	comcst.setChanger("");
						comcst.setSort_seq("");
						comcst.setDelete_flag(delete_flag);		comcst.setBracket("");
						
						/*
						 *  ߺ  ڵ
						 */
						condition.put("company_code", comcst.getCompany_code());
						condition.put("wa_code", comcst.getWa_code());
						condition.put("division_code", comcst.getDivision_code());
						cnt = adminManager.getComCstUnionCkCnt(condition);
						if(cnt > 0)
						{
							result.add("[]̹ ϵ ڵ  :  "+ comcst.getDivision_code());
						}
						else
						{
							/*
							 * ȸڵ ڵ ȣ  
							 */
							cnt = 0;
							condition.put("company_code", comcst.getCompany_code());
							condition.put("wa_code", comcst.getWa_code());
							cnt = adminManager.getComBstUnionCkCnt(condition);
							if(cnt > 0) 
							{
								adminManager.addDivision(this.getThis_userid(request), comcst);
								result.add("[] óǾϴ. ڵ  :  "+ comcst.getDivision_code());
							}
							else
							{
								result.add("[]"+comcst.getCompany_code()+"  "+comcst.getCompany_name()+"  " 
								+comcst.getWa_code()+"  "+comcst.getWa_name()+" ȣ   ȸ Դϴ."		
								);
							}
							
						}
					}
					else
					{
						result.add("[]  ƴմϴ.");
					}
				}
			}
			catch(Exception e)
			{
				result.add("[] "+ e);
			}
		}
		return result;
	}
	
	@SuppressWarnings("unused") 
//	 06.04.25 HwanKyu.Kang   update
	public List addFileUpdtSrcAhd(HttpServletRequest request, Vector<String> result)
	{
		
		Vector vt 				= null;
		SrcAhd srcahd 			= null;
		ExcelFileController efc = null;
		Random ran				= null;
		int cnt					= 0;
		int srcahdUniqueId		= 0;
		int combstUid			= 0;
		int iRand;
		int wa_code_uid			= 0;
		String fileNm;
		ComAst comast;
		String company_code;
		String wa_code;
		SrcMap srcmap = new SrcMap();
		Map<String, String> condition = new HashMap<String, String>();
		Map<String, Comparable> srcahdcnt = null;
		List srcahdItem_code = null;
	
		
		/*
		 * ComBst Unique ̵ ˻
		 */
		
			for(int z=0; z<file_length; z++){
				try
				{
					fileNm = excelPath+file_group_code[z]+"-"+file_item_code[z];
					
					String[]	buffer   = null;
					srcahd = new SrcAhd();
					efc = new ExcelFileController(fileNm);
					vt = efc.readExcelFile(true);
					
					ran = new Random();
					iRand = 0;
					for(int i = 1; i < vt.size(); i++)
					{
						iRand = ran.nextInt();
						if(iRand < 0) {
							iRand = (-1)* iRand;
						}
						this.unique_id 		= Integer.toString(iRand);
						cnt = 0; //ʱȭ
						buffer = (String[])vt.get(i);
						if(buffer.length == 20)
						{
							srcahd.setUnique_id				(Integer.parseInt(unique_id));
							srcahd.setItem_code				(buffer[0]	);							// ǰڵ
							srcahd.setClass_code			(buffer[1]	);							// зü
						 
							company_code				=	 buffer[2].trim().equals("")? "0" : buffer[2].trim();  // ȸڵ
							wa_code						=    buffer[3].trim().equals("")? "0" : buffer[3].trim();	// ڵ
							
							srcahd.setItem_name				(buffer[6]	);							// ǰ
							srcahd.setSpecification			(buffer[7]	);							// ԰
							srcahd.setModel_no				(buffer[8]	);							// 𵨸
							srcahd.setMaker_name			(buffer[9]	);							// 
							srcahd.setUnit_code				(buffer[10]	);							// 
							srcahd.setSales_price			(Double.parseDouble(buffer[11]));		// ⺻ǸŰ
							srcahd.setSeller_code			(buffer[12]	);							// ޿ڵ
							srcahd.setSeller_name			(buffer[13]	);							// ޿
							srcahd.setMoq					(Double.parseDouble(buffer[14]));		// ּҹּ
							srcahd.setMxq					(Double.parseDouble(buffer[15]));		// ִּ
							srcahd.setOrder_multiple		(Double.parseDouble(buffer[16]));   	// ָż		
							srcahd.setImage_flag			(buffer[17]	);							// ̹Ͽ
							srcahd.setImage_path			(buffer[18]	);							// ̹ 		
							srcahd.setSource_price			(Double.parseDouble(buffer[19]));       // Դܰ
							srcahd.setStandard_flag			("S");									// 籸
			
										
							condition.put("item_code", srcahd.getItem_code());
							cnt = adminManager.getSrcAhdItemCodeCnt(condition);
							
							/*
							 * ȸڵ  ڵ ComBst_Uid ϱ...
							 * ڵ...
							 */
							if(!company_code.equals("0") && !wa_code.equals("0"))
							{
								List list = null;	
								Map<String, String> map = new HashMap<String, String>();
								map.put("company_code", company_code);
								map.put("wa_code", wa_code);
								list = adminManager.getBusiness(map);
								if(list.size() > 0)
								{
									combstUid = ((ComBst)list.get(0)).getUnique_id();
							
								// ̹ ߺ ϰ...
									if(cnt > 0)
									{
										map = new HashMap<String, String>();
										result.add("[]̹ ϵ ڵ  :  "+ srcahd.getItem_code());
										
										// SrcAhd Table ϵ Unique_id  return List
										map.put("item_code", srcahd.getItem_code() );
										srcahdItem_code = materialManager.getMtrlDynamic(map);
										
										// SrcAhd ̺  item_code Unique_id 
										if(srcahdItem_code.size() > 0)
										{
											srcahdUniqueId = 0;
											srcahdUniqueId = ((SrcAhd)srcahdItem_code.get(0)).getUnique_id();
																	
											// SrcMap Table ߺ üũ					
											if(srcahdUniqueId > 0)
											{
												cnt = 0;
												srcahdcnt = new HashMap<String, Comparable>();
												srcahdcnt.put("srcahd_uid", srcahdUniqueId 	);				// SrcAhd Table ϵ untque_id
												srcahdcnt.put("combst_uid", combstUid		);     			//  Unique_idڵ
												srcahdcnt.put("item_code", srcahd.getItem_code()); 			// ǰڵ
												
												cnt = adminManager.getSrcMapDupCnt(srcahdcnt);   			// SrcMap Table ߺ...
												
												// ߺ ϰ
												if(cnt > 0)
												{
													result.add("[  ]   : "+ "SrcMapTable ̹ ϵǾִ  ڵԴϴ.");
												}
												// ߺ  ƴҰ... SrcMap Table insert
												else
												{
													try
													{
														//   Ͽ ڵ	̾ڵ	sales_price Ҷ    ǰ
														srcmap.setUnique_id(reUnique_Id());							// Unique_id  
														srcmap.setSrcahd_uid(srcahdUniqueId);						// SrcAhd Table 翡  Unique_id
														srcmap.setCombst_uid(combstUid);							// ȸUid......
														srcmap.setItem_code(srcahd.getItem_code());					// ڵ
														srcmap.setBuyer_item_code(buffer[4]);						// ̾ ڵ
														srcmap.setSales_price(Double.parseDouble(buffer[5]));		// sales_price
														srcmap.setDelete_flag("N");
														materialManager.insertSrcMap(this.getThis_userid(request), srcmap);
														result.add("[  AAA(SrcMap Table)] óǾϴ. ڵ  űڵ:  "+ srcahd.getItem_code());
													}
													catch(Exception e)
													{
														result.add("[  (SrcMap Table)]   : "+ e);
													}
												}
											}
										}
										
									}
									else // ߺ   ...
									{
										try
										{
											map = new HashMap<String, String>();
											materialManager.addMtrl(this.getThis_userid(request), srcahd);
											result.add("[ (SrcAhd Table)] óǾϴ. ڵ  :  "+ srcahd.getItem_code());
											/*
											 * SrcMap Table ȸ纰   ϱ 
											 */
											
											map.put("item_code", srcahd.getItem_code() );
											
											// SrcAhd Table ϵ Unique_id  return List
											srcahdItem_code = materialManager.getMtrlDynamic(map);
											
											if(srcahdItem_code.size() > 0)
											{
												cnt = 0;
												srcahdUniqueId = 0;
												srcahdUniqueId = ((SrcAhd)srcahdItem_code.get(0)).getUnique_id();
																		
												// SrcMap Table ߺ üũ					
												if(srcahdUniqueId > 0)
												{
													srcahdcnt = new HashMap<String, Comparable>();
													srcahdcnt.put("srcahd_uid", srcahdUniqueId );				// SrcAhd Table ϵ untque_id
													srcahdcnt.put("combst_uid", combstUid);  					// ȸڵ Unique_id
													srcahdcnt.put("item_code", srcahd.getItem_code()); 			// ǰڵ
													
													cnt = adminManager.getSrcMapDupCnt(srcahdcnt);   			// SrcMap Table ߺ...
													
													// ߺ ϰ... ߿ UpDate  ...
													if(cnt > 0)
													{
														result.add("[  ]   : "+ "SrcMapTable ̹ ϵǾִ  ڵԴϴ.");
													}
													// ߺ  ƴҰ... SrcMap Table insert
													else
													{
														try
														{
																srcmap.setUnique_id(reUnique_Id());					// Unique_id  
																srcmap.setSrcahd_uid(srcahdUniqueId);				// SrcAhd Table 翡  Unique_id
																srcmap.setCombst_uid(combstUid);					// ȸUid......
																srcmap.setItem_code(srcahd.getItem_code());			// ڵ
																srcmap.setBuyer_item_code(buffer[4]);				// ̾ ڵ
																srcmap.setSales_price(Double.parseDouble(buffer[5]));// Ǹ 
																srcmap.setDelete_flag("N");
																materialManager.insertSrcMap(this.getThis_userid(request), srcmap);
																result.add("[  BBB(SrcMap Table)] óǾϴ. ڵ  űڵ:  "+ srcahd.getItem_code());
															
														}
														catch(Exception e)
														{
															result.add("[  BBBB(SrcMap Table)]   : "+ e);
														}
													}
												}
												
											}
											
											
										}
										catch(Exception e)
										{
											result.add("[ (SrcAhd Table)]   : "+ e);
										}
										
									}
								}
								else
								{
									result.add("[ ]   : "+ "(ϵ ʴ ȸڵ Ǵ  ڵԴϴ.)");
								}
							}
							else
							{
								result.add("[ ]   : "+ "(ȸڵǴ ڵ Է)");
							}
						}
						else
						{
							result.add("[]  ƴմϴ.");
						}
					}
				}catch(Exception e)
				{
					result.add("[ ]   : "+ e);
				}
			}
		return result;
	}	
	
	
//	 06.04.19 HwanKyu.Kang μ  update 
	public List addFileUpdtComDst(HttpServletRequest request, Vector<String> result)
	{
		Vector vt 				= null;
		ComDst comdst 			= null;
		ExcelFileController efc = null;
		Random ran				= null;
		int cnt					= 0;
		int iRand;
		String fileNm;
		Map<String, String> condition = new HashMap<String, String>();
		for(int z=0; z<file_length; z++)
		{
			try
			{
				fileNm = excelPath+file_group_code[z]+"-"+file_item_code[z];
				
				String[]	buffer   = null;
				comdst = new ComDst();
				efc = new ExcelFileController(fileNm);
				vt = efc.readExcelFile(true);
				
				ran = new Random();
				iRand = 0;
				for(int i = 1; i < vt.size(); i++)
				{
					iRand = ran.nextInt();
					if(iRand < 0) {
						iRand = (-1)* iRand;
					}
					this.unique_id 		= Integer.toString(iRand);
					
					buffer = (String[])vt.get(i);
					
					if(buffer.length == 8)
					{
						comdst.setUnique_id						(Integer.parseInt(unique_id));
						comdst.setCompany_code					(buffer[0]					);	//ȸڵ
						comdst.setCompany_name					(buffer[1]					);	//ȸ
						comdst.setWa_code						(buffer[2]					);	//ڵ
						comdst.setWa_name						(buffer[3]					);	//
						comdst.setDivision_code					(buffer[4]					);	//ڵ
						comdst.setDivision_name					(buffer[5]					);	//θ
						comdst.setDept_code						(buffer[6]					);  //μڵ
						comdst.setDept_name						(buffer[7]					);	//μ
						
						comdst.setDept_group("");
						comdst.setBlocking_flag(""); comdst.setAccount_class(""); comdst.setDept_class("");
						comdst.setChanger(""); comdst.setChange_reason("");
						
						
						/*
						 *  ߺ μ ڵ
						 */
						condition.put("company_code", comdst.getCompany_code());
						condition.put("wa_code", comdst.getWa_code());
						condition.put("division_code", comdst.getDivision_code());
						condition.put("dept_code", comdst.getDept_code());
						cnt = adminManager.getComDstUnionCkCnt(condition);
						if(cnt > 0)
						{
							result.add("[]̹ ϵ μڵ  :  "+ comdst.getDept_code());
						}
						else
						{
							/*
							 * ȸڵ ڵ ڵ ȣ  
							 */
							cnt = 0;
							condition.put("company_code", comdst.getCompany_code());
							condition.put("wa_code", comdst.getWa_code());
							condition.put("division_code", comdst.getDivision_code());
							cnt = adminManager.getComCstUnionCkCnt(condition);
							if(cnt > 0) 
							{
								adminManager.addDeptList(this.getThis_userid(request), comdst);
								result.add("[] óǾϴ. μڵ  :  "+ comdst.getDept_code());
									
							}
							else
							{
								result.add("[]"+comdst.getCompany_code()+"  "+comdst.getCompany_name()+"  " 
								+comdst.getWa_code()+"  "+comdst.getWa_name()+" "	
								+comdst.getDivision_code()+"  "+comdst.getDivision_name()+" ȣ   ȸ   Դϴ."		
								);
							}
							
						}
					}
					else
					{
						result.add("[]  ƴմϴ.");
					}
				}
			}
			catch(Exception e)
			{
				result.add("[] "+e);
			}
		}
		return result;
	}
	
	// 
	public List addDivision(HttpServletRequest request){
		
		ComCst comcst = new ComCst();
		UsrAst me = this.getMyInfoManager().getMyInfo( this.getThis_useruid(request));
		Random ran = new Random();
		  int iRand = 0;
	
		  
		comcst.SetDefault(me.getUser_id());
		comcst.setCompany_name(company_name);				//ȸ
		comcst.setCompany_code(company_code);				//ȸڵ
		comcst.setWa_name(wa_name);							//
		comcst.setWa_code(wa_code);							//ڵ
		comcst.setBa_code(ba_code);	
		comcst.setChange_reason(change_reason);	
		comcst.setChanger(changer);	
		comcst.setSort_seq(sort_seq);
		comcst.setDelete_flag(delete_flag);
		comcst.setBracket(bracket);
		if(check != null){
			for(int j = 0; j < check.length; j++)
			{
				iRand = ran.nextInt();
				   if(iRand < 0) {
				    iRand = (-1)* iRand;
				   }
				    this.unique_id   = Integer.toString(iRand);
					comcst.setUnique_id      (Integer.parseInt(unique_id));
					comcst.setDivision_code(div_code[Integer.parseInt(check[j])]);
					comcst.setDivision_name(div_name[Integer.parseInt(check[j])]);
					
					
					adminManager.addDivision(this.getThis_userid(request), comcst);
				
			}
		
		}
		Vector<String> result = new Vector<String>();
		result.add("   ");
		result.add("f_admn.html?menuId=f15");
		return result;
		
	}
	
	//f15
	private List GetDivisionList() {
	
		Map<String, String> condition = new HashMap<String, String>();
		
		//delete_flag XML ͸ϹǷ ʴ´.
		//delete_flag = "N";
		//condition.put("delete_flag", delete_flag );
		logger.info("company_name"+company_name+"wa_name"+wa_name+"company_code"+company_code+"division_name1"+division_name);
		
		if(!nullCk(company_code).equals("")){
			condition.put("company_code", "%"+company_code+"%" );
		}
		if(!nullCk(company_name).equals(""))
			condition.put("company_name", "%"+company_name+"%" );
		
		if(!nullCk(wa_name).equals(""))
			condition.put("wa_name", "%"+wa_name+"%" );
		
		if(!division_code.equals(""))
			condition.put("division_code", "%"+division_code+"%" );
		
		if(!division_name.equals(""))
			condition.put("division_name", "%"+division_name+"%" );
		
		if(condition.size()>0){
			return adminManager.getDivision(condition);
		}else{
			logger.debug("division_code2");

			return adminManager.getAllDivision();}
	}
	
	
	//f15  
	private boolean SetDivisionForm(List<ComCst> lists){
		if(unique_id == null || unique_id.equals("")) {
			logger.info("cannot find division unique id");
			return false;
		}
		ComCst com= adminManager.getDivisionByUniqueId(Integer.parseInt(unique_id));
		lists.add(com);
		return true;
	}



//	 Խù 
	private List addBoard(HttpServletRequest request){
		board_depth = 0;
		Board board = new Board();
		List list = adminManager.getBoard_depth(gubun);
		if(list.size() > 0)
		{
			board_depth=((Board)list.get(0)).getBoard_depth();
		}
		
		if(board_depth==0 || gubun=="null" || gubun.equals("")){
			board_depth=199;
		}else if(board_depth !=0){
//			board_depth=((int)((board_depth/100)+1))*100+99;
			board_depth=(board_depth/100)*100 + 199;
		}
		System.out.println("board_depth:::::::::"+board_depth);
		UsrAst me = this.getMyInfoManager().getMyInfo( this.getThis_useruid(request));
		
		  board.SetDefault(me.getUser_id());
		  board.setUser_id(this.getThis_userid(request));
		  board.setBoard_email(board_email);			
		  board.setMime(mime);
		  board.setCreator(this.getThis_userid(request));
		  board.setBoard_title(board_title);			
		  board.setBoard_content(board_content);		
		  board.setGubun(gubun);
		  board.setBoard_name(board_name);
		  board.setBoard_count((Integer.parseInt("0")));
		  board.setBoard_depth(board_depth);
		  board.setParent(parent);
	
					
		adminManager.addBoard(this.getThis_userid(request), board);
				
		Vector<String> result = new Vector<String>();
		result.add("Խù  : ");
		if(gubun.equals("g")){
		result.add("f_admn.html?menuId=f21&gubun=g");
		}else if(gubun.equals("q")){
			if(gu_bun.equals("f41")){
				result.add("f_admn.html?menuId=f35&gubun=q");
			}else
			result.add("f_admn.html?menuId=f22&gubun=q");
		}else if(gubun.equals("j")){
			result.add("f_admn.html?menuId=f45&gubun=j");
		}
		return result;
	}
	

	// 
	private List replyBoard(HttpServletRequest request){
		
		int board_depth_mn= 0;	//board_depth ּҰ 
		Board board = new Board();
		board_depth_mn=(int)(board_depth/100)*100;
		
		UsrAst me = this.getMyInfoManager().getMyInfo( this.getThis_useruid(request));
		
		  board.SetDefault(me.getUser_id());
		  board.setUser_id(this.getThis_userid(request));
		  board.setCreator(this.getThis_userid(request));
		  board.setBoard_email(board_email);			
		  board.setMime(mime);
		  board.setBoard_title(board_title);			
		  board.setBoard_content(board_content);		
		  board.setGubun(gubun);
		  board.setBoard_name(board_name);
		  board.setBoard_count((Integer.parseInt("0")));
		  board.setBoard_depth(board_depth);
		  board.setBoard_depth_mn(board_depth_mn);
		  board.setParent(parent);
		  
	
		adminManager.replyBoard(board);		//board_depth update
		 board.setBoard_depth(board_depth-1);
		 board.setParent(parent+1);
		adminManager.addReplyBoard(this.getThis_userid(request), board);
		
		Vector<String> result = new Vector<String>();
		result.add("Խù  : ");
		if(gubun.equals("g")){
		result.add("f_admn.html?menuId=f21&gubun=g");
		}else if(gubun.equals("q")){
			if(gu_bun.equals("f43")){
				result.add("f_admn.html?menuId=f35&gubun=q");
			}else
			result.add("f_admn.html?menuId=f22&gubun=q");
		}
		return result;
		
	}
	
	private List GetBoardList() {
		
		Map<String, String> condition = new HashMap<String, String>();

		logger.info("user_id"+user_id+"email"+wa_name+"wa_name"+board_content+"board_title"+board_title+"gubun"+gubun);
		
		
		if(!nullCk(creator).equals(""))
			condition.put("creator", "%"+creator+"%" );
		
		if(!nullCk(board_content).equals(""))
			condition.put("board_content", "%"+board_content+"%" );
		
		if(!nullCk(board_title).equals(""))
			condition.put("board_title", "%"+board_title+"%" );
		
		if(!nullCk(gubun).equals(""))
			condition.put("gubun", gubun );
		
		if(condition.size()>0){
			
			return adminManager.getBoard(condition);
		}else{
			if(!nullCk(gubun).equals(""))
				condition.put("gubun", gubun );
			return adminManager.getAllBoard();
		}
	}
	


		private UsrAst GetUserLists(HttpServletRequest request) {
			UsrAst me = this.getMyInfoManager().getMyInfo( this.getThis_useruid(request));
//			String user_id = me.getUser_id();
//			String email=	me.getEmail();
			//Map condition = new HashMap();

			//return adminManager.getAllUserList(user_id);
			return me;
		}

		// 󼼺
		private Board SetBoardForm(Integer unique_id){
			if(unique_id == null || unique_id.equals("")) {
				logger.info("cannot find board unique id");
	
			}
			adminManager.addBoardCount(unique_id);
			Board board= adminManager.getBoardByUniqueId(unique_id);
			board.setGubun(gubun);
			board.setBoard_content(getContent(board.getBoard_content()));
			return board;
		}
		
		private Board SetBoardForm_list(Integer unique_id){
			if(unique_id == null || unique_id.equals("")) {
				logger.info("cannot find board unique id");
	
			}
			adminManager.addBoardCount(unique_id);
			Board board= adminManager.getBoardByUniqueId(unique_id);
			board.setGubun(gubun);
			board.setBoard_content(board.getBoard_content());
			return board;
		}

		

//		<textarea>   td±׿ ѷ  Ű  <br>  ٲִ ޼ҵ

			public String getContent(String comment){
				return br("","<br>",comment);
			}
			
			public String br(String first,String brTag,String comment){
			
				StringBuffer buffer=new StringBuffer();
				StringTokenizer st=new StringTokenizer(comment,"\r\n");
				int count=st.countTokens();
				buffer.append(first);
				int i=1;
					while(st.hasMoreTokens()){
						if(i==count){
							buffer.append(st.nextToken());
						}else{
							buffer.append(st.nextToken()+"<br>");
						}//if
						i++;
					}//while
					return buffer.toString();
			
				}
			


		//Խù 
		public List changeBoard(){
			//System.out.println("board_date"+board_date+"board_count"+board_count+"creator"+creator);	
			
				Board brd = new Board();
				if(unique_id			!= null)    brd.setUnique_id(Integer.parseInt(unique_id));
				if(board_title			!= null)	brd.setBoard_title(board_title);
				if(mime					!= null)	brd.setMime(mime);
				if(board_content		!= null)	brd.setBoard_content(board_content);
				if(creator				!= null)	brd.setCreator(creator);
				if(creator				!= null)	brd.setUser_id(creator);
				if(board_email			!= null)	brd.setBoard_email(board_email);
				if(board_date			!= null)	brd.setBoard_date(board_date);
				if(board_count			!= null)	brd.setBoard_count(Integer.parseInt(board_count));
				brd.setBoard_depth(board_depth);
				brd.setParent(parent);
				if(gubun				!= null)	brd.setGubun(gubun);
				
				adminManager.changeBoard(brd);
				List<String> result = new ArrayList<String>();
				result.add("Խù  Ϸ ");
				//result.add( ". ");
				if(gubun.equals("g")){
					result.add("f_admn.html?menuId=f21&gubun=g");
				}else if(gubun.equals("q")){
					if(gu_bun.equals("f35")){
						result.add("f_admn.html?menuId=f35&gubun=q");
					}else
					result.add("f_admn.html?menuId=f22&gubun=q");
				}
				return result;
			}
			
//			 Խù 
		private List deleteBoard()
			{
				if(unique_id == null || unique_id.equals("")) {
					logger.info("cannot find delete unique id");
				}
				
				adminManager.deleteBoard(Integer.parseInt(unique_id));
				List lists = GetBoardList();
				return lists;
			}
			
		//ѰǾ üũ
		private boolean Validate(String type)
        {
			if ("ERR_PO".equals(type)) 
            {
				Integer po_uid = -1;
				String  po_no = "";
				String  by_po_no = "";
				String  item_abst = "";
				String  org_item_abst = "";
				int item_quan = 0;
                
                List errHwPoList = gateManager.getErrhwpoList();
                Iterator itr = errHwPoList.iterator();
                
                while (itr.hasNext())
                {
    				ErrHwPo errhwpo = (ErrHwPo)itr.next();
    				
    				// (errhwpo)status, po_no, po_seq, wa_code ߺǴ Ÿ  'Y' ϰ ߺٰ Ѵ.
    				// return value -1̸ DB
    				//  imkpo̺ ߺüũ ϴµ ̺  errpo̺ ߺüũ ؾߵǴ° ƴ?
    				if (gateManager.editValidateDup(errhwpo.getStatus(), errhwpo.getPo_no(), errhwpo.getPo_seq(), errhwpo.getWa_code()) != 0) 
                        return false;
    									
    				// ⺻ üũ
    				if (gateManager.ValidateDefault(type, errhwpo, null) == false) 
                        return false;
    				
    				// ȸ, ,  ˻
    				int usrast_unique_id = gateManager.ValidateUser(type, errhwpo, null);
    				if (usrast_unique_id == -1) 
                        return false;
    				
    				ComBst combst = gateManager.getComBst(errhwpo.getWa_code());
    				
    				// , ǰ(srcmap ǰ != 0 && ġؾ ), ԰(srcahd source_price != 0) ˻
    				Map return_value_tmp = gateManager.ValidateSrclist(errhwpo, combst.getUnique_id());
    				if ((Integer)return_value_tmp.get("return_value") == -1) 
                        return false;
    				
    				int item_uid  = (Integer)return_value_tmp.get("item_uid");
    				String item_code = (String)return_value_tmp.get("item_code");
    				
    				/*
    				 * assymap ش ° 'GV'   Ҽ .
    				 *        (. ϰ imk Ѿ ǰ  ֹ   )
    				 *         assymap 
    				 *          (PI : ̽   ɶ...
    				 *           GV : imk Ѿ ǰ 'غ' ϶..
    				 *           GH : imk Ѿ ǰ '' ϶..
    				 *           GO : imk Ѿ ǰ 'ۿϷ' ϶..)
    				 */
    				if (!by_po_no.equals(errhwpo.getPo_no())) 
                    {
    					item_abst = errhwpo.getItem_name();
    					org_item_abst = item_abst;
    					item_quan = 1;
    					
    					// PO ̺(rtgast) (׷翡 Ѿ ֹȣ Ѵ.)
    					Map return_value = this.addRouting(type, errhwpo, null, usrast_unique_id, item_quan, item_abst);
    	
    					po_no = (String)return_value.get("po_no");						
    					po_uid = (Integer)return_value.get("po_uid");
    				}
                    else
                    {
    					item_abst = org_item_abst + " " + item_quan + "";
    					++item_quan;
    					
    					// PO ̺(rtgast) update
    					gateManager.editRtgastItem(po_uid, item_quan, item_abst);
    				}
    				
    				by_po_no = errhwpo.getPo_no();
    				
    				// Part Line(assymap) 
    				if (this.addOrderAssyMap(errhwpo, usrast_unique_id, po_no, po_uid, item_uid, item_quan, item_code) != null) 
                    {
    					// PO Detail(xpoast) 
    					int return_tmp = this.addXpoast(po_uid, errhwpo.getPo_creator_id(), po_no, item_quan, errhwpo);
    					
    					if (return_tmp == -3)
    						// xpoast update ߻
    						gateManager.ValidateInsert(type, errhwpo, null, "PO Detail̺(xpoast) UPDATE ߻!");
    					else if (return_tmp == -2)
    						// assymap update err
    						gateManager.ValidateInsert(type, errhwpo, null, "AssyMap̺ UPDATE ߻!");
    					else if (return_tmp == -1)
    						// xpoast insert err
    						gateManager.ValidateInsert(type, errhwpo, null, "PO Detail̺(xpoast)  ߻!");
    				}
                    else
    					gateManager.ValidateInsert(type, errhwpo, null, "Part Line(assymap)  ߻!");
    				
    				// IHWPO ̺ ̽ ÷׸ 'Y' 
    				gateManager.setIhwpoIfFlag(new Date(), errhwpo.getPo_no(), errhwpo.getPo_seq(), errhwpo.getWa_code(), errhwpo.getStatus());
                }
			}
            else if ("ERR_GR".equals(type)) 
            {
				Integer gr_uid = -1;
				String gr_no = "";
				String by_gr_no = "";
				String item_abst = "";
				String org_item_abst = "";
				int item_quan = 0;		
				
                List errHwGrList = gateManager.getErrhwgrList();
                Iterator itr = errHwGrList.iterator();
                
                while (itr.hasNext())
                {				
                    ErrHwGr errhwgr = (ErrHwGr)itr.next();
                    
    				// ⺻ üũ
    				if (gateManager.ValidateDefault(type, null, errhwgr) == false) 
                        return false;
    				
    				// xpoast po_no, po_seq Ȱ ִ Ȯ(־ )
    				if (gateManager.ValidateGr(errhwgr.getPo_no(), errhwgr.getPo_seq()) == null)
                    {
    					//  ̺...
    					gateManager.ValidateInsert(type, null, errhwgr, "ش ԰(GR_NO:" + errhwgr.getGr_no() + ", GR_SEQ:" + errhwgr.getGr_seq() + ")  ֹͰ  ʽϴ.");
    				}
    				
    				// ȸ, ,  ˻
    				int usrast_unique_id = gateManager.ValidateUser(type, null, errhwgr);
    				if (usrast_unique_id == -1) 
                        return false;
    
    				if (!by_gr_no.equals(errhwgr.getGr_no())) 
                    {
    					item_abst = errhwgr.getItem_name();
    					org_item_abst = item_abst;
    					item_quan = 1;
    					
    					// GR ̺(rtgast) (׷翡 Ѿ ԰ȣ Ѵ.)
    					Map return_value = this.addRouting(type, null, errhwgr, usrast_unique_id, item_quan, item_abst);
    
    					gr_no = (String)return_value.get("gr_no");
    					gr_uid = (Integer)return_value.get("gr_uid");
    				}
                    else
                    {
    					item_abst = org_item_abst + " " + item_quan + "";
    					++item_quan;
    					
    					// GR ̺(rtgast) update
    					gateManager.editRtgastItem(gr_uid, item_quan, item_abst);
    				}
    				
    				by_gr_no = errhwgr.getGr_no();
    
    				// assymap po_no, po_sec ˻ Ѵ.
    				List grassymap_tmp = gateManager.getXpoAstGr(errhwgr.getPo_no(), errhwgr.getPo_seq());
    
    				XpoAst xpoast = new XpoAst();
    				for(Iterator k=grassymap_tmp.iterator(); k.hasNext();) 
                    {
    					xpoast = (XpoAst)k.next();
    				}
    
    				// assymap, xpoast    Ѵ.
    				// is_closed O̸ ֹ Ÿ ɰ ƴϸ ױ⼭ .
    				String temp = "";
    				if (errhwgr.getPo_status() == null || "".equals(errhwgr.getPo_status())) 
                        temp = "N";
    
    				if (purchaseManager.addGoodsReceiptSingle("԰ǰ:IF", errhwgr.getCreator(), gr_uid, gr_no, usrast_unique_id, item_quan, xpoast.getUnique_id(), xpoast.getPo_qty(), errhwgr.getGr_qty(), temp, errhwgr.getGr_date()) == true)
                    {
    					//   gr_no, gr_seq ãƼ xpoast ׷ updateѴ.(by_gr_no, by_gr_seq, by_gr_year)
    					if (gateManager.editXpoAstGr(gr_no, item_quan+"", errhwgr.getWa_code(), errhwgr.getGr_no(), errhwgr.getGr_seq(), errhwgr.getYear()) == false) 
                        {
    						gateManager.ValidateInsert(type, null, errhwgr, "GR ̺(xpoast) ׷  UPDATE ߻!");
    					}
    				}
                    else
    					gateManager.ValidateInsert(type, null, errhwgr, "GR ̺(assymap, xpoast)  ߻!");
    
    				// IHWPO ̺ ̽ ÷׸ 'Y' 
    				gateManager.setIhwgrIfFlag(new Date(), errhwgr.getGr_no(), errhwgr.getGr_seq(), errhwgr.getWa_code(), errhwgr.getStatus());
                }
			}
            
			return true;
		}
		
		//ߺ޼
		public Map addRouting(String type, ErrHwPo ihwpo, ErrHwGr ihwgr, int usrast_unique_id, int item_quan, String item_abst){
			Map<String, Comparable> return_value = new HashMap<String, Comparable>();
			
			String user_id = "";
			
			Integer last_no = routingManager.getSysinfoDao().GetLastUnChecked(type);
			RtgAst rtgast = new RtgAst(type, last_no);
			
			switch(rtgast.getRtg_type_enum()) {
			case OR://PO 
				user_id = ihwpo.getPo_creator_id();

				rtgast.setName("[I/F] PO:"+ihwpo.getPo_no()+", SEQ:"+ihwpo.getPo_seq());
				rtgast.setContent(ihwpo.getPo_creator_name()+" "+ihwpo.getItem_name()+"() "+ihwpo.getPo_qty()+ihwpo.getUnit_code()+" ֹ Ͽϴ.");
				rtgast.setRtg_type("O");
				
				return_value.put("po_no", rtgast.getPo_no());
				return_value.put("po_uid", rtgast.getUnique_id());
				break;
			case GR://GR 
				user_id = ihwgr.getCreator();
				
				rtgast.setName("[I/F] GR:"+ihwgr.getGr_no()+", SEQ:"+ihwgr.getGr_seq());
				rtgast.setContent(ihwgr.getCreator()+" "+ihwgr.getItem_name()+"() "+ihwgr.getGr_qty()+ihwgr.getUnit_code()+" ԰ Ͽϴ.");
				rtgast.setRtg_type("G");
				
				return_value.put("gr_no", rtgast.getPo_no());
				return_value.put("gr_uid", rtgast.getUnique_id());
				break;
			default:
				return null;
			}
					
			rtgast.setCreator(user_id);
			rtgast.setChange_date(rtgast.getCreate_date());
			rtgast.setChanger(rtgast.getCreator());
			rtgast.setState("A");
			rtgast.setWork_cursor(-1);		
			rtgast.setItem_quan(item_quan);
			rtgast.setItem_abst(item_abst);		
			rtgast.setUser_id(user_id);
			rtgast.setAccp_quan(0);
			rtgast.setDeni_quan(0);		
			rtgast.setPo_type("IF");
			rtgast.setWork_quan(0);
			
			routingManager.addRouting(user_id, rtgast, usrast_unique_id, -1);
			routingManager.getSysinfoDao().SetLastValue(type, last_no);
			
			return return_value;
		}
		
		public Object addOrderAssyMap(ErrHwPo ihwpo, int usrast_unique_id, String po_no, Integer po_uid, int item_uid, int po_sec, String item_code){

			//   Ǿ Ѵ.
	  		AssyMap assymap = new AssyMap();
	  		
	  		assymap.setChild(item_uid);
	  		assymap.setStatus("PO");
	  		assymap.setQuan(ihwpo.getPo_qty());
	  		assymap.setPr_quan(assymap.getQuan());
	  		assymap.setMquan(0.0);
	  		assymap.setAc_uid(0);
	  		assymap.setPr_user_uid(usrast_unique_id);
	  		assymap.setPo_uid(po_uid);
	  		assymap.setPo_user_uid(usrast_unique_id);
	  		assymap.setRush_order_flag(ihwpo.getRush_order_flag());
	  		assymap.setDelivery_info(""); // ǰ imk Ѿ´.
	  		assymap.setDel_info_flag("N");
	  		// û
	  		if (ihwpo.getReq_info() != null) {
	  			assymap.setReq_flag("Y");
	  			assymap.setReq_info(ihwpo.getReq_info());
	  		}else{
	  			assymap.setReq_flag("N");
	  			assymap.setReq_info("");
	  		}
	  		
	  		// μ uid˻
	  		List tmp = adminManager.getAllUserList(ihwpo.getReceiver_id());
	  		
	  		for(Iterator i=tmp.iterator(); i.hasNext();) {
	  			UsrAst usrast = (UsrAst)i.next();
	  			assymap.setRcvr_uid(usrast.getUnique_id());
	  		}
	  		
	  		assymap.setRcvr_name(ihwpo.getReceiver_name());
	  		assymap.setPo_no(po_no);
	  		assymap.setPo_sec(po_sec);
	  		assymap.setGr_sec(0);
	  		assymap.setItem_code(item_code);
	  		assymap.setBuyer_item_code(ihwpo.getItem_code());
	  		assymap.setSp_code(ihwpo.getSp_code());
	  		assymap.setCreator(ihwpo.getPo_creator_id());
	  		assymap.setCreate_date(new Date());
	  		assymap.setChanger(assymap.getCreator());
	  		assymap.setReq_date(ihwpo.getReq_delivery_date());
	  		assymap.setChange_date(assymap.getCreate_date());
	  		
	  		return gateManager.addAssyMap(assymap.getCreator(), assymap);
		}
		
		// PO Detail(xpoast) 
		public int addXpoast(int po_uid, String creator, String po_no, int item_quan, ErrHwPo ihwpo){	
			// assymap PO̺  row  
			List list = gateManager.getAssyMap(po_uid, item_quan);
			
			// xpoast 
			if (purchaseManager.confirmPurchageOrderListInsert(po_uid, creator, list)) {
				// AssyMap  
				if (gateManager.editAssyMapPo(po_no, item_quan) == true) {
					String po_seq = item_quan+"";
					
					if (gateManager.editXpoAstPo(po_no, po_seq, ihwpo.getPo_no(), ihwpo.getPo_seq(), ihwpo.getPo_creator_name(), 
											     ihwpo.getPo_creator_tel_no(), ihwpo.getReceiver_name(), ihwpo.getReceiver_tel_no(), 
                                                 ihwpo.getReceiver_hp_no(), ihwpo.getDelivery_zip_code(), ihwpo.getDelivery_address_1(), 
                                                 ihwpo.getDelivery_address_2(), ihwpo.getItem_code(), ihwpo.getDivision_code(), ihwpo.getPo_date(),  
                                                 ihwpo.getAccount_code(), ihwpo.getBudget_wa_code(), ihwpo.getBudget_division_code(), 
                                                 ihwpo.getBudget_dept_code()) == true) {
						return 0;
					}else{
						return -3;
					}
				}else{
					return -2;
				}
			}else{
				return -1;
			}
		}		
		
	private AdmnManager adminManager;
	private MynfManager myInfoManager;
    private MtrlManager materialManager;
    private GateManager gateManager;
	private PrchManager purchaseManager;
	private RtngManager routingManager; 
	private SystemInfo	systemInfo;
    
   
    
	public MtrlManager getMaterialManager() {
		return materialManager;
	}

	public void setMaterialManager(MtrlManager materialManager) {
		this.materialManager = materialManager;
	}

	public AdmnManager getAdminManager() {
		return adminManager;
	}
	
	public MynfManager getMyInfoManager() {
		return myInfoManager;
	}

	public void setAdminManager(AdmnManager adminManager) {
		this.adminManager = adminManager;
	}
	
	public void setMyInfoManager(MynfManager myInfoManager) {
		this.myInfoManager = myInfoManager;
	}
	
	public final void afterPropertiesSet() throws Exception {
		if (menuManager == null) throw new BeanCreationException("Must set menuManager on AdmnManagerController");
		if (adminManager == null) throw new BeanCreationException("Must be set adminManager on AdmnManagerController");
		if (materialManager == null) throw new BeanCreationException("Must be set materialManager on AdmnManagerController");
		if (systemInfo == null) throw new BeanCreationException("Must be set systemInfo on AdmnManagerController");
	}

	public GateManager getGateManager() {
		return gateManager;
	}

	public void setGateManager(GateManager gateManager) {
		this.gateManager = gateManager;
	}

	public PrchManager getPurchaseManager() {
		return purchaseManager;
	}

	public void setPurchaseManager(PrchManager purchaseManager) {
		this.purchaseManager = purchaseManager;
	}

	public RtngManager getRoutingManager() {
		return routingManager;
	}

	public void setRoutingManager(RtngManager routingManager) {
		this.routingManager = routingManager;
	}
	
	public SystemInfo getSystemInfo() {
		return systemInfo;
	}

	public void setSystemInfo(SystemInfo systemInfo) {
		this.systemInfo = systemInfo;
	}


}


