package com.rfxsoft.justrfx.web.controller;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;


import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanCreationException;

import com.rfxsoft.justrfx.business.c_prjt.PrjtManager;
import com.rfxsoft.justrfx.business.g_mynf.DefaultMynfManager;
import com.rfxsoft.justrfx.domain.Project;
import com.rfxsoft.justrfx.domain.RegisterdMasterCompany;
import com.rfxsoft.justrfx.domain.UsrAst;
import com.rfxsoft.justrfx.domain.command.JrServiceName;

public class MynfManagerController extends AbstractMenuTileController {
	//HttpServletRequest request;
	
	String user_id;
	String user_name;
	String email;
	String reg_no;
	String emp_no;
	String dept_code;
	String position;
	String tel_no;
	String extension_no;
	String hp_no;
	String fax_no;
	String zip_code;
	String address_1;
	String address_2;
	String time_zone;
	
	String prev_pass;
	String new_pass;
	
	String dept_name;
	String unique_id;
	String unique_id_comdst;
	
	private void GetRequestValue(HttpServletRequest request) {

		unique_id	= request.getParameter("unique_id");
		user_id		= request.getParameter("user_id");
		user_name	= request.getParameter("user_name");
		email		= request.getParameter("email");
		reg_no		= request.getParameter("reg_no");
		emp_no		= request.getParameter("emp_no");
		dept_code	= request.getParameter("dept_code");
		position	= request.getParameter("position");
		tel_no		= request.getParameter("tel_no");
		extension_no= request.getParameter("extension_no");
		hp_no		= request.getParameter("hp_no");
		fax_no		= request.getParameter("fax_no");
		zip_code	= request.getParameter("zip_code");
		address_1	= request.getParameter("address_1");
		address_2	= request.getParameter("address_2");
		time_zone	= request.getParameter("time_zone");
		
		prev_pass	= request.getParameter("prev_pass");
		new_pass	= request.getParameter("new_pass1");
		dept_name	= request.getParameter("dept_name");


		logger.info(user_id);
		logger.info(user_name);
		logger.info(email);
		logger.info(reg_no);
		logger.info(emp_no);
		logger.info(dept_code);
		logger.info(position);
		logger.info(tel_no);
		logger.info(extension_no);
		logger.info(hp_no);
		logger.info(fax_no);
		logger.info(zip_code);
		logger.info(address_1);
		logger.info(address_2);
		logger.info(time_zone);
		logger.info(dept_name);
		
	}
	public void DoMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		//this.request = request;
		//ε   Ÿ ...
		if ( this.getServiceName() != JrServiceName.G_MYNF) {
			logger.info("G_MYNF     Դϴ.");
			return;
		}
		//  б
		GetRequestValue(request);
		
		// 
		//Vector result = new Vector();
		
		logger.info("G_MYNF     Դϴ."+this.getActivityName());
		switch(this.getMenuId()) {
		case MN01:
			menu_info.put("URL", "g_mynf.html?menuId=g01");
			switch(this.getActivityName()){
			case MODFORM://  
				menu_info.put("my_info",  SetMyInfoForm(request) );
				break;
			case EDIT:// 
				menu_info.put("data", 	changeMyinfo(request)	);
				break;
			default:// 
				menu_info.put("my_info",  getMyInfo(request) );
				break;
			}
			break;
		case MN02:
			switch(this.getActivityName()){
			case EDIT://ȣ 
				menu_info.put("data", 	changeMypassword(request));
				menu_info.put("URL", "g_mynf.html?menuId=g02");
				break;
			default://ȣ  
				//By-Pass
			}
			break;
		case MN03://ȸ 
			menu_info.put("my_company",  getCompanyInfo() );
			break;
		case MN04:
			switch(this.getActivityName()){
			case EDIT://Ʈ 
				menu_info.put("data", 	setCurProect(request));
				menu_info.put("URL", "g_mynf.html?menuId=g04");
				break;
			default://Ʈ  
				menu_info.put("project",  getCurProjectForm(request) );
				break;
			}
			break;
			
		default:
		}
	
		
	}
	
	private List getMyInfo(HttpServletRequest request) {
		List<UsrAst> lists = new ArrayList<UsrAst>();
		//myInfoManager.getCurrentProjectId();//MyInfoκ UsrAst 
		UsrAst user = myInfoManager.getMyInfo( this.getThis_useruid(request));
		
		
		lists.add(user);
		logger.info(""+lists.toString());
		return lists;
	}

	
	private List SetMyInfoForm(HttpServletRequest request) {
		List<UsrAst> lists = new ArrayList<UsrAst>();
		UsrAst user = myInfoManager.getMyInfo(this.getThis_useruid(request));
		lists.add(user);
		
		return lists;
	}

	
	private List getCompanyInfo() {
		
		List<RegisterdMasterCompany> lists = new ArrayList<RegisterdMasterCompany>();
		lists.add(myInfoManager.getMyCompany());
		
		return lists;
	}
	

	private List getCurProjectForm(HttpServletRequest request) {
		
		List<Project> lists = new ArrayList<Project>();
		
		Integer cur_pj_uid = getCurrentProject(request);
		Project project=this.projectManager.getProjectByUniqueId(cur_pj_uid);

		
		
		if (project==null) {
			project =  new Project();
			project.setUnique_id(-1);
			project.setPj_code("-1");
			project.setPj_name("");
		}

//		lists = new ArrayList();
		lists.add(project);
		
		return lists;
		
	}
	
	//̾ƶ
	/*
	public void changeinfo(HttpServletRequest request){
		
		ComDst com = new ComDst();
		
		if(dept_name 			!= null)		com.setDept_name(dept_name);

		if(SessionSecurityManager.getUser(request).getUnique_id_comdst() != null)
			com.setUnique_id_comdst(Integer.toString(SessionSecurityManager.getUser(request).getUnique_id_comdst()));

		myInfoManager.changeinfo(com); 
	}
	*/
	
	public List changeMyinfo(HttpServletRequest request){

		UsrAst to = myInfoManager.getMyInfo(this.getThis_useruid(request));
	
		
		if(user_id 		!= null)		to.setUser_id(user_id);
		if(user_name 	!= null)		to.setUser_name(user_name);
		if(email 		!= null)		to.setEmail(email);
		if(reg_no 		!= null)		to.setReg_no(reg_no);
		if(emp_no		!= null)		to.setEmp_no(emp_no);
		if(dept_code	!= null)		to.setDept_code(dept_code);
		if(position		!= null)		to.setPosition(position);
		if(tel_no		!= null)		to.setTel_no(tel_no);
		if(extension_no	!= null)		to.setExtension_no(extension_no);
		if(hp_no		!= null)		to.setHp_no(hp_no);
		if(fax_no		!= null)		to.setFax_no(fax_no);
		if(zip_code		!= null)		to.setZip_code(zip_code);
		if(address_1	!= null)		to.setAddress_1(address_1);
		if(address_2	!= null)		to.setAddress_2(address_2);
		if(time_zone	!= null)		to.setTime_zone(time_zone);
		if(unique_id	!= null)		to.setUnique_id_comdst(Integer.parseInt(unique_id));
		//changeinfo();	
		
//		UsrAst from = myInfoManager.getMyInfo(this.getThis_useruid(request));
		myInfoManager.changeMyInfo(to);
			
		//logger.info("dept_name ...."+SessionSecurityManager.getUser(request).getUnique_id_comdst());
		
		List<String> result = new ArrayList<String>();
		result.add("  : ");
		result.add( ". ");

		return result;

	}
	
	public String changeMypassword(HttpServletRequest request){
		

		
		UsrAst me = myInfoManager.getMyInfo(this.getThis_useruid(request));
		if( myInfoManager.changeMyPassword(me, prev_pass, new_pass) ) {
			return "ȣ:. ";
		}
		else {
			return "ȣ:. (ȣ ġ) ";

		}

	}
	
	public List setCurProect(HttpServletRequest request){


		List<String> result = new ArrayList<String>();
		
		this.setCurrentProject(request, unique_id);
//		۾ Assey ʱȭ
		this.setCurrentAssy(request, "-1");

		result.add( " Ʈ : . ");
		
		return result;
	}

	
	private PrjtManager	projectManager;
	
	/**
	 * @return the projectManager
	 */
	public PrjtManager getProjectManager() {
		return projectManager;
	}
	/**
	 * @param projectManager the projectManager to set
	 */
	public void setProjectManager(PrjtManager projectManager) {
		this.projectManager = projectManager;
	}
	public final void afterPropertiesSet() throws Exception {
		if (menuManager == null) throw new BeanCreationException("Must set menuManager on MynfManagerController");
	}
	public void DoPopupMenuProcess(HttpServletRequest request,HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		
	}
}
