package com.rfxsoft.justrfx.web.controller;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import java.util.Set;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanCreationException;

import com.rfxsoft.justrfx.DateTime;
import com.rfxsoft.justrfx.Pair;
import com.rfxsoft.justrfx.Pairimpl;
import com.rfxsoft.justrfx.business.b_rtng.RtngManager;
import com.rfxsoft.justrfx.business.d_mtrl.MtrlManager;
import com.rfxsoft.justrfx.business.e_ptnr.PtnrManager;
import com.rfxsoft.justrfx.business.f_admn.AdmnManager;
import com.rfxsoft.justrfx.business.j_prch.PrchManager;

import com.rfxsoft.justrfx.domain.AssyMap;

import com.rfxsoft.justrfx.domain.Project;
import com.rfxsoft.justrfx.domain.RtgApp;
import com.rfxsoft.justrfx.domain.RtgAst;
import com.rfxsoft.justrfx.domain.SupAst;
import com.rfxsoft.justrfx.domain.UsrAst;
import com.rfxsoft.justrfx.domain.XpoAst;
import com.rfxsoft.justrfx.domain.command.JrServiceName;
import com.rfxsoft.justrfx.web.security.SessionSecurityManager;

public class PrchManagerController extends AbstractMenuTileController {

	public void PrchProcess_07Edit(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
	
		String[] this_doc_type_arr		= request.getParameterValues("doc_type");
		
		if(this_doc_type_arr==null)
			return;
		int item_quan = this_doc_type_arr.length;
		
		if(item_quan==0)
			return;
		
		purchaseManager.RefreshAcTotalPrice(this_doc_type_arr, item_quan);
		
	}
	public void transactPrchProcess_04Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		Integer[]	rtgast_uids=		new Integer[MAX_RECORD_QUAN];
		Integer[]	rtgastQuan=			new Integer[1];
		Integer[] 	this_assymap_uid= 	new Integer[MAX_RECORD_QUAN];
		Double[] 	this_prev_gr_quan= 	new Double[MAX_RECORD_QUAN];
		Double[] 	this_gr_quan= 		new Double[MAX_RECORD_QUAN];
		String[]	this_is_closed=		new String[MAX_RECORD_QUAN];
		String[]	this_item_name=		new String[MAX_RECORD_QUAN];
		
		String[]	gr_comment= new String[1];
		
		int this_item_quan = GetRequestValue_04Add(request, rtgast_uids, rtgastQuan, this_assymap_uid, this_prev_gr_quan, this_gr_quan, this_is_closed, this_item_name, gr_comment);

		if(this_item_quan<1)
			return;
		
		String item_abst = this_item_name[0] + " ";
		
		this.purchaseManager.addGoodsReceiptBatch(this_item_quan, this_assymap_uid, this_prev_gr_quan, this_gr_quan,
				this_is_closed,	this.getThis_po_useruid(request), this.getThis_userid(request), this.getThis_user_name(request), this.getThis_wa_code(request), new Integer(-1), "", gr_comment[0], item_abst);

		RefreshRtgAstQuanGr(rtgast_uids, rtgastQuan[0]);
		
		menu_info.put("data", "԰ ϷǾϴ");
		menu_info.put("URL", "j_prch.html?menuId=j04");	

	}
	
	
	
	private void RefreshRtgAstQuanPo( Integer[] rtgast_uids, Integer rtgastQuan) {
		
		for(int i=0; i < rtgastQuan; i++) {
			this.purchaseManager.RefreshPoQuan(rtgast_uids[i]);
		}
	}
	
	private void RefreshRtgAstQuanGr( Integer[] rtgast_uids, Integer rtgastQuan) {
		
		for(int i=0; i < rtgastQuan; i++) {
			this.purchaseManager.RefreshGrQuan(rtgast_uids[i]);
		}
	}

	/**
	 * @comment ԰Ȳ
	 * @param request
	 * @param menuType
	 * @param menu_info
	 */
	public List PrchProcess_05Listcond(HttpServletRequest request, String menuType, Map<String, Object> menu_info){
		
		String date_type 		= this.nullCheck(request.getParameter("date_type"));													
		String s_date 			= this.nullCheck(request.getParameter("s_date"));					
		String e_date 			= this.nullCheck(request.getParameter("e_date"));					
		String no_type 			= this.nullCheck(request.getParameter("no_type"));					
		String s_type_no 		= this.nullCheck(request.getParameter("s_type_no"));				
		String e_type_no 		= this.nullCheck(request.getParameter("e_type_no"));				
		String gr_type 			= this.nullCheck(request.getParameter("gr_type")); 
		String s_gr_type_no 	= this.nullCheck(request.getParameter("s_gr_type_no"));
		String e_gr_type_no 	= this.nullCheck(request.getParameter("e_gr_type_no")); 
		String seller_code 		= this.nullCheck(request.getParameter("seller_code"));
		String seller_name 		= this.nullCheck(request.getParameter("seller_name"));
		String wa_name 			= this.nullCheck(request.getParameter("wa_name")); 
		String dept_code 		= this.nullCheck(request.getParameter("dept_code")); 
		String division_code 	= this.nullCheck(request.getParameter("division_code"));
		String gr_reason 		= this.nullCheck(request.getParameter("gr_reason"));
		String sel_item_code 	= this.nullCheck(request.getParameter("sel_item_code")); 
		String var_item_code 	= this.nullCheck(request.getParameter("var_item_code"));
		String item_name 		= this.nullCheck(request.getParameter("item_name")); 
		String po_type 			= this.nullCheck(request.getParameter("po_type"));
		String status 			= this.nullCheck(request.getParameter("status")); 
		String account_code 	= this.nullCheck(request.getParameter("account_code"));
		String account_name 	= this.nullCheck(request.getParameter("account_name"));
		String arap_flag 		= this.nullCheck(request.getParameter("arap_flag"));
		String worker_type 		= this.nullCheck(request.getParameter("worker_type")); 
		String po_user_name 	= this.nullCheck(request.getParameter("po_user_name"));
		String gr_user_name 	= this.nullCheck(request.getParameter("gr_user_name"));
		String mp_status 		= this.nullCheck(request.getParameter("mp_status"));				//԰Ϸ
		String is_final 		= this.nullCheck(request.getParameter("is_final"));					//԰Ϸ

		if(date_type==null)
			date_type = "gr_date";
		
		if(mp_status==null)
			mp_status = "GR";
		
		if(is_final==null)
			is_final = "ALL";
		
		
		menu_info.put("date_type",date_type); 
		menu_info.put("s_date",	s_date); 
		menu_info.put("e_date",e_date); 
		menu_info.put("no_type",no_type); 
		menu_info.put("s_type_no",s_type_no); 
		menu_info.put("e_type_no",e_type_no); 
		menu_info.put("gr_type",gr_type); 
		menu_info.put("s_gr_type_no",s_gr_type_no); 
		menu_info.put("e_gr_type_no",e_gr_type_no); 
		menu_info.put("seller_code",seller_code);
		menu_info.put("seller_name",seller_name);
		
		menu_info.put("wa_name",wa_name); 
		menu_info.put("dept_code",dept_code); 
		menu_info.put("division_code",division_code);
		menu_info.put("gr_reason",gr_reason);
		menu_info.put("sel_item_code",sel_item_code); 
		menu_info.put("var_item_code",var_item_code); 
		menu_info.put("item_name",item_name); 
		menu_info.put("po_type",po_type);
		menu_info.put("status",status);
		menu_info.put("account_code",account_code);
		menu_info.put("account_name",account_name);
		menu_info.put("arap_flag",arap_flag);
		menu_info.put("worker_type",worker_type); 
		menu_info.put("po_user_name",po_user_name);
		menu_info.put("gr_user_name",gr_user_name);
		menu_info.put("mp_status", mp_status);
		menu_info.put("is_final", is_final);


		List list/*XpoAst*/ = this.purchaseManager.getGoodsReceiptGr(
				mp_status,
				is_final,
				 date_type, 
				 s_date, 
				 e_date, 
				 no_type, 
				 s_type_no, 
				 e_type_no, 
				 gr_type, 
				 s_gr_type_no, 
				 e_gr_type_no,
				 seller_code,
				 seller_name,
				 wa_name,
				 dept_code, 
				 division_code,
				 gr_reason,
				 sel_item_code, 
				 var_item_code, 
				 item_name, 
				 po_type,
				 status,
				 account_code,
				 account_name,
				 arap_flag,
				 worker_type, 
				 po_user_name,
				 gr_user_name,
				 this.getThis_wa_code(request)
				
		);
		//menu_info.put("XpoList",list);
		
		return list;
	} 
	
	@SuppressWarnings("unused")
	private void GetXpoastListBySupastUid(Map<Integer, Integer> xpoast_supast_map, List list) {
		
		
		
	}
	private void GetRequestValue_05ADD(HttpServletRequest request, Set<String> supast_code_set,
			Set<Pair> supast_xpoast_set, Map<String, Object> supast_code_name_item_name,
			String[] account_date, Map<String, Double> supast_code_ac_sum,
			Map<String, Integer> supast_code_sup_uid) {
		
	   	String[] xpoast_uids		= request.getParameterValues("chkBox");
	   	
	   	account_date[0] = this.GetRequestString(request, "account_date");
    	
	   	if(xpoast_uids==null)
	   		return;
	   	
		int item_quan = xpoast_uids.length;
		if(item_quan==0)
			return ;

		//޻  Ȯ
		for(int i=0; i < item_quan; i++) {
			String supast_code = GetRequestString(request, xpoast_uids[i] + "_seller_code");
			Integer sup_uid		= GetRequestInteger(request, xpoast_uids[i] + "_sup_uid");
			Integer xpoast_uid = this.String2Integer(xpoast_uids[i]);
			Pair pair = new Pairimpl(supast_code, xpoast_uid);
			
			supast_xpoast_set.add( pair);
			
			if( supast_code_set.add(supast_code) ) {//ߺ  
				String supplier_name = GetRequestString(request, xpoast_uids[i] + "_seller_name");
				String item_name = GetRequestString(request, xpoast_uids[i] + "_item_name");
				Double ac_sum	 = GetRequestDouble(request, supast_code + "_ac_sum");
				Pair sub_pair = new Pairimpl(supplier_name, item_name);
				supast_code_name_item_name.put(supast_code, sub_pair);
				supast_code_ac_sum.put(supast_code, ac_sum);
				supast_code_sup_uid.put(supast_code, sup_uid);
			}
		}

	}
	
	private Integer GetRequestValue_05ADD_Sub( Integer[]	xpoast_uids, String sup_code,
			Set supast_xpoast_set ) {
		
		int i=0;

    	for(Iterator it=supast_xpoast_set.iterator(); it.hasNext();)
    	{
    		Pair pair = (Pair)it.next();
    		
    		if(sup_code.equals(pair.getFirst())) {
    			xpoast_uids[i] = (Integer) pair.getSecond();
    			i++;
    		}
    		
    	}
    	
    	return i;
	}
	
	
	public void transactPrchProcess_05Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		Set<String> supast_code_set = new HashSet<String>();
		Set<Pair> supast_xpoast_set = new HashSet<Pair>();
		Map<String, Object> supast_code_name_item_name = new HashMap<String, Object> ();
		Map<String, Double> supast_code_ac_sum = new HashMap<String, Double> ();
		Map<String, Integer> supast_code_sup_uid = new HashMap<String, Integer> ();
		
		String[]	account_date=		new String[1];
		
		GetRequestValue_05ADD(request, supast_code_set, supast_xpoast_set, supast_code_name_item_name,
				account_date, supast_code_ac_sum, supast_code_sup_uid);
		
//--		try {
	    	for(Iterator i=supast_code_set.iterator(); i.hasNext();)
	    	{
	    		String sup_code = (String)i.next();
	    		Integer[]	xpoast_uids=		new Integer[MAX_RECORD_QUAN];
	
	    		String txt_name="";
	    		String item_name="";
	
//	    		Double ac_sum = (Double)supast_code_ac_sum.get(sup_code);
	    		Integer coord_key = (Integer)supast_code_sup_uid.get(sup_code);
	    		Pair pair = (Pair)supast_code_name_item_name.get(sup_code);
	    		
	    		if(pair!=null) {
	    			String sup_name = (String)pair.getFirst();
	    			item_name = (String)pair.getSecond();
	    			
	    			txt_name = account_date[0] +"- [" + sup_code +"]" + sup_name;
	    		}
	    		
	    		
	    		Integer item_quan = GetRequestValue_05ADD_Sub(xpoast_uids, sup_code, supast_xpoast_set);
	    		
	    		this.getPurchaseManager().addPaymentComplete( item_quan, xpoast_uids,
	    				txt_name, item_name + " ", sup_code,
	    				this.getThis_userid(request), this.getThis_user_name(request),
	    				this.getThis_wa_code(request), /*ac_sum,*/  coord_key);
	    		
	    		
	    	}
	    	
			menu_info.put("data", "꼭 Ǿϴ. Ȳ ȭ ̵մϴ.");
			menu_info.put("URL", "j_prch.html?menuId=j07");	
/*			
		} catch (Throwable t) {
			
			String err_msg = t.getLocalizedMessage();
			String[] err_arr = err_msg.split("\n");
			
			String full_message="";
			for(int i=0; i<err_arr.length; i++)
				full_message = full_message + err_arr[i] + " / ";
			
			menu_info.put("data", full_message);
			menu_info.put("URL", "j_prch.html?menuId=j05");	
		}
		*/
	}
	
	public void transactPrchProcess_15Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		
		
		
		// īƮ
		Integer[]	assy_uid 		= new Integer[MAX_RECORD_QUAN];
		Double[]	quans 			= new Double[MAX_RECORD_QUAN];
		Integer[]	rcvr_uid 		= new Integer[MAX_RECORD_QUAN];
		Integer[]	ac_uid 			= new Integer[MAX_RECORD_QUAN];
		String[] 	rcvr_name 		= new String[MAX_RECORD_QUAN];
		String[] 	req_flag 		= new String[MAX_RECORD_QUAN];
		String[] 	req_info 		= new String[MAX_RECORD_QUAN];
		Date[] 	 	req_date 		= new Date[MAX_RECORD_QUAN];
		String[] 	del_info_flag 	= new String[MAX_RECORD_QUAN];
		String[] 	delivery_info 	= new String[MAX_RECORD_QUAN];
		String[] 	rush_order_flag = new String[MAX_RECORD_QUAN];
		
		Double[] 	this_sales_prices=	new Double[MAX_RECORD_QUAN];
		Double[] 	this_source_prices=	new Double[MAX_RECORD_QUAN];
		
		Integer item_quan = GetRequestValue_15ADD(request, assy_uid, quans,this_sales_prices, this_source_prices, 
				rcvr_uid, rcvr_name, req_flag, req_info, req_date, del_info_flag, delivery_info, rush_order_flag, ac_uid);

		
//		--		try {
		
		String creator = this.getThis_userid(request);
		editPurchangeRequestList( menu_info, item_quan,	assy_uid, quans, 
				this_sales_prices, this_source_prices, 
				rcvr_uid, rcvr_name,
				req_flag, req_info,	req_date, del_info_flag, delivery_info,
				rush_order_flag, creator );

		// ȭ鿡   
		CreateBlankRtgAstHidden(menu_info, request, "", "0", req_date[0]);
		
		if(item_quan>0) {
			SetProjectInfo(menu_info, ac_uid[0] );
			}
/*			
		} catch (Throwable t) {
			
			String err_msg = t.getLocalizedMessage();
			String[] err_arr = err_msg.split("\n");
			
			String full_message="";
			for(int i=0; i<err_arr.length; i++)
				full_message = full_message + err_arr[i] + " / ";
			
			menu_info.put("data", full_message);
			menu_info.put("URL", "j_prch.html?menuId=j15");	
		}
*/
	}
	
	private String nullCheck(String parameter){
		if(parameter != null && parameter .length() == 0){
			return null;
		}else{
			return parameter;
		}
	}
	
	public List PrchProcess_17Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info, String Type){
		
		String date_type 		= this.nullCheck(request.getParameter("date_type"));				//ֹϵ
		String s_date 			= this.nullCheck(request.getParameter("s_date")); 					//ֹ¥
		String e_date 			= this.nullCheck(request.getParameter("e_date"));					//ֹ¥
		String no_type 			= this.nullCheck(request.getParameter("no_type"));					//ֹ,poȣ
		String s_type_no 		= this.nullCheck(request.getParameter("s_type_no"));				//ֹ,poȣ
		String e_type_no 		= this.nullCheck(request.getParameter("e_type_no"));				//ֹ,poȣ
		String wa_name 			= this.nullCheck(request.getParameter("wa_name"));					//
		String dept_code 		= this.nullCheck(request.getParameter("dept_code"));				//μڵ
		String sel_item_code 	= this.nullCheck(request.getParameter("sel_item_code"));			//ǰڵ,纰ڵ
		String var_item_code 	= this.nullCheck(request.getParameter("var_item_code"));			//ǰ,纰ڵ尪
		String item_name 		= this.nullCheck(request.getParameter("item_name"));				//̸
		String rush_order_flag 	= this.nullCheck(request.getParameter("rush_order_flag"));			//
		String gr_complete_flag = this.nullCheck(request.getParameter("gr_complete_flag"));			//԰ϷῩ
		String worker_type 		= this.nullCheck(request.getParameter("worker_type"));				//ֹڵ..
		String var_user_name	= this.nullCheck(request.getParameter("var_user_name"));			//ֹڵ
		String status 			= this.nullCheck(request.getParameter("status"));					//
		String seller_code 		= this.nullCheck(request.getParameter("seller_code"));				//޿ڵ
	//	String is_closed 		= this.nullCheck(request.getParameter("is_closed"));				//԰Ϸ
	//	String is_final 		= this.nullCheck(request.getParameter("is_final"));					//԰Ϸ

		//System.out.println("԰:"+gr_complete_flag);
		menu_info.put("date_type",date_type);
		menu_info.put("s_date",s_date);
		menu_info.put("e_date",e_date);
		menu_info.put("no_type",no_type);
		menu_info.put("s_type_no",s_type_no);
		menu_info.put("e_type_no",e_type_no);
		menu_info.put("wa_name",wa_name);
		menu_info.put("dept_code",dept_code);
		menu_info.put("sel_item_code",sel_item_code);
		menu_info.put("var_item_code",var_item_code);
		menu_info.put("item_name",item_name);
		menu_info.put("rush_order_flag",rush_order_flag);
		menu_info.put("gr_complete_flag",gr_complete_flag);
		menu_info.put("worker_type",worker_type);
		menu_info.put("var_user_name",var_user_name);
		menu_info.put("status",status);
		menu_info.put("seller_code",seller_code);	
		
		
		if(Type.equalsIgnoreCase("MN17")){
			menu_info.put("orderList", this.purchaseManager.getOrderTrakingList(date_type, s_date, e_date, no_type, s_type_no, e_type_no, wa_name,dept_code, sel_item_code, var_item_code, item_name, rush_order_flag, gr_complete_flag, worker_type, var_user_name, status, seller_code) );			
			return this.purchaseManager.getOrderTrakingList(date_type, s_date, e_date, no_type, s_type_no, e_type_no, wa_name,dept_code, sel_item_code, var_item_code, item_name, rush_order_flag, gr_complete_flag, worker_type, var_user_name, status, seller_code);
			
		}else if(Type.equalsIgnoreCase("MN30")){
			menu_info.put("orderList", this.purchaseManager.getPoOrderTrakingList(date_type, s_date, e_date, no_type, s_type_no, e_type_no, wa_name,dept_code, sel_item_code, var_item_code, item_name, rush_order_flag, gr_complete_flag, worker_type, var_user_name, status, seller_code) );
			return this.purchaseManager.getPoOrderTrakingList(date_type, s_date, e_date, no_type, s_type_no, e_type_no, wa_name,dept_code, sel_item_code, var_item_code, item_name, rush_order_flag, gr_complete_flag, worker_type, var_user_name, status, seller_code);

		}else{
			return null;
		}

	} 
	
	public void PrchProcess_19Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info){
		String date_type 		= this.nullCheck(request.getParameter("date_type"));													
		String s_date 			= this.nullCheck(request.getParameter("s_date"));					
		String e_date 			= this.nullCheck(request.getParameter("e_date"));					
		String no_type 			= this.nullCheck(request.getParameter("no_type"));					
		String s_type_no 		= this.nullCheck(request.getParameter("s_type_no"));				
		String e_type_no 		= this.nullCheck(request.getParameter("e_type_no"));				
		String gr_type 			= this.nullCheck(request.getParameter("gr_type")); 
		String s_gr_type_no 	= this.nullCheck(request.getParameter("s_gr_type_no"));
		String e_gr_type_no 	= this.nullCheck(request.getParameter("e_gr_type_no")); 
		String seller_code 		= this.nullCheck(request.getParameter("seller_code"));
		String wa_name 			= this.nullCheck(request.getParameter("wa_name")); 
		String dept_code 		= this.nullCheck(request.getParameter("dept_code")); 
		String division_code 	= this.nullCheck(request.getParameter("division_code"));
		String gr_reason 		= this.nullCheck(request.getParameter("gr_reason"));
		String sel_item_code 	= this.nullCheck(request.getParameter("sel_item_code")); 
		String var_item_code 	= this.nullCheck(request.getParameter("var_item_code"));
		String item_name 		= this.nullCheck(request.getParameter("item_name")); 
		String po_type 			= this.nullCheck(request.getParameter("po_type"));
		String status 			= this.nullCheck(request.getParameter("status")); 
		String account_name 	= this.nullCheck(request.getParameter("account_name"));
		String arap_flag 		= this.nullCheck(request.getParameter("arap_flag"));
		String worker_type 		= this.nullCheck(request.getParameter("worker_type")); 
		String var_user_name 	= this.nullCheck(request.getParameter("var_user_name"));

		menu_info.put("date_type",date_type); 
		menu_info.put("s_date",	s_date); 
		menu_info.put("e_date",e_date); 
		menu_info.put("no_type",no_type); 
		menu_info.put("s_type_no",s_type_no); 
		menu_info.put("e_type_no",e_type_no); 
		menu_info.put("gr_type",gr_type); 
		menu_info.put("s_gr_type_no",s_gr_type_no); 
		menu_info.put("e_gr_type_no",e_gr_type_no); 
		menu_info.put("seller_code",seller_code); 
		menu_info.put("wa_name",wa_name); 
		menu_info.put("dept_code",dept_code); 
		menu_info.put("division_code",division_code);
		menu_info.put("gr_reason",gr_reason);
		menu_info.put("sel_item_code",sel_item_code); 
		menu_info.put("var_item_code",var_item_code); 
		menu_info.put("item_name",item_name); 
		menu_info.put("po_type",po_type);
		menu_info.put("status",status); 
		menu_info.put("account_name",account_name);
		menu_info.put("arap_flag",arap_flag);
		menu_info.put("worker_type",worker_type); 
		menu_info.put("var_user_name",var_user_name); 
		
		List list = null;
		list = this.purchaseManager.getGoodsReceiptCancel(
				 date_type, 
				 s_date, 
				 e_date, 
				 no_type, 
				 s_type_no, 
				 e_type_no, 
				 gr_type, 
				 s_gr_type_no, 
				 e_gr_type_no, 
				 seller_code,
				 wa_name,
				 dept_code, 
				 division_code,
				 gr_reason,
				 sel_item_code, 
				 var_item_code, 
				 item_name, 
				 po_type,
				 status, 
				 account_name,
				 arap_flag,
				 worker_type, 
				 var_user_name
				
		);
		menu_info.put("XpoList",list);
	} 
	

	
	public void PrchProcess_31Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info){
		
		String date_type 		= this.nullCheck(request.getParameter("date_type"));				//ֹϵ
		String s_date 			= this.nullCheck(request.getParameter("s_date")); 					//ֹ¥
		String e_date 			= this.nullCheck(request.getParameter("e_date"));					//ֹ¥
		String no_type 			= this.nullCheck(request.getParameter("no_type"));					//ֹ,poȣ
		String s_type_no 		= this.nullCheck(request.getParameter("s_type_no"));				//ֹ,poȣ
		String e_type_no 		= this.nullCheck(request.getParameter("e_type_no"));				//ֹ,poȣ
		String wa_name 			= this.nullCheck(request.getParameter("wa_name"));					//
		String dept_code 		= this.nullCheck(request.getParameter("dept_code"));				//μڵ
		String sel_item_code 	= this.nullCheck(request.getParameter("sel_item_code"));			//ǰڵ,纰ڵ
		String var_item_code 	= this.nullCheck(request.getParameter("var_item_code"));			//ǰ,纰ڵ尪
		String item_name 		= this.nullCheck(request.getParameter("item_name"));				//̸
		String rush_order_flag 	= this.nullCheck(request.getParameter("rush_order_flag"));			//
		String gr_complete_flag = this.nullCheck(request.getParameter("gr_complete_flag"));			//԰ϷῩ
		String worker_type 		= this.nullCheck(request.getParameter("worker_type"));				//ֹڵ..
		String var_user_name	= this.nullCheck(request.getParameter("var_user_name"));			//ֹڵ
		String status 			= this.nullCheck(request.getParameter("status"));					//
		String seller_code 		= this.nullCheck(request.getParameter("seller_code"));				//޿ڵ

		menu_info.put("date_type",date_type);
		menu_info.put("s_date",s_date);
		menu_info.put("e_date",e_date);
		menu_info.put("no_type",no_type);
		menu_info.put("s_type_no",s_type_no);
		menu_info.put("e_type_no",e_type_no);
		menu_info.put("wa_name",wa_name);
		menu_info.put("dept_code",dept_code);
		menu_info.put("sel_item_code",sel_item_code);
		menu_info.put("var_item_code",var_item_code);
		menu_info.put("item_name",item_name);
		menu_info.put("rush_order_flag",rush_order_flag);
		menu_info.put("gr_complete_flag",gr_complete_flag);
		menu_info.put("worker_type",worker_type);
		menu_info.put("var_user_name",var_user_name);
		menu_info.put("status",status);
		menu_info.put("seller_code",seller_code);	
		
		if(menuType.equalsIgnoreCase("j31")){
			menu_info.put("orderList", this.purchaseManager.getOrderTrakingList(date_type, s_date, e_date, no_type, s_type_no, e_type_no, wa_name,dept_code, sel_item_code, var_item_code, item_name, rush_order_flag, gr_complete_flag, worker_type, var_user_name, status, seller_code) );
		}else if(menuType.equalsIgnoreCase("j32")){
			menu_info.put("orderList", this.purchaseManager.getPoOrderTrakingList(date_type, s_date, e_date, no_type, s_type_no, e_type_no, wa_name,dept_code, sel_item_code, var_item_code, item_name, rush_order_flag, gr_complete_flag, worker_type, var_user_name, status, seller_code) );
		}
	
	} 
	
	
	public int GetRequestValue_04Add(HttpServletRequest request, Integer[] rtgast_uidsInt, Integer[] rtgastQuan, Integer[] this_assymap_uid, Double[] this_prev_gr_quan,
			Double[] this_gr_quan, String[] this_is_closed, String[] this_item_name, String[] gr_comment) {
		int item_quan = 0;
		int real_quan=0;
		
		gr_comment[0] = this.GetRequestString(request, "txt_name");
		String[] rtgast_uidsStr		= request.getParameterValues("rtgast_uid");
		
		item_quan = rtgast_uidsStr.length;
		rtgastQuan[0] = rtgast_uidsStr.length;
		if(item_quan==0)
			return 0;
		
		for(int i=0; i < item_quan; i++) {
			
			rtgast_uidsInt[i] = String2Integer(rtgast_uidsStr[i] );
			
			String chk_name = "ChkBox_" + rtgast_uidsStr[i];
			
			String[] assy_uids		= request.getParameterValues(chk_name);
			//Integer int_assy_uid = GetRequestInteger(request, chk_name);
			
			//CheckBox Click  ͸.
			if(assy_uids != null) {
				for(int j=0; j<assy_uids.length; j++ ){
	
					Double prev_gr_quan = GetRequestDouble(request, assy_uids[j] + "_prev_gr_quan");
					Double gr_quan = GetRequestDouble(request, assy_uids[j] + "_gr_quan");
					String	is_closed = GetRequestString(request, assy_uids[j] + "_is_closed");
					String  item_name = GetRequestString(request, assy_uids[j] + "_item_name");
					if(is_closed.compareToIgnoreCase("Y")!=0)
						is_closed = "N";
					
					if(gr_quan>0.0) {
						this_assymap_uid[real_quan] = String2Integer(assy_uids[j] );
						this_prev_gr_quan[real_quan] = prev_gr_quan;
						this_gr_quan[real_quan] = gr_quan;
						this_is_closed[real_quan] = is_closed;
						this_item_name[real_quan] = item_name;
						real_quan++;
					}
					
				}
			}
		}
		return real_quan;
		
	}

	public void PrchProcess_02Delete(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		Integer[] this_assy_uid = new Integer[MAX_RECORD_QUAN];
		Integer item_quan = GetRequestValue_ChkBox(request, this_assy_uid);
		
		purchaseManager.doPrDeny(item_quan, this_assy_uid);

		menu_info.put("data", "ݷ Ǿϴ.");

	}
	public void PrchProcess_02Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		//Request б-ؼ ٸ Լ .
		
		Double[] 	sales_amount		= 	new Double[1];
		String[] 	pay_condition		=	new String[1];
		Date[] 		req_delivery_date	=	new Date[1];
		String[] 	request_info		=	new String[1];
		String[] 	delivery_address_1	=	new String[1];
		String 		coord_key=			GetRequestString(request, "supplier_uid" );//ǰ  Ȯ Ȯ   
		String 		cood_del_info=		GetDelInfo_01ADD(coord_key, request,
				sales_amount, pay_condition, req_delivery_date, request_info, delivery_address_1);

		Integer[] 	this_assy_uid= 		new Integer[MAX_RECORD_QUAN];
		Double[] 	this_quantities= 	new Double[MAX_RECORD_QUAN];
		Integer[] 	this_rcvr_uid= 		new Integer[MAX_RECORD_QUAN];
		String[] 	this_req_info=		new String[MAX_RECORD_QUAN];
		Date[] 		this_req_date=		new Date[MAX_RECORD_QUAN];
		Double[] 	this_sales_prices=	new Double[MAX_RECORD_QUAN];
		Double[] 	this_dource_prices=	new Double[MAX_RECORD_QUAN];

		String[] 	this_rcvr_name=		new String[MAX_RECORD_QUAN];
		Integer[] 	this_ac_uid=		new Integer[MAX_RECORD_QUAN];
		
		int po_uid = -1;

		int this_item_quan = GetRequestValue_02AddSub(request, this_assy_uid, this_quantities,
				this_rcvr_uid, this_req_info, this_req_date, this_sales_prices, this_rcvr_name, this_ac_uid);
		
		if(this_item_quan<1)
		{
			menu_info.put("data", "ó 縦 ã  ϴ.");
			menu_info.put("URL", "j_prch.html?menuId=j01");
			return;
		}
		
		SetProjectInfo(menu_info, this_ac_uid[0] );

		String creator = this.getThis_userid(request);
		po_uid = editPurchangeRequestList( menu_info, this_item_quan,
				this_assy_uid, this_quantities, this_sales_prices, this_dource_prices, this_rcvr_uid, this_rcvr_name,
				null, this_req_info,	this_req_date, null, null,
				null, creator );
		
		//PO_Detail .
		purchaseManager. addPurchageOrderDetail(po_uid, sales_amount[0], pay_condition[0], 
				req_delivery_date[0],	request_info[0], delivery_address_1[0], new Date(),
				this.getThis_userid(request));

		// ȭ鿡   
		CreateBlankRtgAstHidden(menu_info, request, cood_del_info, coord_key, req_delivery_date[0] );

	}
	
	public void PrchProcess_02Def(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		menu_info.put("cartList", materialManager.getCartList(this.getThis_useruid(request)) );
	}
	
	
    private int GetRequestValue_15ADD(HttpServletRequest request,
    		Integer[] int_assy_uid/*1*/, 		Double[] int_quans/*2*/,
    		Double[] sales_prices/*2*/, Double[] source_prices/*2*/,
    		
    		Integer[] int_rcvr_uid/*3*/, 		String[]  str_rcvr_name/*4*/,
    		String[]  str_req_flag/*5*/, 		String[]  str_req_info/*6*/, 
    		Date[]    date_req_date/*7*/, 		String[]  str_del_info_flag/*8*/,
    		String[]  str_delivery_info/*9*/, 	String[] str_rush_order_flag/*10*/,
    		Integer[] int_ac_uid) {
    	
    	String[] assy_uids		= request.getParameterValues("chkBox");
    	String[] ac_uids		= request.getParameterValues("chkBox");
    	
		int item_quan = assy_uids.length;
		if(item_quan==0)
			return 0;

		for(int i=0; i < item_quan; i++) {
			int_ac_uid[i]		=	Integer.parseInt(ac_uids[i]);
			int_assy_uid[i]		=	Integer.parseInt(assy_uids[i]);									//<------------1
			int_quans[i] 			= GetRequestDouble(request,"quans" 			+assy_uids[i]);	//<------------2
			sales_prices[i] 		= GetRequestDouble(request,"sales_price" 		+assy_uids[i]);	//<------------2
			source_prices[i] 		= GetRequestDouble(request,"source_price" 		+assy_uids[i]);	//<------------2

			int_rcvr_uid[i]			= GetRequestInteger(request,"rcvr_uid"			+assy_uids[i]);	//<------------3
			str_rcvr_name[i]		= GetRequestString(request, "rcvr_name"			+assy_uids[i]);	//<------------4
			str_req_info[i]			= GetRequestString(request, "req_flag"			+assy_uids[i]);	//<------------5
			str_req_info[i]			= GetRequestString(request, "req_info"			+assy_uids[i]);	//<------------6
			date_req_date[i] 		= GetRequestDate(request, 	"req_date"			+assy_uids[i]);	//<------------7
			str_del_info_flag[i]	= GetRequestString(request, "del_info_flag"		+assy_uids[i]);	//<------------8
			str_delivery_info[i]	= GetRequestString(request, "delivery_info"		+assy_uids[i]);	//<------------9
			str_rush_order_flag[i] 	= GetRequestString(request, "rush_order_flag"	+assy_uids[i]);	//<------------10
			
		}
		
		return item_quan;
    }

    public void PrchProcess_05Delete(HttpServletRequest request, String menuType, Map<String, Object> menu_info, Vector<String> result){
    	Integer[] rtg_uid 		= new Integer[MAX_RECORD_QUAN]; //üũڽ rtg_unique_id
    	String[] lo_is_closed 	= new String[MAX_RECORD_QUAN];
    	Double[] li_gr_quan 	= new Double[MAX_RECORD_QUAN];
    	String content 			= request.getParameter("txt_content");			//һ
    	
    	
    	int item_qty 		= this.GetRequestValue_05Delete(request, rtg_uid, lo_is_closed, li_gr_quan);
    	
    	if(item_qty <= 0){
    		result.add("԰  ߻߽ϴ. ٽ õ ֽʽÿ.");
    	}else{
    		this.purchaseManager.deleteGoodsReceipt( rtg_uid, lo_is_closed, li_gr_quan, item_qty, content);    		
			result.add("԰ҿϷ");
    	}
		result.add("j_prch.html?menuId=j05");
    	menu_info.put("data", result);    	
    }
    
	//԰
    private int GetRequestValue_05Delete(HttpServletRequest request, Integer[] rtg_uid, String[] lo_is_closed, Double[] li_gr_quan){
    	String[] rtg_uids		= request.getParameterValues("chkBox");			//üũڽ				= 
    	
    	int item_qty = rtg_uids.length;
    	if(item_qty == 0)
    		return 0;
		for(int i=0; i < item_qty; i++) {
			rtg_uid[i]		=	Integer.parseInt(rtg_uids[i]);	
			
			//Ŭ  (Y,N)
			if(request.getParameter(rtg_uid[i]+"_closed") == null){
				lo_is_closed[i]	= "N";
			}else{
				lo_is_closed[i]	= "Y";		
			}
			
			li_gr_quan[i]	= 	this.GetRequestDouble(request, rtg_uid[i]+"_gr_quan");	
		}
		
		return item_qty;
    }
    
    
	//ֹ Է° б
	//---------------
	@SuppressWarnings("unused")
	private int  GetRequestValue_01Add(HttpServletRequest request,
			Integer[] int_assy_uid/*1*/,		Double[] int_quantities/*2*/,
			Integer[] 	int_rcvr_uid/*3*/,		String[] str_req_info/*4*/,
			Date[] date_req_date/*5*/,			Double[] dbl_sales_prices/*6*/,
			String[] str_rcvr_name/*7*/, 		Integer[] int_ac_uid/*8*/		)
	{
		
		String[] assy_uids		= request.getParameterValues("chkBox");
		int item_quan = assy_uids.length;
		if(item_quan==0)
			return 0;
		
		
		String[] quans		= request.getParameterValues("quans");
		String[] ac_uid			= request.getParameterValues("ac_uid");
		str_req_info			= request.getParameterValues("req_info");	//<-----------4
		String[] sales_prices	= request.getParameterValues("sales_prices");
		String[] rcvr_uid		= request.getParameterValues("rcvr_uid");
		str_rcvr_name			= request.getParameterValues("rcvr_name");	//<-----------7
		

		
		//ó  ִ Item  100  ʴ´.
		if(item_quan>MAX_RECORD_QUAN)
			item_quan=MAX_RECORD_QUAN;
		
		//		¥ unique_id Ͽ ޴´.
		String[] req_date 	= new String[item_quan];
		for(int i=0; i < item_quan; i++) {
			date_req_date[i] = GetRequestDate(request, assy_uids[i] + "_req_date" );		//<------------5
			//---- Data ȯ -----
			int_assy_uid[i]		=	Integer.parseInt(assy_uids[i]);			//<------------1
			int_quantities[i]	=	Double.parseDouble(quans[i]);		//<------------2
			int_rcvr_uid[i]		=	Integer.parseInt(rcvr_uid[i]);			//<------------3
			dbl_sales_prices[i]	=	String2Double(sales_prices[i]);			//<------------6
			int_ac_uid[i]		=	Integer.parseInt(ac_uid[i]);			//<------------8
		}

		return item_quan;
		
	}
	
	private int  GetRequestValue_02AddSub(HttpServletRequest request,
			Integer[] int_assy_uid/*1*/,		Double[] int_quantities/*2*/,
			Integer[] 	int_rcvr_uid/*3*/,		String[] str_req_info/*4*/,
			Date[] date_req_date/*5*/,			Double[] dbl_sales_prices/*6*/,
			String[] str_rcvr_name/*7*/, 		Integer[] int_ac_uid/*8*/		)
	{
		
		String[] assy_uids		= request.getParameterValues("chkBox");
		int item_quan = assy_uids.length;
		if(item_quan==0)
			return 0;
		
		
		String[] ac_uid			= request.getParameterValues("ac_uid");
		//str_req_info			= request.getParameterValues("req_info");	//<-----------4
		String[] rcvr_uid		= request.getParameterValues("rcvr_uid");
		str_rcvr_name			= request.getParameterValues("rcvr_name");	//<-----------7
		
		//ó  ִ Item  100  ʴ´.
		if(item_quan>MAX_RECORD_QUAN)
			item_quan=MAX_RECORD_QUAN;
		
		//		¥ unique_id Ͽ ޴´.
//		String[] req_date 	= new String[item_quan];
		for(int i=0; i < item_quan; i++) {
			date_req_date[i] = GetRequestDate(request, assy_uids[i] + "_req_date" );		//<------------5
			//---- Data ȯ -----
			int_assy_uid[i]		=	Integer.parseInt(assy_uids[i]);			//<------------1
			int_quantities[i]	=	GetRequestDouble(request, assy_uids[i] + "_quantities" );		//<------------2
			int_rcvr_uid[i]		=	Integer.parseInt(rcvr_uid[i]);			//<------------3
			str_req_info[i]		=	GetRequestString(request, assy_uids[i] + "_req_info");//<-----------4
			dbl_sales_prices[i]	=	GetRequestDouble(request, assy_uids[i] + "_sales_prices" );			//<------------6
			int_ac_uid[i]		=	Integer.parseInt(ac_uid[i]);			//<------------8
		}

		return item_quan;
		
	}
			
	private String GetDelInfo_01ADD(String coord_key, HttpServletRequest request,
			Double[] sales_amount, String[] pay_condition, Date[] req_delivery_date,
			String[] request_info, String[] delivery_address_1	){
		
		Integer intCoordKey = Integer.valueOf(coord_key);
		
		SupAst supast = this.partnerManager.getSupplierById(intCoordKey);
		String sales_name1 = "",
			sales_email1 = "",
			sales_tel1 = "",
			sales_fax1 = "",
			sales_hp1 = "";

		if(supast != null ) {
			sales_name1		= GetRequestString(request, "sales_name1" );
			sales_email1	= GetRequestString(request, "sales_email1" );
			sales_tel1		= GetRequestString(request, "sales_tel1" );
			sales_fax1		= GetRequestString(request, "sales_fax1" );
			sales_hp1		= GetRequestString(request, "sales_hp1" );
			
			if( sales_name1 != null)
				supast.setSales_person1_name(sales_name1);
			if( sales_email1 != null)
				supast.setSales_person1_email_address(sales_email1);
			if( sales_tel1 != null)
				supast.setSales_person1_telephone_no(sales_tel1);
			if( sales_fax1 != null)
				supast.setSales_person1_fax_no(sales_fax1);
			if( sales_hp1 != null)
				supast.setSales_person1_mobilephone_no(sales_hp1);
			
			this.partnerManager.modifySupplier(supast);
		}
		
		String supplier_code 	= GetRequestString(request, "supplier_code" );
		String supplier_name 	= GetRequestString(request, "supplier_name" );
//		String receiver 		= GetRequestString(request, "receiver" );
		String txt_content 		= GetRequestString(request, "txt_content" );
		String cood_del_info 		= ": ";
		cood_del_info		= cood_del_info	+ sales_name1 + "  \r\n";
		cood_del_info		= cood_del_info	+ supplier_name + "[" + supplier_code + "]\r\n";
		cood_del_info		= cood_del_info	+ "û: " + txt_content;
		
		
		request_info[0] = new String(txt_content);
		
		
		sales_amount[0] = String2Double(GetRequestString(request, "sales_amount" ) );
		pay_condition[0] = new String( GetRequestString(request, "pay_condition" ) );
		req_delivery_date[0] = String2Date (GetRequestString(request, "req_delivery_date" ) );
		request_info[0]	= new String( GetRequestString(request, "request_info" ) );
		delivery_address_1[0] = new String( GetRequestString(request, "delivery_address_1" ) );
		
		return cood_del_info;	
	}
	

	public void DoMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		String[]chkBox;
		Date[]	req_date;
		String[]rush_order_flag = null;
		String[]req_flag;
		String[]del_info_flag;
		String[]rcvr_uid;
		String[]rcvr_name;
		String[]delivery_info;
		String[]req_info;
		String[]quans;
		String[]rcvr_item_name;
		
		//ε   Ÿ ...
		if ( this.getServiceName() != JrServiceName.J_PRCH) {
			logger.info("J_PRCH     Դϴ.");
			return;
		}
		chkBox				=	request.getParameterValues("chkBox");
		
		if(chkBox != null) //԰¥.
		{
			req_date    		=	new Date[chkBox.length];
			rush_order_flag		=	new String[chkBox.length];
			req_flag			=	new String[chkBox.length];
			del_info_flag		=	new String[chkBox.length];
			rcvr_uid			=	new String[chkBox.length];
			rcvr_name			=	new String[chkBox.length];
			delivery_info		=	new String[chkBox.length];
			req_info			=	new String[chkBox.length];
			quans				=	new String[chkBox.length];
			rcvr_item_name		=	new String[chkBox.length];

			for(int i=0; i<chkBox.length; i++)
			{
				if(chkBox[i] != null)
				{
					String req_date_str 			= request.getParameter("req_date"+chkBox[i]);
					String rush_order_flag_str 		= request.getParameter("rush_order_flag"+chkBox[i]);
					String req_flag_str				= request.getParameter("req_flag"+chkBox[i]);
					String del_info_flag_str		= request.getParameter("del_info_flag"+chkBox[i]);
					String rcvr_uid_str				= request.getParameter("rcvr_uid"+chkBox[i]);
					String rcvr_name_str			= request.getParameter("rcvr_name"+chkBox[i]);
					String delivery_info_str		= request.getParameter("delivery_info"+chkBox[i]);
					String req_info_str				= request.getParameter("req_info"+chkBox[i]);
					String quans_str				= request.getParameter("quans"+chkBox[i]);
					String rcvr_item_name_str		= request.getParameter("rcvr_item_name"+chkBox[i]);
					req_date[i]					= String2Date(req_date_str);
					rush_order_flag[i]			= rush_order_flag_str;
					req_flag[i]					= req_flag_str;
					del_info_flag[i]			= del_info_flag_str;
					rcvr_uid[i]					= rcvr_uid_str;
					rcvr_name[i]				= rcvr_name_str;
					delivery_info[i]			= delivery_info_str;
					req_info[i]					= req_info_str;
					quans[i]					= quans_str;
					rcvr_item_name[i]			= rcvr_item_name_str;
					
				}
			}
		}
		else {
			req_date = new Date[0];
			rush_order_flag= new  String[0];
			req_flag= new  String[0];
			del_info_flag= new  String[0];
			rcvr_uid= new  String[0];
			rcvr_name= new  String[0];
			delivery_info= new  String[0];
			req_info= new  String[0];
			quans= new  String[0];
			rcvr_item_name= new  String[0];
		}
	
		Vector<String> result = new Vector<String>();
		
		switch(this.getMenuId()) {
		
			case MN01://ֹȲ
				switch(this.getActivityName())
				{
					case DELETE:
						PrchProcess_01Delete(request, menuType, menu_info, result);
						break;
					default :
						menu_info.put("getSubmitPoBox", routingManager.getSendedRoutingBoxOnlyPO(this.getThis_userid(request)));	
						break;
					
				}
				break;
			case MN16://ֹȸ/
				menu_info.put("getSubmitPoBox", routingManager.getSendedRoutingBoxOnlyPO(this.getThis_userid(request)));	
				break;
			case MN02://ּۼ
				switch(this.getActivityName())
				{
					case ADD: // īƮ  ȭ 
						PrchProcess_02Add( request,  menuType, menu_info);
						break;
					
					case DELETE: //ݷ
						PrchProcess_02Delete( request,  menuType, menu_info);
						break;
					default :
						menu_info.put("pay_condition", "Ϳ  ");
						menu_info.put("delivery_address_1", this.getMasterCompany().getCompanyAddress());
						menu_info.put("cartList", materialManager.getPoCartList(this.getThis_useruid(request)) );
						break;
				}
				break;
			case MN03:
				menu_info.put("getSubmitPoBox", routingManager.getSendedRoutingBoxOnlyPO(this.getThis_userid(request)));
				break;
			case MN04://԰Ȯ
				switch(this.getActivityName())
				{
					case ADD: // ԰Ȯ
						transactPrchProcess_04Add(request, menuType, menu_info);	
						break;
					case LISTCOND:
						break;
					default:
						menu_info.put("PoHeadList", purchaseManager.getPoHeadListNotGr(this.getThis_wa_code(request) ));
				}
				break;
			case MN05://԰Ȳ
				switch(this.getActivityName())
				{
					case ADD: //꼭 ۼ
						transactPrchProcess_05Add(request, menuType, menu_info);
						break;
					case DELETE: //԰
						//PrchProcess_05Delete(request, menuType, menu_info, result);
						break;
					case LISTCOND:
					default:
						
						menu_info.put("XpoList", this.PrchProcess_05Listcond( request,  menuType,  menu_info));
						break;
						
				}
				break;	
			case MN19://԰Ȳ
				switch(this.getActivityName())
				{
					case DELETE:
						break;
					case LISTCOND:
						break;
						
					default:
						PrchProcess_19Add( request,  menuType,  menu_info);						
						
				}
				break;					
			case MN06://԰Ȯ-HMRO
				switch(this.getActivityName())
				{
					case ADD: // īƮ  ȭ 
						transactPrchProcess_04Add(request, menuType, menu_info);
						break;
					case LISTCOND:
					default:
						menu_info.put("PoHeadList", purchaseManager.getPoHeadListGr(this.getThis_wa_code(request) ));
				}
				break;

			case MN07://꼭
				switch(this.getActivityName())
				{
					case EDIT:	//Refresh
						PrchProcess_07Edit(request, menuType, menu_info);
					case LISTCOND:	// ˻
					{
						String thisYear  		= this.GetRequestString(request, "search_year");			
						String thisMonth 		= this.GetRequestString(request,"search_month");
						String supplier_code	= this.GetRequestString(request,"supplier_code");
						String supplier_name	= this.GetRequestString(request,"supplier_name");
						
						if(supplier_code.length() > 0)
							supplier_name = null;
						
						else {
							supplier_code = null;
							if(supplier_name.length() >0) {
								supplier_name = "%" + supplier_name + "%";
							}
							else {
								supplier_name = null;
							}
								
						}

						menu_info.put("search_year",	thisYear);
						menu_info.put("search_month", 	thisMonth);
						menu_info.put("supplier_code", 	supplier_code);
						menu_info.put("supplier_name", 	supplier_name);
						
						String s_date = null;
						String e_date = null;
						
						if(thisYear.length()==4) {
							s_date = thisYear + "-" + "01";
							e_date = thisYear + "-" + "12";
							if(thisMonth.length() == 2) {
								s_date = thisYear + "-" + thisMonth;
								e_date = thisYear + "-" + thisMonth;
							}
							s_date = s_date + "-" + "01";
							e_date = e_date + "-" + "31";
						}
						
						if(s_date!=null && e_date!=null) {
							menu_info.put("s_date",	s_date);
							menu_info.put("e_date",e_date);
						}
						
						
						
						menu_info.put("AcountList", purchaseManager.getAcList(this.getThis_wa_code(request), s_date, e_date, supplier_code, supplier_name) );	

					}
						break;
					default :
					{
						String thisYear  = Integer.valueOf( DateTime.getYear() ).toString();
						String thisMonth = Integer.valueOf( DateTime.getMonth() ).toString();
						
						menu_info.put("search_year",	thisYear);
						menu_info.put("search_month", thisMonth);
						
						if (thisMonth.length()==1) {
							thisMonth = "0" + thisMonth;
						}
						
						String s_date = thisYear + "-" + thisMonth + "-" + "01";
						String e_date = thisYear + "-" + thisMonth + "-" + "31";

						menu_info.put("AcountList", purchaseManager.getAcList(this.getThis_wa_code(request), s_date, e_date, null, null) );	

						
					}
						break;
				}
				break;
			case MN12: //ſûó : ʴ ޴ 26 .
				switch(this.getActivityName())
				{
					case ADD:	//
						//confirmPrReceiveByGroup(menu_info, request);
						break;
					case DELETE: //ݷ
						break;
					default :
						//menu_info.put("cartList", materialManager.getPurchageRequestHeadListbyPO( this.getThis_useruid(request) ));
						break;
				}
				break;
			case MN26: //ſû
				switch(this.getActivityName())
				{
					case ADD:
						receivePRList(request);
						menu_info.put("data","Ϸ");
						menu_info.put("URL","j_prch.html?menuId=j26");
						break;
					case DELETE: 
						doPrDenyByGroup(request);
						menu_info.put("data","ݷϷ");
						menu_info.put("URL","j_prch.html?menuId=j26");
						break;
					default :
						RefreshPr(request);
						menu_info.put("getSendedRoutingBox", purchaseManager.getPrListForPoUser(this.getThis_useruid(request)));	
						break;
				}				
				break;
			case MN15: //ֹīƮ
				switch(this.getActivityName())
				{
					case ADD: // īƮ  ȭ 
						transactPrchProcess_15Add( request,  menuType,  menu_info);

						break;
					case FORM: 
						addCart( result, request, 	chkBox);
						menu_info.put("data",result);
						break;
					case DELETE: 
						deletePoCart(result, request);
						menu_info.put("data",result);
						break;
					default :
						menu_info.put("cartList", materialManager.getCartList(this.getThis_useruid(request)) );
						break;
				}				
				break;
			/*
			case MN16: //ֹȸ/
				switch(this.getActivityName())
				{
					case ADD:
						break;
					case DELETE: 
						break;
					default :
						menu_info.put("cartList", materialManager.getPurchageRequestList(this.getThis_useruid(request)) );
						break;
				}					

				break;	
				*/
			case MN17: //ſûƮŷ
				switch(this.getActivityName())
				{
					case ADD:
						this.PrExcelFileDown(PrchProcess_05Listcond( request,  menuType,  menu_info), response, request);
						break;
					default :
						PrchProcess_17Add( request,  menuType,  menu_info,"MN17");
						break;
				}					
				break;		
			case MN30: //ֹƮŷ
				switch(this.getActivityName())
				{
					case ADD:
						this.PoExcelFileDown(PrchProcess_17Add( request,  menuType,  menu_info,"MN30"),response, request);
						break;
					default :
						PrchProcess_17Add( request,  menuType,  menu_info,"MN30");
						break;
				}					
				break;		
			case MN31: //ǰƮŷ
				PrchProcess_31Add( request,  menuType,  menu_info);
				break;	
			case MN32: //ǰƮŷ
				PrchProcess_31Add( request,  menuType,  menu_info);
				break;					
			default:
				logger.info("    Դϴ.");
				return;				
		}
	}
	
    @SuppressWarnings("unused")
	private void GetRequestValue_01Delete(HttpServletRequest request, String[] assymap_uids, int count, String dr_id, String dr_info){
    	
    	Integer[] assy_uid 		= new Integer[count]; //üũڽ rtg_unique_id
    	Double[] cn_quan 		= new Double[count];
    	Double[] po_quan 		= new Double[count];
    	
		for(int i=0; i < count; i++) {
			assy_uid[i]		=	Integer.parseInt(assymap_uids[i]);							//assymapũ̵
			cn_quan[i]		= 	this.GetRequestDouble(request, assy_uid[i]+"_cn_quan");	//Ҽ
			po_quan[i]		= 	this.GetRequestDouble(request, assy_uid[i]+"_quan");		//ֹ
		}
		
		this.purchaseManager.editPoCancel(assy_uid, cn_quan, po_quan, dr_id, dr_info);
    }
	
    //ֹ
	public void PrchProcess_01Delete(HttpServletRequest request, String menuType, Map<String, Object> menu_info, Vector result){
    	
    	String[] strRtgast_uids		= request.getParameterValues("chkBox");			//üũڽ
    	if(strRtgast_uids == null){
    		menu_info.put("data", "ֹ  ߻߽ϴ. ٽ õ ֽʽÿ.");
    		return;
    	}

    	Integer[] assy_uids 		= new Integer[MAX_RECORD_QUAN];	int item_count=0;
    	Integer[] rtgast_uids		= new Integer[strRtgast_uids.length];int rtgast_checked_count=0;
    	
		for(int i=0; i < strRtgast_uids.length; i++) {
			String[] str_assy_uids = request.getParameterValues("ChkBox_" + strRtgast_uids[i]);
			if(str_assy_uids != null){
				for(int j=0; j < str_assy_uids.length; j++) {
					Integer intVal = Integer.parseInt(str_assy_uids[j]);
					if(intVal!=null)
					assy_uids[item_count]	=	intVal;
					item_count++;
					
					if(j==0)
					{
						Integer intRtgVal = Integer.parseInt(strRtgast_uids[i]);
						rtgast_uids[rtgast_checked_count] = intRtgVal;
						rtgast_checked_count++;
					}
				}
			}
		}
		
		this.purchaseManager.cancelPourchaseOrderLine(this.getThis_useruid(request), this.getThis_userid(request), assy_uids, item_count);

		RefreshRtgAstQuanPo( rtgast_uids, rtgast_checked_count);
		
       	menu_info.put("data", "ֹҿϷ");
    	menu_info.put("URL", "j_prch.html?menuId=j01");

    }
    
	private void addCart( Vector<String> result, HttpServletRequest request, String[] 	chkBox) {
		
		int intUnique_id;
		result.add("߰Ϸ");
		result.add("d_mtrl.html?menuId=d01");
		//List cartList = new ArrayList();
		
		int[] uid_array= new int[MAX_RECORD_QUAN];
		if(chkBox != null)
		{
			logger.info("all cartadd");
			logger.info(chkBox.length);
			int i=0;
			for(; i<chkBox.length; i++)
			{
				intUnique_id = Integer.parseInt(chkBox[i]);
				uid_array[i]=intUnique_id;
			}
			materialManager.addCart( this.getThis_user_name(request), this.getThis_userid(request), this.getThis_useruid(request), uid_array, i, this.getThis_combstuid(request));
		}
	}
	public void PrExcelFileDown(List list, HttpServletResponse response, HttpServletRequest request){
		
	    int j=1;
	    int size = list.size();
	    String[][] xpoast_array 		=  new String[size+1][50];
	    SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd");
	    
    	xpoast_array[0][0] 		= "ǰڵ";
    	xpoast_array[0][1] 		= "ֹȣ";
    	xpoast_array[0][2] 		= "԰ȣ";
    	xpoast_array[0][3] 		= "ǰ";
    	xpoast_array[0][4] 		= "԰";
    	xpoast_array[0][5] 		= "/";
    	xpoast_array[0][6] 		= "ó";
    	xpoast_array[0][7] 		= "";
    	xpoast_array[0][8] 		= "μ";
    	xpoast_array[0][9] 		= "޿";
    	xpoast_array[0][10] 	= "û";
    	xpoast_array[0][11] 	= "û";
    	xpoast_array[0][12] 	= "";
    	xpoast_array[0][13] 	= "ּ";
    	xpoast_array[0][14] 	= "";
    	xpoast_array[0][15] 	= "԰";
    	xpoast_array[0][16] 	= "û";
    	xpoast_array[0][17] 	= "μ";
    	xpoast_array[0][18] 	= "";
    	xpoast_array[0][19] 	= "ܰ";
    	xpoast_array[0][20] 	= "ֱݾ";
    	xpoast_array[0][21] 	= "԰";
    	xpoast_array[0][22] 	= "԰ݾ";
    	
	    for(Iterator i=list.iterator(); i.hasNext(); j++){
	    	
	    	Map xpoast 			= (Map)i.next();
	    	xpoast_array[j][0] 		= (String)xpoast.get("item_code");
	    	xpoast_array[j][1] 		= (String)xpoast.get("po_no");
	    	xpoast_array[j][2] 		= (String)xpoast.get("gr_no");
	    	xpoast_array[j][3] 		= (String)xpoast.get("item_name");
	    	xpoast_array[j][4] 		= (String)xpoast.get("specification");
	    	xpoast_array[j][5] 		= (String)xpoast.get("model_no");
	    	xpoast_array[j][6] 		= (String)xpoast.get("description");
	    	xpoast_array[j][7] 		= (String)xpoast.get("maker_name");
	    	xpoast_array[j][8] 		= (String)xpoast.get("dept_name");
	    	xpoast_array[j][9] 		= (String)xpoast.get("seller_name");
	    	xpoast_array[j][10] 	= dateFormat.format((Date)xpoast.get("pr_date"));
	    	xpoast_array[j][11] 	= Double.toString((Double)xpoast.get("pr_qty"));
	    	xpoast_array[j][12] 	= dateFormat.format((Date)xpoast.get("po_date"));
	    	xpoast_array[j][13] 	= Double.toString((Double)xpoast.get("po_qty"));
	    	xpoast_array[j][14] 	= dateFormat.format((Date)xpoast.get("req_delivery_date"));
	    	xpoast_array[j][15] 	= dateFormat.format((Date)xpoast.get("gr_date"));
	    	xpoast_array[j][16] 	= (String)xpoast.get("pr_name");
	    	xpoast_array[j][17] 	= (String)xpoast.get("receiver_name");
	    	xpoast_array[j][18] 	= (String)xpoast.get("mp_status");
	    	xpoast_array[j][19] 	= Double.toString((Double)xpoast.get("sales_price"));
	    	xpoast_array[j][20] 	= Double.toString((Double)xpoast.get("po_qty")*(Double)xpoast.get("sales_price"));
	    	xpoast_array[j][21] 	= Double.toString((Double)xpoast.get("gr_qty"));
	    	xpoast_array[j][22] 	= Double.toString((Double)xpoast.get("gr_qty")*(Double)xpoast.get("sales_price"));
	    	
	    	/*
	    	OrderTrack order 		= (OrderTrack)i.next();
	    	xpoast_array[j][0] 		= order.getItem_code();
	    	xpoast_array[j][1] 		= order.getItem_name();
	    	xpoast_array[j][2] 		= order.getDescription();
	    	xpoast_array[j][3] 		= order.getUnit_code();
	    	xpoast_array[j][4] 		= order.getCurrency();
	    	xpoast_array[j][5] 		= order.getDept_name();
	    	xpoast_array[j][6] 		= order.getSeller_name();
	    	xpoast_array[j][7] 		= dateFormat.format(order.getRtg_create_date());
	    	xpoast_array[j][8] 		= Double.toString(order.getQuan());
	    	xpoast_array[j][9] 		= dateFormat.format(order.getReq_date());
	    	xpoast_array[j][10] 	= order.getRcvr_name();
	    	xpoast_array[j][11] 	= order.getStatus();
	    	*/
	    }		
	
		ExcelFileController efc = null;
		efc = new ExcelFileController("excel-file");
		try {
			efc.doExcelFileDownload("excel-file", size, xpoast_array, response, request);
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}		
	}
	
	public void PoExcelFileDown(List list, HttpServletResponse response, HttpServletRequest request){
		
	    int j=0;
	    int size = list.size();
	    String[][] xpoast_array 		=  new String[size][this.MAX_RECORD_QUAN];
	    SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd");
	    
	    for(Iterator i=list.iterator(); i.hasNext(); j++){


	    	XpoAst xpoast 		= (XpoAst)i.next();
	    	xpoast_array[j][0] 		= xpoast.getItem_code();
	    	xpoast_array[j][1] 		= xpoast.getPo_no();
	    	xpoast_array[j][2] 		= xpoast.getItem_name();
	    	xpoast_array[j][3] 		= xpoast.getDescription();
	    	xpoast_array[j][4] 		= xpoast.getUnit_code();
	    	xpoast_array[j][5] 		= xpoast.getBuying_currency();
	    	xpoast_array[j][6] 		= xpoast.getDept_name();
	    	xpoast_array[j][7] 		= xpoast.getSeller_name();
	    	xpoast_array[j][8] 		= dateFormat.format(xpoast.getPr_date());
	    	xpoast_array[j][9] 		= Double.toString(xpoast.getPr_qty());
	    	xpoast_array[j][10] 	= dateFormat.format(xpoast.getPr_receive_date());
	    	xpoast_array[j][11] 	= Double.toString(xpoast.getSales_price());
	    	xpoast_array[j][12] 	= xpoast.getReceiver_name();
	    	xpoast_array[j][13] 	= xpoast.getMp_status();

	    }		
	
		ExcelFileController efc = null;
		efc = new ExcelFileController("excel-file");
		try {
			efc.doExcelFileDownload("excel-file", size, xpoast_array, response, request);
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}		
	}

	public void RefreshPr(HttpServletRequest request) {
		Integer[] 	pr_uids= 		new Integer[MAX_RECORD_QUAN];
		Integer pr_quan =	GetRequestUniqueIds(request, "hiddenBox", pr_uids);

		for(int i=0; i < pr_quan; i++)
		{
			purchaseManager.RefreshPrRtgastByPr(pr_uids[i]);
		}	

	}
	//RtgAst pr_uid list POڰ ϴ 
	public void receivePRList(HttpServletRequest request) {

		List<Integer> unique_list = new ArrayList<Integer>();
		Integer[] 	pr_uids= 		new Integer[MAX_RECORD_QUAN];
		Integer pr_quan =	GetRequestUniqueIds(request, "chkBox", pr_uids);

		for(int i=0; i < pr_quan; i++)
		{
				//purchaseManager.confirmPrReceiveByGroup(pr_uids[i]);
				unique_list.add(pr_uids[i]);
		}	
		purchaseManager.confirmPrReceiveByGroup(unique_list);
	}
	
	
	//PO īƮ /ݷ.
	public void deletePoCart(Vector<String> result, HttpServletRequest request) {

		result.add("ݷϷ");	
		result.add("j_prch.html?menuId=j15");
		
		Integer[] 	pr_uids= 		new Integer[MAX_RECORD_QUAN];
		Integer pr_quan =	GetRequestUniqueIds(request, "chkBox", pr_uids);
		Integer unique_id = -1;
		List<Integer> list = new ArrayList<Integer>();
		int user_uid = SessionSecurityManager.getThis_useruid(request);

		for(int i=0; i < pr_quan; i++){

			if(user_uid == pr_uids[i]){ //ڽ unique_id assymap unique_id  -> īƮ
				materialManager.deleteCart(unique_id,user_uid);
			}else{						//assymap status : DE, pr_user_uid : -1
				list.add(pr_uids[i]);
			}

		}	
		
		if(list.size()>0){
			purchaseManager.doPrDeny(list);
		}
	}
		
	//RtgAst pr_uid list POڰ ݷϴ°
	public void doPrDenyByGroup(HttpServletRequest request) {
		
		Integer[] 	pr_uids= 		new Integer[MAX_RECORD_QUAN];
		Integer pr_quan =	GetRequestUniqueIds(request, "chkBox", pr_uids);

		for(int i=0; i < pr_quan; i++)
		{
				purchaseManager.doPrDenyByGroup(pr_uids[i]);

		}	
	}
	
	private void SetProjectInfo(Map<String, Object> menu_info, int ac_uid) {
		Project project = this.getMaterialManager().getProject(ac_uid);
		if(project!=null) {
			menu_info.put("pj_code", project.getPj_code());
			menu_info.put("pj_name", project.getPj_name());
		}
		
	}
	
	//06.3.30  ȣ : poīƮ 
	private int editPurchangeRequestList(Map<String, Object> menu_info, Integer item_quan,
			Integer[] assy_uid, 		Double[] quans, Double[] sales_prices, Double[] source_prices,
			Integer[] rcvr_uid, 		String[] rcvr_name,
			String[]  req_flag, 		String[] req_info, 		Date[] req_date,
			String[]  del_info_flag, 	String[] delivery_info,
			String[]  rush_order_flag,	String creator
			)
	{
		List<AssyMap> itemList = new ArrayList<AssyMap>();
		List<Integer> assymap_uid_list = new ArrayList<Integer>();

		for(int i=0; i < item_quan; i++)
		{
			
			if(sales_prices[i] == null)
				sales_prices[i] = 0.0;
			if(source_prices[i] == null)
				source_prices[i] = 0.0;
			
			AssyMap assymap = new AssyMap();

			assymap.setUnique_id(assy_uid[i]);								//assyũ̵
			assymap.setQuan(quans[i]);
			assymap.setSales_price(sales_prices[i]);
			
			assymap.setRcvr_uid(rcvr_uid[i]);	//μ ̵
			assymap.setRcvr_name(rcvr_name[i]);
			if(rush_order_flag!=null && rush_order_flag[i]!=null)
				assymap.setRush_order_flag(rush_order_flag[i]);
			else
				assymap.setRush_order_flag("N");
			
			assymap.setReq_date(req_date[i]);
			
			if(req_flag!=null && req_flag[i]!=null)
				assymap.setReq_flag(req_flag[i]);
			else
				assymap.setReq_flag("Y");
			
			if(delivery_info!=null && delivery_info[i]!=null)
				assymap.setDelivery_info(delivery_info[i]);
			
			if(del_info_flag!=null && del_info_flag[i]!=null)
				assymap.setDel_info_flag(del_info_flag[i]);
			else
				assymap.setDel_info_flag("N");
			
			if(req_info!=null && req_info[i]!=null)
				assymap.setReq_info(req_info[i]);		

			itemList.add(assymap);
			assymap_uid_list.add(assymap.getUnique_id());
		}	
		materialManager.editPurchangeRequestList(itemList);
		
		// assymap po_uid, po_no
		//if (arg_type.equals("MN15")) {//׻ MN15̴.

		return addPurchangeOrder( menu_info, assymap_uid_list, creator);

	}
	

	
	//06.3.30  ȣ : poīƮ 
	private int addPurchangeOrder(Map<String, Object> menu_info, List assymap_uid_list, String creator)
	{
		// poڰ ֹ  ȭ бѴ.

		RtgAst rtgast = new RtgAst("O", -1);
		
		int    po_uid = rtgast.getUnique_id();
		String po_no  = rtgast.getPo_no();

		// po_uid, po_no ̸ Ų.
		purchaseManager.addTemporaryPurchageOrder(creator, po_uid, po_no, assymap_uid_list);
		
		menu_info.put("PrchConToRtngCon_po_uid", po_uid);
		menu_info.put("PrchConToRtngCon_po_no", po_no);
		menu_info.put("PrchConToRtngCon_rtg_type", "O");
		
		if (po_uid > 0) {
			menu_info.put("partlinelist", purchaseManager.getTemporaryPurchageOrderList(po_uid));
		}
		
		return po_uid;
	}

	private void CreateBlankRtgAstHidden(Map<String, Object> menu_info, HttpServletRequest request,
			String cood_del_info, String coord_key, Date req_delivery_date ) {
		
		//ۼȭ
		List myaprvinfo     = new Vector();				
		List<UsrAst> myaprvuserinfo = new Vector<UsrAst>();
		
		String strUserUidList = "";
		String ls_gubun     = "";
		
		myaprvinfo = this.GetMyAprvInfo(request);
		
		int user_uid = this.getThis_useruid(request);
		
		UsrAst usrast = new UsrAst();
		usrast = GetMyAprvUserInfo(user_uid);
		usrast.setGubun("W");
		myaprvuserinfo.add(usrast);
		
		strUserUidList = usrast.getUnique_id().toString();
		ls_gubun     = usrast.getGubun();
		
		for(Iterator i=myaprvinfo.iterator(); i.hasNext();) {
			RtgApp rtgapp = (RtgApp)i.next();
			
			usrast = null;
			
			usrast = GetMyAprvUserInfo(rtgapp.getUsrast_unique_id());
			usrast.setGubun(rtgapp.getGubun());				

			myaprvuserinfo.add(usrast);
			
			strUserUidList += "," + usrast.getUnique_id().toString();
			ls_gubun     += "," + usrast.getGubun();
		}
		
		if(coord_key==null || coord_key.length()==0)
			coord_key = "0";
		
		menu_info.put("getUnique_id", menu_info.get("PrchConToRtngCon_po_uid"));
		menu_info.put("getMyinfoByName", myaprvuserinfo);
		menu_info.put("getUniqueId", strUserUidList);
		menu_info.put("getGubun", ls_gubun);
		menu_info.put("cood_del_info", cood_del_info);
		menu_info.put("coord_key", coord_key);
		menu_info.put("hid_req_date", Date2String(req_delivery_date) );
	}
	
	
	private MtrlManager materialManager;
	private PrchManager purchaseManager;
	private RtngManager routingManager;
	private AdmnManager adminManager;
	private PtnrManager	partnerManager;
	
	public AdmnManager getAdminManager() {
		return adminManager;
	}

	public void setAdminManager(AdmnManager adminManager) {
		this.adminManager = adminManager;
	}

	public MtrlManager getMaterialManager() {
		return materialManager;
	}

	private List GetMyAprvInfo(HttpServletRequest request) {
		return routingManager.getMyApprvList(this.getThis_userid(request));
	}
	
	private UsrAst GetMyAprvUserInfo(int unique_id) {
		return adminManager.getById(unique_id);
	}
	
	public void setMaterialManager(MtrlManager materialManager) {
		this.materialManager = materialManager;
	}

	public PrchManager getPurchaseManager() {
		return purchaseManager;
	}

	public void setPurchaseManager(PrchManager purchaseManager) {
		this.purchaseManager = purchaseManager;
	}

	public RtngManager getRoutingManager() {
		return routingManager;
	}

	public void setRoutingManager(RtngManager routingManager) {
		this.routingManager = routingManager;
	}
	
	public final void afterPropertiesSet() throws Exception {
		if (menuManager == null) throw new BeanCreationException("Must set menuManager on PrchManagerController");
		if (materialManager == null) throw new BeanCreationException("Must be set materialManager on PrchManagerController");
		if (purchaseManager == null) throw new BeanCreationException("Must be set purchaseManager on PrchManagerController");
		if (routingManager == null) throw new BeanCreationException("Must be set routingManager on PrchManagerController");
		if (adminManager == null) throw new BeanCreationException("Must be set adminManager on PrchManagerController");
		if (partnerManager == null) throw new BeanCreationException("Must be set partnerManager on PrchManagerController");

		
	}

	public void DoPopupMenuProcess(HttpServletRequest request,HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		
	}

	public PtnrManager getPartnerManager() {
		return partnerManager;
	}

	public void setPartnerManager(PtnrManager partnerManager) {
		this.partnerManager = partnerManager;
	}
}
