package com.rfxsoft.justrfx.web.controller;

import java.util.Date;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanCreationException;

import com.rfxsoft.justrfx.business.a_rfml.RfmlManager;
import com.rfxsoft.justrfx.business.d_mtrl.MtrlManager;
import com.rfxsoft.justrfx.business.e_ptnr.PtnrManager;
import com.rfxsoft.justrfx.business.j_prch.PrchManager;
import com.rfxsoft.justrfx.domain.SupAst;

public class RfmlManagerController extends AbstractMenuTileController {

	//Data Split
	//k1park@paran.com<> / ,55CE00:1439563829:T
	private void SplitLine2Word(String line, String[] words) {
		String[] emails_and = line.split("<");
		words[0] = emails_and[0];
		String[] snames_and = emails_and[1].split(">");
		words[1] = snames_and[0];
		String[] and_uid = snames_and[1].split(":");
		words[2] = and_uid[1];
		words[3] = and_uid[2];
		String[] and_sup_code = and_uid[0].split(",");
		words[4] = and_sup_code[1];
		
	}
	private int GetRequestValue_05Add(HttpServletRequest request,
			String[] txt_name, String[] txt_content, Date[]	req_delivery_date,
			String[] delivery_address_1,
			Integer[] this_supast_uid, String[] this_supast_code, String[] sales_emails, String[] sales_names,
			String[] item_abst,
			Boolean[]	is_modified) {
		
		int supast_quan = -1;
		txt_name[0] = this.GetRequestString(request, "txt_name");
		txt_content[0] = this.GetRequestString(request, "txt_content");
		req_delivery_date[0] = this.GetRequestDate(request, "req_delivery_date");
		delivery_address_1[0] = this.GetRequestString(request, "delivery_address_1");
		item_abst[0] = this.GetRequestString(request, "item_abst");
		String supplier_info_list = this.GetRequestString(request, "supplier_info_list");
		
		String[] supplier_infos = supplier_info_list.split(";");
		supast_quan = supplier_infos.length;
		
		for(int i=0; i<supast_quan; i++) {
			String[] 	words	=	new String[5];
			SplitLine2Word(supplier_infos[i], words);
			sales_emails[i] = words[0];
			sales_names[i]	= words[1];
			this_supast_uid[i] = Integer.parseInt(words[2]);
			this_supast_code[i] = words[4];
			if(words[3].compareToIgnoreCase("T")==0)
			{
				is_modified[i] = Boolean.TRUE;
			}
			else
			{
				is_modified[i] = Boolean.FALSE;
			}
		}
		
		return supast_quan;
	}
	
	private int  GetRequestValue_05Add(HttpServletRequest request,
			Integer[] int_assy_uid/*1*/,		Double[] dbl_quantities/*2*/,
			Double[] dbl_sales_prices/*6*/		)
	{
		String[] assy_uids		= request.getParameterValues("chkBox");
		int item_quan = assy_uids.length;
		if(item_quan==0)
			return 0;

		//ó  ִ Item  100  ʴ´.
		if(item_quan>MAX_RECORD_QUAN)
			item_quan=MAX_RECORD_QUAN;
		
		//		¥ unique_id Ͽ ޴´.
//		String[] req_date 	= new String[item_quan];
		for(int i=0; i < item_quan; i++) {
			int_assy_uid[i]		=	Integer.parseInt(assy_uids[i]);			//<------------1
			dbl_sales_prices[i]	=	GetRequestDouble(request, assy_uids[i] + "_sales_prices" );			//<------------6
			dbl_quantities[i]	=	GetRequestDouble(request, assy_uids[i] + "_quantities" );		//<------------2
		}

		return item_quan;
	}
	public void RfmlProcess_05Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		Integer[] 	this_assy_uid = new Integer[MAX_RECORD_QUAN];
		Double[] 	this_quantities= 	new Double[MAX_RECORD_QUAN];
		Double[] 	this_sales_prices=	new Double[MAX_RECORD_QUAN];
		int item_quan = GetRequestValue_05Add(request, this_assy_uid, this_quantities, this_sales_prices);
		
		String[] 	txt_name	=	new String[1];
		String[] 	txt_content		=	new String[1];
		Date[] 		req_delivery_date	=	new Date[1];
		String[] 	delivery_address_1	=	new String[1];
		String[] 	item_abst	=	new String[1];
		Integer[] 	this_supast_uid = new Integer[MAX_RECORD_QUAN];
		String[] 	this_supast_code = new String[MAX_RECORD_QUAN];
		String[] 	sales_emails = new String[MAX_RECORD_QUAN];
		String[] 	sales_names  = new String[MAX_RECORD_QUAN];
		Boolean[]	is_modified	 = new Boolean[MAX_RECORD_QUAN];
		
		int supast_quan = GetRequestValue_05Add(request, txt_name, txt_content, req_delivery_date, delivery_address_1,
				this_supast_uid, this_supast_code, sales_emails, sales_names, item_abst, is_modified);
		
		// rtgast 
		Integer rtgast_uid = this.rfqmailManager.addRequest(this.getThis_userid(request),
				txt_name[0], txt_content[0], item_quan,
				item_abst[0], new Date(), req_delivery_date[0], this.getThis_wa_code(request), supast_quan, this.getThis_useruid(request)) ;
		
		// Ͽ rfqst insert
		this.rfqmailManager.doRfqListInsert(this.getThis_userid(request), this_assy_uid, item_quan, this_quantities, this_sales_prices, supast_quan, this_supast_uid, this_supast_code );
		//assymap rf_uid rtgast unique_id 
		this.rfqmailManager.sendRfqByAssyMapUniquId(rtgast_uid, this_assy_uid, item_quan);
		//rtgast deleted · μƮ  ٽ delete flag  󺹱
		this.rfqmailManager.checkRoutingState(rtgast_uid);
		
		
		for(int i=0; i<supast_quan; i++) { //	supast  update--Ǿ....

			if(is_modified[i]==true)
			{
				SupAst supast = partnerManager.getSupplierById(this_supast_uid[i]);
				if(supast!=null)
				{
					supast.setSales_person1_email_address(sales_emails[i]);
					supast.setSales_person1_name(sales_names[i]);
					this.partnerManager.modifySupplier(supast);
				}
			}
		}
		

		
		menu_info.put("data", "û  ϷǾϴ");
		menu_info.put("URL", "a_rfml.html?menuId=a05");	

	}
	public void DoMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) {

		switch(this.getMenuId()) {
		case MN05://ּۼ
			switch(this.getActivityName())
			{
				case ADD:
					RfmlProcess_05Add( request,  menuType, menu_info);
					break;
				
				case DELETE: 
					break;
				default :
					menu_info.put("pay_condition", "Ϳ  ");
					menu_info.put("delivery_address_1", this.getMasterCompany().getCompanyAddress());
					menu_info.put("company_name", this.getMasterCompany().getCompanyName());

					menu_info.put("cartList", materialManager.getCartList(this.getThis_useruid(request)) );
					break;
			}
			break;
		case MN06:
			switch(this.getActivityName())
			{
				case ADD:
					break;
				case DELETE:
					break;
				default:
					menu_info.put("RoutingBox", rfqmailManager.getSendedRequest(this.getThis_useruid(request)));					
					break;
			}
			break;
		
		}
		
		
	}

	public void DoPopupMenuProcess(HttpServletRequest request,HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		
	}

	public final void afterPropertiesSet() throws Exception {
		if (menuManager == null) throw new BeanCreationException("Must set menuManager on RfmlManagerController");
		if (materialManager == null) throw new BeanCreationException("Must be set materialManager on RfmlManagerController");
		if (rfqmailManager == null) throw new BeanCreationException("Must be set rfqmailManager on RfmlManagerController");
		if (purchaseManager == null) throw new BeanCreationException("Must be set purchaseManager on RfmlManagerController");
		if (partnerManager == null) throw new BeanCreationException("Must be set partnerManager on RfmlManagerController");

	}
	
	private MtrlManager materialManager;
	private RfmlManager rfqmailManager;
	private PrchManager purchaseManager;
	private PtnrManager partnerManager;
	
	/**
	 * @return the partnerManager
	 */
	public PtnrManager getPartnerManager() {
		return partnerManager;
	}
	/**
	 * @param partnerManager the partnerManager to set
	 */
	public void setPartnerManager(PtnrManager partnerManager) {
		this.partnerManager = partnerManager;
	}
	/**
	 * @return the purchaseManager
	 */
	public PrchManager getPurchaseManager() {
		return purchaseManager;
	}
	/**
	 * @param purchaseManager the purchaseManager to set
	 */
	public void setPurchaseManager(PrchManager purchaseManager) {
		this.purchaseManager = purchaseManager;
	}
	/**
	 * @return the rfqmailManager
	 */
	public RfmlManager getRfqmailManager() {
		return rfqmailManager;
	}
	/**
	 * @param rfqmailManager the rfqmailManager to set
	 */
	public void setRfqmailManager(RfmlManager rfqmailManager) {
		this.rfqmailManager = rfqmailManager;
	}
	public MtrlManager getMaterialManager() {
		return materialManager;
	}
	public void setMaterialManager(MtrlManager materialManager) {
		this.materialManager = materialManager;
	}
}
