package com.rfxsoft.justrfx.web.controller;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanCreationException;


import com.rfxsoft.justrfx.business.b_rtng.RtngManager;
import com.rfxsoft.justrfx.business.c_prjt.PrjtManager;
import com.rfxsoft.justrfx.business.d_mtrl.MtrlManager;
import com.rfxsoft.justrfx.business.f_admn.AdmnManager;
import com.rfxsoft.justrfx.business.j_prch.PrchManager;

import com.rfxsoft.justrfx.domain.PartLine;
import com.rfxsoft.justrfx.domain.Project;
import com.rfxsoft.justrfx.domain.Routing;
import com.rfxsoft.justrfx.domain.RtgApp;
import com.rfxsoft.justrfx.domain.RtgAst;
import com.rfxsoft.justrfx.domain.RtgWrk;
import com.rfxsoft.justrfx.domain.UsrAst;
import com.rfxsoft.justrfx.domain.command.JrServiceName;
import com.rfxsoft.justrfx.RtgType;


/**
 * @author k1park
 *
 */
public class RtngManagerController extends AbstractMenuTileController {
	
//============================ MAIN PROCESS ==============================
	
	
	
	
	public void transactRtngProcess_01Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		String[] file_f_name=new String[MAX_RECORD_QUAN];			Integer[] file_group_code=new Integer[MAX_RECORD_QUAN];
		String[] file_item_code=new String[MAX_RECORD_QUAN];			String[] file_size=new String[MAX_RECORD_QUAN];
		
		int file_length = 
			GetRequestValue_Fileinfo(request, file_f_name, file_group_code, file_item_code, file_size);
		
		int owner_quan=-1;		
		Integer[] routing_id	=	new Integer[1];
		Integer[] item_quan		=	new Integer[1];
		Integer[] po_uid		=	new Integer[1];
		Integer[] coord_key_uid	=	new Integer[1];
		
		
		String[] cood_del_info	= new String[1];
		String[] po_no			= new String[1];
		String[] head_name		= new String[1];
		String[] content		= new String[1];
		String[] item_abst		= new String[1];
		String[] rtg_type		= new String[1];
		
		Integer[] intArrOwner	= new Integer[MAX_RECORD_QUAN];
		Integer[] arrAssymap_uid= new Integer[MAX_RECORD_QUAN];
		String[] strArrRole		= new String[MAX_RECORD_QUAN];
		Date[] rtgast_req_date	= new Date[1];	

		owner_quan = GetRequestValue_01Add( 	request, routing_id,
				head_name,	content,	cood_del_info,	po_uid,
				po_no,	coord_key_uid,	item_quan,	intArrOwner,	strArrRole,
				arrAssymap_uid, rtgast_req_date, item_abst, rtg_type);
		
		//ſû 츸 
		Integer[] ac_uid_add	=	new Integer[MAX_RECORD_QUAN];
		Double[] quans_add		=	new Double[MAX_RECORD_QUAN];
		Date[] 	req_date_add	=	new Date[MAX_RECORD_QUAN];
		String[] req_info_add	=	new String[MAX_RECORD_QUAN];
		
		GetRequestValue_02Add( request, ac_uid_add, quans_add, req_info_add, req_date_add);

		addPurchaseOrder01(menu_info,
				routing_id[0], this.getThis_userid(request), this.getThis_useruid(request), head_name[0], content[0],
				item_quan[0],	cood_del_info[0], this.getThis_po_useruid(request), coord_key_uid[0],
				intArrOwner, strArrRole, owner_quan, arrAssymap_uid, new Date(), rtgast_req_date[0],
				rtg_type[0], ac_uid_add, quans_add, req_date_add, req_info_add,
				this.getThis_userid(request), this.getThis_user_name(request));
		
		if( file_length > 0)
			this.addFileInsert(this.getThis_userid(request), file_length, file_f_name,file_group_code, file_item_code);

	}
	
	public void RtngProcess_01Edit(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		Integer[] rtgast_uid	=	new Integer[1];
		String[] strRtg_type 	=	new String[1];
		String[] po_no			=	new String[1];
		
		GetRequestValue_01Edit(request, rtgast_uid, strRtg_type, po_no);
		SendRtgWrkDetailView(menu_info, this.getThis_userid(request),
				rtgast_uid[0],	strRtg_type[0], po_no[0]);

	}
	
	public void RtngProcess_01Delete(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		
		Integer[] rtgwrkUnique_id = new Integer[MAX_RECORD_QUAN];
		Integer item_quan = GetRequestValue_ChkBox(request, rtgwrkUnique_id);
		
		//routingManager.deleteOrderComplete("rtgwrk",chkBox);
		
		for(int i=0; i<item_quan; i++)
			routingManager.deleteRtgworkByUnique_id( rtgwrkUnique_id[i]);

	}
	

	public void transactRtngProcess_02Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) throws Exception {

		int owner_quan=-1;
		Integer[] routing_id	=	new Integer[1];
		Integer[] item_quan	=	new Integer[1];
		Integer[] po_uid	=	new Integer[1];
		Integer[] coord_key_uid	=	new Integer[1];

		String[] po_no			= new String[1];
		String[] cood_del_info	= new String[1];
		String[] head_name		= new String[1];
		String[] content		= new String[1];
		String[] item_abst		= new String[1];
		String[] rtg_type		= new String[1];
		
		Integer[] intArrOwner	= new Integer[MAX_RECORD_QUAN];
		Integer[] arrAssymap_uid= new Integer[MAX_RECORD_QUAN];
		String[] strArrRole		= new String[MAX_RECORD_QUAN];
		Date[] req_date_all			= new Date[1];
		
		owner_quan = GetRequestValue_01Add( 	request, routing_id,
				head_name,	content,	cood_del_info,	po_uid,
				po_no,	coord_key_uid,	item_quan,	intArrOwner,	strArrRole,
				arrAssymap_uid, req_date_all, item_abst, rtg_type);
		
		Integer pr_uid = addPurchageRequest(menu_info,
				routing_id[0], this.getThis_userid(request), this.getThis_useruid(request), head_name[0], content[0],
				item_quan[0],	cood_del_info[0], this.getThis_po_useruid(request), coord_key_uid[0],
				intArrOwner, strArrRole, owner_quan, arrAssymap_uid, new Date(), req_date_all[0], item_abst[0]);
		
		if( item_quan[0] > 0) { //÷  
			Integer[] ac_uid	=	new Integer[MAX_RECORD_QUAN];
			Double[] quans		=	new Double[MAX_RECORD_QUAN];
			Date[] 	req_date	=	new Date[MAX_RECORD_QUAN];
			String[] req_info	=	new String[MAX_RECORD_QUAN];
			
			GetRequestValue_02Add( request, ac_uid, quans, req_info, req_date);
			
			//pr_uid = -1; //
			
			addPurchageRequestPartline(menu_info, this.getThis_useruid(request), pr_uid,
						this.getThis_po_useruid(request), arrAssymap_uid, item_quan[0], quans, ac_uid, req_date, req_info,
						this.getThis_userid(request), this.getThis_user_name(request));
				
				menu_info.put("data", "ŵǾϴ.");
				menu_info.put("URL", "b_rtng.html?menuId=b03");

		}


	}

	public void RtngProcess_03Detail(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		// rtgast ⺻
		
		String[] strRtg_type	=	new String[1];
		Integer[] rtgast_uid	=	new Integer[1];
		GetRequestValue_03Detail( request, rtgast_uid, strRtg_type);
		SendRtgAstDetailView( menu_info,  strRtg_type[0],  rtgast_uid[0]);	//SendRtgAstDetailView(menu_info);
		getFileList(menu_info, rtgast_uid[0]);		//this.getFileList(menu_info);
	}
	
	public void RtngProcess_0506Detail(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		// rtgast ⺻
		Integer[] rtgast_uid	=	new Integer[1];
		String[] strRtg_type	=	new String[1];
		GetRequestValue_03Detail( request, rtgast_uid, strRtg_type);
		SendRtgAstDetailView( menu_info, strRtg_type[0], rtgast_uid[0]);
		getFileList(menu_info, rtgast_uid[0]);
	}

	//
	public void transactRtngProcess_03Edit(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		Integer[] rtgast_uid	=	new Integer[1];
		String[] strRtg_type=new String[1];
		
		GetRequestValue_03Detail( request, rtgast_uid, strRtg_type);
		// rtgwrk ͸  (ڱ Կ  )
		
		
		routingManager.delSendedRoutingBox(rtgast_uid[0]);	
		
		List<Integer> unique_id_list = new ArrayList<Integer>();
		unique_id_list.add(rtgast_uid[0]);
		
		Map<String, Object> cond = new HashMap<String, Object>();
		
		// rtgast ¸ (F) ǥ
		cond.put("state", "F");
		cond.put("unique_id_list",unique_id_list);
		
		routingManager.changeSendedRoutingState(cond);
		
		//縦  īƮ  Ѵ.
		//  State CR ٲ۴. ̶  繮
		//  .
		String restore_item = this.GetRequestString(request, "restore_item");
		if(restore_item.compareToIgnoreCase("true")==0)
		{
			Integer[] unique_ids = new Integer[MAX_RECORD_QUAN];
			Integer item_quan = GetRequestValue_ChkBox(request, unique_ids);
			String strRtgType = this.GetRequestString(request, "hid_rtg_type");
			
			if(item_quan>0)
			{
				materialManager.restoreCartByAssyMapUniquId(this.getThis_useruid(request), unique_ids, item_quan, strRtgType);
			}
			
		}
		
		menu_info.put("data", " Ǿϴ.");
		menu_info.put("URL", "b_rtng.html?menuId=b03");
		
	}
	
	public void RtngProcess_03Listall(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		Map<String, Comparable> cond = new HashMap<String, Comparable>();
		
		cond.put("role", "W");
		cond.put("owner", this.getThis_useruid(request));
		//cond.put("rtg_type", "O");
		cond.put("user_id", this.getThis_userid(request));	
		cond.put("rtgwrk_delete_flag", "N");
		
		menu_info.put("getSendedRoutingBox", routingManager.getSendedRoutingBox(cond));	
	}
	
	public void RtngProcess_04Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		//ϴ ޼ҵ ?
		/*
		savePurchaseOrder();
		savePurchaseRequest();
		addGeneralRouting();
		*/
	}

	public void RtngProcess_04Delete(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		Integer[] routing_ids = new Integer[MAX_RECORD_QUAN];
		GetRequestValue_ChkBox(request, routing_ids);
		
		//routingManager.deleteOrderComplete("rtgast",chkBox);
		routingManager.deleteRtgworkByRtgast_id(routing_ids[0]);
		
		menu_info.put("data", " Ǿϴ.");
		menu_info.put("URL", "b_rtng.html?menuId=b04");	
		
	}
	
	public void RtngProcess_04Listall(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		Map<String, String> cond = new HashMap<String, String>();
			
		cond.put("user_id", this.getThis_userid(request));
		cond.put("state", "P");
		
		menu_info.put("getReservedRoutingBox", routingManager.getReservedRoutingBox(cond));

	}
	
	public void transactRtngProcess_17Add(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		Integer[] po_uid=	new Integer[1];
		Integer[] pr_uid=	new Integer[1];
		Integer[] requester_po_user_uid = new Integer[1];
		String[] content=	new String[1];
		String[] rtg_type=	new String[1];
		String[] pj_code=	new String[1];
		GetRequestValue_17Add(request, pr_uid, po_uid, content, rtg_type, requester_po_user_uid, pj_code);

		if(po_uid[0]<0) {
			menu_info.put("data", "po_uid[0] 0 ۽ϴ.");
			menu_info.put("URL", "b_rtng.html?menuId=b05");	
			
			return;
		}
		
		int is_last_checker = routingManager.isLastChecker(po_uid[0]);
		
		if(is_last_checker<0) {
			menu_info.put("data", "po_uid[0] ˼  Դϴ.");
			return;
		}
		
		else if(is_last_checker>0) {//  
			if(rtg_type[0].compareToIgnoreCase("R")==0) {//ſû̸
				materialManager.confirmPurchageRequestList(pr_uid[0], requester_po_user_uid[0] );
				routingManager.doApprove(po_uid[0], content[0], true,
						this.getThis_userid(request), this.getThis_user_name(request), new Date());
			}
			else if(rtg_type[0].compareToIgnoreCase("O")==0) {//̸ֻ
				purchaseManager.confirmPurchageOrderList(po_uid[0], this.getThis_userid(request) );
				routingManager.doApprove(po_uid[0], content[0], true,
						this.getThis_userid(request), this.getThis_user_name(request), new Date());
				Double prchPrice = purchaseManager.getPurchaseCostByPjCode(pj_code[0]);
				projectManager.setPurchaseCost(pj_code[0], prchPrice);
			}
			else {//Ϲ 
				routingManager.doApprove(po_uid[0], content[0], true,
						this.getThis_userid(request), this.getThis_user_name(request), new Date());

			}
			
		}
		else { // 簡 ƴ 
			routingManager.doApprove(po_uid[0], content[0], true,
					this.getThis_userid(request), this.getThis_user_name(request), new Date());
		}
		
		menu_info.put("data", "εǾϴ.");
		menu_info.put("URL", "b_rtng.html?menuId=b05");		

	}
	
	public void RtngProcess_17Delete(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		Integer[] po_uid=	new Integer[1];
		Integer[] pr_uid=	new Integer[1];
		Integer[] requester_po_user_uid = new Integer[1];
		String[] content=	new String[1];
		String[] rtg_type=	new String[1];
		String[] pj_code=	new String[1];
		GetRequestValue_17Add(request, pr_uid, po_uid, content, rtg_type, requester_po_user_uid, pj_code);
		
		routingManager.doApprove(po_uid[0], content[0], false,
				this.getThis_userid(request), this.getThis_user_name(request), new Date());
		
		
		Integer[] unique_ids = new Integer[MAX_RECORD_QUAN];
		Integer item_quan = GetRequestValue_ChkBox(request, unique_ids);
		String strRtgType = this.GetRequestString(request, "hid_rtg_type");
		
		if(item_quan>0)
		{
			materialManager.restoreCartToRequesterByAssyMapUniquId(unique_ids, item_quan, strRtgType);
		}
		
		menu_info.put("data", "ݷǾϴ.");
		menu_info.put("URL", "b_rtng.html?menuId=b05");			
	}

	private void RtngProcess_17Default(HttpServletRequest request, String menuType, Map<String, Object> menu_info, boolean do_submit) {

		Integer rtgast_uid = this.GetRequestInteger(request, "rtgast_uid");
		
		if(rtgast_uid != 0) {
			RtgAst rtgast = routingManager.getRtgAstById(rtgast_uid);
			List<RtgAst> rtgastList = new ArrayList<RtgAst>();
			rtgastList.add(rtgast);
			List rtgwrkList = routingManager.getRtgWrkApprvList(rtgast_uid);
			menu_info.put("rtgastinfo", rtgastList);
			menu_info.put("rtgwrkList", rtgwrkList);
			
			if(rtgast.getRtg_type().compareToIgnoreCase("G")!= 0) {
				List partlinelist = purchaseManager.getSendApprPurchageOrderList(rtgast_uid);
				menu_info.put("partlinelist", partlinelist);
			}//end-of-if
			
			menu_info.put("po_no", rtgast.getPo_no());
			menu_info.put("po_uid", rtgast.getUnique_id());

		}//end-of-if

		
		if(do_submit) {// Action
			menu_info.put("do_submit", "true");
		}
	}
	
	private void RtngProcess_07Detail(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {

		String[] strRtg_type	= new String[1];
		Integer[] rtgast_uid		=	new Integer[1];
		GetRequestValue_03Detail( request, rtgast_uid, strRtg_type);
		SendRtgAstDetailView( menu_info,  strRtg_type[0],  rtgast_uid[0]);	//SendRtgAstDetailView(menu_info);
		getFileList(menu_info, rtgast_uid[0]);		//this.getFileList(menu_info);
	}
	
	private void RtngProcess_07Delete(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		Integer[] rtgwrkUnique_id= new Integer[MAX_RECORD_QUAN];
		GetRequestValue_ChkBox(request, rtgwrkUnique_id);
		
		//routingManager.deleteOrderComplete("rtgwrk",chkBox);
		routingManager.deleteRtgworkByUnique_id( rtgwrkUnique_id[0]);

		menu_info.put("data", " Ǿϴ.");
		menu_info.put("URL", "b_rtng.html?menuId=b07");	

	}
	
	private void RtngProcess_07Listall(HttpServletRequest request, String menuType, Map<String, Object> menu_info) {
		Map<String, Comparable> cond = new HashMap<String, Comparable>();

		cond.put("role", "I");
		cond.put("owner", this.getThis_useruid(request));
		//cond.put("rtg_type", "O");
		cond.put("state", "A");
		cond.put("rtgwrk_delete_flag", "N");
		
		menu_info.put("getTongboBox", routingManager.getTongboBox(cond));
	}


	
	
	//================== GET REQUEST VALUE FUNCTIONs ==============================
	public int GetRequestValue_Fileinfo(HttpServletRequest request,
			String[] file_f_name,
			Integer[] file_group_code,
			String[] file_item_code,
			String[] file_f_size) {
		
		// Ķ.
		String[] file_group_code_temp = request.getParameterValues("file_group_code");
		String[] file_item_code_temp = request.getParameterValues("file_item_code");
		String[] file_f_name_temp = request.getParameterValues("file_f_name");
		String[] file_f_size_temp = request.getParameterValues("file_f_size");
		
		
		int ret_val = this.copyArrStr2Int(file_group_code_temp, file_group_code);
		this.copyArrStr2Str(file_item_code_temp, file_item_code);
		this.copyArrStr2Str(file_f_name_temp, file_f_name);
		this.copyArrStr2Str(file_f_size_temp, file_f_size);
		
		if(ret_val > 0){
			return ret_val;
		}
		return 0;
	}
	
	/*return value: owner_quan*/
	public int GetRequestValue_01Add( 	HttpServletRequest request,
			/*1*/Integer[] routing_id,
			/*2*/String[] name,
			/*3*/String[] content,
			/*4*/String[] cood_del_info,
			/*5*/Integer[] po_uid,
			/*6*/String[] po_no,
			/*7*/Integer[] coord_key_uid,
			/*8*/Integer[] item_quan,
			/*9*/Integer[] intArrOwner,
			/*10*/String[] strArrRole,
			/*11*/Integer[] arrAssymap_uid,
			/*12*/Date[] req_date,
			/*13*/String[]	item_abst,
			/*14*/String[]  rtg_type) {

		int owner_quan = 0;//return value;
		/*1*/routing_id[0] 	= this.GetRequestInteger(request, "unique_id");
		/*2*/name[0]			= this.GetRequestString(request, "txt_name");		// 
		/*3*/content[0]        = this.GetRequestString(request, "txt_content"); 	// 系
		/*4*/cood_del_info[0]  = this.GetRequestString(request, "cood_del_info"); 
		/*5*/po_uid[0]       	= this.GetRequestInteger(request, "hid_po_uid");	//PO uid
		/*6*/po_no[0]          = this.GetRequestString(request, "hid_po_no");  	//ֹ po_no
		/*7*/coord_key_uid[0]  = this.GetRequestInteger(request, "coord_key");
		/*12*/req_date[0]  = this.GetRequestDate(request, "hid_req_date");
		/*4*/item_abst[0]  = this.GetRequestString(request, "txt_item_abst");
		/*4*/rtg_type[0]  = this.GetRequestString(request, "hid_rtg_type");
		
																      	
		String[] chkBox     = request.getParameterValues("chkBox");
		if(chkBox==null)
			/*8*/item_quan[0] = 0;
		else
			/*8*/item_quan[0]   = chkBox.length;
		
		for(int i=0; i<item_quan[0]; i++) {
			/*11*/arrAssymap_uid[i] = Integer.parseInt(chkBox[i] );
		}
		

		String owner_str = request.getParameter("hid_userlist");
		if(owner_str != null) {
			String[] ownerArr       = owner_str.split(",");  	// ///뺸  
			owner_quan   = ownerArr.length;          			// ܰ (뺸, )
			/*9*/copyArrStr2Int(ownerArr, intArrOwner);

		}
		
		String role_str = request.getParameter("hid_userlist_role");
		if(role_str != null){
			String[] tempArrRole        = role_str.split(",");   	// ///뺸 а
			/*10*/copyArrStr2Str(tempArrRole, strArrRole);
		}

		return owner_quan;
	}
	
	private void GetRequestValue_03Detail( HttpServletRequest request,
			Integer[] rtgast_uid,
			String[] rtg_type) {
		rtgast_uid[0] = this.GetRequestInteger(request, "hid_submit_unique_id");		
		rtg_type[0] = this.GetRequestString(request, "hid_rtg_type");

	}
	
	private void GetRequestValue_01Edit(HttpServletRequest request,
			Integer[] rtgast_uid,
			String[] rtg_type,
			String[] po_no) {
		
		rtgast_uid[0] = this.GetRequestInteger(request, "rtgast_uid");
		rtg_type[0]   = this.GetRequestString(request, "hid_rtg_type");
		po_no[0]           = request.getParameter("hid_po_no");
	}

	
	private void GetRequestValue_02Add( HttpServletRequest request,
			/*1*/Integer[] ac_uid,
			/*2*/Double[] quans,
			/*3*/String[] req_info,
			/*4*/Date[] req_date
			) {
		
		String[] chkBox     	= request.getParameterValues("chkBox");

		int item_quan =0;
		if(chkBox==null)
			return;//߻   ̴.item_quan  0 Ŭ  Լ Ҹ. 
		
		item_quan   = chkBox.length;

		for(int i=0; i < item_quan; i++) {
			
			String ac_uid_param = chkBox[i] + "_ac_uid";
			String quans_param = chkBox[i] + "_quans";
			String req_date_param = chkBox[i] + "_req_date";
			String req_info_param = chkBox[i] + "_req_info";
			
			ac_uid[i] = this.GetRequestInteger(request, ac_uid_param);
			quans[i] = this.GetRequestDouble(request, quans_param);
			req_date[i] = this.GetRequestDate(request, req_date_param);
			req_info[i] = this.GetRequestString(request, req_info_param);
		}

	}
	
	
	
	private void GetRequestValue_17Add(HttpServletRequest request,
			Integer[] pr_uid,
			Integer[] po_uid,
			String[] content, String[] rtgType,
			Integer[] requester_po_user_uid,
			String[] pj_code) {
		
		po_uid[0] 		= this.GetRequestInteger(request, 	"hid_po_uid");
		pr_uid[0] 		= this.GetRequestInteger(request, 	"hid_pr_uid");
		content[0]   	= this.GetRequestString(request, 	"txt_content");
		rtgType[0]   	= this.GetRequestString(request, 	"hid_rtg_type");
		requester_po_user_uid[0] = this.GetRequestInteger(request, 	"requester_po_user_uid");
		pj_code[0] 		=  this.GetRequestString(request, 	"pj_code");
	
	}
	
	private void SetProjectInfo(Map<String, Object> menu_info, PartLine partline) {
		Project project = this.getMaterialManager().getProject(partline.getAc_uid());
		if(project!=null) {
			menu_info.put("pj_code", project.getPj_code());
			menu_info.put("pj_name", project.getPj_name());
		}
		
	}
	//========================== DO-MENU-PROCESS ==========================

	public void DoMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) throws Exception {

		//ε   Ÿ ...
		if (this.getServiceName() != JrServiceName.B_RTNG) {
			logger.info("B_RTNG     Դϴ.");
			return;
		}
		   
		switch(this.getMenuId()) {
		case MN01://ۼ
			switch(this.getActivityName())	{
				case ADD: //Է
					transactRtngProcess_01Add(request, menuType, menu_info);
					break;
				case EDIT: // ҷ
					RtngProcess_01Edit(request, menuType, menu_info);
					break;
					
				case FORM:
				default:
					CreateBlankRtgAst(menu_info, this.getThis_userid(request), this.getThis_useruid(request), "G");
					menu_info.put("PrchConToRtngCon_rtg_type", "G");
					break;
			}	
			break;

		case MN02://ſû ۼ
			switch(this.getActivityName()){
			case ADD:
				transactRtngProcess_02Add(request, menuType, menu_info);
				break;
			case FORM: //Է
			default:
				CreateBlankRtgAst(menu_info, this.getThis_userid(request), this.getThis_useruid(request), "R");
				List partList = materialManager.getCartList(this.getThis_useruid(request) );
				menu_info.put("partlinelist",  partList);
				menu_info.put("PrchConToRtngCon_rtg_type", "R");
				if(partList!=null && partList.size()>0) {
					SetProjectInfo(menu_info, (PartLine)partList.get(0));
				}
				break;
			}
			break;
		
		case MN03://  (ſû )
			switch(this.getActivityName()) {
			case DETAIL: // ,̰,,뺸 ȭ  ,ݷ
				RtngProcess_03Detail(request, menuType, menu_info);
				break;
			case EDIT: 
				// 
				//rtgwrk ڸ   .
				//rtgast state F .
				//° I  Ұ ϴ.
				transactRtngProcess_03Edit(request, menuType, menu_info);
				break;		
			case DELETE: //  
				RtngProcess_01Delete(request, menuType, menu_info);
				
				menu_info.put("data", " Ǿϴ.");
				menu_info.put("URL", "b_rtng.html?menuId=b03");		
				break;
			case LISTALL:
			default: //  
				RtngProcess_03Listall(request, menuType, menu_info);
				break;
			}
			break;
			
		case MN08://ſû
			menu_info.put("getSendedRoutingBox", routingManager.getSendedRoutingBoxOnlyPR(this.getThis_userid(request)));	
			break;
		
		case MN04://
			switch(this.getActivityName()){
			case ADD:
				RtngProcess_04Add(request, menuType, menu_info);
				break;
			case DELETE:
				RtngProcess_04Delete(request, menuType, menu_info);
				break;
			case LISTALL:
			default:
				RtngProcess_04Listall(request, menuType, menu_info);
				break;
			}
			break;
		case MN05://̰

			switch(this.getActivityName()){
			case DETAIL: // ,̰,,뺸 ȭ  ,ݷ
				RtngProcess_0506Detail(request, menuType, menu_info);
				break;
			case ADD: //  -->MN17
				break;				
			case DELETE: // ݷ-->MN17
				break;
			case LISTALL:
			default: // ̰ 
				menu_info.put("RoutingBox", routingManager.getNotconcludedBox(this.getThis_useruid(request)));
				break;
			}

			break;
		case MN06://
			switch(this.getActivityName()){
				case DETAIL: // ,̰,,뺸 ȭ  ,ݷ
					RtngProcess_0506Detail(request, menuType, menu_info);

					break;
				case DELETE: //  
					RtngProcess_01Delete(request, menuType, menu_info);
					
					menu_info.put("data", " Ǿϴ.");
					menu_info.put("URL", "b_rtng.html?menuId=b06");		
					break;
				case LISTALL:
				default: //  
					menu_info.put("RoutingBox", routingManager.getConcludedBox(this.getThis_useruid(request)));
					break;
			}
			break;
						

		case MN17:// /ݷ ȭ
			switch(this.getActivityName()){
				case ADD: //
					transactRtngProcess_17Add(request, menuType, menu_info);
					break;				
				case DELETE: // ݷ
					RtngProcess_17Delete(request, menuType, menu_info);
					break;
				case DETAIL://View Only
					RtngProcess_17Default(request, menuType, menu_info, false);
					break;
				case FORM:
				default: // /ݷ ȭ
					RtngProcess_17Default(request, menuType, menu_info, true);
					break;
			}//end-of-case
			break;
		case MN07://뺸
			switch(this.getActivityName()){
			case DETAIL: // ,̰,,뺸 ȭ  ,ݷ
				RtngProcess_07Detail(request, menuType, menu_info);
				break;
			case DELETE: //  
				RtngProcess_07Delete(request, menuType, menu_info);
				break;
			case LISTALL:
			default: // 뺸 
				RtngProcess_07Listall(request, menuType, menu_info);
				break;
			}
			break;
		/*
		case MN30://ۼ
			switch(this.getActivityName()){
			case ADD: //Է
				AddRtgAst30(menu_info, request);

				break;

			default:

				break;
			}
			break;
			*/
		case MN40://ݷ
			this.editRtgD(menu_info);
			break;		
		case MN41://ýۻ
			this.editRtgS(menu_info);
			break;				
		default:
			logger.info("    Դϴ.");
			return;			
		}			
	}

	
	//-------------------------------------Լ  ------------------------------
	
	
	private void SendRtgAstDetailView(Map<String, Object> menu_info, String strRtg_type, Integer rtgast_uid) {
		// ŵ 뺸
		List list = routingManager.getSendDetailView(rtgast_uid);
		menu_info.put("getRtgAst_RtgWrk_list", list);
		
		Iterator i=list.iterator();
		Routing routing = (Routing)i.next();
		if(routing.getState().equalsIgnoreCase("I")){ //簡  ʾ(rtgast stateI). ҹư .
			menu_info.put("button_value", "Y");
		}
		
		// 系 
		if (strRtg_type.equals("O") ) {
			menu_info.put("partlinelist", purchaseManager.getSendApprPurchageOrderList(rtgast_uid));
		}
		else if ( strRtg_type.equals("R") ) {
			menu_info.put("partlinelist", purchaseManager.getPrDetail(rtgast_uid) );
		}
		
		//PO ϱ  ʿ .
		RtgAst rtgast = routingManager.getRtgAstById(rtgast_uid);
		menu_info.put("po_no", rtgast.getPo_no());
		menu_info.put("po_uid", rtgast.getUnique_id());
		menu_info.put("cood_del_info", rtgast.getItem_abst());
		menu_info.put("rtg_type", strRtg_type);
		
	}
	

	//ϱ.
	private void addFileInsert(String this_user_id, int file_length, String[] file_f_name,Integer[] file_group_code,String[] file_item_code){
		//parameter : ̵,ϰ, ϸ, ׷ڵ, ũڵ(=ڵ)
		routingManager.addFileInsert(this_user_id, file_length, file_f_name, file_group_code, file_item_code);

	}
	
	//ϸƮ.
	private void getFileList(Map<String, Object> menu_info, Integer rtgast_uid){
		menu_info.put("fileList",routingManager.getFileList(rtgast_uid));	
	}
	
	
	/*
	private RtgAst NewRtgAst4PR(String head_name, String content, String user_id,  Integer po_user_uid,
			Integer item_quan, String item_abst) {		
		RtgAst rtgast = this.getRoutingManager().NewRtgAst(-1, user_id, head_name, content,
				"I", item_quan, item_abst, -1,
				"", "R", po_user_uid, 0, new Date(), new Date());
		return rtgast;		
	}
	*/
	
	private void CreateBlankRtgAst(Map<String, Object> menu_info, String user_id, int user_uid, String rtg_type) {
		
		RtgAst rtgast = this.getRoutingManager().NewRtgAst(-1, user_id, "", "",
				"I", 0, "", rtg_type, -1, 0, new Date(), new Date());
		
		
		//ۼȭ
		menu_info.put("getUnique_id", rtgast.getUnique_id().toString());
		List myaprvinfo     = new Vector();				
		List<UsrAst> myaprvuserinfo = new Vector<UsrAst>();
		
		String strUnique_id = "";
		String strGubun     = "";
		
		myaprvinfo = this.GetMyAprvInfo(user_id);
		
		UsrAst usrast = new UsrAst();
		usrast = GetMyAprvUserInfo(user_uid);
		usrast.setGubun("W");
		myaprvuserinfo.add(usrast);
		
		strUnique_id = usrast.getUnique_id().toString();
		strGubun     = usrast.getGubun();
		
		for(Iterator i=myaprvinfo.iterator(); i.hasNext();) {
			RtgApp rtgapp = (RtgApp)i.next();
			
			usrast = null;
			
			usrast = GetMyAprvUserInfo(rtgapp.getUsrast_unique_id());
			usrast.setGubun(rtgapp.getGubun());				

			myaprvuserinfo.add(usrast);
			
			strUnique_id += "," + usrast.getUnique_id().toString();
			strGubun     += "," + usrast.getGubun();
		}

		menu_info.put("getMyinfoByName", myaprvuserinfo);
		menu_info.put("getUniqueId", strUnique_id);
		menu_info.put("getGubun", strGubun);
	}	

	
	// ۼ  Ÿ ִ.
	// Ϲ : addGeneralRouting();
	// ſû: addPurchageRequest();
	// ֹ: addPurchaseOrder();


	//
	@SuppressWarnings("unused")
	private void savePurchaseOrder(Map<String, Object> menu_info,
			Integer routing_id, String user_id, Integer user_uid, String head_name, String content,
			Integer item_quan,	String cood_del_info, Integer po_uid, String po_no, Integer po_user_uid, Integer coord_key_uid,
			Integer[] intArrOwner, String[] strArrRole, int owner_quan, Integer[] arrAssymap_uid ) {
		
	}
	
	private int getWorkQuan(String[] strArrRole, int owner_quan) {
		int work_quan = 0;
		for (int i=0; i<owner_quan; i++) {
			if (strArrRole[i].equals("I")==false) {	//뺸 work_quan 			
				work_quan++;
			}
		}
		// work_quan ڸ  / (뺸ڴ )
		return work_quan;
	}
	
	/*
	 * return work_cursor
	 */
	private Integer AddRtgWrk(RtgAst rtgast, Integer[] intArrOwner, String[] strArrRole, int owner_quan, String user_id ) {
		
		Integer routing_id = rtgast.getUnique_id();
	    Integer work_cursor = -1;
	    int intSerial = 1;
	    //ο  ܰ 
		for (int i=0; i<owner_quan; i++) {
			RtgWrk wrk = new RtgWrk();
			wrk.setOwner(intArrOwner[i]);
			wrk.setRole(strArrRole[i]);
			wrk.setRouting_id(routing_id);
			
			if (strArrRole[i].equals("I")) {	//뺸 work_quan 			
				wrk.setSerial(999999999);
			}else{
				wrk.setSerial(intSerial);
				intSerial++;
			}
							
			//i==0̸ ݵ .
			if (i == 0) {
				wrk.setSubmit_date(new Date());//Ͻð Ͻðȴ.
				//ڴ 簡 Ȼ̹Ƿ "Y"  Կ ȳϱ
				//"P" .
				wrk.setResult("P");
			}
			else if (i == 1) {
				work_cursor = wrk.getUnique_id();
				wrk.setSubmit_date(String2Date("2001/01/01"));
				wrk.setResult("P");//
			}else{
				wrk.setSubmit_date(String2Date("2001/01/01"));
				wrk.setResult("P");//
			}
			
			if (wrk == null) continue;
			
			routingManager.addRtgwrk(user_id, wrk);


		}
		// work_quan ڸ  / (뺸ڴ )
		//return work_quan; getWorkQuan Լ 
		// work_quan rtgast ϱ ε..  ٲپ transactionϴ  
		
		return work_cursor;
	}
	
	// ۼ
	private void addPurchaseOrder01(Map<String, Object> menu_info,
			Integer routing_id, String user_id, Integer user_uid, String head_name, String content,
			Integer item_quan,	String cood_del_info, Integer po_user_uid, Integer coord_key_uid,
			Integer[] intArrOwner, String[] strArrRole, int owner_quan, Integer[] arrAssymap_uid, Date aprv_date, Date req_date,
			String rtg_type,
			Integer[] ac_uid_add, Double[] quans_add, Date[] req_date_add, String[] req_info_add,
			String changer, String rcvr_name) {

		RtgAst	rtgast = this.getRoutingManager().NewRtgAst( routing_id, user_id, head_name, content,
			"I", item_quan, cood_del_info, rtg_type, po_user_uid, coord_key_uid, aprv_date, req_date );

	    //RtgWrk ߰
	    int work_quan = this.getWorkQuan(strArrRole, owner_quan);
	    rtgast.setWork_quan(work_quan);

		rtgast.setPo_type("MN");
		routingManager.modifyRouting(user_id, rtgast, user_uid, po_user_uid);

			
		if (rtgast.getState().equals("I")) {
			menu_info.put("data", "ŵǾϴ.");
			menu_info.put("URL", "b_rtng.html?menuId=b03");
		}else if (rtgast.getState().equals("P")){
			menu_info.put("data", "Ǿϴ.");
			menu_info.put("URL", "b_rtng.html?menuId=b04");
		}
		
		Integer po_uid = rtgast.getUnique_id();
		String po_no = rtgast.getPo_no();
		
		// ô 
		if (rtgast.getState().equals("I") && po_uid > 0) {//  &&  簡 ...

			RtgType rtgType = rtgast.getRtg_type_enum();
			
			switch(rtgType) {
			case OR:
				purchaseManager.addPurchageOrder(po_uid, po_no, arrAssymap_uid, item_quan);
				break;
			/*
			case PR:
				addPurchageRequestPartline(menu_info, user_uid, po_uid,
						po_user_uid, arrAssymap_uid, item_quan, quans_add, ac_uid_add, req_date_add, req_info_add,
						changer, rcvr_name);
				break;
			*/
			default:
				break;
			}
			
		}
		
		Integer work_cursor = AddRtgWrk(rtgast, intArrOwner, strArrRole,  owner_quan , user_id);
		routingManager.setWorkCursor(rtgast.getUnique_id(), work_cursor);
		
	}

	private void editRtgD(Map<String, Object> menu_info){
		this.routingManager.editRtgD();
		menu_info.put("data", "Ǿϴ.");
		menu_info.put("URL", "j_prch.html?menuId=j26");		 
	}

	private void editRtgS(Map<String, Object> menu_info){
		this.routingManager.editRtgS();
		menu_info.put("data", "Ǿϴ");
		menu_info.put("URL", "j_prch.html?menuId=j26");		 
	}
	
	// ſû ۼ ö  ó
	private Integer addPurchageRequest(Map<String, Object> menu_info,
			Integer routing_id, String user_id, Integer user_uid, String head_name, String content,
			Integer item_quan,	String cood_del_info, Integer po_user_uid, Integer coord_key_uid,
			Integer[] intArrOwner, String[] strArrRole, int owner_quan, Integer[] arrAssymap_uid ,
			Date aprv_date, Date req_date, String item_abst) {
		

		//̹ ϵ RtgAst ã´.
		RtgAst rtgast = routingManager.getselectuid("rtgast",routing_id);
		boolean isExist = false;
		if(rtgast != null) //Կ ִ  Orderingϴ ̴.
			isExist = true;
		
		//ó/϶ rtgast state  ƹ  ѹ̶ /̵Ǿ state:P,I Ǿִ.
	    if(isExist){ //Կ /϶.   RtgWrk 		//rtgwrk .
	    	routingManager.deleteRtgworkByRtgast_id(routing_id);
	    } else { //ƴϸ  
	    	rtgast = this.getRoutingManager().NewRtgAst( routing_id, user_id, head_name, content,
			"I", item_quan, /*cood_del_info:PO*/item_abst, "R", po_user_uid, coord_key_uid, aprv_date, req_date);
	    }
	    int work_quan = this.getWorkQuan(strArrRole, owner_quan);
	    rtgast.setWork_quan(work_quan);

		//Կ ٽ  ҷ ̹ rtgast ǾǷ ٽ Ű unique_id ߺǹǷ,
		//rtgast ,븸 ƮѴ.	
		if(isExist){ //Կ /϶. 
			//, , ũ̵.
			routingManager.editRouting(rtgast.getName(),rtgast.getContent(),rtgast.getUnique_id(),rtgast.getState());				
			
		}else{//ó /϶.
			rtgast.setPo_type("MN");
			routingManager.addRouting(user_id, rtgast, user_uid, po_user_uid);
			routingManager.getSysinfoDao().SetLastValue(rtgast.getRtg_type_enum());
		}
		
	    //RtgWrk ߰
		Integer work_cursor = AddRtgWrk(rtgast, intArrOwner, strArrRole,  owner_quan , user_id);
		routingManager.setWorkCursor(rtgast.getUnique_id(), work_cursor);
		return rtgast.getUnique_id();

	}
	
	//ſû ۼ   ߰ϴ 
	private boolean addPurchageRequestPartline(Map<String, Object> menu_info, Integer user_uid, Integer pr_uid, Integer po_user_uid,
			Integer[] item_uid, Integer item_quan, Double[] quans,
			Integer[] ac_uid, Date[] req_date, String[] req_info, String changer, String rcvr_name) throws Exception {
			
		if(po_user_uid==-1) {
			menu_info.put("data", " POڸ ã  ϴ. ڿ ϼ");
			return false;

		}
		
		materialManager.addPurchageRequestPartline( changer, rcvr_name, user_uid, po_user_uid, pr_uid, po_user_uid,
				item_uid, item_quan, quans,
				ac_uid, req_date, req_info );

		return true;

	}
	

	
	private void SendRtgWrkDetailView(Map<String, Object> menu_info, String user_id,
			Integer rtgast_uid,	String strRtg_type, String po_no) {
		Map<String, Comparable> cond = new HashMap<String, Comparable>();
		
		//ŵ 뺸
		List myaprvinfo     = new Vector();				
		List<UsrAst> myaprvuserinfo = new Vector<UsrAst>();
		UsrAst usrast = new UsrAst();
		String strUnique_id = "";
		String strGubun     = "";
		String ls_coma		= ",";
		int li_j			=0;
		
		// .  ÿ ڸ ˻Ѵ.		
		myaprvinfo = this.GetRtgWrkApprvList(rtgast_uid);		
		
		for(Iterator i=myaprvinfo.iterator(); i.hasNext();) {
			li_j++;
			
			RtgWrk rtgwrk = (RtgWrk)i.next();
			
			usrast = null;
			
			usrast = GetMyAprvUserInfo(rtgwrk.getOwner());
			usrast.setGubun(rtgwrk.getRole());				

			myaprvuserinfo.add(usrast);
			
			if(li_j == myaprvinfo.size()){
				ls_coma = "";
			}
			strUnique_id += usrast.getUnique_id().toString() + ls_coma;
			strGubun     += usrast.getGubun() + ls_coma;
		}

		menu_info.put("getUnique_id", rtgast_uid);
		
		menu_info.put("getMyinfoByName", myaprvuserinfo);
		menu_info.put("getUniqueId", strUnique_id);
		menu_info.put("getGubun", strGubun);

		menu_info.put("PrchConToRtngCon_po_uid", rtgast_uid);
		menu_info.put("PrchConToRtngCon_po_no", po_no);
		
		cond.put("routing_id", rtgast_uid);
		cond.put("user_id", user_id);
		cond.put("state", "P");
		
        // Կ ִ   ´.(**getTongboBox ޼ҵ带     ϴ ޼ҵ .**)
		menu_info.put("getReservedRoutingBox", routingManager.getTongboBox(cond));
		
		// 系 
		if (strRtg_type.equals("O")) {
			menu_info.put("partlinelist", purchaseManager.getTemporaryPurchageOrderList(rtgast_uid));
		}
	}
	
	private RtngManager routingManager;
	private AdmnManager adminManager;
	private MtrlManager materialManager;
	private PrchManager purchaseManager;
	private PrjtManager	projectManager;

	public PrchManager getPurchaseManager() {
		return purchaseManager;
	}

	public void setPurchaseManager(PrchManager purchaseManager) {
		this.purchaseManager = purchaseManager;
	}

	private List GetMyAprvInfo(String user_id) {
		return routingManager.getMyApprvList(user_id);
	}
	
	private List GetRtgWrkApprvList(int routing_id) {
		return routingManager.getRtgWrkApprvList(routing_id);
	}
	
	private UsrAst GetMyAprvUserInfo(int unique_id) {
		return adminManager.getById(unique_id);
	}

	public AdmnManager getAdminManager() {
		return adminManager;
	}

	public void setAdminManager(AdmnManager adminManager) {
		this.adminManager = adminManager;
	}

	public RtngManager getRoutingManager() {
		return routingManager;
	}

	public void setRoutingManager(RtngManager routingManager) {
		this.routingManager = routingManager;
	}

	public MtrlManager getMaterialManager() {
		return materialManager;
	}

	public void setMaterialManager(MtrlManager materialManager) {
		this.materialManager = materialManager;
	}
	
	public final void afterPropertiesSet() throws Exception {
		if (menuManager == null) throw new BeanCreationException("Must set menuManager on RtngManagerController");
		if (routingManager == null) throw new BeanCreationException("Must be set routingManager on RtngManagerController");
		if (adminManager == null) throw new BeanCreationException("Must be set adminManager on RtngManagerController");
		if (materialManager == null) throw new BeanCreationException("Must be set materialManager on RtngManagerController");
		if (purchaseManager == null) throw new BeanCreationException("Must be set purchaseManager on RtngManagerController");
	}
	
	public void DoPopupMenuProcess(HttpServletRequest request,HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		
	}

	public PrjtManager getProjectManager() {
		return projectManager;
	}

	public void setProjectManager(PrjtManager projectManager) {
		this.projectManager = projectManager;
	}
}

