package com.rfxsoft.justrfx.web.tiles;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanCreationException;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

import com.rfxsoft.justrfx.domain.RegisterdMasterCompany;



/**
 * @author janm
 */
public class HeaderTileController extends AbstractController implements /*Controller,*/ InitializingBean{
	protected RegisterdMasterCompany masterCompany;

	public void afterPropertiesSet() throws Exception {
		if (masterCompany == null) throw new BeanCreationException("Must set masterCompany on ToolbarTileController");

		
	}

	/* (non-Javadoc)
	 * @see org.springframework.web.servlet.mvc.Controller#handleRequestInternal(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {

			Map<String, Object> menu_info = new HashMap<String, Object>();
			
			String header_jsp = "header";
			
			String companyDisplay  = masterCompany.getCompanyDisplay();
			if(companyDisplay!=null && companyDisplay.length()>0)
				header_jsp = header_jsp + companyDisplay;
			
			
			menu_info.put("com_header",	 header_jsp + ".jsp");
			
			return new ModelAndView("tile-header", menu_info);

	}

	public RegisterdMasterCompany getMasterCompany() {
		return masterCompany;
	}


	public void setMasterCompany(RegisterdMasterCompany masterCompany) {
		this.masterCompany = masterCompany;
	}

}
