<%@ page import="com.rfxsoft.justrfx.dwr.MonitoredDiskFileItemFactory" %>
<%@ page import="com.rfxsoft.justrfx.dwr.UploadListener" %>
<%@ page import="com.rfxsoft.justrfx.dwr.UploadCopier" %>
<%@ page import="org.apache.commons.fileupload.servlet.ServletFileUpload" %>
<%@ page import="org.apache.commons.fileupload.FileItemFactory" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    UploadListener listener = new UploadListener(request, 0);
    // Create a factory for disk-based file items
    FileItemFactory factory = new MonitoredDiskFileItemFactory(listener);
    // Create a new file upload handler
    ServletFileUpload upload = new ServletFileUpload(factory);
    
    UploadCopier copier = new UploadCopier(upload, request);
    copier.DoCopy();
%>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<html>
    <head>
        <title>Simple upload page</title>
        <script src='script/upload.js'> </script>
        <script src='dwr/interface/UploadMonitor.js'> </script>
        <script src='dwr/engine.js'> </script>
        <script src='dwr/util.js'> </script>
        <style type="text/css">
            body { font: 11px Lucida Grande, Verdana, Arial, Helvetica, sans serif; }
            #progressBar { padding-top: 5px; }
            #progressBarBox { width: 350px; height: 10px; border: 1px inset; background: #eee;}
            #progressBarBoxContent { width: 0; height: 10px; border-right: 1px solid #444; background: #9ACB34; }
        </style>
    </head>
<body>
<script language="javascript">
<!--

	var filelist;

	function startProgress()
	{
	    document.getElementById('progressBar').style.display = 'block';
	    document.getElementById('progressBarText').innerHTML = 'upload in progress: 0%';
	    document.getElementById('uploadbutton').disabled = true;
	    
	    //	현재 등록된 파일을 기록...
	    filelist = filelist + DWRUtil.getValue("file1");
	    DWRUtil.setValue("filelist", filelist);
	
	    // wait a little while to make sure the upload has started ..
	    window.setTimeout("refreshProgress()", 500);
	    return true;
	}

	function init()
	{
		filelist = DWRUtil.getValue("filelist");
		if( filelist != "")
			alert(filelist);
	}
	
	function callOnLoad(load)
	{
	    if (window.addEventListener)
	    {
	        window.addEventListener("load", load, false);
	    }
	    else if (window.attachEvent)
	    {
	        window.attachEvent("onload", load);
	    }
	    else
	    {
	        window.onload = load;
	    }
	}
	callOnLoad(init);
//-->
</script>


<form action="file_upload.html" enctype="multipart/form-data" method="post" onsubmit="startProgress()">
	<input type="hidden" name="filelist" />
	<input class="default" type="file" id="file1" name="file1"/>
	<input type="submit" value="파일올리기" id="uploadbutton"/><br/>
	<div id="progressBar" style="display: none;">
	    <div id="theMeter">
	        <div id="progressBarText"></div>
	        <div id="progressBarBox">
	            <div id="progressBarBoxContent"></div>
	        </div>
	    </div>
	</div>
</form>
</body>
</html>
