﻿<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<table width="95%" align="center" border=0 cellspacing=0 cellpadding=0>
<tr>
    <td>
        <table width="100%" border=1 cellspacing=0 bordercolor="CCCCCC" style="border-collapse:collapse;table-layout:fixed">
        <tr>
            <td colspan=6 height=1 style="width"></td>
        </tr>
        <tr><td colspan=6>▶ 품목정보</td></tr>
        <tr>
            <td width="15%" class="con_title_1">UNIQUE ID</td>
            <td width="25%" class="con_body_line1"><c:out value="${grErrDetail.unique_id}"/></td>
            <td width="15%" class="con_title_1">품 명</td>
            <td width="45%" class="con_body_line1" colspan="3"><c:out value="${grErrDetail.item_name}"/></td>
        </tr>
        <tr>
            <td width="15%" class="table_title">규 격</td>
            <td width="85%" colspan="3" class="con_body_line2" nowrap><c:out value="${grErrDetail.specification}"/></td>
            <td width="15%" class="table_title">사별자재코드</td>
            <td width="13%" class="con_body_line2"><c:out value="${grErrDetail.company_item}"/></td>
        </tr>
        <tr>
            <td class="con_title_1">판매단가</td>
            <td class="con_body_line1"><c:out value="${grErrDetail.hmro_sales_price}"/></td>
            <td class="con_title_1">매입가</td>
            <td class="con_body_line1"><c:out value="${grErrDetail.source_price}"/></td>
            <td class="con_title_1">Sourcing담당자</td>
            <td class="con_body_line1"><c:out value="${grErrDetail.sourcing_user_name}"/></td>
        </tr>
        </table>
    </td>
</tr>
<tr><td height="5"></td></tr>
<tr>
    <td>
        <table width="100%" border=1 cellspacing=0 bordercolor="CCCCCC" style="border-collapse:collapse;table-layout:fixed">
        <tr>
            <td colspan=6 height=1 style="width"></td>
        </tr>
        <tr><td colspan=6>▶ GR정보</td></tr>
        <tr>
            <td width="15%" class="table_title">GR번호</td>
            <td width="13%" class="con_body_line2"><c:out value="${grErrDetail.gr_no}"/></td>
            <td width="15%" class="con_title_1">GR항번</td>
            <td width="13%" class="con_body_line2"><c:out value="${grErrDetail.gr_seq}"/></td>
            <td width="15%" class="table_title">GR일자</td>
            <td width="13%" class="con_body_line2"><fmt:formatDate value='${grErrDetail.gr_date}' type='both' pattern='yyyy/MM/dd'/></td>
        </tr>
        <tr>
            <td width="15%" class="con_title_1">PO번호</td>
            <td width="13%" class="con_body_line1"><c:out value="${grErrDetail.po_no}"/></td>
            <td width="15%" class="con_title_1">PO항번</td>
            <td width="13%" class="con_body_line1"><c:out value="${grErrDetail.po_seq}"/></td>
            <td width="15%" class="con_title_1">PO상태</td>
            <td width="13%" class="con_body_line1"><c:out value="${grErrDetail.po_status_name}"/></td>
        </tr>
        <tr>
            <td class="table_title">GR수량</td>
            <td class="con_body_line2"><c:out value="${grErrDetail.gr_qty}"/></td>
            <td class="table_title" >GR단가</td>
            <td class="con_body_line2"><c:out value="${grErrDetail.unit_price}"/></td>
            <td class="table_title">GR금액</td>
            <td class="con_body_line2"><c:out value="${grErrDetail.receiving_amount}"/></td>
        </tr>
        </table>
    </td>
</tr>
<tr><td height="5"></td></tr>
<tr>
    <td>
        <table width="100%" border=1 cellspacing=0 bordercolor="CCCCCC" style="border-collapse:collapse">
        <tr>
            <td height=1></td>
        </tr>
        <tr><td>▶ Error 사유</td></tr>
        <tr>
            <td><textarea readonly style="width:100%"  class="light_input_readonly"><c:out value="${grErrDetail.error_reason}"/></textarea></td>
        </tr>
        </table>
    </td>
</tr>
</table>