<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<!-- 프로젝트에서 Assy 상세보기의 자재목록 -->
<input type=hidden name=hidden_record_quan value='<c:out value="${record_quan}"/>'>
<input type=hidden name=hidden_sales_price value='<fmt:formatNumber value="${assy_sales_price}"/>'>
<table width=955 border=1 cellpadding=0 cellspacing=0 bordercolor=#CCCCCC style="border-collapse:collapse">
	<tr>
		<td class="table_title" align=center><input type="checkbox" name="chkAll" onclick="javascript:checkAll();"></td>
		<td class="table_title" align=center>품번</td>
		<td class="table_title" align=center>품목명 </td>
		<td class="table_title" align=center>원수</td>
		<td class="table_title" align=center>단가 </td>
		<td class="table_title" align=center>규격</td>
		<td class="table_title" align=center>재질/모델</td>
		<td class="table_title" align=center>후처리/설명</td>
		<td class="table_title" align=center>제조원</td>
		<td class="table_title" align=center>명령</td>
	</tr>
<c:set var="cnt" value="${cnt+0}" />
<c:set var="cntAssy" value="${cnt+0}" />
<c:forEach items="${partlinelist}" var="part" varStatus="status">
<c:set var="matType" value="${part.standard_flag}" />


<c:if test="${matType =='A'}">

<input type="hidden" name="subassy_name" 		value='<c:out value="${part.item_name}"/>'>
<input type="hidden" name="subassy_child_id" 		value='<c:out value="${part.unique_id}"/>'>
<input type="hidden" name="subassy_pl_no" 		value='<c:out value="${part.pl_no}"/>'>
<input type="hidden" name="subassy_quan" 		value='<c:out value="${part.quan_str}"/>'>
<input type="hidden" name="subassy_item_code" 		value='<c:out value="${part.item_code}"/>'>
<input type="hidden" name="subassy_child_quan" 		value='<c:out value="${part.child_quan}"/>'>
<input type="hidden" name="subassy_unique_uid" 		value='<c:out value="${part.unique_uid}"/>'>
<input type="hidden" name="subassy_parent" 		value='<c:out value="${part.parent}"/>'>
<c:set var="cntAssy" value="${cntAssy+1}"/>
</c:if>

<c:if test="${matType != 'A'}">
<c:if test="${part.is_origin =='Y'}">

	<c:set var="my_Style" value="table_body_line1"/>
	<c:if test="${cnt%2 ==0}">
		<c:set var="my_Style" value="table_body_line2"/>
	</c:if>
	<c:set var="statusStyle" value="${my_Style}"/>
	<c:if test="${part.status != 'BM' }">
		<c:set var="statusStyle" value="table_body_line_cart"/>
		<c:if test="${part.status == 'DE' }">
			<c:set var="statusStyle" value="table_body_line_deny"/>
		</c:if>
	</c:if>

		<tr>
			<td class='<c:out value="${statusStyle}"/>'>
				<input type="checkbox" name="chkBox" value="<c:out value="${part.unique_uid}"/>" >
				<input type="hidden" name='<c:out value="${part.unique_uid}"/>_status' value='<c:out value="${part.statusReal}"/>'>
				<input type="hidden" name='<c:out value="${part.unique_uid}"/>_quan' value='<c:out value="${part.quan_str}"/>'>
			</td>
			<td class='<c:out value="${my_Style}"/>'>
				<p title='UID:<c:out value="${part.unique_uid}"/>'>
				<c:out value="${part.pl_no}"/>
				</p>
			</td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${part.item_name}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${part.quan_str}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${part.sales_price_str}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${part.specification}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${part.model_no}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${part.description}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${part.maker_name}"/></td>
			<td class='<c:out value="${my_Style}"/>'>
				<a href="javascript:commandMaterial('<c:out value="${part.unique_id}"/>', '<c:out value="${part.unique_uid}"/>', 'view')   ">[보기]</a>
			<c:if test="${part.status == 'BM' || part.status == 'DE'}">
				<a href="javascript:commandMaterial2('<c:out value="${part.unique_id}"/>', 'edit', '<c:out value="${part.child_quan}"/>', '<c:out value="${part.ref_quan}"/>', '<c:out value="${part.pl_no}"/>', '<c:out value="${part.quan}"/>', '<c:out value="${part.status}"/>', '<c:out value="${part.unique_uid}"/>')   ">[수정]</a>
				<a href="javascript:commandMaterial2('<c:out value="${part.unique_id}"/>', 'delete', '<c:out value="${part.child_quan}"/>', '<c:out value="${part.ref_quan}"/>', '<c:out value="${part.pl_no}"/>', '<c:out value="${part.quan}"/>', '<c:out value="${part.status}"/>', '<c:out value="${part.unique_uid}"/>') ">[삭제]</a>
			</c:if>
			<c:if test="${part.status != 'BM' && part.status != 'DE'}">
				<label disabled>[수정]</label>
				<label disabled>[삭제]</label>
			</c:if>
			</td>
		</tr>
		<tr bgcolor="E3E3E3"><td id='<c:out value="${part.unique_uid}"/>_detail' colspan=30 ></td></tr>
<c:set var="cnt" value="${cnt+1}"/>
</c:if>
</c:if>
</c:forEach>
<tr><td colspan="12"><input type="hidden" name='this_sub_assy_quan' value='<c:out value="${cntAssy}"/>'></td></tr>
<c:if test="${cnt < 1}">
	<tr>
		<td height="25" colspan="12" align="center">
			<spring:message code="MSG_ALERT.118"/>
		</td>
	</tr>
</c:if>
</table>

