﻿<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<table width="95%" align="center" border=0 cellspacing=0 cellpadding=0>
<tr>
    <td>
        <table width="100%" border=1 cellspacing=0 bordercolor="CCCCCC" style="border-collapse:collapse;table-layout:fixed">
        <tr>
            <td colspan=6 height=1 style="width"></td>
        </tr>
        <tr><td colspan=6>▶ 품목정보</td></tr>
        <tr>
            <td width="15%" class="con_title_1">UNIQUE ID</td>
            <td width="25%" class="con_body_line1"><c:out value="${poErrDetail.unique_id}"/></td>
            <td width="15%" class="con_title_1">품 명</td>
            <td width="45%" class="con_body_line1" colspan="3"><c:out value="${poErrDetail.item_name}"/></td>
        </tr>
        <tr>
            <td width="15%" class="table_title">규 격</td>
            <td width="85%" colspan="5" class="con_body_line2" nowrap><c:out value="${poErrDetail.specification}"/></td>
        </tr>
        <tr>
            <td width="15%" class="con_title_1">모델명</td>
            <td width="13%" class="con_body_line1"><c:out value="${poErrDetail.model_no}"/></td>
            <td width="15%" class="con_title_1" >제조원명</td>
            <td width="13%" class="con_body_line1"><c:out value="${poErrDetail.maker_name}"/></td>
            <td width="15%" class="con_title_1">사별자재코드</td>
            <td width="13%" class="con_body_line1"><c:out value="${poErrDetail.company_item}"/></td>
        </tr>
        <tr>
            <td class="table_title">판매단가</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.hmro_sales_price}"/></td>
            <td class="table_title" >매입가</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.source_price}"/></td>
            <td class="table_title">Sourcing담당자</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.sourcing_user_name}"/></td>
        </tr>
        </table>
    </td>
</tr>
<tr><td height="5"></td></tr>
<tr>
    <td>
        <table width="100%" border=1 cellspacing=0 bordercolor="CCCCCC" style="border-collapse:collapse;table-layout:fixed">
        <tr>
            <td colspan=6 height=1 style="width"></td>
        </tr>
        <tr><td colspan=6>▶ PO정보</td></tr>
        <tr>
            <td width="15%" class="con_title_1">PO번호</td>
            <td width="13%" class="con_body_line1"><c:out value="${poErrDetail.po_no}"/></td>
            <td width="15%" class="con_title_1">PO항번</td>
            <td width="13%" class="con_body_line1"><c:out value="${poErrDetail.po_seq}"/></td>
            <td width="15%" class="con_title_1">PO일자</td>
            <td width="13%" class="con_body_line1"><fmt:formatDate value='${poErrDetail.po_date}' type='both' pattern='yyyy/MM/dd'/></td>
        </tr>
        <tr>
            <td class="table_title">PO수량</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.po_qty}"/></td>
            <td class="table_title" >PO단가</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.sales_price}"/></td>
            <td class="table_title">PO금액</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.sales_amount}"/></td>
        </tr>
        <tr>
            <td class="con_title_1">주문자</td>
            <td class="con_body_line1"><c:out value="${poErrDetail.po_creator_name}"/></td>
            <td class="con_title_1" >주문자 전화번호</td>
            <td class="con_body_line1"><c:out value="${poErrDetail.po_creator_tel_no}"/></td>
            <td class="con_title_1"></td>
            <td class="con_body_line1"></td>
        </tr>
        <tr>
            <td class="table_title">인수자</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.receiver_name}"/></td>
            <td class="table_title" >인수자 전화번호</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.receiver_tel_no}"/></td>
            <td class="table_title">인수자 휴대폰</td>
            <td class="con_body_line2"><c:out value="${poErrDetail.receiver_hp_no}"/></td>
        </tr>
        </table>
    </td>
</tr>
<tr><td height="5"></td></tr>
<tr>
    <td>
        <table width="100%" border=1 cellspacing=0 bordercolor="CCCCCC" style="border-collapse:collapse">
        <tr>
            <td height=1></td>
        </tr>
        <tr><td>▶ Error 사유</td></tr>
        <tr>
            <td><textarea readonly style="width:100%"  class="light_input_readonly"><c:out value="${poErrDetail.error_reason}"/></textarea></td>
        </tr>
        </table>
    </td>
</tr>
</table>