<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var GlobalInfoWindow;
	var newGlobalInfoWindow;
	
	function onclickReset(target)
	{
		if( target != "") {
			$(target).style.height = 1;
			DWRUtil.setValue(target, "");
			$(newGlobalInfoWindow).style.height = 100;
		}
	}
	
	function onclickClear(target)
	{
		if( target != "") {
			$(target).style.height = 1;
			DWRUtil.setValue(target, "");
			$(newGlobalInfoWindow).style.height = 1;
			GlobalInfoWindow = "";
		}
	}

	function setSearchCondition()
	{

		arrSearch1 = new Array();
		arrSearch1[0] = new Array();//label
		arrSearch1[1] = new Array();//value
	
		arrSearch1[0].push( '진행과제' );
		arrSearch1[0].push( '완료과제' );
		arrSearch1[0].push( '진행/완료과제' );
		arrSearch1[1].push( 'N' );
		arrSearch1[1].push( 'Y' );
		arrSearch1[1].push( 'A' );

		startSearchForm();
		addSearchForm("pj_code", "프로젝트 코드", "doGeneralSearchSubmit");
		addSearchForm("pj_name", "프로젝트 명", "doGeneralSearchSubmit");
		addSearchForm("wa_name", "발주처", "doGeneralSearchSubmit");
		addSearchForm("pm_name", "PM(관리자)", "doGeneralSearchSubmit");
		addSearchForm("pl_name", "PL(리더)", "doGeneralSearchSubmit");
		addSearchSelect("is_complished", "완료여부", "doGeneralSearchSubmit", arrSearch1);
		endSearchForm();		
	}
	
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		setSearchCondition();
		
		DWRUtil.setValue("search_condition", StrSearchForm);
		Rounded("div#nifty","white","lavender");
		
		GlobalInfoWindow = "";
	}
	
	function commandProject( unique_id, is_complished, action_type )
	{
	
		if( is_complished != 'N' ) {
		
			if(action_type == "delete")
			{
				alert('<spring:message code="MSG_ALERT.62"/>');
				return;		
			}
			else if (action_type == "edit")
			{
				alert('<spring:message code="MSG_ALERT.101"/>');
				return;		
			}
			
		}
	
		if(action_type == "delete") {
			res = confirm("프로젝트를 [완료]하시겠습니까?\n [완료]된 프로젝트는 다시 [진행]으로 복원이 불가능합니다.");
			if(res != true)
				return;
	
		}
		if(action_type == "bom") {
			res = confirm("작업프로젝트를 이 프로젝트로 변경한 후 프로젝트 BOM 화면으로 이동합니다\n 실행 하시겠습니까?");
			if(res != true)
				return;
	
		}
		
		
		if( action_type == "view") {
			newGlobalInfoWindow = unique_id + "_detail";
			
			if( GlobalInfoWindow == newGlobalInfoWindow) {
				onclickClear(GlobalInfoWindow);
				return;
			}
			
			DWRUtil.setValue(newGlobalInfoWindow, GwaitingMessageServ);
			
			page_path = "/dong.html?searchType=project-detail";
			CommonInfo.getForward(loadforward, page_path + "&searchKey=" + unique_id);
			return;
		}
		else if( action_type == "delete") {
			action_para = "c_prjt.html?&menuId=c01-delete,c01" + "&pj_unique_id=" + unique_id;
		}
		else if( action_type == "edit") {
			action_para = "c_prjt.html?&menuId=c01-modform,c01-edit" + "&pj_unique_id=" + unique_id;
		}
		else if( action_type == "bom") {
			action_para = "d_mtrl.html?&menuId=d08" + "&pj_unique_id=" + unique_id;
		}
		else
			alert('<spring:message code="MSG_ALERT.48"/>');
		document.generalSearchForm.action=action_para;
		doingProcess();
		document.generalSearchForm.submit();
	}
	
	function loadforward(data)
	{
	    DWRUtil.setValue(newGlobalInfoWindow, "<center>" + data + "</center>");
	    onclickReset(GlobalInfoWindow);
	    GlobalInfoWindow  = newGlobalInfoWindow;
	}
	
//-->
</script>

<table width=990 border=1 cellpadding=0 cellspacing=0 bordercolor=#CCCCCC style="border-collapse:collapse">

	<tr>
		<td class="table_title">상태</td>			
		<td class="table_title">코드</td>			
		<td class="table_title">프로젝트 명</td>
		<td class="table_title">발주처</td>
		<td class="table_title">수주금액</td>
		<td class="table_title">수주일</td>
		<td class="table_title">납품 예정일</td>
		<td class="table_title">PM/PL</td>
		<td class="table_title">명령</td>
	</tr>

<c:forEach items="${projectlist}" var="projects" varStatus="status">
	<c:set var="my_Style" value="table_body_line1"/>
	<c:if test="${status.count%2 ==0}">
		<c:set var="my_Style" value="table_body_line2"/>
	</c:if>
<c:if test="${projects.unique_id != 0}">
		<tr>
			<td class='<c:out value="${my_Style}"/>'>
				<c:choose>
				  <c:when test="${projects.is_complished == 'Y'}">
				    	<c:out value="완료"/>
				  </c:when>
				  <c:when test="${projects.is_complished == 'N'}">
				    	<c:out value="진행"/>
				  </c:when>
				</c:choose>
			</td>
			<td class='<c:out value="${my_Style}"/>'><a href="javascript:commandProject('<c:out value="${projects.unique_id}"/>', '<c:out value="${projects.is_complished}"/>', 'bom')   "><c:out value="${projects.pj_code}"/></a></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${projects.pj_name}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${projects.wa_name}"/></td>
			<td class='<c:out value="${my_Style}"/>' align='right'><c:out value="${projects.selling_price_str}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${projects.regist_date_str}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${projects.delivery_plan_str}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${projects.pm_name}"/>&nbsp;/&nbsp;<c:out value="${projects.pl_name}"/></td>
			<td class='<c:out value="${my_Style}"/>'>
				<a href="javascript:commandProject('<c:out value="${projects.unique_id}"/>', '<c:out value="${projects.is_complished}"/>', 'view')   ">[보기]</a>
<c:if test="${projects.is_complished == 'N'}">
				<a href="javascript:commandProject('<c:out value="${projects.unique_id}"/>', '<c:out value="${projects.is_complished}"/>', 'edit')   ">[수정]</a>
				<a href="javascript:commandProject('<c:out value="${projects.unique_id}"/>', '<c:out value="${projects.is_complished}"/>', 'delete') ">[완료]</a>
</c:if>
				</td>
		</tr>
		<tr><td  id='<c:out value="${projects.unique_id}"/>_detail' colspan=17 class="inline"></td></tr>
</c:if>
</c:forEach>

</table>
