<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--

	var GlobalInfoWindow;
	
	function clearField()
	{		
		document.projectRegistForm.reset();
	}
	
	function onclickReset()
	{
		if( GlobalInfoWindow != "") {
			DWRUtil.setValue(GlobalInfoWindow, "");
		}
	}
	
	//submit..
	function registerProject()
	{
		if( DWRUtil.getValue("pj_name") == "")
		{
			alert('<spring:message code="MSG_ALERT.99"/>');
			return;
		}
		document.projectRegistForm.action="c_prjt.html?menuId=c02-add,c-result";
		doingProcess();
		document.projectRegistForm.submit();
	}
	
	function onclickFunction(input_name)
	{

		var object;
		var title;
		var page_path;

		newGlobalInfoWindow = input_name + '_info';
		
		
//		if( GlobalInfoWindow == newGlobalInfoWindow)
//			return;
		

		if( input_name == 'wa_name')
		{	
		 	object = document.projectRegistForm.wa_name;
		 	page_path = "/dong.html?searchType=buyer";
		}
		else if( input_name == 'pm_name')
		{
			object = document.projectRegistForm.pm_name;
			page_path = "/dong.html?searchType=user";
		}
		else if( input_name == 'pl_name')
		{
			object = document.projectRegistForm.pl_name;
			page_path = "/dong.html?searchType=user";
		}
		else	{	return;		}
		
		if( GlobalInfoWindow != "") {
			object = document.projectRegistForm.wa_name;
			DWRUtil.setValue(GlobalInfoWindow, "");
			$(GlobalInfoWindow).style.visibility = "hidden";
		}
		GlobalInfoWindow = newGlobalInfoWindow;
		
		//$(GlobalInfoWindow).rowSpan = 10;
		CommonInfo.getForward(loadforward, page_path + "&searchHandler=" + input_name);
		$(GlobalInfoWindow).style.visibility = "visible";

		//GlobalInfoWindow.style.top = window.event.clientY;
		//GlobalInfoWindow.style.left = object.style.width + window.event.clientX;
	}
	
	
	function loadforward(data)
	{
	    DWRUtil.setValue(GlobalInfoWindow, data);
	}
	
	function selectMulti(hanler, code, name, unique_id)
	{
		if( hanler == 'wa_name') {
			DWRUtil.setValue("wa_code", code);
			DWRUtil.setValue("wa_name", name);
		}
		else if( hanler == 'pm_name') {
			DWRUtil.setValue("pm_id", code);
			DWRUtil.setValue("pm_id_span", code);
			DWRUtil.setValue("pm_name", name);
		}
		else if( hanler == 'pl_name') {
			DWRUtil.setValue("pl_id", code);
			DWRUtil.setValue("pl_id_span", code);
			DWRUtil.setValue("pl_name", name);
		}
		else
		{
			alert("<spring:message code="MSG_ALERT.51"/> selectMulti()");
			return;
		}
		
		DWRUtil.setValue( hanler + '_unique', unique_id);
		DWRUtil.setValue(GlobalInfoWindow, "");
		$(GlobalInfoWindow).style.visibility = "hidden";

	}

	function fillMoney(input_text)
	{
		input_text.value = "0";
		input_text.style.textAlign = "right";
	}
	
	function fillToday(input_text)
	{
		today = today_global;
		yyyy= today.getFullYear();
		mm 	= today.getMonth()+1;
		dd	= today.getDate();
		if(mm<10) {			mm = "0" + mm;		}
		if(dd<10) {			dd = "0" + dd;		}
		fstr = yyyy + "/" + mm + "/" + dd;
		input_text.value = fstr;
	}
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		
		fillToday(document.projectRegistForm.regist_date);
		fillToday(document.projectRegistForm.start_plan);
		fillToday(document.projectRegistForm.end_plan);
		fillToday(document.projectRegistForm.delivery_plan);
		
		fillMoney(document.projectRegistForm.selling_price);
		fillMoney(document.projectRegistForm.purchase_plan);
		fillMoney(document.projectRegistForm.human_plan);
		fillMoney(document.projectRegistForm.total_cost_plan);
		
		Calendar.setup({inputField : "regist_date", ifFormat : "%Y/%m/%d", button : "regist_date_calendar" });
		Calendar.setup({inputField : "start_plan", ifFormat : "%Y/%m/%d", button : "start_plan_calendar" });
		Calendar.setup({inputField : "end_plan", ifFormat : "%Y/%m/%d", button : "end_plan_calendar" });
		Calendar.setup({inputField : "delivery_plan", ifFormat : "%Y/%m/%d", button : "delivery_plan_calendar" });

		GlobalInfoWindow = "";
	}
//-->
</script>



<form name="projectRegistForm">

<input type="hidden" name="wa_name_unique">
<input type="hidden" name="pm_name_unique">
<input type="hidden" name="pl_name_unique">
<input type="hidden" name="pl_id">
<input type="hidden" name="pm_id">

	<table width="500" border="0" cellspacing="0" cellpadding="0" style="border－collapse:collapse">

		
		<tr>	<td colspan=5 height=1 class="outline"></td>	</tr>
  		<tr>
   			<td height="25" class="outline" ></td>
  			<td align="center" class="table_title" width="25%">프로젝트 코드</td>
  			<td class="outline"></td>
  			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input" name="pj_code"  size="6" onclick="onclickReset()" style="color=black;"
  			<c:forEach items="${unique_id}" var="unique_id">
				value='<c:out value="${unique_id}"/>'
  			</c:forEach>
  			>&nbsp;&nbsp;알파벳/숫자조합 6자리</td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">프로젝트 명</td>
  			<td class="outline"></td>
  			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input" name="pj_name"  size="35" onclick="onclickReset()" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">원인구분</td>
  			<td class="outline"></td>
  			<td align="left" class="blank" >&nbsp;&nbsp;
  				<input type="radio" name="pj_type" onclick="onclickReset()" value="P" CHECKED >수주&nbsp;&nbsp;
  				<input type="radio" name="pj_type" onclick="onclickReset()" value="R" >연구개발&nbsp;&nbsp;
  				<input type="radio" name="pj_type" onclick="onclickReset()" value="E" >기타&nbsp;&nbsp;
  			</td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">발주처</td>
  			<td class="outline"></td>
			<td align="left"  valign="top" class="blank" >&nbsp;&nbsp;<span id="wa_code" style="width:70;background:beige"></span>
			<input type=text class="light_input"  name="wa_name"   size="20" onclick="onclickFunction('wa_name')" onkeypress="onclickFunction('wa_name')">
			<div id="wa_name_info" style="visibility:hidden;"></div>
			</td>
			<td class="outline"></td>
  		</tr>
		<tr>	<td colspan=5 height=1 class="outline"></td></tr>

  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">P/M(관리자)</td>
  			<td class="outline"></td>
			<td align="left" valign="top" class="blank" >&nbsp;&nbsp;<span id="pm_id_span" style="width:70;background:beige"></span>
			<input type=text class="light_input"  name="pm_name"   size="20" onclick="onclickFunction('pm_name')"  onkeypress="onclickFunction('pm_name')">
			<div id="pm_name_info" style="visibility:hidden;"></div>
			</td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">P/L(리더)</td>
  			<td class="outline"></td>
			<td align="left" valign="top" class="blank" >&nbsp;&nbsp;<span id="pl_id_span" style="width:70;background:beige"></span>
			<input type=text class="light_input"  name="pl_name"   size="20" onclick="onclickFunction('pl_name')"  onkeypress="onclickFunction('pl_name')">
			<div id="pl_name_info" style="visibility:hidden;"></div>
			</td>
			<td class="outline"></td>
  		</tr>
		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">수주일자</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="regist_date"  onclick="onclickReset()" size="10" style="color=black;">&nbsp;<img src="./media/calendar_imk.gif" width="16" height="15" id="regist_date_calendar" style="cursor: pointer;" alt="달력"/></td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">수주금액</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="selling_price"  onclick="onclickReset()" size="35" style="color=black;"></td>
  			<td class="outline"></td>
		</tr>
  		<tr>	<td colspan=5 height=1 class="outline"></td>	</tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">성격구분</td>
  			<td class="outline"></td>
  			<td align="left" class="blank" >&nbsp;&nbsp;
  				<input type="radio" onclick="onclickReset()" name="newmodcont" value="N" CHECKED >신규&nbsp;&nbsp;
  				<input type="radio" onclick="onclickReset()" name="newmodcont" value="M" >개조&nbsp;&nbsp;
  				<input type="radio" onclick="onclickReset()" name="newmodcont" value="C" >양산&nbsp;&nbsp;
  			</td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">비고</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="description" onclick="onclickReset()" size="54" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr> 
 		<tr>
			<td colspan=5 height=10></td>
		</tr>
		
		<tr>	<td colspan=5 height=1 class="outline"></td></tr> 
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">시작 예정일자</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="start_plan"  onclick="onclickReset()" size="10" style="color=black;">&nbsp;<img src="./media/calendar_imk.gif" width="16" height="15" id="start_plan_calendar" style="cursor: pointer;" alt="달력"/></td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
 		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">완료 예정일자</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="end_plan" onclick="onclickReset()"  size="10" style="color=black;">&nbsp;<img src="./media/calendar_imk.gif" width="16" height="15" id="end_plan_calendar" style="cursor: pointer;" alt="달력"/></td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">납품 예정일자</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="delivery_plan" onclick="onclickReset()"  size="10" style="color=black;">&nbsp;<img src="./media/calendar_imk.gif" width="16" height="15" id="delivery_plan_calendar" style="cursor: pointer;" alt="달력"/></td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">예상 재료비</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="purchase_plan" onclick="onclickReset()" size="25" style="color=black;"></td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">예상 인건비</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="human_plan" onclick="onclickReset()" size="25" style="color=black;"></td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">총 예상원가</td>
  			<td class="outline"></td>
			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name="total_cost_plan" onclick="onclickReset()" size="25" style="color=black;"></td>
			<td class="outline"></td>
  		</tr>
 		<tr>	<td colspan=5 height=1 class="outline"></td></tr>


</table>

</form>

<!--<div id="GlobalInfoWindow" style="visibility:hidden; position:absolute; left:600; top:100; width:400; z-index:5; filter:revealTrans(transition=23,duration=0.5) blendTrans(duration=0.5); border-width:1px; border-style:none;" onmouseover="dragObj=GlobalInfoWindow; drag=1;move=0" onmouseout="drag=0">-->
<!--<table border="0" cellpadding="2" cellspacing="0" width="200" bgcolor="#94AAD6" style="font-family:굴림; font-size:9pt">-->
<!--    <tr>-->
<!--        <td id="InfoTitle" style="background:mistyrose;fontWeight:bold;" align=center>-----Header------</td>-->
<!--    </tr>-->
<!--    <tr>-->
<!--        <td id="InfoContent" style="padding:7">내용</td>-->
<!--    </tr>-->
<!--    <tr>-->
<!--        <td align="right" style="padding:7"><a href="javascript:Hide()"><font color="white">닫기</font></a></td>-->
<!--    </tr>-->
<!--</table>-->
<!--</div>-->
