<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var GlobalInfoWindow;  
	var newGlobalInfoWindow;
	
	function onclickReset(target)
	{
		if( target != "") {
			DWRUtil.setValue(target, "");
			$(target).style.height = 1;
			$(newGlobalInfoWindow).style.height = 100;
		}
		
	}
	
	function onclickClear(target)
	{
		if( target != "") {
			$(target).style.height = 1;
			DWRUtil.setValue(target, "");
			$(newGlobalInfoWindow).style.height = 1;
			GlobalInfoWindow = "";
		}
	}
	
	function setSearchCondition()
	{
		startSearchForm();
		addSearchForm("item_code", "품목코드", "doGeneralSearchSubmit");
		addSearchForm("item_name", "품목명", "doGeneralSearchSubmit");
		addSearchForm("specification", "규격", "doGeneralSearchSubmit");
		addSearchForm("maker_name", "제조원 명", "doGeneralSearchSubmit");
		addSearchForm("model_no", "모델/재질", "doGeneralSearchSubmit");
		addSearchForm("sg_code", "그룹코드", "doGeneralSearchSubmit");
		endSearchForm();		
	}
	
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		
		setSearchCondition();
		DWRUtil.setValue("search_condition", StrSearchForm);
		Rounded("div#nifty","white","lavender");
		
		menu_group_name = "d_mtrl";
		GlobalInfoWindow = "";	
	}
	
	function commandMaterial( unique_id, action_type, child_quan, ref_quan )
	{
		if(action_type == "delete") {
		
			if(child_quan > 0) {//자식이 있는 Assembly
				alert('<spring:message code="MSG_ALERT.95"/>');
				return;
			}
			if(ref_quan > 0) { //1개이상 레퍼런스
				alert('<spring:message code="MSG_ALERT.86"/>');
				return;
			}			
		
			res = confirm("자재를 삭제하시겠습니까?");
			if(res != true)
				return;
		}
		if(action_type == "edit") {//수정은 경고만 한다.
		
			if(child_quan > 0) {//자식이 있는 Assembly
				res = confirm("포함된 Part가 있습니다. 그래도 수정하시겠습니까?");
				if(res != true)
					return;
			}
			if(ref_quan > 0) { //1개이상 레퍼런스
				res = confirm("참조한 Part가 있습니다. 이 자재를 수정하면 연관된 Part가 모두 수정됩니다.\n그래도 수정하시겠습니까?");
				if(res != true)
					return;
			}			
		}
		
		
		
		if( action_type == "view") {
			newGlobalInfoWindow = unique_id + "_detail";
			
			if( GlobalInfoWindow == newGlobalInfoWindow) {
				onclickClear(GlobalInfoWindow);
				return;
			}			
			DWRUtil.setValue(newGlobalInfoWindow, GwaitingMessageServ);
			page_path = "/dong.html?searchType=part-detail2";
			CommonInfo.getForward(loadforward, page_path + "&searchKey=" + unique_id);

			return;
		}
		else if( action_type == "delete") {
			action_para = "d_mtrl.html?&menuId=d01-delete,d01" + "&part_unique_id=" + unique_id;
		}
		else if( action_type == "edit") {
			action_para = "d_mtrl.html?&menuId=d01-modform,d01-edit" + "&part_unique_id=" + unique_id;
		}
		else
			alert('<spring:message code="MSG_ALERT.48"/>');
		  
		document.generalSearchForm.action=action_para;
		doingProcess();
		document.generalSearchForm.submit();
		
		
	}
	
	
	function loadforward(data)
	{ 
	    onclickReset(GlobalInfoWindow);
	    DWRUtil.setValue(newGlobalInfoWindow, data);
	    GlobalInfoWindow  = newGlobalInfoWindow;
	}

//-->      
</script>
<form name="GeneralBaseForm1" method="post">
<input type='hidden' name = 'type' value="<c:out value="${sessionScope.justrfx_user_2005_user_type}"/>">
<table width=990 border=1 cellpadding=0 cellspacing=0 bordercolor=#CCCCCC style="border-collapse:collapse">

	<tr>
		<td  class="table_title" ><input type="checkbox" name="chkAll" onclick="javascript:checkAll();"></td>
		<td  class="table_title" >코드</td>			
		<td  class="table_title" >품명 </td>
		<td  class="table_title" >규격</td>
		<td  class="table_title" >제조원</td>
		<td  class="table_title" >모델/재질</td>
		<td  class="table_title" >단가</td>
		<td  class="table_title" >구분</td>
		<td  class="table_title" >명령</td>
	</tr>

<c:forEach items="${materiallist}" var="materials" varStatus="status">
	<c:set var="my_Style" value="table_body_line1"/>
	<c:if test="${status.count%2 ==0}">
		<c:set var="my_Style" value="table_body_line2"/>
	</c:if>

		<tr>
			<td class='<c:out value="${my_Style}"/>'><input type="checkbox" name="chkBox" value="<c:out value="${materials.unique_id}"/>"></td>
			<td class='<c:out value="${my_Style}"/>'><p title='<c:out value="${materials.unique_id}"/>'><c:out value="${materials.item_code}"/></p></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${materials.item_name}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${materials.specification}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${materials.maker_name}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${materials.model_no}"/></td>
			<td class='<c:out value="${my_Style}"/>'><c:out value="${materials.sales_price_str}"/></td>
			<td class='<c:out value="${my_Style}"/>'>
			
			<c:choose>
				<c:when test="${materials.standard_flag == 'O'}">
			    	가공
			  	</c:when>
			  	<c:when test="${materials.standard_flag == 'S'}">
			    	표준
			  	</c:when>
			  	<c:when test="${materials.standard_flag == 'M'}">
			    	메이커
			  	</c:when>
			 	<c:otherwise>
			    	<c:out value="${materials.standard_flag}"/>
			  	</c:otherwise>
			</c:choose>
			</td>
			<td class='<c:out value="${my_Style}"/>'>
				<a href="javascript:commandMaterial('<c:out value="${materials.unique_id}"/>', 'view')   ">[보기]</a>
				<a href="javascript:commandMaterial('<c:out value="${materials.unique_id}"/>', 'edit', <c:out value="${materials.child_quan}"/>, <c:out value="${materials.ref_quan}"/>)">[수정]</a>
			<c:if test="${materials.ref_quan == 0}">
				<a href="javascript:commandMaterial('<c:out value="${materials.unique_id}"/>', 'delete')   ">[삭제]</a>
			</c:if>
			<c:if test="${materials.ref_quan > 0}">
				<label disabled>[삭제]</label>
			</c:if>
			</td>
		</tr>   
		<tr bgcolor="E3E3E3"><td  id='<c:out value="${materials.unique_id}"/>_detail' colspan=10></td></tr>

</c:forEach>

</table>

</form>



