<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var GlobalInfoWindow;
	var matType;
	var this_plno;
	
	var can_submit_pl=true;
	
	var PlNoList = new Array();
	
	function goBack()
	{
		window.history.back();
		
	}
	function clearField()
	{		
		document.materialRegistForm.reset();
	}
	
	function onclickReset()
	{
		if( GlobalInfoWindow != "") {
			DWRUtil.setValue(GlobalInfoWindow, "");
		}
	}
	
	function onclickChangeType(type)
	{
		DWRUtil.setValue("class_code", type + "000000000");
		
		if( type == 'O')
		{
			$('model_no').disabled = false;
			$('description').disabled = false;
			$('model_no').style.backgroundColor='white';
			$('description').style.backgroundColor='white';
			
		}
		else
		{
			$('model_no').disabled = true;
			$('description').disabled = true;
			$('model_no').style.backgroundColor='beige';
			$('description').style.backgroundColor='beige';

		}

	}
	
	//submit..
	function modifyMaterial()
	{
		if(can_submit_pl== false)
		{
			alert('<spring:message code="MSG_ALERT.98"/>');
			return;
		}
		
		var target = 'd02';
		
		if(DWRUtil.getValue("where_from") == 'd08')
		{
			target = 'd08';
		}
		document.materialRegistForm.action="d_mtrl.html?&menuId=d02-edit," + target;
		doingProcess();
		document.materialRegistForm.submit();
	}

	function formingPlCode()
	{
		var curPlCode = DWRUtil.getValue("pl_code");
		var code_len = curPlCode.length;
		curPlCode	=	curPlCode.toUpperCase();
		
		if(code_len > 4)
		{
			alert('<spring:message code="MSG_ALERT.69"/>');
			curPlCode = curPlCode.substr(0,4);
		}
		else if(code_len == 1)
		{
			curPlCode = "000" + curPlCode;
		}
		else if(code_len == 2)
		{
			curPlCode = "00" + curPlCode;
		}
		else if(code_len == 3)
		{
			curPlCode = "0" + curPlCode;
		}
		
		
		DWRUtil.setValue("pl_code", curPlCode );
	}
	
	function checkPlCode()
	{	
		formingPlCode();
		
		var compared = DWRUtil.getValue("pl_code");
		
		if( compared == this_plno)
			return replyPlCode(true);

		for( var i=0; i<PlNoList.length; i++)
		{
			if( compared == PlNoList[i])
				return replyPlCode(false);
		}
		return replyPlCode(true);
	}
	
		
	function replyPlCode(valid)
	{
	    processPlReply(valid, "pl_code", "pl_code-error", "에러: 이미 사용중인 코드");
	}

	function processPlReply(valid, id, errid, error)
	{
	    if (valid)
	    {
	    	can_submit_pl = true;
	        DWRUtil.setValue(errid, "");
	        $(id).style.color = "black";

	    }
	    else
	    {
	    	can_submit_pl = false;
	        DWRUtil.setValue(errid, error);
	        $(id).style.color = "red";
	    }
	}
	
	function reformAssyCode() {
	
		code = DWRUtil.getValue("assy_code_span");
		if(code.length > 8)
			assy_code = code.substring(0,8);
		else
			assy_code = code;
		
		var disAassy_code;
		if(assy_code.length != 8)
			disAassy_code = assy_code;
		else
			disAassy_code = assy_code.substr(0,4) + "-" + assy_code.substr(4,4);
			
		DWRUtil.setValue("assy_code_span", disAassy_code);
		DWRUtil.setValue("assy_code_span_add", disAassy_code + "-");
	
	}
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		

		GlobalInfoWindow = "";
		//buildTree();
		
		//$('item_code').disabled = true;
		$('assy_name').disabled = true;
		$('pj_name').disabled = true;
		
		DefaultMaterialType();
		onclickChangeType(matType);
		reformAssyCode();
	}

//-->
</script>
<c:forEach items="${materiallist}" var="material">
<script language="javascript">
<!--	
	//디폴트 자재 타입
	function DefaultMaterialType()
	{
		matType = '<c:out value="${material.standard_flag}"/>';
		if(matType == 'S') {
			document.materialRegistForm.standard_flag[0].checked = true;
		}
		else if(matType == 'M') {
			document.materialRegistForm.standard_flag[1].checked = true;
		}
		else if(matType == 'O') {
			document.materialRegistForm.standard_flag[2].checked = true;
		}
		
	}
//-->
</script>

<c:forEach items="${project}" var="project">
<input type="hidden" name="project_unique_id" value='<c:out value="${project.unique_id}"/>' >
<c:forEach items="${assembly}" var="assembly">	
<c:forEach items="${pl_info}" var="pl_info">
<script language="JavaScript">
<!--//
	this_plno = '<c:out value="${pl_info.part_pl_no}"/>' ;
//-->
</script>

<form name=materialRegistForm method="post" enctype="multipart/form-data">
	<input type="hidden" name="part_unique_id" value='<c:out value="${material.unique_id}"/>' >
	<input type="hidden" name="assy_unique_id" value='<c:out value="${assembly.unique_id}"/>' >
	<input type="hidden" name="unique_id" value='<c:out value="${material.unique_id}"/>' >
	<input type="hidden" name="assy_uid" value='<c:out value="${assy_uid}"/>' >
	<input type="hidden" name="where_from" value='<c:out value="${where_from}"/>' >

	<table width="500" border="0" cellspacing="0" cellpadding="0" style="border－collapse:collapse" >
		<tr><td colspan=5 height=1 class="outline"></td>	</tr>
		
		<tr>
	  		<td height="25" class="outline"></td>
	  		<td align="center" class="table_title">프로젝트</td>
	  		<td class="outline"></td>
			<td align="left"  valign="top" class="blank">&nbsp;&nbsp;<span id="pj_code_span" style="width:70;background:beige"  ><c:out value="${project.pj_code}"/></span>
				<input type=text class="light_input"  name="pj_name"   size="30"  value='<c:out value="${project.pj_name}"/>' >
				</td>
			<td class="outline"></td>
		</tr>

		<tr><td colspan=5 height=1 class="outline"></td></tr>

		<tr>
	  		<td height="25" class="outline"></td>
	  		<td align="center" class="table_title">Assembly</td>
	  		<td class="outline"></td>
			<td align="left"  valign="top" class="blank" >&nbsp;&nbsp;<span id="assy_code_span" style="width:70;background:beige"  ><c:out value="${assembly.item_code}"/></span>
				<input type=text class="light_input"  name="assy_name"   size="30"  value='<c:out value="${assembly.item_name}"/>' >
				</td>
			<td class="outline"></td>
		</tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>
		
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">품번</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<span id="assy_code_span_add" style="background:beige;width:70"  ></span>
   				<input type=text class="light_input" onclick="onclickReset()" name=pl_code size="4" style="color=black;" onchange="checkPlCode()"   value='<c:out value="${pl_info.part_pl_no}"/>' ><span id="pl_code-error" class="error"></span>
   				</td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=5 height=1 class="outline"></td><td bgcolor="beige"></td></tr>
				
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">단가 / 수량</td>
  			<td class="outline"></td>
    		<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input" name=sales_price     value='<fmt:formatNumber value="${material.sales_price}" type="number"/>' size="30" style="color=black;">&nbsp;원&nbsp;&nbsp;/&nbsp;&nbsp;<input type=text class="light_input" name=quan size="5" align=right style="align:right" value='<fmt:formatNumber value="${pl_info.part_quan}" type="number" />' >&nbsp;EA&nbsp;&nbsp;</td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>
		
		<tr><td colspan=5 height=2 ></td></tr>
		
		<tr><td colspan=5 height=1 class="outline"></td></tr>
		
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">자재구분</td>
  			<td class="outline"></td>
  			<td align="left" class="blank" >&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('S')" name="standard_flag" value="S" >표준&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('M')" name="standard_flag" value="M" >메이커성&nbsp;&nbsp;
  				<input type="radio" onclick="onclickChangeType('O')" name="standard_flag" value="O" >가공품&nbsp;&nbsp;
  			</td>
			<td class="outline"></td>
		</tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">품명</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=item_name value='<c:out value="${material.item_name}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">규격</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=specification value='<c:out value="${material.specification}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">제조원</td>
  			<td class="outline"></td>
    		<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=maker_name size="50" value='<c:out value="${material.maker_name}"/>'  style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=19 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">재질</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=model_no  value='<c:out value="${material.model_no}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>
		
		
		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">후처리</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=description value='<c:out value="${material.description}"/>' size="50" style="color=black;"></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>

		
		<tr><td colspan=5 height=2 ></td></tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title" width="30%">마스터품목코드</td>
  			<td class="outline"></td>
   			<td align="left" class="blank" >&nbsp;&nbsp;<input type=text  class="light_input_readonly"  name=item_code value='<c:out value="${material.item_code}"/>' size="50" style="color=black;" readonly></td>
  			<td class="outline"></td>
  		</tr>
		<tr><td colspan=5 height=1 class="outline"></td></tr>
  		<tr>
  			<td height="25" class="outline"></td>
  			<td align="center" class="table_title">분류코드</td>
  			<td class="outline"></td>
    		<td align="left" class="blank" >&nbsp;&nbsp;<input type=text class="light_input"  name=class_code value='<c:out value="${material.class_code}"/>'  size="50" style="color=black;" ></td>
  			<td class="outline"></td>
  		</tr>
 		<tr><td colspan=5 height=1 class="outline"></td></tr>

</table>
</form>
</c:forEach>
</c:forEach>
</c:forEach>
</c:forEach>
<script language="JavaScript">
<!--//
<c:forEach items="${partlist}" var="part">
	PlNoList.push( '<c:out value="${part.pl_no}"/>' );
</c:forEach>
//-->
</script>