<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--

	var GlobalInfoWindow;
	var source_assy_uid;
	var target_assy_num;
	var max_assy_num;
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		
		GlobalInfoWindow = "";
		source_assy_uid  = "";
		target_assy_num	 = -1;
		max_assy_num	 = Number(DWRUtil.getValue("max_assy_num"));
	}
	
	function doCopyPart()
	{
	
		//var checkall = checkCountAll();//모든 체크박스의 갯수
		var checkCnt = checkCount();//클릭한 체크박스의 갯수
		if(checkCnt<1)
		{
			alert('<spring:message code="MSG_ALERT.35"/>');
			return;
		}
		
		var action_para = "d_mtrl.html?&menuId=d05-add,d-result"
		document.GeneralBaseForm1.action=action_para;
		doingProcess();
		document.GeneralBaseForm1.submit();

	
	}
	
	function onclickTarget(target_assy_uid, target_pj_uid, i)
	{
		if(source_assy_uid==target_assy_uid)
		{
			alert('<spring:message code="MSG_ALERT.20"/>');
			document.GeneralBaseForm1.assy_target[i].checked = false;
			return;
		}
		DWRUtil.setValue("target_assy_uid", target_assy_uid);
		DWRUtil.setValue("pj_unique_id", target_pj_uid);
		
		target_assy_num = i;
	}
	
	function commandMaterial( child_uid, assy_uid, pj_uid, action_type, child_quan )
	{

		if(action_type == "delete") {
			if(child_quan > 0)
			{
				alert('<spring:message code="MSG_ALERT.58"/>');
				return;
			}
			
			res = confirm("Ass'y를 삭제하시겠습니까?");
			if(res != true)
				return;
		}
		var action_para;
		
		if( action_type == "view") {
			source_assy_uid = assy_uid;
			var newGlobalInfoWindow = assy_uid + "_detail";			
			if( GlobalInfoWindow == newGlobalInfoWindow) {
				DWRUtil.setValue(GlobalInfoWindow, "");
				GlobalInfoWindow = "";
				source_assy_uid = "";
				return;
			}
			getAssyBom(assy_uid, newGlobalInfoWindow);
			
			return;
		}
		else if( action_type == "delete") {
			DWRUtil.setValue("target_assy_uid", assy_uid);
			DWRUtil.setValue("pj_unique_id", pj_uid);
			action_para = "d_mtrl.html?&menuId=d05-delete,d-result"; // + "&assymap_uid=" + unique_id;
		}
		else if( action_type == "edit") {
			DWRUtil.setValue("target_assy_uid", assy_uid);
			DWRUtil.setValue("pj_unique_id", pj_uid);
			DWRUtil.setValue("target_child_uid", child_uid);
			action_para = "d_mtrl.html?&menuId=d05-modform,d05-edit"; // + "&assymap_uid=" + unique_id;
		}
		else
			alert('<spring:message code="MSG_ALERT.48"/>');
				
		document.GeneralBaseForm1.action=action_para;
		doingProcess();
		document.GeneralBaseForm1.submit();
	}
	
	function getAssyBom(unique_id, form_span)
	{
			if(GlobalInfoWindow != "")
			{
				DWRUtil.setValue(GlobalInfoWindow, "");
			}
			GlobalInfoWindow = form_span;
			
			if(target_assy_num>-1)
			{
				document.GeneralBaseForm1.assy_target[target_assy_num].checked = false;
			}
			DWRUtil.setValue("target_assy_uid", "");
			
			DWRUtil.setValue(form_span, GwaitingMessageServ);
	    	page_path = "/dong.html?searchType=partline-assy";
			CommonInfo.getForward(loadpartlinedetail, page_path + "&searchKey=" + unique_id);
			
	}
	
	function loadpartlinedetail(data)
	{
	    DWRUtil.setValue(GlobalInfoWindow, data);
	}
//-->
</script>

<form name="GeneralBaseForm1" method="post" enctype="multipart/form-data">
<input type="hidden" name=target_assy_uid>
<input type="hidden" name="pj_unique_id">

<input type="hidden" name=target_child_uid>
<table  border=0 cellpadding=0 cellspacing=0 class="body">

	<tr><td colspan=15 height=1 class="outline"></td></tr>
	<tr>
		<td width="1" height="25" class="outline" nowrap></td>
		<td width="100" class="table_title" align=center>Ass'y번호</td>			
		<td width="1" class="inline"></td>
		<td width="250" class="table_title" align=center>프로젝트 명</td>
		<td width="1" class="inline" nowrap></td>
		<td width="250" class="table_title" align=center>Assembly 명</td>
		<td width="1" class="inline" nowrap></td>
		<td width="50" class="table_title" align=center>수량</td>
		<td width="1" class="inline" nowrap></td>
		<td width="100" class="table_title" align=center>명령</td>
		<td width="1" class="inline" nowrap></td>
		<td width="60" class="table_title" align=center>복사대상</td>
		<td width="1" class="inline" nowrap></td>
		<td width="60" class="table_title" align=center>~로 복사</td>
		<td width=1 class="outline" nowrap></td>
	</tr>

	<tr><td colspan=15 height=1 class="outline"></td>
	</tr>
<c:set var="cnt" value="0"/>
<c:forEach items="${materiallist}" var="assembly">
		<tr>
			<td height="23" class="outline"></td>
			<td align=center><c:out value="${assembly.item_code}"/></td>
			<td class="inline"></td>
			<td align=center><c:out value="${assembly.pj_name}"/></td>
			<td class="inline"></td>
			<td align=center><c:out value="${assembly.item_name}"/></td>
			<td class="inline"></td>
			<td align=right><fmt:formatNumber value="${assembly.bm_quan}" type="number"/> Set&nbsp;</td>
			<td class="inline"></td>
			<td align=center>
				<a href="javascript:commandMaterial('<c:out value="${assembly.unique_id}"/>', '<c:out value="${assembly.unique_uid}"/>', '<c:out value="${assembly.parent}"/>', 'edit',   <c:out value="${assembly.child_quan}"/> )   ">[수정]</a>
				<a href="javascript:commandMaterial('<c:out value="${assembly.unique_id}"/>', '<c:out value="${assembly.unique_uid}"/>', '<c:out value="${assembly.parent}"/>', 'delete',   <c:out value="${assembly.child_quan}"/> )   ">[삭제]</a>
				</td>
			<td class="inline"></td>
			<td align=center>
				<a href="javascript:commandMaterial('<c:out value="${assembly.unique_id}"/>', '<c:out value="${assembly.unique_id}"/>', '<c:out value="${assembly.parent}"/>', 'view',   <c:out value="${assembly.child_quan}"/> )   ">[선택]</a>
				</td>
			<td class="inline"></td>
			<td align=center><input type="radio" onclick="onclickTarget('<c:out value="${assembly.unique_id}"/>','<c:out value="${assembly.parent}"/>',  <c:out value="${cnt}"/>)" name="assy_target" value='<c:out value="${assembly.unique_id}"/>' ></td>
			<td class="outline"></td>
		</tr>
		<tr>
			<td height=1 class="outline"></td>
			<td colspan=13 class="inline" align=center><span id='<c:out value="${assembly.unique_id}"/>_detail'></span></td>
			<td height=1 class="outline"></td>
		</tr>
<c:set var="cnt" value="${cnt+1}"/>	
</c:forEach>
</table>
<input type="hidden" name=max_assy_num value='<c:out value="${cnt}"/>'>
</form>
