<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
<!--
	var GlobalInfoWindow;
	var newGlobalInfoWindow;
	
	function onclickReset(target)
	{
		if( target != "") {
			$(target).style.height = 1;
			DWRUtil.setValue(target, "");
		}
	}
	
	function setSearchCondition()
	{
		startSearchForm();
		addSearchForm("company_code", "회사코드", "doGeneralSearchSubmit");
		addSearchForm("company_name", "회사명", "doGeneralSearchSubmit");
		//addSearchForm("multi_price_group", "다중판가그룹", "doGeneralSearchSubmit");
		//addSearchForm("groupware_type", "그룹웨어", "doGeneralSearchSubmit");
		//addSearchForm("sourcing_group", "소싱그룹", "doGeneralSearchSubmit");
		endSearchForm();		
	}

	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		setSearchCondition();
		//DWRUtil.setValue("button_menu", StrButtonMenu);
		DWRUtil.setValue("search_condition", StrSearchForm);
		Rounded("div#nifty","white","lavender");
		
		GlobalInfoWindow = "";
	}

	function commandProject( unique_id, action_type )
	{
		if(action_type == "delete") {
			res = confirm("프로젝트를 삭제하시겠습니까?");
			if(res != true)
				return;
		}
		if( action_type == "view") {
			newGlobalInfoWindow = unique_id + "_detail";
			
			if( GlobalInfoWindow == newGlobalInfoWindow) {
				//onclickReset(GlobalInfoWindow);
				return;
			}
			
			$(newGlobalInfoWindow).style.height = 100;
			
			page_path = "/dong.html?searchType=company-detail";
			CommonInfo.getForward(loadforward, page_path + "&searchKey=" + unique_id);
			return;
		}
		else if( action_type == "delete") {
			action_para = "f_admn.html?&menuId=f11-delete,f11" + "&unique_id=" + unique_id;
		}
		else if( action_type == "edit") {
			action_para = "f_admn.html?menuId=f11-modform,f11-edit" + "&unique_id=" + unique_id;
		}
		else
			alert('<spring:message code="MSG_ALERT.48"/>');
		document.CompanySearchForm.action=action_para;
		doingProcess();
		document.CompanySearchForm.submit();
	}


	function loadforward(data)
	{
	    DWRUtil.setValue(newGlobalInfoWindow, data);
	    onclickReset(GlobalInfoWindow);
	    GlobalInfoWindow  = newGlobalInfoWindow;
	}
	
function doSubmit()
 {
  var action_para = "f_admn.html?menuId=f11-modform,f-result"
 // document.CompanyRegistForm.action=action_para;
 // document.CompanyRegistForm.submit();
 }
</script>	
<form name="CompanySearchForm" method="post" enctype="multipart/form-data" >
<table  width=990 border=0 cellpadding=0 cellspacing=0 class="body">

	<tr><td colspan=27 height=1 class="outline"></td></tr>
	<tr>
		<td width="1" height="25" class="outline" nowrap></td>
		<td width="80" class="table_title" align=center>코드</td>			
		<td width="1" height="" class="inline"></td>
		<td width="80" class="table_title" align=center>회사명</td>
		<td width="1" height="" class="inline"></td>
		<td width="100" class="table_title" align=center>소그룹명</td>
		<td width="1" height="" class="inline"></td>
		<td width="100" class="table_title" align=center>소싱그룹</td>
		<td width="1" height="" class="inline" ></td>
		<td width="100" class="table_title" align=center>매출액(억원)</td>
		<td width="1" height="" class="inline" ></td>
		<td width="100" class="table_title" align=center>수주일자</td>
		<td width="1" height="" class="inline" ></td>
		<td width="100" class="table_title" align=center>수주금액(억원)</td>
		<td width="1" height="" class="inline" ></td>
		<td width="100" class="table_title" align=center>명령</td>
		<td width="1" height="" class="outline" nowrap></td>
	</tr>

	<tr><td colspan=27 height=1 class="outline"></td></tr>



<c:forEach items="${companylist}" var="company">

		<tr>
			<td height="25" class="outline"></td>
			<td align=center><c:out value="${company.company_code}"/></td>
			<td class="inline"></td>
			<td align=center><c:out value="${company.company_name}"/></td>
			<td class="inline"></td>
			<td align=center><c:out value="${company.biz_group_name}"/></td>
			<td class="inline"></td>
			<td align=center><c:out value="${company.sourcing_group}"/></td>
			<td class="inline"></td>
			<td align=center><c:out value="${company.sales_amount}"/></td>
			<td class="inline"></td>
			<td align=center><c:out value="${company.deal_date}"/></td>
			<td class="inline"></td>
			<td align=center><c:out value="${company.deal_amount}"/></td>
			<td class="inline"></td>
			<td align=center>
				<a href="javascript:commandProject('<c:out value="${company.unique_id}"/>', 'view')   ">[보기]</a>
				<a href="javascript:commandProject('<c:out value="${company.unique_id}"/>', 'edit')   ">[수정]</a>
				<a href="javascript:commandProject('<c:out value="${company.unique_id}"/>', 'delete') ">[삭제]</a>
				</td>
			<td class="outline"></td>
		</tr>
		<tr><td height=1 class="outline"></td><td  id='<c:out value="${company.unique_id}"/>_detail' colspan=15 class="inline"></td><td height=1 class="outline"></td></tr>

</c:forEach>

</table>
</form>