<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<script language="javascript">
	function board_modify()
	{
		var form = document.boardForm;
		if(form.board_title.value == '')
		{
			alert('<spring:message code="MSG_ALERT.78"/>');
			form.board_title.focus();
			return;
		}
		else if(form.board_name.value == '')
		{
			alert('<spring:message code="MSG_ALERT.59"/>');
			form.board_name.focus();
			return;
		}
		else if(form.board_email.value == '')
		{
			alert('<spring:message code="MSG_ALERT.22"/>');
			form.board_email.focus();
			return;
		}
		else if(form.board_content.value == '')
		{
			alert('<spring:message code="MSG_ALERT.18"/>');
			form.board_content.focus(); 
			return;
		}	
		
		form.action="h_mynv.html?menuId=h04-edit,h-result";
		doingProcess();
		form.submit();			
	}
	
	function board_list()
	{
		location.href="h_mynv.html?menuId=h04-listall";
	}
	
	function DefaultInit()
	{	
		GFileGroupKey = DWRUtil.getValue("unique_id");
		
<c:forEach items="${fileList}" var="file_list">
	AddFileList('<c:out value="${file_list.file_path}"/>', 0, '<c:out value="${file_list.item_code}"/>', '<c:out value="${file_list.group_code}"/>');
</c:forEach>	

		setSearchButtonMenu(this_page);
		
	}
</script>

<form name="boardForm" method="post" enctype="multipart/form-data">
<input type="hidden" name="unique_id" value="<c:out value="${boardEditForm.unique_id}"/>">
<table width="600" border="0" cellspacing="0" cellpadding="0" style="border－collapse:collapse">
	<tr>	
		<td colspan=5 height=1 class="outline"></td>	
	</tr>
	<tr>
		<td height="25" class="outline" >
		</td>
		<td align="center" class="table_title" width="15%">
			글제목
		</td>
		<td class="outline">
		</td>
		<td align="left" class="blank" >
			&nbsp;&nbsp;<input type=text class="light_input" name="board_title" value="<c:out value="${boardEditForm.board_title}"/>" size="40" style="color=black;"></td>
		<td class="outline">
		</td>
	</tr>
	<tr>
		<td colspan=5 height=1 class="outline"></td>
	</tr>
	<tr>
		<td height="25" class="outline" >
		</td>
		<td align="center" class="table_title">
			작성자
		</td>
		<td class="outline">
		</td>
		<td align="left" class="blank" >
			&nbsp;&nbsp;<input type=text  class="light_input_readonly" name="board_name"  size="40" value="<c:out value="${boardEditForm.board_name}"/>" style="color=black;" readonly></td>
		<td class="outline">
		</td>
	</tr>
	<tr>
		<td colspan=5 height=1 class="outline"></td>
	</tr>
	<tr>
		<td height="25" class="outline" >
		</td>
		<td align="center" class="table_title" width="">
			이메일
		</td>
		<td class="outline">
		</td>
		<td align="left" class="blank" >
			&nbsp;&nbsp;<input type=text class="light_input" name="board_email"  size="40" value="<c:out value="${boardEditForm.board_email}"/>" style="color=black;"></td>
		<td class="outline">
		</td>
	</tr>
	<tr>
		<td colspan=5 height=1 class="outline"></td>
	</tr>
	<tr>
		<td height="25" class="outline" >
		</td>
		<td align="center" class="table_title" width="">
			내용
		</td>
		<td class="outline">
		</td>
		<td align="left" class="blank" >
			&nbsp;&nbsp;<textarea name="board_content" class="text_area" rows="20" cols="85"><c:out value="${boardEditForm.board_content}"/></textarea></td>
		<td class="outline">
		</td>
	</tr>
	<tr>
		<td colspan=5 height=1 class="outline"></td>
	</tr>
	
	<tr>
		<td colspan=5 height=1 class="outline"></td>
	</tr>
	<tr>
		<td height="25" class="outline" >
		</td>
		<td align="center" class="table_title" width="">
			첨부파일<br><a href="javascript:fn_fileupload();">[추가]</a>
		</td>
		<td class="outline"></td>
		<td align="left" class="blank" ><span id='file_upload_div'>(없음)</span></td>
		<td class="outline">
		</td>
	</tr>
	<tr>
		<td colspan=5 height=1 class="outline"></td>
	</tr>

</table>
<span id="file_display"></span>
</form>