<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> <%request.setCharacterEncoding("UTF-8"); %>
<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn"  uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>


<script language="javascript">
<!--
	var GlobalInfoWindow;  
	var newGlobalInfoWindow;
	var rtgast_uid;
	var comment_open=false;
	
	function onclickReset(target)
	{
		if( target != "") {
			$(target).style.height = 1;
			DWRUtil.setValue(target, "");
		}
	} 
	
	function resetAllField()
	{
		DWRUtil.setValue("s_gr_type_no", "");
		DWRUtil.setValue("s_type_no", "");
		DWRUtil.setValue("var_item_code", "");
		DWRUtil.setValue("item_name", "");
		DWRUtil.setValue("seller_code", "");
		DWRUtil.setValue("seller_name", "");
		DWRUtil.setValue("account_code", "");
		DWRUtil.setValue("account_name", "");
		DWRUtil.setValue("pr_user_name", "");
		DWRUtil.setValue("gr_reason", "");
	}
	
	function searchThisMonthGr()
	{
		resetAllField();
		
		fillFirstDate('s_date');
		fillDate('e_date');
		
		$("date_type").options[2].selected = true;
		$("mp_status").options[1].selected = true;
		$("is_final").options[0].selected = true;
		
		doSubmit();

	}
	
	function searchNotFixed()
	{
		resetAllField();
		$("date_type").options[0].selected = true;
		$("mp_status").options[1].selected = true;
		$("is_final").options[2].selected = true;
		
		doSubmit();
	}
	
	function searchThisMonthNotFixed()
	{
		resetAllField();
		
		fillFirstDate('s_date');
		fillDate('e_date');
		
		$("date_type").options[2].selected = true;
		$("mp_status").options[1].selected = true;
		$("is_final").options[2].selected = true;
		
		doSubmit();
	}
	
	function searchPrevMonthNotFixed()
	{
		resetAllField();
		doSubmit();
	}
	
	function searchNotGr()
	{
		resetAllField();
		
		$("date_type").options[0].selected = true;
		$("mp_status").options[2].selected = true;
		$("is_final").options[0].selected = true;
		
		doSubmit();
	}
	
	function getAcountDate()
	{
		today = new Date();
		yyyy= today.getFullYear();
		mm 	= today.getMonth()+1;

		if(mm<10) {
			mm = "0" + mm;
		}

		return yyyy + "년" + mm + "월";
	}
	
	function fillDate(field)
	{
		today = today_global;
		yyyy= today.getFullYear();
		mm 	= today.getMonth()+1;
		dd	= today.getDate();
		var field_name = eval("document.searchForm."+field);
		if(mm<10) {
			mm = "0" + mm;
		}
		if(dd<10) {
			dd = "0" + dd;
		}
		fstr = yyyy + "/" + mm + "/" + dd;
		//if(field_name.value == ''){
			field_name.value = fstr;
		//}
	}
	
	//이번달 1일
	function fillFirstDate(field)
	{
		today = today_global;
		yyyy= today.getFullYear();
		mm 	= today.getMonth()+1;

		var field_name = eval("document.searchForm."+field);
		if(mm<10) {
			mm = "0" + mm;
		}

		fstr = yyyy + "/" + mm + "/" + "01";
		//if(field_name.value == ''){
			field_name.value = fstr;
		//}
	}
	
	
	function DefaultInit()
	{
		setSearchButtonMenu(this_page);
		//DWRUtil.setValue("button_menu", StrButtonMenu);
		
		//fillFirstDate('s_date');
		fillDate('s_date');
		fillDate('e_date');
	   	Calendar.setup({inputField : "s_date", ifFormat : "%Y/%m/%d", button : "establishment_year_calendarS" });	
	    Calendar.setup({inputField : "e_date", ifFormat : "%Y/%m/%d", button : "establishment_year_calendarE" });		   	
		GlobalInfoWindow = "";
		
		$("my_comment").style.visibility = "hidden";
		
	}

	
	function checkGrQaun(part_uid)
	{	
		var req_qaun_name = String(part_uid) + "_prev_gr_quan";
		var cur_qaun_name = String(part_uid) + "_gr_quan";
		var req_qaun_str = DWRUtil.getValue(req_qaun_name);
		var cur_qaun_str = DWRUtil.getValue(cur_qaun_name);
		var req_qaun = parseInt(req_qaun_str);
		var cur_qaun = parseInt(cur_qaun_str);
		
		if( isOnlyNum($(cur_qaun_name)) != true)
		{
			alert("취소수량에 숫자가 아닌 값이 있습니다.");
			DWRUtil.setValue(cur_qaun_name, req_qaun_str);
			return;
		}
		
		if(cur_qaun > req_qaun)
		{
			alert('<spring:message code="MSG_ALERT.91"/>');
			DWRUtil.setValue(cur_qaun_name, req_qaun_str);
			return;			
		}
		
		if(cur_qaun <= 0)
		{
			alert('<spring:message code="MSG_ALERT.90"/>');
			DWRUtil.setValue(cur_qaun_name, 1);
			return;			
		}		
	}
	
		
	function doSubmit()
	 {
	 	var lo_form = document.searchForm;
		 		
		action_para = "j_prch.html?menuId=j05";
		lo_form.action = action_para;
		doingProcess();
		lo_form.submit();
	 }
	 
	 //Excel File 출력
	 function printExcelFile()
	 {
	 	var lo_form = document.GeneralBaseForm1;
	 	
	 	/*
		action_para = "excel_view.html";
		lo_form.action = action_para;
		lo_form.submit();
		*/
		
		var uid_value_str = "";
		
		var checkCnt = checkCountAll1( lo_form );
		
		if(checkCnt==0)
		{
			alert('<spring:message code="MSG_ALERT.88"/>');
			return;
		}
		
		for(var i=0; i<checkCnt; i++)
		{
			if(checkCnt == 1) 	//배열이 아니면
			{		
				chk_Field    = eval("document.GeneralBaseForm1.chkBox");		
			}
			else
			{		
				chk_Field   = eval("document.GeneralBaseForm1.chkBox["+i+"]");
			}
			
			uid_value_str =  uid_value_str + chk_Field.value + ";";

		}
		
		w = screen.availWidth / 1.5;
		h = screen.availHeight / 1.5;
		
		var win_option = 
		//"direction=yes," +
		//"location=yes," +
		"menubar=yes," +
		//"scrollbars=yes," +
		//"status=yes," +
		//"toolbar=yes," +
		"resizable=yes," +
		"width="+w+",height="+h;
		
		var html_str = "excel_view.html" + "?&excel_page=EXCEL_J05" + "&uid_array=" + uid_value_str;
		newWin1 = window.open(html_str, "newWin1", win_option);
		newWin1.moveTo(0,0);
		
	 }
	 
	 function doPublishAccount()
	 {
	 
	 	var lo_form = document.GeneralBaseForm1;
	 	var checkedCount = checkCount();
	 
	 	if( checkedCount == 0 ) {

			alert('<spring:message code="MSG_ALERT.35"/>');
			return;
		}
		
		var prev_input= getAcountDate();
	 	DWRUtil.setValue("account_date", prev_input);
	 	
	 	$("my_comment").style.visibility = "visible";
	 	
	}

	function doPublishAccountCancel ()
	{
	
		$("my_comment").style.visibility = "hidden";

	}
	
	function doPublishAccount2 ()
	{
		$("my_comment").style.visibility = "hidden";
		
		var lo_form = document.GeneralBaseForm1;
		
		var action_para = "j_prch.html?menuId=j05-add,j-result";
		lo_form.action = action_para;
		doingProcess();
		lo_form.submit();
	}
	
	var g_state = "";
	
	function f_keydown(ars_type){	
		if (event.keyCode == 13) {
			g_state = ars_type;
			f_user_search_focus(ars_type);	
		}
	}	 
	
	function f_user_search_focus(ars_type){

		var arg_key = "";
		var lo_Field;
		if(ars_type == 'user') //사용자검색
		{
			lo_Field = document.searchForm.var_user_name;
		}else if(ars_type == 'wa_name2'){//사업장
			lo_Field = document.searchForm.wa_name;
		}else if(ars_type == 'dept_name2'){//부서
			lo_Field = document.searchForm.dept_code;
		}else if(ars_type == 'seller'){//공급원
			lo_Field = document.searchForm.seller_name;
		}else if(ars_type == 'division_name2'){//공급원
			lo_Field = document.searchForm.division_code;
		}

		if (lo_Field.value.length < 1) {
			lo_Field.focus();
			alert('<spring:message code="MSG_ALERT.2"/>');
			return;
		}else{
			arg_key = lo_Field.value; //검색어
			onclickFunction(arg_key, ars_type);
		}
	}	
	
	function onclickFunction(input_key, input_name) {	
		
		var page_path;
		
		newGlobalInfoWindow = 'output';

		page_path = "/dong.html?searchKey=" + input_key;

		if( GlobalInfoWindow != "") {
			DWRUtil.setValue(GlobalInfoWindow, "");
			$(GlobalInfoWindow).style.visibility = "hidden";
		}

		GlobalInfoWindow = newGlobalInfoWindow;
		CommonInfo.getForward(loadforward, page_path + "&searchType=" + input_name + "&searchHandler=" + input_name);
		$(GlobalInfoWindow).style.height = 80;
		$(GlobalInfoWindow).style.visibility = "visible";

	}	
	
	function loadforward(data)
	{ 
	    DWRUtil.setValue(newGlobalInfoWindow, data);
	    //onclickReset(GlobalInfoWindow);
	}	
	
	function selectMulti(hanler, code, name, unique_id) {
	    var lo_form = document.searchForm;
		var userField;
		var waField;	
		var deptField;

		if(g_state == 'user')
		{
			lo_form.var_user_name.value = name;
		}else if(g_state == 'wa_name2'){
			lo_form.wa_name.value = name;
		}else if(g_state == 'dept_name2'){
			lo_form.dept_code.value = code;
		}else if(g_state == 'seller'){
			lo_form.seller_name.value = code;
		}else if(g_state == 'division_name2'){
			lo_form.division_code.value = code;
		}
		onclickReset(GlobalInfoWindow);
	}		


	function addreq_info(id, cnt){
	
		var reqInfo_Field = eval("document.all."+id+cnt);

		if(reqInfo_Field.style.display == "none")	{
		
			reqInfo_Field.style.display = "block";
			
		}else{
		
			reqInfo_Field.style.display = "none";
			
		}
		
	}	
//-->       
</script>

<form name="searchForm" method="post">

<table  width=700 border=1 cellpadding=0 cellspacing=0 class="body" bordercolor="CCCCCC" style="border-collapse:collapse">
	<tr>
		<td class="table_title" height="35">
		&nbsp;<select name="date_type" style="width:90;">
			<option value="not_defined" <c:if test="${date_type == 'not_defined'}">selected</c:if> ><spring:message code="MSG_INFO.2"/></option>
			<option value="po_date" <c:if test="${date_type == 'po_date'}">selected</c:if>     >주문일자</option>
			<option value="gr_date" <c:if test="${date_type == 'gr_date'}">selected</c:if>     >입고일자</option>
		</select>	
		</td>
		<td width=250>
			&nbsp;<input type=text onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input"  name="s_date" value="<c:out value="${s_date}" />" size="11" readonly>&nbsp;<img src="./media/calendar_imk.gif" width="16" height="15" id="establishment_year_calendarS" style="cursor: pointer;" alt="달력"/>~
			&nbsp;<input type=text class="light_input"  name="e_date" value="<c:out value="${e_date}" />" size="11" readonly>&nbsp;<img src="./media/calendar_imk.gif" width="16" height="15" id="establishment_year_calendarE" style="cursor: pointer;" alt="달력"/>
		</td>
		<td class="table_title" width=100>검색구분</td>
		<td width=250>
		&nbsp;
		<select name="mp_status" style="width:100">
			<option value="GR_PO" 		<c:if test="${mp_status == 'GR_PO'}">selected</c:if>	 >[입고/미입고]</option>
			<option value="GR" 			<c:if test="${mp_status == 'GR' }">selected</c:if>   >입고완료</option>
			<option value="PO" 			<c:if test="${mp_status == 'PO' }">selected</c:if>    >미입고</option>
		</select>
		&nbsp;
		<select name="is_final" style="width:100">
			<option value="ALL" 		<c:if test="${is_final == 'ALL'}">selected</c:if> >[정산/미정산]</option>
			<option value="Y" 			<c:if test="${is_final == 'Y'}">selected</c:if>	>정산완료</option>
			<option value="N"			<c:if test="${is_final == 'N'}">selected</c:if>	>미정산</option>
		</select>
		</td>
	</tr>

	<tr>

		<td class="table_title">입고번호</td>
		<td>
			&nbsp;<input type="text" onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input" name="s_gr_type_no" value="<c:out value='${s_gr_type_no}'/>" size="25">
		</td>
		
		
		
		<td class="table_title">주문번호</td>
		<td>
			&nbsp;<input type="text" onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input" name="s_type_no" value="<c:out value='${s_type_no}'/>" size="25">
		</td>
		

	</tr>
	
	<tr>	
		<td class="table_title" height="35">품목코드</td>
		<td>
			&nbsp;<input type=text onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input"  name="var_item_code" value="<c:out value='${var_item_code}'/>" size="25" style="color=black;">
		</td>
		<td class="table_title" >
		품명
		</td>
		<td>
			&nbsp;<input type=text onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input"  name="item_name" value="<c:out value='${item_name}'/>" size="25" style="color=black;">
		</td>
	</tr>

	 
	 <tr>	
		<td class="table_title" height="35">공급사 코드</td>						
		<td>
			&nbsp;<input type="text" onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input" name="seller_code" value="<c:out value='${seller_code}'/>" size="25" >
		</td>	
		
		<td class="table_title" >공급사 명</td>						
		<td>
			&nbsp;<input type=text onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input"  name="seller_name" value="<c:out value='${seller_name}'/>" size="25" style="color=black;" >
		</td>
				
	</tr>
	<tr>
	
		<td class="table_title" height="35">프로젝트 코드</td>						
		<td>
			&nbsp;<input type="text" onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input" name="account_code" value="<c:out value='${account_code}'/>" size="25" >
		</td>	
		
		<td class="table_title"  height="35">프로젝트 명</td>
		<td>
			&nbsp;<input type=text onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input"  name="account_name" value="<c:out value='${account_name}'/>" size="25" style="color=black;">
		</td>
		
	 <tr>	
		<td class="table_title" height="35">요청자</td>						
		<td>
			&nbsp;<input type="text" onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input" name="pr_user_name" value="<c:out value='${pr_user_name}'/>" size="25" >
		</td>	
		
		<td class="table_title" >입고 의견</td>						
		<td>
			&nbsp;<input type=text onkeypress="DWRUtil.onReturn(event, doSubmit)" class="light_input"  name="gr_reason" value="<c:out value='${gr_reason}'/>" size="25" style="color=black;" >
		</td>
				
	</tr>
</table>
</form>
<a href='javascript:searchNotGr();'>[전체 미입고]&nbsp;</a>
<a href='javascript:searchThisMonthGr();'>[이번달 입고]&nbsp;</a>
<a href='javascript:searchNotFixed();'>[전체 미정산]&nbsp;</a>
<a href='javascript:searchThisMonthNotFixed();'>[이번달 미정산]</a>
<hr size=1 style="border:1 dotted purple">
<br>
<c:if test="${loginned_user_type == 'PUR'}">
<b><span style='width=12;height=12;filter=progid:DXImageTransform.Microsoft.Gradient(GradientType=0, StartColorStr=white, EndColorStr=#BDCDFF)'></span>&nbsp;입고 현황</b>&nbsp;&nbsp;&nbsp;<a href='javascript:doPublishAccount();'>[정산 실행]</a><br>정산서는 공급사 별로 발행됩니다.
</c:if>
<form name="GeneralBaseForm1" method="post">
<div id="my_comment" style="border: #999999 1px solid;background:#DBE3F1;position:absolute;left:5px;top:320px;text-align:left;padding-top:5px;padding-bottom:3px;white-space:nowrap;hidden">
<spring:message code="MSG_PROMPT.8"/><br>
	<textarea name=account_date class="light_input" rows=1 cols=60 style="color=black;" maxLength="255">></textarea><br>
<a href='javascript:doPublishAccount2();'>[확인]</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='javascript:doPublishAccountCancel();'>[취소]</a>
</div>
	<table  width="990" border=1 cellpadding="0" cellspacing="0" bordercolor="#CCCCCC" style="border-collapse:collapse">
		<tr><td colspan=19 height=5 height=10 ><a href='javascript:printExcelFile();'>[엑셀출력]</a></td></tr>
		<tr>
			<td class="table_title" ><input type="checkbox" name=chkAll onclick="checkAll();"></td>
			<td class="table_title" >고유번호<br>품목코드</td>
			<td class="table_title" >주문번호<br>입고번호</td>
			<td class="table_title" >주문일자<br>입고일자</td>
			<td class="table_title" >품명<br>규격 / 사양</td>
			<td class="table_title" >프로젝트<br>공급사</td>
			<td class="table_title" >단가<br>단위/통화</td>
			<td class="table_title" >주문<br>입고</td>
			<td class="table_title" >주문금액<br>입고금액</td>
			<td class="table_title" >요청자<br>주문자</td>
			<td class="table_title" >입고<br>정산</td>
			<td class="table_title" >명령</td>
			
		</tr>
	
	<c:set var="cnt" value="${cnt+0}"/>
	<c:set var="grp_cnt" value="${grp_cnt+0}"/>
	
	<c:set var="not_checked_sub_sum" value="${0.0}"/>
	<c:set var="not_chkd_total_sum" value="${0.0}"/>
	<c:set var="grquan_sub_sum" value="${0.0}"/>
	<c:set var="gr_sub_sum" value="${0.0}"/>
	<c:set var="gr_total_sum" value="${0.0}"/>
	<c:set var="poquan_sub_sum" value="${0.0}"/>
	<c:set var="po_sub_sum" value="${0.0}"/>
	<c:set var="po_total_sum" value="${0.0}"/>
	
	

	
	<c:forEach items="${XpoList}" var="xpoahd" varStatus="status">
		<c:set var="gr_total_sum" value="${gr_total_sum + xpoahd.gr_amount}"/>
		<c:set var="po_total_sum" value="${po_total_sum + xpoahd.po_qty * xpoahd.sales_price}"/>
		
		
		<c:if test="${xpoahd.is_final == 'N' && xpoahd.is_closed == 'Y'}">
			<c:set var="not_chkd_total_sum" value="${not_chkd_total_sum + xpoahd.gr_amount}"/>
		</c:if>
		
		<c:set var="disabling" value=""/>
		<c:if test="${xpoahd.is_final == 'Y' || xpoahd.is_closed == 'N'}"><c:set var="disabling" value="disabled"/></c:if>
		<c:if test="${loginned_user_type != 'PUR'}"><c:set var="disabling" value="disabled"/></c:if>
		
		<c:choose> 
		<c:when test="${cnt == 0 }"> 
			<c:set var="supplier_code" value="${xpoahd.seller_code}"/>
			<c:set var="gr_sub_sum" value="${gr_sub_sum + xpoahd.gr_amount}"/>
			<c:set var="grquan_sub_sum" value="${grquan_sub_sum + xpoahd.gr_qty}"/>
			<c:set var="poquan_sub_sum" value="${poquan_sub_sum + xpoahd.po_qty}"/>
			<c:set var="po_sub_sum" value="${po_sub_sum + xpoahd.po_qty_sum * xpoahd.sales_price}"/>
			
			<c:if test="${xpoahd.is_final == 'N' && xpoahd.is_closed == 'Y'}">
				<c:set var="not_checked_sub_sum" value="${not_checked_sub_sum + xpoahd.gr_amount}"/>
			</c:if>
		</c:when> 
    	<c:otherwise>
    		<c:if test="${xpoahd.seller_code != supplier_code}">
    		<!-- 
				<tr>
					<td colspan=9 height=5 align=right class="<c:out value='${class}'/>" ><b>미정산 합계</b></td>
					<td class="<c:out value='${class}'/>" align=right><b><fmt:formatNumber value="${not_checked_sub_sum}" type="number"/></b></td>
					<td class="<c:out value='${class}'/>" colspan=2>
					<input type=hidden name="<c:out value='${supplier_code}'/>_ac_sum" value='<fmt:formatNumber value="${not_checked_sub_sum}" type="number"/>' >
					</td>
				</tr>
			 -->
				<tr>
					<td colspan=7 height=5 align=right class="<c:out value='${class}'/>" ><b>합계</b></td>
					<td class="<c:out value='${class}'/>" align=right><b><fmt:formatNumber value="${poquan_sub_sum}" type="number"/><br><fmt:formatNumber value="${grquan_sub_sum}" type="number"/></b></td>
					<td class="<c:out value='${class}'/>" align=right><b><fmt:formatNumber value="${po_sub_sum}" type="number"/><br><fmt:formatNumber value="${gr_sub_sum}" type="number"/></b></td>
					<td class="<c:out value='${class}'/>" colspan=3>
					</td>
				</tr>
	    		<c:set var="not_checked_sub_sum" value="${0.0}"/>
	    		
	    		<c:set var="grquan_sub_sum" value="${0.0}"/>
	    		<c:set var="poquan_sub_sum" value="${0.0}"/>
	    		<c:set var="gr_sub_sum" value="${0.0}"/>
	    		<c:set var="po_sub_sum" value="${0.0}"/>
	    		<c:set var="supplier_code" value="${xpoahd.seller_code}"/>
	    		<c:set var="grp_cnt" value="${grp_cnt+1}"/>
    		</c:if>
    			<c:set var="poquan_sub_sum" value="${poquan_sub_sum + xpoahd.po_qty}"/>
    			<c:set var="grquan_sub_sum" value="${grquan_sub_sum + xpoahd.gr_qty}"/>
    			<c:set var="gr_sub_sum" value="${gr_sub_sum + xpoahd.gr_amount}"/>
    			<c:set var="po_sub_sum" value="${po_sub_sum + xpoahd.po_qty_sum * xpoahd.sales_price}"/>
    			<c:if test="${xpoahd.is_final == 'N' && xpoahd.is_closed == 'Y'}">
    				<c:set var="not_checked_sub_sum" value="${not_checked_sub_sum + xpoahd.gr_amount}"/>
    			</c:if>
		</c:otherwise>           
    	</c:choose>

<!-- 
    	<c:choose> 
		<c:when test="${grp_cnt%2 ==0 }"> 
		<c:set var="class" value="table_body_line4"/>
		</c:when> 
    	<c:otherwise>	
    	<c:set var="class" value="table_body_line3"/>	
		</c:otherwise>           
    	</c:choose>
 -->    	
	<c:set var="class" value="table_body_line1"/>
	<c:if test="${status.count%2 ==0}">
		<c:set var="class" value="table_body_line2"/>
	</c:if>
		
		<tr>
			<td class="<c:out value='${class}'/>"><input type="checkbox" name="chkBox" value=<c:out value="${xpoahd.unique_id}"/> 
			<c:out value="${disabling}"/>
			>
			<input type="hidden" name='<c:out value="${xpoahd.unique_id}"/>_seller_code' value='<c:out value="${xpoahd.seller_code}"/>'>
			<input type="hidden" name='<c:out value="${xpoahd.unique_id}"/>_seller_name' value='<c:out value="${xpoahd.seller_name}"/>'>
			<input type="hidden" name='<c:out value="${xpoahd.unique_id}"/>_item_name'   value='<c:out value="${xpoahd.item_name}"/>'>
			<input type="hidden" name='<c:out value="${xpoahd.unique_id}"/>_sup_uid'   	 value='<c:out value="${xpoahd.sms_cnt}"/>'>

			</td>
			<td class="<c:out value='${class}'/>" align=center><c:out value="${xpoahd.unique_id}"/><br><c:out value="${xpoahd.item_code}"/></td>
			<td class="<c:out value='${class}'/>" align=center>
			<c:out value="${xpoahd.po_no}"/><br>
	    	<c:choose> 
			<c:when test="${xpoahd.gr_no == '' }"> 
			[미입고]
			</c:when>
			<c:when test="${xpoahd.gr_no == null }"> 
			[미입고]
			</c:when>
	    	<c:otherwise>
	    	<c:out value="${xpoahd.gr_no}"/>
			</c:otherwise>
	    	</c:choose>
			</td>
			<td class="<c:out value='${class}'/>" align=center><fmt:formatDate value='${xpoahd.po_date}' type='both' pattern='yyyy/MM/dd'/><br><fmt:formatDate value='${xpoahd.gr_date}' type='both' pattern='yyyy/MM/dd'/></td>
			<td class="<c:out value='${class}'/>" align=left>
				<c:set var="item_name" 			value="${xpoahd.item_name}"/>
				<c:set var="item_name_len" 		value="${fn:length(item_name)}"/>
				<c:set var="specification" 		value="${xpoahd.specification}"/>
				<c:set var="specification_len" 	value="${fn:length(specification)}"/>
				<c:set var="model_no" 			value="${xpoahd.model_no}"/>
				<c:set var="model_no_len" 		value="${fn:length(model_no)}"/>
				<c:set var="description" 		value="${xpoahd.description}"/>
				<c:set var="description_len" 	value="${fn:length(description)}"/>
				<c:set var="maker_name" 		value="${xpoahd.maker_name}"/>
				<c:set var="maker_name_len" 	value="${fn:length(maker_name)}"/>
				

				
				<c:set var="unit" 				value="${xpoahd.unit_code}"/>
				<c:set var="currency" 			value="${xpoahd.sales_currency}"/>
				<c:if test="${unit == null}">
					<c:set var="unit" 			value="PC"/>
				</c:if>
				<c:if test="${currency == null}">
					<c:set var="currency" 			value="KRW"/>
				</c:if>

				<c:if test="${item_name_len > 0}">
				<c:out value="${item_name}"/>
				</c:if>
				<br>
				<c:if test="${specification_len > 0}">
				<c:out value="${specification}"/>
				</c:if>
				<c:if test="${model_no_len > 0}">
				&nbsp;/&nbsp;<c:out value="${model_no}"/>
				</c:if>
				<c:if test="${description_len > 0}">
				&nbsp;|&nbsp;<c:out value="${description}"/>
				</c:if>
				<c:if test="${maker_name_len > 0}">
				&nbsp;(<c:out value="${maker_name}"/>)
				</c:if>		
			</td>
			<td class="<c:out value='${class}'/>" align=left>[<c:out value="${xpoahd.account_code}"/>]<c:out value="${xpoahd.account_name}"/><br>[<c:out value="${xpoahd.seller_code}"/>]<c:out value="${xpoahd.seller_name}"/></td>
			<td class="<c:out value='${class}'/>" align=right><fmt:formatNumber value="${xpoahd.sales_price}" type="number"/><br><c:out value="${unit}"/>/<c:out value="${currency}"/></td>
 			<td class="<c:out value='${class}'/>" align=right><fmt:formatNumber value="${xpoahd.po_qty_sum}" type="number"/><br><fmt:formatNumber value="${xpoahd.gr_qty}" type="number"/></td>
 			<td class="<c:out value='${class}'/>" align=right><fmt:formatNumber value="${xpoahd.po_qty_sum * xpoahd.sales_price}" type="number"/><br><fmt:formatNumber value="${xpoahd.gr_amount}" type="number"/></td>	
			<td class="<c:out value='${class}'/>" align='center' ><c:out value="${xpoahd.pr_name}"/><br><c:out value="${xpoahd.po_creator_name}"/></td>
			<td class="<c:out value='${class}'/>" align='center' ><c:out value="${xpoahd.is_closed}"/><br><c:out value="${xpoahd.is_final}"/></td>
			<td class="<c:out value='${class}'/>" align='center' ><a href="javascript:addreq_info('info','<c:out value="${xpoahd.unique_id}"/>');">[보기]</a></td>			
		</tr>
		
		<tr bgcolor="E3E3E3">
			<td id='info<c:out value="${xpoahd.unique_id}"/>'  style="display:none"  colspan="13">
				<center>
				<table width="900" border="1" cellspacing=0 bordercolor="CCCCCC" style="border-collapse:collapse">
							<tr>
								<td width="80" class="table_title">프로젝트</td>			
								<td width="100" class="<c:out value='${class}'/>"><c:out value="${xpoahd.account_code}"/></td>
								<td width="80" class="table_title">프로젝트명</td>			
								<td width="100" class="<c:out value='${class}'/>"><c:out value="${xpoahd.account_name}"/></td>
								<td width="80" class="table_title">요청자</td>			
								<td width="100" class="<c:out value='${class}'/>"><c:out value="${xpoahd.pr_name}"/></td>
								<td width="80" class="table_title">공급사</td>			
								<td width="100" class="<c:out value='${class}'/>">[<c:out value="${xpoahd.seller_code}"/>]<c:out value="${xpoahd.seller_name}"/></td>																								
							</tr>
							<tr>
								<td width="80" class="table_title">인수자</td>			
								<td width="100" class="<c:out value='${class}'/>"><c:out value="${xpoahd.receiver_name}"/></td>
								<td width="80" class="table_title">주문생성일</td>			
								<td width="100" class="<c:out value='${class}'/>"><fmt:formatDate value='${xpoahd.po_date}' type='both' pattern='yyyy/MM/dd'/></td>
								<td width="80" class="table_title">입고번호</td>			
								<td width="100" class="<c:out value='${class}'/>"><c:out value="${xpoahd.gr_no}"/></td>
								<td width="80" class="table_title">주문번호</td>			
								<td width="100" class="<c:out value='${class}'/>"><c:out value="${xpoahd.po_no}"/></td>																								
							</tr>	
							<tr>
								<td width="80" class="table_title">정산여부</td>			
								<td width="100" class="<c:out value='${class}'/>"><c:out value="${xpoahd.is_final}"/></td>
								<td width="80" class="table_title">고유번호</td>			
								<td width="100" class="<c:out value='${class}'/>"><c:out value="${xpoahd.unique_id}"/></td>
								<td width="80" class="table_title">입고일자</td>			
								<td width="100" class="<c:out value='${class}'/>"><fmt:formatDate value='${xpoahd.gr_date}' type='both' pattern='yyyy/MM/dd'/></td>
								<td width="80" class="table_title">입고금액</td>			
								<td width="100" class="<c:out value='${class}'/>"><fmt:formatNumber value="${xpoahd.gr_amount}" type="number"/></td>																								
							</tr>		
							<tr>
								<td width="80" class="table_title">입고설명</td>			
								<td width="100" colspan="7" class="<c:out value='${class}'/>"><c:out value="${xpoahd.gr_reason}"/></td>																							
							</tr>																		
				</table>
				</center>
			</td>
		</tr>	
	<c:set var="cnt" value="${cnt+1}"/>
	</c:forEach>
	<c:if test="${cnt < 1}">
		<tr>
			<td height="20" colspan="11" align="center">
				해당 항목이 없습니다.
			</td>
		</tr>
	</c:if>
	
	<c:if test="${cnt > 0}">
	<tr>
		<td colspan=7 height=5 align=right class="<c:out value='${class}'/>" ><b>합계</b></td>
		<td class="<c:out value='${class}'/>" align=right><b><fmt:formatNumber value="${poquan_sub_sum}" type="number"/><br><fmt:formatNumber value="${grquan_sub_sum}" type="number"/></b></td>
		<td class="<c:out value='${class}'/>" align=right><b><fmt:formatNumber value="${po_sub_sum}" type="number"/><br><fmt:formatNumber value="${gr_sub_sum}" type="number"/></b></td>
		<td class="<c:out value='${class}'/>" colspan=3>
		</td>
	</tr>

	<tr><td colspan=20 height=5 height=10 >&nbsp;</td></tr>
	<tr><td colspan=9 height=10 align=right ><b>주문금액 총계</b></td><td class="<c:out value='${class}'/>" align=right><b><fmt:formatNumber value="${po_total_sum}" type="number"/></b></td><td class="<c:out value='${class}'/>" colspan=2></td></tr>
	<tr><td colspan=9 height=10 align=right ><b>입고급액 총계</b></td><td class="<c:out value='${class}'/>" align=right><b><fmt:formatNumber value="${gr_total_sum}" type="number"/></b></td>
	<td class="<c:out value='${class}'/>" colspan=2>
		<input type=hidden name="<c:out value='${supplier_code}'/>_ac_sum" value='<fmt:formatNumber value="${not_checked_sub_sum}" type="number"/>' >
	</td>
	</tr>
	</c:if>
	</table>
</form>