<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<html>
    <head>
        <title><spring:message code="UPLOAD.JSP.1"/></title>
        <script src='dwr/interface/UploadMonitor.js'> </script>
        <script src='dwr/engine.js'> </script>
        <script src='dwr/util.js'> </script>
		<style type="text/css" media="screen"> .selected { background-color: #888; }</style>
        <style type="text/css">
            body { font: 11px Lucida Grande, Verdana, Arial, Helvetica, sans serif; }
            #progressBar { padding-top: 5px; }
            #progressBarBox { width: 350px; height: 10px; border: 1px inset; background: #eee;}
            #progressBarBoxContent { width: 0; height: 10px; border-right: 1px solid #444; background: #9ACB34; }
        </style>
		<link rel="stylesheet" type="text/css" href="./css/niftyCorners.css">
		<link rel="stylesheet" type="text/css" href="./css/niftyPrint.css" media="print">
		<link rel="stylesheet" type="text/css" href="./css/main.css"/>
		<link rel="stylesheet" type='text/css' media='all' href='./css/calendar-blue.css' title='calendar-blue' />

		<!-- Meta tags -->
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

    </head>
<body>
<script language="javascript">
<!--

//	var is_complished;

/*
	function window.confirm(str)
	{
		execScript('n = msgbox("'+str+'","4132")', "vbscript");
		return(n == 6);
	}
*/
	function closing()
	{
/*
		if( is_complished == false)
		{
			alert('<spring:message code="MSG_ALERT.116"/>');
			opener.focus();

		}
*/
		//종료할 때 모 윈도우에 알린다
		opener.childClosed();
	}
	
	function refreshProgress()
	{
	    UploadMonitor.getUploadInfo(updateProgress);
	}
	
	function updateProgress(uploadInfo)
	{
	
	    if (uploadInfo.inProgress)
	    {
	        document.getElementById('uploadbutton').disabled = true;
	        document.getElementById('<%=request.getParameter("attachKey")%>').disabled = true;
	
	        var fileIndex = uploadInfo.fileIndex;
	
	        var progressPercent = Math.ceil((uploadInfo.bytesRead / uploadInfo.totalSize) * 100);
	
	        document.getElementById('progressBarText').innerHTML = '<spring:message code="UPLOAD.JSP.2"/> ' + progressPercent + '%';
	
	        document.getElementById('progressBarBoxContent').style.width = parseInt(progressPercent * 3.5) + 'px';
	
	        window.setTimeout('refreshProgress()', 1000);
	    }
	    else //파일 업로드 끝....
	    {
	        document.getElementById('uploadbutton').disabled = false;
	        document.getElementById('<%=request.getParameter("attachKey")%>').disabled = false;
			
//			is_complished = true;
	    }
	
	    return true;
	}

	function startProgress()
	{
	/*
		if ( isEmpty( $( "<%=request.getParameter("attachKey")%>" ) ) )
		{
			alert('<spring:message code="MSG_ALERT.117"/>');
			return;

		}
*/
		
//		is_complished = false;
	    document.getElementById('progressBar').style.display = 'block';
	    document.getElementById('progressBarText').innerHTML = '<spring:message code="UPLOAD.JSP.2"/>' + ' 0%';
	    document.getElementById('uploadbutton').disabled = true;

	    window.setTimeout("refreshProgress()", 500);
	    
	    return true;
	}

	window.onunload = closing;
	
	//모윈도우에 알림.
	opener.iamalive(self);
	
	//is_complished = true;
	
	
//-->
</script>
<spring:message code="UPLOAD.JSP.4"/><br>
<form action="upload_result.jsp"  method="post" enctype="multipart/form-data" onsubmit="startProgress()">
	<input type="file" id="<%=request.getParameter("attachKey")%>" name="<%=request.getParameter("attachKey")%>" size="50" class="default" /><br>
	<input type="submit" value='<spring:message code="UPLOAD.JSP.3"/>' id="uploadbutton"/><br/>
	<div id="progressBar" style="display: none;">
	    <div id="theMeter">
	        <div id="progressBarText"></div>
	        <div id="progressBarBox">
	            <div id="progressBarBoxContent"></div>
	        </div>
	    </div>
	</div>
</form>
</body>
</html>
