<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib   prefix="spring" uri="http://www.springframework.org/tags"%>

<%@ page import="com.rfxsoft.justrfx.dwr.MonitoredDiskFileItemFactory" %>
<%@ page import="com.rfxsoft.justrfx.dwr.UploadListener" %>
<%@ page import="com.rfxsoft.justrfx.dwr.UploadCopier" %>
<%@ page import="org.apache.commons.fileupload.servlet.ServletFileUpload" %>
<%@ page import="org.apache.commons.fileupload.FileItemFactory" %>

<%
	request.setCharacterEncoding("utf-8");

    UploadListener listener = new UploadListener(request, 0);
    FileItemFactory factory = new MonitoredDiskFileItemFactory(listener);
    ServletFileUpload upload = new ServletFileUpload(factory);
    
    UploadCopier copier = new UploadCopier(upload, request);
    
    copier.DoCopy();
    String fname = copier.getFile_name();
    String fkey  = copier.getField_name();
    long fsize = copier.getSizeInBytes();
    Integer file_unique = copier.getFile_unique();
    
%>
<html>
<head>
	<style type="text/css" media="screen"> .selected { background-color: #888; }</style>
	<link rel="stylesheet" type="text/css" href="./css/niftyCorners.css">
	<link rel="stylesheet" type="text/css" href="./css/niftyPrint.css" media="print">
	<link rel="stylesheet" type="text/css" href="./css/main.css"/>
	<link rel="stylesheet" type='text/css' media='all' href='./css/calendar-blue.css' title='calendar-blue' />

	<!-- Meta tags -->
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title><spring:message code="TOKEN.13"/></title>
</head>

<body>
<script language="javascript">
<!--

	function closing()
	{
		//종료할 때 모 윈도우에 알린다
		opener.childClosed();
	}
	function getFileName(full_file_name)
	{
		var str_len = full_file_name.length;
		for(var i=str_len; i > 0; i--)
		{
			alert(file_name.substr(i-1, 1) );
		}
	}
	function upload_con()
	{
		history.back();
	}
	function quit()
	{
		//종료할 때 모 윈도우에 알린다
		opener.childClosed();
		opener.focus();
		window.close();
	}
	
	window.onunload = closing;
	//모윈도우에 알림.
	opener.iamalive(self);
	
	var file_name = '<%=fname%>';
	
	//getFileName(file_name);
	
	opener.AddFileList('<%=fname%>', '<%=fsize%>', '<%=file_unique%>', '<%=fkey%>');
	
	var ret = confirm("[완료] " + file_name + "\n 첨부를 계속하시겠습니까?");
	
	if(ret==true)
		upload_con();
	else
		quit();	
	
//-->
</script>
업로드된 파일:&nbsp;<%=fname%>(크기:&nbsp;<%=fsize%>)<br>
업로드 Key: &nbsp;<%=fkey%> 유니크:<%=file_unique%><br><br>
<a href="javascript:upload_con();">[업로드 계속]</a>&nbsp;&nbsp;<a href="javascript:quit();">[마침]</a>
</body>

</html>
