package com.rfxsoft.justrfx;

import java.util.Iterator;
import java.util.Vector;

public class PairListimpl implements PairList{
	
	private Vector<Pair> vecPair;

	private boolean makePair(String strPair) {
		
		String[] arrPair = strPair.split(":");
		
		if(arrPair.length<2)
			return false;
		
		String key = arrPair[0];
		String value = arrPair[1];
		
		if(key==null || key.length()==0)
			return false;
		if(value==null)
			return false;
		
		Pair pair = new Pairimpl(key, value);
		
		vecPair.add(pair);
		return true;
	}
	
	public PairListimpl(String strPair) { // "key1:value1,key2:value2,key3:value3"
		super();

		this.vecPair = new Vector<Pair>();
		String strPairs[] = strPair.split(",");
		
		for(int i=0; i<strPairs.length; i++) {
			makePair(strPairs[i]);
		}
	}
	

	public PairListimpl(Vector<Pair> vecPair) {
		super();
		this.vecPair = vecPair;
	}

	/**
	 * @return the vecPair
	 */
	public Vector<Pair> getVecPair() {
		return vecPair;
	}


	public String GetEnvListString(String strEnv) {
		String retStr = "";
		int j=0;
  		for(Iterator i=vecPair.iterator(); i.hasNext();j++) {
  			Pair pair = (Pair)i.next();
  			if(j!=0)
  			{
  				retStr = retStr + ",";
  			}
  			
  			retStr = retStr + pair.toString();
  		}
		return retStr;
	}
	
	public String findKey(String value) {
		for(Iterator i=vecPair.iterator(); i.hasNext();) {
  			Pair pair = (Pair)i.next();
  			String pValue = (String) pair.getSecond();
  			if(pValue.compareToIgnoreCase(value)==0)
  			{
  				return (String)pair.getFirst();
  			}
  			
  		}
		return null;
	}
	
	public String findValue(String key) {
		for(Iterator i=vecPair.iterator(); i.hasNext();) {
  			Pair pair = (Pair)i.next();
  			String pKey = (String) pair.getFirst();
  			if(pKey.compareToIgnoreCase(key)==0)
  			{
  				return (String)pair.getSecond();
  			}
  			
  		}
		return null;
	}

}
