package com.rfxsoft.justrfx.acegi;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class PasscodeMaker {

	private String password;

	public PasscodeMaker(String password) {
		super();
		this.password = password;
	}
	
	public String getPasscode() {
		String temp = null;
		MessageDigest mdAlgorithm = null;
		StringBuffer sb = new StringBuffer();
	
		try {
			mdAlgorithm = MessageDigest.getInstance("MD5");
		} catch (NoSuchAlgorithmException e) {
			return "";
		}
		byte[] originalBytes = password.getBytes();
		mdAlgorithm.update(originalBytes);
		
		byte[] corder = mdAlgorithm.digest();
		for(int i = 0; i < corder.length; i++){
			temp = Integer.toHexString(0xFF & corder[i]);
			if(temp.length() < 2)
			 temp = "0" + temp;
			sb.append(temp);
		}
	
		return sb.toString();
	}

}
