package com.rfxsoft.justrfx.business.c_prjt;

import java.util.List;
import java.util.Map;
import java.util.Vector;

import com.rfxsoft.justrfx.domain.Project;
import com.rfxsoft.justrfx.domain.PjtTsk;
import com.rfxsoft.justrfx.domain.TskMap;

/**
 * @author k1park
 *Ʈ
	c01:	Ʈ ˻/
	c02:	Ʈ 
	c03:	Ʈ BOM 
	c16:	۾Ʈ 
	c04:	 
	c05:	 
	c06:	 
	c07:	 ǾƷ
	c08:	Ϸ 
	c09:	 ̵
	c10:	ڷ ̵
	c11:	 ̵
	c12:	 ̵
	c13:	
	c14:	ں ȸ
	c15:	Ʈ ȸ
 */
public interface PrjtManager {
	//	c01:	Ʈ ˻/
	List getProjectList();
	List getProjectList(Map condition);
	
	List getTaskList( int pj_unique);
	List getTaskList( String pj_code);
	
	PjtTsk getTaskByUid (Integer unique_id);
	
	TskMap getTaskMapToday( int task_uid, String map_date);
	void addTaskMap(String creator, String map_date, Integer task_uid,
			Double resource_mh);
	void addTaskMap(String creator, TskMap tskmap);
	boolean modifyTaskMap(String changer, Integer tskmap_uid,
			Double resource_mh);
	void doCloseTaskIter(String changer, Vector pjttsk_uids);
	void updateResourceMh(Integer task_uid);
	
	void updateProjectHumanPlan(Integer pj_uid, Double total_resource);// M/H
	void updateProjectHumanCost(Integer pj_uid, Double total_resource);// M/H
	
	Project getProject(String pj_code);
	Project getProjectByUniqueId(int unique_id);
	boolean deleteProject(int unique_id);
	boolean complishProject(int unique_id);
	
	boolean modifyProject(Project project);
	void	modifyTask(Map cond);
	
	void setPurchaseCost(String pj_code, Double amount);
	//	c02:	Ʈ 
	void addProject(String creator, Project project);
	//	c03:	Ʈ BOM 
	List getProjectBom(String pj_code);
	//	c16:	۾Ʈ 
	void setCurrentProject(String project);
	//	c04:	 
	//	c05:	 
	//	c06:	 
	//	c07:	 ǾƷ
	Object addTask(String creator, PjtTsk task);
	//	c08:	Ϸ 
	//	c09:	 ̵
	//	c10:	ڷ ̵
	//	c11:	 ̵
	//	c12:	 ̵
	void modifyTask(PjtTsk task);
	//	c13:	
	void deleteTask(Integer task_id);
	
	//	c14:	ں ȸ
	//	c15:	Ʈ ȸ
	//--->Audit ó
}
