package com.rfxsoft.justrfx.business.d_mtrl;

import com.rfxsoft.justrfx.business.DbInfoManager;
import com.rfxsoft.justrfx.data.AssyMapDao;
import com.rfxsoft.justrfx.data.SrcAhdDao;
import com.rfxsoft.justrfx.data.CartDao;
import com.rfxsoft.justrfx.data.RtgAstDao;
import com.rfxsoft.justrfx.data.SrcMapDao;
import com.rfxsoft.justrfx.domain.SystemInfo;

public abstract class AbstractDaoBasedMtrlManager extends DbInfoManager implements MtrlManager {

	protected SrcAhdDao srcahdDao;
	protected AssyMapDao assymapDao;
	protected CartDao cartDao;
	protected RtgAstDao rtgastDao;
	protected SrcMapDao srcmapDao;
	protected SystemInfo systemInfo;


	public SystemInfo getSystemInfo() {
		return systemInfo;
	}

	public void setSystemInfo(SystemInfo systemInfo) {
		this.systemInfo = systemInfo;
	}

	public SrcMapDao getSrcmapDao() {
		return srcmapDao;
	}

	public void setSrcmapDao(SrcMapDao srcmapDao) {
		this.srcmapDao = srcmapDao;
	}

	public AssyMapDao getAssymapDao() {
		return assymapDao;
	}

	public void setAssymapDao(AssyMapDao assymapDao) {
		this.assymapDao = assymapDao;
	}

	public SrcAhdDao getSrcahdDao() {
		return srcahdDao;
	}

	public void setSrcahdDao(SrcAhdDao srcahdDao) {
		this.srcahdDao = srcahdDao;
	}

	public CartDao getCartDao() {
		return cartDao;
	}

	public void setCartDao(CartDao cartDao) {
		this.cartDao = cartDao;
	}

	public RtgAstDao getRtgastDao() {
		return rtgastDao;
	}

	public void setRtgastDao(RtgAstDao rtgastDao) {
		this.rtgastDao = rtgastDao;
	}

}
