package com.rfxsoft.justrfx.business.d_mtrl;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.AssyLine;
import com.rfxsoft.justrfx.domain.Project;
import com.rfxsoft.justrfx.domain.SrcAhd;
import com.rfxsoft.justrfx.domain.SystemInfo;
import com.rfxsoft.justrfx.domain.AssyMap;
import com.rfxsoft.justrfx.domain.SrcMap;


/**
 * @author k1park
 *
	d01:	 ˻/
	d02:	ǥ ԰ǰ 
	d03:	Ŀ ǰ 
	d04:	ǰ 
	d05:	Ass'y BOM ˻/
	d06:	Ass'y BOM ߰
	d07:	ٸ Ass'y ġ
	d08:	Ʈ BOM ˻/
	d09:	BOM ߰
	d10:	ٸ BOM ҷ
 */

public interface MtrlManager {

	//--------------------------- ---------------------
	
	Integer updateChildQaun(int child_quan, int srcahd_uid, int assymap_uid); //srcahd/Assy ڽİ update
	void modifyName(int unique_id, String item_name);
	public Integer updateAssyMap(AssyMap assymap);
	public int getCountSrcAhd();
	public List getAllMtrl();
	public List/*AssyLine*/ getAllAssyLine();
	public List/*AssyLine*/ getAssyLineByPjUid(Integer pj_uid);
	public List/*AssyLine*/ getTopAssyLineByPjUid(Integer pj_uid);
	public AssyLine getAssyLineByUid(Integer assymap_uid);
	public List getAllMtrl(Map limit);
	public List/*assymap*/ getAssyListByPjUnique(int pj_unique);
	public List /*partline*/getPartListByParent(int parent);
	public List getMtrlDynamic(Map condition);
	public List getSelectcond(String tableName, Map condition, int start, int record_quan, String order_by);
	public SrcAhd getMaterialByUnique_id(int unique_id);
	public SrcAhd getMaterialByItem_code(String item_code);
	public SrcAhd getDetail(String item_code, Integer uid_combst);
	public SrcAhd getDetail(Integer item_uid, Integer uid_combst);
    public SrcAhd getDetail(String buyer_item_code, String company_code, String wa_code); 
    public Project getProject(int pj_uid);
	public void deleteMtrl(String item_code);
	public void deleteMtrl(int unique_id);
	public void addMtrl(String creator, SrcAhd srcahd);
	public void addRelation2Assembly(String creator, int cur_user_uid, int parent, int child, String pl_code, Double quan, String is_new, int pj_uid, String item_code
			, Double sales_price, Double source_price, int hierachy_level);
	//Assembly Ʈ 
	public void addRelation2Project(String creator, int cur_user_uid, int parent, int child, String pl_code, Double quan, String item_code
			, Double sales_price, Double source_price);	
	/*private 
	public void addParentPlPl(int parent);
	public void addRefrencePlPl(int refred) ;
	public void addParentMiMi(int parent);
	public void addRefrenceMiMi(int refred) ;
	*/
	public boolean is_inAssyMapParentChild(int parent, int child);
	//public void removeRelation(int assy_uid);
	public void removeRelation2Assembly(int assy_uid, int parent_id, int child_id);
	public void removeRelation2Project(/*int pj_uid, */int assy_uid);
	public void modifyMtrl(SrcAhd srcahd);
	public void modifyRelation(int assy_uid, String pl_no, Double quan, Double sales_price);
	public void modifyRelation(int cur_user_uid, int parent, int child, String pl_no, Double quan, Double sales_price);
	//  ī
	public int getSrcAhdTatalCnt(Map condition);
	
	//īƮ ׷ҷ 06.3.16 hyun suk oh
	//public List getCartList(Map cartMap);
	//īƮ 󼼺 06.3.17 hyun suk oh
	public List getCartDetail(Integer unique_id);
	
	//ũ̵   Ÿ.
	public AssyMap getAssyMap(int unique_id);
	
	//assy_uid Ʈ
	public boolean copyAssyMap(int assy_uid, int parent, String creator, int pj_uid, int pr_user_uid);
	/**
	 * @author k1park
	 *!!!! list argment ִ Object type Cart  û child ,
	 *unique_id ϰ 
	 *ſû, ֹ, ԰ AssyMap Class ȰѴ.
	 *̶, ,  ׸񺰷   ִ.
	 */	
	
	public void insertSrcMap(String creator, SrcMap srcmap);
	
	//----------------  CART --------------------------------------
	//īƮ
	public void addCart(String cur_user_name, String creator, int cur_user_uid, int[] item_uid_list, int item_quan, Integer combst_uid);
	//īƮ 
	public List /*PartLine*/getCartList(int pr_user_uid);//PR/PO Unique id ˻
	public List /*PartLine*/getPoCartList(int pr_user_uid);//PO Unique id ˻ /  
	public List /*PartLine*/getMyNeedList(int pr_user_uid);//PR/PO Unique id ˻
	//īƮ
	public void deleteCart(List item_uid_list, int owner);//Ѳ-īƮ 
	public void deleteCart(int child, int owner);////Ѳ-īƮ 
	public void deleteCart2Bom(int item_quan, Integer[] assymap_uids, String changer);//Ѳ-īƮ BOM

	
	
	//AssyMap unique_id īƮ :  BM CR status ϴ 
	public void addCartByAssyMapUniquId(Integer cur_user_uid, Integer[] assymap_uid_list, Integer item_quan);
	public void restoreCartByAssyMapUniquId(Integer cur_user_uid, Integer[] assymap_uid_list, Integer item_quan, String rtg_type);
	public void restoreCartToRequesterByAssyMapUniquId(Integer[] assymap_uid_list, Integer item_quan, String rtg_type);

	
	//-------------------- PR(PurchageRequest) ---------------------
	//ſû
	//public boolean addPurchageRequest(int user_uid, int user_pouid, List assymap_list, WhereType wType);
	public void addPurchageRequestPartline( String changer, String rcvr_name, Integer user_uid, Integer user_pouid, Integer pr_uid, Integer po_user_uid,
			Integer[] item_uid, Integer item_quan, Double[] quans,
			Integer[] ac_uid, Date[] req_date, String[] req_info) throws Exception;
	public Integer confirmPurchageRequestList(int pr_uid, int requester_po_user_uid );

	//籸ſû 
	public List getPurchageRequestList(int user_uid);//assymapκ  
	public List getPurchageRequestHeadList(String user_id);//rtgast   
	public List getPurchageRequestHeadListbyPO(int po_user_uid);//PO uid   
	
	//ſû 
	public void deletePurchageRequestList(int pr_uid, List assymap_list);
	public Map cancelPurchageRequest(String[] item_list, int unique_id);

	
	//ſû 
	public void editPurchangeRequestList(List assymap_list);
	
	public Integer addPartQuan(Integer assymap_uid, Double addQuan, String creator, Integer pr_user_uid );

	public SystemInfo getSystemInfo();
	
}


