package com.rfxsoft.justrfx.business.f_admn;

import com.rfxsoft.justrfx.business.DbInfoManager;
import com.rfxsoft.justrfx.data.BoardDao;
import com.rfxsoft.justrfx.data.ComAstDao;
import com.rfxsoft.justrfx.data.ComBstDao;
import com.rfxsoft.justrfx.data.ComCstDao;
import com.rfxsoft.justrfx.data.ComDstDao;
import com.rfxsoft.justrfx.data.ErrHwGrDao;
import com.rfxsoft.justrfx.data.ErrHwPoDao;
import com.rfxsoft.justrfx.data.UsrAstDao;

public abstract class AbstractDaoBasedAdmnManager extends DbInfoManager implements AdmnManager {
	protected UsrAstDao usrastDao;
	protected ComAstDao comastDao;
	protected ComBstDao combstDao;
	protected ComCstDao comcstDao;
	protected ComDstDao comdstDao;
    protected BoardDao boardDao;    
	protected ErrHwPoDao errHwPoDao;
	protected ErrHwGrDao errHwGrDao;
	
	public ComAstDao getComAstDao() {
		return comastDao;
	}
	
	public void setComastDao(ComAstDao comastDao){
		this.comastDao = comastDao;
	}
	
	public void setUsrastDao(UsrAstDao usrastDao) {
		this.usrastDao = usrastDao;
	}

	public void setComdstDao(ComDstDao comdstDao) {
		this.comdstDao = comdstDao;
	}
	
	public ComAstDao getComastDao() {
		return comastDao;
	}

	public ComBstDao getCombstDao() {
		return combstDao;
	}

	public ComCstDao getComcstDao() {
		return comcstDao;
	}

	public ComDstDao getComdstDao() {
		return comdstDao;
	}

	public UsrAstDao getUsrastDao() {
		return usrastDao;
	}

	public void setCombstDao(ComBstDao combstDao) {
		this.combstDao = combstDao;
	}
	
	public void setComcstDao(ComCstDao comcstDao) {
		this.comcstDao = comcstDao;
	}

	public BoardDao getBoardDao() {
		return boardDao;
	}

	public void setBoardDao(BoardDao boardDao) {
		this.boardDao = boardDao;
	}

    public ErrHwPoDao getErrHwPoDao() 
    {
        return errHwPoDao;
    }
    
    public void setErrHwPoDao(ErrHwPoDao errHwPoDao)
    {
        this.errHwPoDao = errHwPoDao;
    }
    
    public ErrHwGrDao getErrHwGrDao() 
    {
        return errHwGrDao;
    }
    
    public void setErrHwGrDao(ErrHwGrDao errHwGrDao)
    {
        this.errHwGrDao = errHwGrDao;
    }

}
