package com.rfxsoft.justrfx.business.h_mynv;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.InitializingBean;
import com.rfxsoft.justrfx.domain.Board;
import com.rfxsoft.justrfx.domain.SrcCst;
import com.rfxsoft.justrfx.domain.UsrAst;


public class DefaultMynvManager extends AbstractDaoBasedMynvManager implements InitializingBean {
	public void afterPropertiesSet() throws Exception {

	}
	
	public void addBoardCount(Integer uniqueid){
		boardDao.updateCount(uniqueid);
	}
	
	/*
	 * Խù 
	 */
	public void addInsert(String creator, Board board)
	{
		boardDao.Insert(creator, board);
	}

	/*
	 * Խù 
	 */
	public void modifyBoard(Board board)
	{
		boardDao.modify(board);
	}

	/*
	 * Խù 
	 */
	public void deleteBoard(Integer uniqueId)
	{
		boardDao.delete(uniqueId);
	}

	/*
	 * Խù 縮Ʈ
	 */
	public List getBoardAllList(Map searchMap)
	{
		return boardDao.getBoardAllList(searchMap);
	}
	
	/*
	 * Խù ˻Ʈ
	 */	
	public List getBoardAllList()
	{
		return boardDao.getBoardAllList();
	}
	
	/*
	 * Խù 󼼺
	 */
	public Board getBoardView(Integer uniqueId)
	{
		return boardDao.getBoardView(uniqueId);
	}
	
	//( .)
	public void addFileInsert(String user_id, int file_length,String[] file_f_name,Integer[] file_group_code,String[] file_item_code){
		
		for(int i=0; i<file_length; i++){
			SrcCst srcCst = new SrcCst();
			srcCst.setGroup_code(file_group_code[i]);
			srcCst.setItem_code(file_item_code[i]);
			srcCst.setFile_path(file_f_name[i]);
			this.baseLineDao.insert(user_id,"srccst",srcCst);
		}
		
	}

	public UsrAst getUsrastByUid(Integer user_uid) {
		return (UsrAst)this.baseLineDao.select_uid("usrast", user_uid);
	}

	public List getFileList(int file_group_code) {
		Map<String, Integer> srccstMap = new HashMap<String, Integer>();
		srccstMap.put("group_code",file_group_code);
		return this.baseLineDao.select_cond("srccst",srccstMap);
	}

	public void deleteFileByGroupCode(String groupKey) {

		this.srccstDao.deleteFileGroup(groupKey);
		
	}
	
}