package com.rfxsoft.justrfx.business.j_prch;

import com.rfxsoft.justrfx.business.DbInfoManager;
import com.rfxsoft.justrfx.data.AssyMapDao;
import com.rfxsoft.justrfx.data.ProjectDao;
import com.rfxsoft.justrfx.data.RtgAstDao;
import com.rfxsoft.justrfx.data.SrcAhdDao;
import com.rfxsoft.justrfx.data.SysInfoDao;
import com.rfxsoft.justrfx.data.XpoAstDao;

public abstract class AbstractDaoBasedPrchManager extends DbInfoManager	implements PrchManager {
	protected SrcAhdDao  srcahdDao;
	protected AssyMapDao assymapDao;
	protected XpoAstDao	xpoastDao;
	protected RtgAstDao rtgastDao;
	protected ProjectDao projectDao;
	protected SysInfoDao sysinfoDao;
	
	/**
	 * @return the sysinfoDao
	 */
	public SysInfoDao getSysinfoDao() {
		return sysinfoDao;
	}
	/**
	 * @param sysinfoDao the sysinfoDao to set
	 */
	public void setSysinfoDao(SysInfoDao sysinfoDao) {
		this.sysinfoDao = sysinfoDao;
	}
	public ProjectDao getProjectDao() {
		return projectDao;
	}
	public void setProjectDao(ProjectDao projectDao) {
		this.projectDao = projectDao;
	}
	public AssyMapDao getAssymapDao() {
		return assymapDao;
	}
	public void setAssymapDao(AssyMapDao assymapDao) {
		this.assymapDao = assymapDao;
	}
	public SrcAhdDao getSrcahdDao() {
		return srcahdDao;
	}
	public void setSrcahdDao(SrcAhdDao srcahdDao) {
		this.srcahdDao = srcahdDao;
	}
	public XpoAstDao getXpoastDao() {
		return xpoastDao;
	}
	public void setXpoastDao(XpoAstDao xpoastDao) {
		this.xpoastDao = xpoastDao;
	}
	public RtgAstDao getRtgastDao() {
		return rtgastDao;
	}
	public void setRtgastDao(RtgAstDao rtgastDao) {
		this.rtgastDao = rtgastDao;
	}
	
}
