package com.rfxsoft.justrfx.business.k_gate;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.AssyMap;
import com.rfxsoft.justrfx.domain.ComBst;
import com.rfxsoft.justrfx.domain.ErrHwGr;
import com.rfxsoft.justrfx.domain.ErrHwPo;
import com.rfxsoft.justrfx.domain.IhwGr;
import com.rfxsoft.justrfx.domain.IhwPo;
import com.rfxsoft.justrfx.domain.ImkOdt;
import com.rfxsoft.justrfx.domain.OdtAst;


public interface GateManager {
	/******************** PO **********************/
	// PO : IHWPO ̺ ̽÷(interface_flag='N') 'N'ΰ͸ 븦 Ѵ.
	public List getIhwpoList(String table_name);
	
	// IHWPO ̺ ̽ ÷׸ 'Y' 
	public boolean setIhwpoIfFlag(Date interface_date, String po_no, String po_seq, String wa_code, String status);
	
	// IHWPO ̺ α׸ ´.
	public boolean setIhwpoIfErr(String po_no, String po_seq, String wa_code, String status, String err);
	
	// (ihwpo)status, po_no, po_seq, wa_code ߺǴ Ÿ  'Y' ϰ ߺٰ Ѵ.
	public int editValidateDup(String status, String po_no, String po_seq, String wa_code);

	// ⺻ üũ
	public boolean ValidateDefault(String type, IhwPo ihwpo, IhwGr ihwgr);
	
	public boolean ValidateDefault(String type, ErrHwPo errhwpo, ErrHwGr errhwgr);
	
	// ȸ, ,  ˻
	public int ValidateUser(String type, IhwPo ihwpo, IhwGr ihwgr);
	
	public int ValidateUser(String type, ErrHwPo errhwpo, ErrHwGr errhwgr);
	
	// combst о´.
	public ComBst getComBst(String wa_code);
	
	// Srclist о´.
	public List getSrclist(String buyer_item_code, int combst_uid);
	
	//  ǰ(srcmap ǰ != 0 && ġؾ ), ԰(srcahd source_price != 0) ˻
	public Map ValidateSrclist(IhwPo ihwpo, int combst_uid);
				
	public Map ValidateSrclist(ErrHwPo errhwpo, int combst_uid);
	
	/* assymap ش ° 'GV'   Ҽ .
	 *        (. ϰ imk Ѿ ǰ  ֹ   )
	 *         assymap 
	 *          (PI : ̽   ɶ...
	 *           GV : imk Ѿ ǰ 'غ' ϶..
	 *           GH : imk Ѿ ǰ '' ϶..
	 *           GO : imk Ѿ ǰ 'ۿϷ' ϶..)
	 */
	
	// RtgAst item_quan, item_abst 
	public boolean editRtgastItem(int unique_id, int item_quan, String item_abst);
	
	// assymap 
	public Object addAssyMap(String creator, AssyMap assymap);
	
	// assymap PO̺  row  
	public List getAssyMap(int po_uid, int po_sec);
	
	// AssyMap update
	public boolean editAssyMapPo(String po_no, int po_sec);
	
	// xpoast update
	public boolean editXpoAstPo(String po_no, String po_seq, String by_po_no, String by_po_seq, String po_creator_name, 
							    String po_creator_tel_no, String receiver_name, String receiver_tel_no, String receiver_hp_no, 
							    String delivery_zip_code, String delivery_address_1, String delivery_address_2, String by_item_code, String division_code,
                                Date po_date, String account_code, String budget_wa_code, String budget_division_code, String budget_dept_code);

	/******************** GR **********************/
	// GR : IHWGR ̺ ̽÷(interface_flag='N') 'N'ΰ͸ 븦 Ѵ.
	public List getIhwgrList(String table_name);
	
	// IHWGR ̺ ̽ ÷׸ 'Y' 
	public boolean setIhwgrIfFlag(Date interface_date, String gr_no, String gr_seq, String wa_code, String status);
	
	// IHWGR ̺ α׸ ´.
	public boolean setIhwgrIfErr(String gr_no, String gr_seq, String wa_code, String status, String err);

	// xpoast po_no, po_seq ִ ˻
	public List ValidateGr(String po_no, String po_seq);
	
	// xpoast po_no, po_seq ˻ Ѵ.
	public List getXpoAstGr(String by_po_no, String by_po_seq);
	
	// gr_no, gr_seq ãƼ xpoast ׷ updateѴ.(by_gr_no, by_gr_seq, by_gr_year)
	public boolean editXpoAstGr(String gr_no, String gr_seq, String wa_code, String by_gr_no, String by_gr_seq, String by_gr_year);
	
	/******************** űǰ **********************/
	// űǰ
	//public List getIhwgrList(String table_name);
	
	/******************** ǰ **********************/
	// ǰ : imkodt ̺ ̽÷(if_flag = 'N') 'N'ΰ͸ 븦 Ѵ.
	public List getImkodtList(String table_name);
	
	// odtast domain  
	public boolean OdtastDomainSet(ImkOdt imkodt, OdtAst odtast);
	
	// ѰǾ odtast Ѵ.
	public boolean addOdtast(String creator, OdtAst odtast);
	
	// ѰǾ assymap status tr_uid updateѴ.
	public boolean editAssymapTruid(String po_no, int po_sec, String status, int tr_uid);
	
	// ѰǾ xpoast mp_status updateѴ.
	public boolean editXpoAstMpStatus(String po_no, String po_seq, String mp_status);
	
	// ѰǾ imkodt if_flag = 'Y', ,ڸ updateѴ.
	public boolean editImkodt(String po_no, String po_sec);
	
	/******************** űǰ **********************/
	// űǰ
	//public List getIhwgrList(String table_name);
	
	/******************** ̺  **********************/
	// ȿ ˻翡 հ óǸ PO Errer̺ ϰ IHWPO̺   Ѵ.
	// ȿ ˻翡 հ óǸ GR Errer̺ ϰ IHWGR̺   Ѵ.
	public boolean ValidateInsert(String type, IhwPo ihwpo, IhwGr ihwgr, String err);
	
	public boolean ValidateInsert(String type, ErrHwPo errhwpo, ErrHwGr errhwgr, String err);
	
    public List getErrhwpoList();
    
    public List getErrhwgrList();    
    
    public ErrHwPo getIhwpoList(String table_name, int unique_id);    
	
	public ErrHwGr getIhwgrList(String table_name, int unique_id);
}
