package com.rfxsoft.justrfx.data;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.Assign;


public interface AssignDao {
	
	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public Assign getById(int unique_id);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Object insert( String creator, Assign assign);
	public Integer update(Assign assign);
	//end-of-baseline
	
	
	public List getByUserId(String receive_id);
	public boolean isPowered(String pj_code, String receive_id);
	public Integer delete(String pj_code, String receive_id);	//Delete flag :'Y'
	
}
