package com.rfxsoft.justrfx.data;

import com.rfxsoft.justrfx.domain.Cart;
import java.util.Map;
import java.util.List;

public interface CartDao {
	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public Cart getById(int unique_id);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Object insert( String creator, Cart cart);
	public Integer update(Cart cart);
	//	end-of-baseline

	
	public void cartInsert(String creator, Cart cart);
	public List getCartList(Map cartMap);
}
