package com.rfxsoft.justrfx.data;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.ComCst;

public interface ComCstDao {

	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public ComCst getById(int unique_id);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Object insert( String creator, ComCst comcst);
	public Integer update(ComCst comcst);
	public List getByWaNm(String company_code);
	public List getByDiNm(Map condition);
	//	end-of-baseline
	public ComCst getByCode(String division_code);
	public Integer delete(String division_code);	//Delete flag :'Y'
}
