package com.rfxsoft.justrfx.data;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.ComDst;

/**
 * @author k1park
 *
 */
public interface ComDstDao {
	
	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public ComDst getById(int unique_id);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Object insert( String creator, ComDst comdst);
	public Integer update(ComDst comdst);
	//	end-of-baseline
	
	public List getByName(String deptname);
	public List getByDeptNm(Map condition);// ̳ ؾ߰...
	public List getByBudgetDeptNm(String companycode);
	public boolean isRegisterd(String dept_code);//μڵ Ͽ
	public boolean isRegisterdName(String dept_code);//μ̸ Ͽ
	public int getUniqueByCode(String dept_code);
	public int getUniqueByCode(Map condition);

	public Integer delete(String dept_code);	//Delete flag :'Y'

}
