package com.rfxsoft.justrfx.data;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.Project;

public interface ProjectDao {

	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public Project getById(int unique_id);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Integer complish(int unique_id);
	public Object insert( String creator, Project audit);
	public Integer update(Project audit);
	//	end-of-baseline
	
	//ž Ʈ
	public Integer updatePrchAmount(Map condition);

	public Project getByCode(String code);
	public Integer delete(String code);	//Delete flag :'Y'

	//  Ʈ
	public void updateCondByUid(Map map);
}	
