package com.rfxsoft.justrfx.data;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.domain.XpoAst;

public interface XpoAstDao {
	
	//BaseLine Method
	public List select_all(String tableName);
	public List select_cond(String tableName, Map condition);
	public Object select_uid(String tableName, int unique_id);
	public Integer delete(String tableName, int unique_id);
	public Object insert( String creator, String tableName, Object object);
	public Integer update(String tableName, Object object);
	//Ʒ Լ Wrapper.
	public List getAll();
	public XpoAst getById(int unique_id);
	public List getDynamic(Map condition);
	public Integer delete(int unique_id);
	public Object insert( String creator, XpoAst object);
	public Integer update(XpoAst object);
	//	end-of-baseline
	
	public Double getTotalProjectPrchCost(String pj_code);
	public XpoAst getByCode(String po_no);//po_no
	public Integer delete(String po_no);	//Delete flag :'Y'
}
