package com.rfxsoft.justrfx.data.ibatis;
import java.util.List;
import java.util.Map;


import com.rfxsoft.justrfx.data.BoardDao;

import com.rfxsoft.justrfx.domain.Board;
import com.rfxsoft.justrfx.DatabaseType;
public class SqlMapClientBoardDao extends BaseLineSqlMapClientDao implements BoardDao  
{
	
	
	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientBoardDao() {		super("board");	}
	public List getAll() {		return this.select_all();	}
	public Board getById(int unique_id) {		return (Board)this.select_uid(unique_id);	}
	public Object insert( String creator, Board object) {return this.insert_object(creator, object);	}
	public Integer update(Board object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	
	
	public void Insert(String creator, Board board)
	{
		//getSqlMapClientTemplate().insert("insert-board",board); //
		 this.insert(creator, board);
	}
	
	public void modify(Board board)
	{
		//getSqlMapClientTemplate().update("update-board",board);//
		this.update(board);
	}
	
	
	public Integer updateCount(Integer uniqueid)
	{
		return getSqlMapClientTemplate().update("update-count", uniqueid);
	    //getSqlMapClientTemplate().queryForList("update-count", uniqueid);

	}
	
	public List getBoardAllList(Map condition) //Խù ´.
	{
		//return getSqlMapClientTemplate().queryForList("selectcond-board", searchMap);
		return getDynamic(condition);
	}
	
	public List getMainBoard() {//Խù ´.

		if( this.systemInfo.getDbTypeEnum() == DatabaseType.ORACLE )
			return getSqlMapClientTemplate().queryForList("selectmain-ora-board", null);
		else
			return getSqlMapClientTemplate().queryForList("selectmain-board", null);
		//return getDynamic(condition);
	}
	
	public List getBoard_depth(String gubun) //Խù ´.
	{
		return getSqlMapClientTemplate().queryForList("selectdepth-board", gubun);
		//return getDynamic(condition);
	}
	
	public Integer updateDepth(Board object) 
	{
		return getSqlMapClientTemplate().update("update-depth",object);
		//return getDynamic(condition);
	}
	
	public Object insertReply(String creator, Board object) 
	{
		return getSqlMapClientTemplate().insert("insert-reply",object);
		//return getDynamic(condition);
	}
	
	public List getBoardAllList()
	{
		//return getSqlMapClientTemplate().queryForList("selectcond-board", null);
		return  getAll();
	}
	
	
    public Board getBoardView(Integer uniqueId)
    {
		//return (Board)getSqlMapClientTemplate().queryForObject("selectuid-board",	new Integer(uniqueId));
    	return this.getById(uniqueId);
    }

	
	
}
