package com.rfxsoft.justrfx.data.ibatis;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.BrandDao;

import com.rfxsoft.justrfx.domain.Brand;

public class SqlMapClientBrandDao extends BaseLineSqlMapClientDao implements
		BrandDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientBrandDao() {		super("brand");	}
//	public List getAll() {		return this.select_all();	}
	public Brand getById(int unique_id) {		return (Brand)this.select_uid(unique_id);	}
	public Object insert( String creator, Brand object) {		return this.insert_object(creator, object);	}
	public Integer update(Brand object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------

	
	public List getAll() {
		List list = this.select_all();
		for(Iterator i=list.iterator(); i.hasNext();) {
			Brand brand = (Brand)i.next();
			brand.makeMakerList();
		}

		return list;
	}
	

	public Brand getMakerByCode(String brand_code) {
		
		Brand brand = (Brand)getSqlMapClientTemplate().queryForObject(
				"getBrandByCode",	brand_code);
		brand.makeMakerList();
		return brand;
	}

	public List getAllMakerByCode(String brand_code) {
		List list = getSqlMapClientTemplate().queryForList("getBrandByCode", brand_code);
		
		for(Iterator i=list.iterator(); i.hasNext();) {
			Brand brand = (Brand)i.next();
			brand.makeMakerList();
		}

		return list;
	}


}
