package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;


import com.rfxsoft.justrfx.data.ComBstDao;

import com.rfxsoft.justrfx.domain.ComBst;

public class SqlMapClientComBstDao extends BaseLineSqlMapClientDao implements
		ComBstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientComBstDao() {		super("combst");	}
	public List getAll() {		return this.select_all();	}
	public ComBst getById(int unique_id) {		return (ComBst)this.select_uid(unique_id);	}
	public Object insert(String creator, ComBst object) {
		return this.insert_object(creator, object);	}
	public Integer update(ComBst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	public List getSelectcond(String tableName, Map condition, int start, int record_quan, String order_by)
	{
		return this.select_cond(tableName, condition, start, record_quan, order_by);
	}
	// end of baseline--------------------------------
	
	public ComBst getByCode(String company_code) {
		return (ComBst)getSqlMapClientTemplate().queryForObject(
				"getComBstByCode",	company_code);

	}//
	
	public ComBst getCondComBst(Map condition) {
		return (ComBst)getSqlMapClientTemplate().queryForObject(
				"SelectCondComBst",	condition);

	}
	
	
	public Integer delete(String wa_code) {
		return getSqlMapClientTemplate().update("deleteComBst", wa_code);

	}
	
	public List getByWaNm(String companycode)
	{
		return getSqlMapClientTemplate().queryForList("getComBstByCode", companycode);
	}



}
