package com.rfxsoft.justrfx.data.ibatis;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.IhwPoDao;
import com.rfxsoft.justrfx.domain.IhwPo;

public class SqlMapClientIhwPoDao extends BaseLineSqlMapClientDao implements
		IhwPoDao {
	
	public SqlMapClientIhwPoDao() {		super("ihwpo");	}
	public List getAll() {		return this.select_all();	}
	public IhwPo getById(int unique_id) {		return (IhwPo)this.select_uid(unique_id);	}
	public Object insert(String creator, IhwPo object) {		return this.insert_object(creator, object);	}
	public Integer update(IhwPo object) {	return	this.update_object(object);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	
	public Integer delete(String tableName, Object object) {		
		logger.debug("̺"+tableName);
		return getSqlMapClientTemplate().update("delete-" + tableName, object);
	}
	
	public Integer update(String tableName, Date interface_date) {		
		logger.debug("̺"+tableName);
		return getSqlMapClientTemplate().update("update-" + tableName, interface_date);
	}
}
