package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.MakAhdDao;
import com.rfxsoft.justrfx.domain.MakAhd;

public class SqlMapClientMakAhdDao extends BaseLineSqlMapClientDao implements
		MakAhdDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientMakAhdDao() {		super("makahd");	}
	public List getAll() {		return this.select_all();	}
	public MakAhd getById(int unique_id) {		return (MakAhd)this.select_uid(unique_id);	}
	public Object insert( String creator, MakAhd object) {		return this.insert_object(creator, object);	}
	public Integer update(MakAhd object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	


	public MakAhd getByCode(String maker_code) {
		return (MakAhd)getSqlMapClientTemplate().queryForObject(
				"getMakAhdByCode",	maker_code);
	}

	public Integer delete(String maker_code) {
		return getSqlMapClientTemplate().update("deleteMakAhdByCode", maker_code);

	}
}
