package com.rfxsoft.justrfx.data.ibatis;

import com.rfxsoft.justrfx.data.MyInfoDao;
import com.rfxsoft.justrfx.domain.MyInfo;

public class SqlMapClientMyInfoDao extends BaseLineSqlMapClientDao implements
		MyInfoDao {

	public String GetEnvRaw(String my_id, String name) {
		
		MyInfo condition = new MyInfo();
		
		condition.setUser_id(my_id);
		condition.setVar_name(name);
		
		MyInfo info = (MyInfo)getSqlMapClientTemplate().queryForObject(
				"getMyinfoByName",	condition);
		if(info==null)
			return "";
		return info.getVar_value();
	}

	public void SetEnvRaw(String my_id, String name, String value) {
		
		MyInfo new_val = new MyInfo();
		
		new_val.setUser_id(my_id);
		new_val.setVar_name(name);
		new_val.setVar_value(value);
		
		MyInfo info = (MyInfo)getSqlMapClientTemplate().queryForObject(
				"getMyinfoByName",	new_val);
		if(info==null) { //insert
			getSqlMapClientTemplate().insert("insert-myinfo", new_val);
		}
		else {//update
			getSqlMapClientTemplate().update("updateMyinfo", new_val);
		}

	}
	
	public void ClearEnv(String var_name, String var_value) {
		MyInfo new_val = new MyInfo();
		
		new_val.setVar_name(var_name);
		new_val.setVar_value(var_value);
		
		getSqlMapClientTemplate().update("clearMyValue", new_val);

	}

}
