package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;


import com.rfxsoft.justrfx.data.PjtTskDao;

import com.rfxsoft.justrfx.domain.PjtTsk;

public class SqlMapClientPjtTskDao extends BaseLineSqlMapClientDao implements
		PjtTskDao {
	
	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientPjtTskDao() {		super("pjttsk");	}
	public List getAll() {		return this.select_all();	}
	public PjtTsk getById(int unique_id) {		return (PjtTsk)this.select_uid(unique_id);	}
	public Object insert( String creator, PjtTsk object) {		return this.insert_object(creator, object);	}
	public Integer update(PjtTsk object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	

	public List getByParent(int parent) {
		return getSqlMapClientTemplate().queryForList("getTasksByParant", parent);
	}
	
	public List getByUserId(String user_id) {
		return getSqlMapClientTemplate().queryForList("getTasksByOwnerId", user_id);
	}

	public void updateByUid(Map map) {
		getSqlMapClientTemplate().update("update-pjttsk-cond", map);
		
	}
	
	public void updateByUidIter(Map map) {
		getSqlMapClientTemplate().update("update-pjttsk-cond-iter", map);
		
	}
	public void updateSateOpen(Map map) {
		getSqlMapClientTemplate().update("update-pjttsk-open", map);
	}
	public void updateResourceMh(Integer task_uid) {
		getSqlMapClientTemplate().update("update-resource_mh-sum", task_uid);
	}


}
