package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.RtgAppDao;
import com.rfxsoft.justrfx.domain.RtgApp;

public class SqlMapClientRtgAppDao extends BaseLineSqlMapClientDao implements
		RtgAppDao {
	
	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientRtgAppDao() {		super("rtgapp");	}
	public List getAll() {		return this.select_all();	}
	public RtgApp getById(int unique_id) {		return (RtgApp)this.select_uid(unique_id);	}
	public Object insert( String creator, RtgApp object) {		return this.insert_object(creator, object);	}
	public Integer update(RtgApp object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	
	public Integer deleteUserId(Map condition) {
		return getSqlMapClientTemplate().update("deleteRtgAppByUserId", condition);
	}
	
	public List getByUserId(String user_id) {
		return getSqlMapClientTemplate().queryForList("getRtgAppByuserId", user_id);
	}

	public Integer deleteUserIdAll(Map condition){
		return getSqlMapClientTemplate().update("deleteRtgAppByUserIdAll",condition);
	}

}
