package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.SrcAhdDao;

import com.rfxsoft.justrfx.domain.SrcAhd;


public class SqlMapClientSrcAhdDao extends BaseLineSqlMapClientDao implements
		SrcAhdDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientSrcAhdDao() {		super("srcahd");	}
	public List getAll() {		return this.select_all();	}
	public SrcAhd getById(int unique_id) {		return (SrcAhd)this.select_uid(unique_id);	}
	public Object insert( String creator, SrcAhd object) {		return this.insert_object(creator, object);	}
	public Integer update(SrcAhd object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	public List getSelectcond(String tableName, Map condition, int start, int record_quan, String order_by)
	{
		return this.select_cond(tableName, condition, start, record_quan, order_by);
	}
	// end of baseline--------------------------------
	
	public List getDetail(Map condition) 
	{
		return getSqlMapClientTemplate().queryForList("getDetailItemCode", condition);
	}
	public void setChildQaunPlPl(int unique_id) {
		getSqlMapClientTemplate().update("updateChildQuanPlPl", unique_id);
	}
	
	public void setRefQaunPlPl(int unique_id) {
		getSqlMapClientTemplate().update("updateRefQuanPlPl", unique_id);
	}
	
	public void setChildQaunMiMi(int unique_id) {
		getSqlMapClientTemplate().update("updateChildQuanMiMi", unique_id);
		
	}
	public void setRefQaunMiMi(int unique_id) {
		getSqlMapClientTemplate().update("updateRefQuanMiMi", unique_id);
		
	}
	
	public int getChildQaun(int unique_id) {
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getChildQuanById",	new Integer(unique_id));
	}
	
	public Integer setChildQaun(int child_quan, int unique_id) {
		SrcAhd srcahd = getById(unique_id);
		if(srcahd==null)
			return -1;
		
		Integer cur_child_quan = srcahd.getChild_quan();
		
		if( cur_child_quan != child_quan)
		{
			srcahd.setChild_quan(child_quan);
			this.update(srcahd);
		}
		return child_quan;
	}
	
	public List getAll(Map limit) {
		return getSqlMapClientTemplate().queryForList("getAllSrcAhdslimit", limit);
	}

	
	public int getUniqueByCode(String item_code) {
		SrcAhd srcahd = null;
		srcahd = (SrcAhd)getSqlMapClientTemplate().queryForObject("getSrcAhdByItemCode",	item_code);
		if(srcahd==null) {
			return -1;
		}
		else {
			return srcahd.getUnique_id();
		}
	}
	
	public List getByName(String item_name) {

		return getSqlMapClientTemplate().queryForList("getSrcAhdsByName", item_name);
	}

	public List getBySpec(String item_name) {

		return getSqlMapClientTemplate().queryForList("getSrcAhdsBySpec", item_name);
	}

	public boolean isRegisterd(String item_code) {
		SrcAhd srcahd = null;
		srcahd = (SrcAhd)getSqlMapClientTemplate().queryForObject("getSrcAhdByItemCode",	item_code);
		if(srcahd==null)
			return false;
		else
			return true;
	}

	public boolean isRegisterdSpec(String specification) {
		SrcAhd srcahd = null;
		srcahd = (SrcAhd)getSqlMapClientTemplate().queryForObject("getSrcAhdBySpec",	specification);
		if(srcahd==null)
			return false;
		else
			return true;
	}


	public Integer delete(String item_code) {
		return getSqlMapClientTemplate().update("deleteSrcAhdByItemCode", item_code);

	}

}
