package com.rfxsoft.justrfx.data.ibatis;

import java.util.List;
import java.util.Map;


import com.rfxsoft.justrfx.data.SrcCstDao;
import com.rfxsoft.justrfx.domain.SrcCst;

public class SqlMapClientSrcCstDao extends BaseLineSqlMapClientDao implements
		SrcCstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientSrcCstDao() {		super("srccst");	}
	public List getAll() {		return this.select_all();	}
	public SrcCst getById(int unique_id) {		return (SrcCst)this.select_uid(unique_id);	}
	public Object insert( String creator, SrcCst object) {		return this.insert_object(creator, object);	}
	public Integer update(SrcCst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	
	public Integer deleteFileGroup(String code) {
		return getSqlMapClientTemplate().update("deleteSrcCstByGroupKey", code);
	}

	public SrcCst getByCode(String code) {
		return (SrcCst)getSqlMapClientTemplate().queryForObject(
				"getSrcCstByItemCode",	code);
	}

	public Integer delete(String code) {
		return getSqlMapClientTemplate().update("deleteSrcCstByCode", code);
	}

}
