package com.rfxsoft.justrfx.data.ibatis;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

import com.rfxsoft.justrfx.data.TableInfoDao;
import java.util.Map;


public class SqlMapClientTableInfoDao extends SqlMapClientDaoSupport implements
		TableInfoDao {
	
	public int getCountSrcAhd() {

		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getCountSrcAhd",	null);
	}
	public int getCountPruid(String table, Map cond) {

		return (Integer)getSqlMapClientTemplate().queryForObject(
				table,	cond);
	}
	/*
	public int getComBstWa_CodeCnt(Map condition) {

		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getComBstWa_CodeCnt",	condition);
	}
	*/
	public int getComAstCompanyCodeCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getComAstCompanyCodeCnt",	condition);
	}
	/*
	public int getComCstDivisionCodeCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getComCstDivisionCodeCnt",	condition);
	}
	*/
	public int getComBstUnionCkCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getComBstUnionCkCnt",	condition);
	}
	public int getComDstDeptCodeCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getComDstDeptCodeCnt",	condition);
	}
	public int getComCstUnionCkCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getComCstUnionCkCnt",	condition);
	}
	public int getUsrAstUserIdCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getUsrAstUserIdCnt",	condition);
	}
	public int getSrcAhdItemCodeCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getSrcAhdItemCodeCnt",	condition);
	}
	public int getComDstUnionCkCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getComDstUnionCkCnt",	condition);
	}
	public int getSrcMapDupCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getSrcMapDupCnt",	condition);
	}
	
	public int getComBstTatalCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getComBstTatalCnt", condition);
	}
	
	public int getSrcAhdTatalCnt(Map condition)
	{
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getSrcAhdTatalCnt", condition);
	}
	public int getItemQuanByRtgAst(Integer rtgast_uid) {
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getItemQuanByRtgAst", rtgast_uid);
	}
	public int getGrQuanByRtgAst(Integer rtgast_uid) {
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getGrQuanByRtgAst", rtgast_uid);
	}
	public int getNotGrQuanByRtgAst(Integer rtgast_uid) {
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getNotGrQuanByRtgAst", rtgast_uid);
	}
	
	public int getItemQuanByRtgAstPr(Integer rtgast_uid) {
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getItemQuanByRtgAstPr", rtgast_uid);
	}
	public int getGrQuanByRtgAstPr(Integer rtgast_uid) {
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getGrQuanByRtgAstPr", rtgast_uid);
	}
	public int getNotGrQuanByRtgAstPr(Integer rtgast_uid) {
		return (Integer)getSqlMapClientTemplate().queryForObject(
				"getNotGrQuanByRtgAstPr", rtgast_uid);
	}
	public Double getTotalPriceXpoAst(Map condition) {
		return (Double)getSqlMapClientTemplate().queryForObject(
				"getTotalPriceXpoAst", condition);
	}
	public Double getTotalPriceXpoAstByDocType(String doc_type) {
		return (Double)getSqlMapClientTemplate().queryForObject(
				"getTotalPriceXpoAstByDocType", doc_type);
	}

	
}
