package com.rfxsoft.justrfx.data.ibatis;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.rfxsoft.justrfx.data.XpoAstDao;
import com.rfxsoft.justrfx.domain.XpoAst;

public class SqlMapClientXpoAstDao extends BaseLineSqlMapClientDao implements
		XpoAstDao {

	/**
	 *  ԼBaseLineSqlMapClientDao ǵǾ ִµ ȣȯ  
	 * k1park 060318
	 */
	public SqlMapClientXpoAstDao() {		super("xpoast");	}
	public List getAll() {		return this.select_all();	}
	public XpoAst getById(int unique_id) {		return (XpoAst)this.select_uid(unique_id);	}

	//XPOAST, RFQAST assymap  uid Ƿ insert 翩θ üũϿѴ.
	// ߻ ϱ .
	public Object insert(String creator, XpoAst object) {
		
		XpoAst inserted = (XpoAst)this.select_uid(object.getUnique_id());
		Object result = null;
		if(inserted==null) {
			result = this.insert_object(creator, object);
		}
		else {
			result = this.update_object(object);
		}
		return result;	
	}
	public Integer update(XpoAst object) {	return	this.update_object(object);	}
	public Integer delete(int unique_id) {	return	this.delete_uid(unique_id);	}
	public List getDynamic(Map condition) {		return this.select_cond(condition);	}
	// end of baseline--------------------------------
	

	public XpoAst getByCode(String po_no) {
		return (XpoAst)getSqlMapClientTemplate().queryForObject(
				"getXpoAstsByPoNo",	po_no);
	}

	public Integer delete(String po_no) {
		return getSqlMapClientTemplate().update("deleteXpoAstByPoNo", po_no);
	}


	public Double getTotalProjectPrchCost(String pj_code)
	{
		Map<String, String> condition = new HashMap<String, String>();
		condition.put("pj_code", pj_code );	//Ʈ  ź
		
		return (Double)getSqlMapClientTemplate().queryForObject(
				"total_project_prch_cost",	condition);
	}

}
