package com.rfxsoft.justrfx.domain;

import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public abstract class JrfxSuperDomain{
	
	public String toString() {
		return ToStringBuilder.reflectionToString(this,
				ToStringStyle.MULTI_LINE_STYLE);
	}
	
	public boolean equals( JrfxSuperDomain o) {
		if(this.unique_id == o.getUnique_id() )
			return true;
		return false;
		//return EqualsBuilder.reflectionEquals(this, o);
	}
	
	public int hashCode() {
		return HashCodeBuilder.reflectionHashCode(this);
	}
	
	protected	Integer		unique_id;		//unique_id
	protected	Date		create_date;	//
	protected	String		creator;		//
	protected   Integer     rownum;			// ڵ Ϸùȣ
	
	private SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd");
	private DecimalFormat 	decimalFormat = new DecimalFormat("#,##0");
	
	public JrfxSuperDomain() {
		super();
		Random ran = new Random();
		int iRand = ran.nextInt();
		
		if(iRand < 0) {
			iRand = (-1)* iRand;
		}
		this.unique_id 		= iRand;
//Default Creator  Dao Ѵ.
		this.create_date	= new Date();
//		this.creator		= "SYSTEM";
	}

	public String Double2String(Double value) {
		if(value==null)
			return "0";
		
		return decimalFormat.format(value);
	}
	
	public String Date2String(Date date) {
		if(date==null)
			return "0000/00/00";
		
		return dateFormat.format(date);
	}

	public String String2Substring(String board_title) {
		StringBuffer sb= new StringBuffer(); 
		String title=null;
		if(board_title!=null)
			{
			  if(board_title.length()>30)
			  {
				  sb.append(board_title.substring(0,15));
				  sb.append("...");
				  title=sb.toString();
			  }
			  else{
				 title=board_title;
			  }
			}
		return title;
	}
	
	public Date getCreate_date() {
		return create_date;
	}

	public void setCreate_date(Date create_date) {
		this.create_date = create_date;
	}

	public Integer getUnique_id() {
		return unique_id;
	}

	public void setUnique_id(Integer unique_id) {
		this.unique_id = unique_id;
	}


	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	
	public String getCreate_date_str() {
		return Date2String(create_date);
	}
	/*
	 *  2006.3.8 
	 *  
	 *  ๮ ٹٲ޹ٲٱ.
	 */
	public String StringToFormat(String str)
	{
		String str2 = "";
		str2 = str.replace("\n","&lt;br&gt;");
		//str2 += str.replace(" ","&nbsp;");
		return str2;
	}

	public Integer getRownum() {
		return rownum;
	}

	public void setRownum(Integer rownum) {
		this.rownum = rownum;
	}

}
