package com.rfxsoft.justrfx.domain.command;

/**
 * @author k1park
 * 
 * a01-edit,a-result   
 * ޴ȣ-Activity, 
 *
 */
public class CommandType {
	
	private MenuId 			menuId;		//Menu ȣ
	private ActivityName	activity;	//Action 
	private JrServiceName	service;	//Service Ÿ
	private String			forward;	//Forward 
	private	String 			rawString;	//Input Command
	private String			key;

	// A01-EDIT
	
	public String getKey() {
		return key;
	}

	public CommandType(String strMenu) {
		this.setRawString(strMenu);
		ParseCommand();
	}
	
//	public String toString() {
//        StringBuffer result = new StringBuffer(2048);
//        
//        result.append("CommandType: CommandType { ");
//        result.append(this.menuId.toString() + ", ");
//        result.append(this.activity.toString() + ", ");
//        result.append(this.service.toString() );
//		result.append(" }");
//        
//        return result.toString();
//    }
	

	public int find(char key) {
		
		for(int i=0; i<rawString.length(); i++)
			if(rawString.charAt(i) == key)
				return i;
		return -1;
	}
	
	public boolean ParseCommand ( ) {
		
		
		if(rawString.length() < 3 )//ּ3
			return false;
	
		if( makeServiceName(rawString.charAt(0))==false)
			return false;
		
		key = rawString.substring(0, 3);
		
		if( makeMenuId(rawString.substring(1, 3))==false)
			return false;
		
		this.setActivity(ActivityName.DEFAULT);
		this.setForward(rawString.substring(0, 3));//Ʈ
		
		//[,] ֳ..[a01-edit,a01edit]
        if( find(',') > -1 ) { //
        	String[] splited = new String[2]; //迭 
        	splited = rawString.split(",", 2);//ɰ
        	
        	setForward(splited[1]);//ڰ  
        	rawString = splited[0];
        }
        //[-] ֳ?
        if( find('-') > -1 ) { //
	        String[] splited = new String[2]; //迭 
	        splited = rawString.split("-"); //ɰ ֱ
			if( makeActivity(splited[1])==false)//ڰ Activity
				return false;
        }

		return true;
	}

	private boolean makeActivity(String mn_key) {
		
		if(mn_key.compareToIgnoreCase("add")==0)
			this.setActivity(ActivityName.ADD);
		else if(mn_key.compareToIgnoreCase("edit")==0)
			this.setActivity(ActivityName.EDIT);
		else if(mn_key.compareToIgnoreCase("delete")==0)
			this.setActivity(ActivityName.DELETE);
		else if(mn_key.compareToIgnoreCase("form")==0)
			this.setActivity(ActivityName.FORM);
		else if(mn_key.compareToIgnoreCase("modform")==0)
			this.setActivity(ActivityName.MODFORM);
		else if(mn_key.compareToIgnoreCase("listall")==0)
			this.setActivity(ActivityName.LISTALL);
		else if(mn_key.compareToIgnoreCase("listcond")==0)
			this.setActivity(ActivityName.LISTCOND);
		else if(mn_key.compareToIgnoreCase("detail")==0)
			this.setActivity(ActivityName.DETAIL);
		else if(mn_key.compareToIgnoreCase("file")==0)
			this.setActivity(ActivityName.FILE);
		else
			return false;

		return true;
	}
	
	private boolean makeMenuId(String mn_key) {
		if(mn_key.compareToIgnoreCase("01")==0)
			this.setMenuId(MenuId.MN01);
		else if(mn_key.compareToIgnoreCase("02")==0)
			this.setMenuId(MenuId.MN02);
		else if(mn_key.compareToIgnoreCase("03")==0)
			this.setMenuId(MenuId.MN03);
		else if(mn_key.compareToIgnoreCase("04")==0)
			this.setMenuId(MenuId.MN04);
		else if(mn_key.compareToIgnoreCase("05")==0)
			this.setMenuId(MenuId.MN05);
		else if(mn_key.compareToIgnoreCase("06")==0)
			this.setMenuId(MenuId.MN06);
		else if(mn_key.compareToIgnoreCase("07")==0)
			this.setMenuId(MenuId.MN07);
		else if(mn_key.compareToIgnoreCase("08")==0)
			this.setMenuId(MenuId.MN08);
		else if(mn_key.compareToIgnoreCase("09")==0)
			this.setMenuId(MenuId.MN09);
		else if(mn_key.compareToIgnoreCase("10")==0)
			this.setMenuId(MenuId.MN10);
		else if(mn_key.compareToIgnoreCase("11")==0)
			this.setMenuId(MenuId.MN11);
		else if(mn_key.compareToIgnoreCase("12")==0)
			this.setMenuId(MenuId.MN12);
		else if(mn_key.compareToIgnoreCase("13")==0)
			this.setMenuId(MenuId.MN13);
		else if(mn_key.compareToIgnoreCase("14")==0)
			this.setMenuId(MenuId.MN14);
		else if(mn_key.compareToIgnoreCase("15")==0)
			this.setMenuId(MenuId.MN15);
		else if(mn_key.compareToIgnoreCase("16")==0)
			this.setMenuId(MenuId.MN16);
		else if(mn_key.compareToIgnoreCase("17")==0)
			this.setMenuId(MenuId.MN17);
		else if(mn_key.compareToIgnoreCase("18")==0)
			this.setMenuId(MenuId.MN18);
		else if(mn_key.compareToIgnoreCase("19")==0)
			this.setMenuId(MenuId.MN19);
		else if(mn_key.compareToIgnoreCase("20")==0)
			this.setMenuId(MenuId.MN20);
		else if(mn_key.compareToIgnoreCase("21")==0)
			this.setMenuId(MenuId.MN21);
		else if(mn_key.compareToIgnoreCase("22")==0)
			this.setMenuId(MenuId.MN22);
		else if(mn_key.compareToIgnoreCase("23")==0)
			this.setMenuId(MenuId.MN23);
		else if(mn_key.compareToIgnoreCase("24")==0)
			this.setMenuId(MenuId.MN24);
		else if(mn_key.compareToIgnoreCase("25")==0)
			this.setMenuId(MenuId.MN25);
		else if(mn_key.compareToIgnoreCase("26")==0)
			this.setMenuId(MenuId.MN26);
		else if(mn_key.compareToIgnoreCase("27")==0)
			this.setMenuId(MenuId.MN27);
		else if(mn_key.compareToIgnoreCase("28")==0)
			this.setMenuId(MenuId.MN28);
		else if(mn_key.compareToIgnoreCase("29")==0)
			this.setMenuId(MenuId.MN29);
		else if(mn_key.compareToIgnoreCase("30")==0)
			this.setMenuId(MenuId.MN30);
		else if(mn_key.compareToIgnoreCase("31")==0)
			this.setMenuId(MenuId.MN31);
		else if(mn_key.compareToIgnoreCase("32")==0)
			this.setMenuId(MenuId.MN32);
		else if(mn_key.compareToIgnoreCase("33")==0)
			this.setMenuId(MenuId.MN33);
		else if(mn_key.compareToIgnoreCase("34")==0)
			this.setMenuId(MenuId.MN34);
		else if(mn_key.compareToIgnoreCase("35")==0)
			this.setMenuId(MenuId.MN35);
		else if(mn_key.compareToIgnoreCase("36")==0)
			this.setMenuId(MenuId.MN36);
		else if(mn_key.compareToIgnoreCase("37")==0)
			this.setMenuId(MenuId.MN37);
		else if(mn_key.compareToIgnoreCase("38")==0)
			this.setMenuId(MenuId.MN38);
		else if(mn_key.compareToIgnoreCase("39")==0)
			this.setMenuId(MenuId.MN39);
		else if(mn_key.compareToIgnoreCase("40")==0)
			this.setMenuId(MenuId.MN40);
		else if(mn_key.compareToIgnoreCase("41")==0)
			this.setMenuId(MenuId.MN41);
		else if(mn_key.compareToIgnoreCase("42")==0)
			this.setMenuId(MenuId.MN42);
		else if(mn_key.compareToIgnoreCase("43")==0)
			this.setMenuId(MenuId.MN43);
		else if(mn_key.compareToIgnoreCase("44")==0)
			this.setMenuId(MenuId.MN44);
		else if(mn_key.compareToIgnoreCase("45")==0)
			this.setMenuId(MenuId.MN45);
		else if(mn_key.compareToIgnoreCase("46")==0)
			this.setMenuId(MenuId.MN46);
		else if(mn_key.compareToIgnoreCase("47")==0)
			this.setMenuId(MenuId.MN47);
		else if(mn_key.compareToIgnoreCase("48")==0)
			this.setMenuId(MenuId.MN48);
		else if(mn_key.compareToIgnoreCase("49")==0)
			this.setMenuId(MenuId.MN49);
		else if(mn_key.compareToIgnoreCase("50")==0)
			this.setMenuId(MenuId.MN50);
		else
			return false;
		

		return true;
	}
	private boolean makeServiceName(char charHead) {
		
		if(charHead == 'a' || charHead == 'A')
			this.setService(JrServiceName.A_RFML);
		else if(charHead == 'b' || charHead == 'B')
			this.setService(JrServiceName.B_RTNG);
		else if(charHead == 'c' || charHead == 'C')
			this.setService(JrServiceName.C_PRJT);
		else if(charHead == 'd' || charHead == 'D')
			this.setService(JrServiceName.D_MTRL);
		else if(charHead == 'e' || charHead == 'E')
			this.setService(JrServiceName.E_PTNR);
		else if(charHead == 'f' || charHead == 'F')
			this.setService(JrServiceName.F_ADMN);
		else if(charHead == 'g' || charHead == 'G')
			this.setService(JrServiceName.G_MYNF);
		else if(charHead == 'h' || charHead == 'H')
			this.setService(JrServiceName.H_MYNV);
		else if(charHead == 'j' || charHead == 'J')
			this.setService(JrServiceName.J_PRCH);
		else if(charHead == 'y' || charHead == 'Y')
			this.setService(JrServiceName.Y_AUDT);
		else if(charHead == 'z' || charHead == 'Z')
			this.setService(JrServiceName.Z_RELO);
		else
			return false;
		
		return true;
	}
	
	public ActivityName getActivity() {
		return activity;
	}
	public void setActivity(ActivityName activity) {
		this.activity = activity;
	}
	public MenuId getMenuId() {
		return menuId;
	}
	public void setMenuId(MenuId menuId) {
		this.menuId = menuId;
	}
	public JrServiceName getService() {
		return service;
	}
	public void setService(JrServiceName service) {
		this.service = service;
	}

	public String getRawString() {
		return rawString;
	}

	public void setRawString(String rawString) {
		this.rawString = rawString;
	}

	public String getForward() {
		return forward;
	}

	public void setForward(String forward) {
		this.forward = forward;
	}
	
}
