package com.rfxsoft.justrfx.domain.menu;

import java.util.ArrayList;
import java.util.List;

import com.rfxsoft.justrfx.UserType;

public class MenuPerm extends MenuObject{
	enum MenuType {MNU_ADD, MNU_DENY, MNU_LOCK/*ƹ*/}
	
	MenuType mnuType;
	List<String> userTypeList;//Write User + ReadOnly User
	List<String> writeUserList;// ִ 
	
	public MenuPerm(String perm_str) {
		super();
		userTypeList = new ArrayList<String>();
		writeUserList = new ArrayList<String>();
		
		String[] arrPerm = perm_str.split("/");
		mnuType = MenuType.MNU_LOCK;
		
		for(int i=0; i< arrPerm.length; i++)	{
			if( processToken(arrPerm[i]) == true);
		}

	}
	
	private boolean processToken(String perm_str) {
		///A:PUR,ADM
		///D:ADM,GST
		if(perm_str.length() < 5)
			return false;
		
		if( perm_str.charAt(1) != ':' )
			return false;
		
		if( perm_str.charAt(0) == 'A' || perm_str.charAt(0) == 'a')
			mnuType = MenuType.MNU_ADD;
		else 		if( perm_str.charAt(0) == 'R' || perm_str.charAt(0) == 'r')
			mnuType = MenuType.MNU_ADD;
		else if( perm_str.charAt(0) == 'D' || perm_str.charAt(0) == 'd' )
			mnuType = MenuType.MNU_DENY;
		else
			return false;
		
		String semi_line = perm_str.substring(2);
		
		String[] tokens 	= semi_line.split(",");//PUR,ADM ڸ 
		
		
		for(int i=0; i < tokens.length; i++){
			userTypeList.add(tokens[i]);
			
			//A  οȴ.
			if( perm_str.charAt(0) == 'A' || perm_str.charAt(0) == 'a')	{
				writeUserList.add(tokens[i]);
			}
		}
		
		return true;
	}
	
	@SuppressWarnings("unused")
	private UserType convStr2UserType( String token) {
		
		if(token.compareToIgnoreCase("GEN")==0 ){
			return UserType.GEN;

		}
		else if(token.equals("PUR") ){
			return UserType.PUR;
	
		}
		else if(token.equals("OFC") ){
			return UserType.OFC;

		}
		else if(token.equals("SYS") ){
			return UserType.SYS;

		}
		else if(token.equals("ADM") ){
			return UserType.ADM;

		}
		else if(token.equals("BUA") ){
			return UserType.BUA;

		}
		else if(token.equals("BGT") ){
			return UserType.BGT;

		}
		else if(token.equals("APR") ){
			return UserType.APR;

		}
		else if(token.equals("BMU") ){
			return UserType.BMU;

		}
		else if(token.equals("GST") ){
			return UserType.GST;

		}
		else if(token.equals("QMO") ){
			return UserType.QMO;

		}
		else {
			return UserType.UKN;

		}

	}
		
	/*
	private String convUserType2Str( UserType userType) {
		
		switch(userType) {
		
		case GEN:
			return "GEN";

		case PUR:
			return "PUR";

		case OFC:
			return "OFC";

		case SYS:
			return "SYS";

		case ADM:
			return "ADM";

		case GST:
			return "GST";

		case BUA:
			return "BUA";
			
		case QMO:
			return "QMO";


//		case UKN:
//		default:
		}

		return "UN-KNOWN";


	}
	*/
		

	
	public MenuType getMnuType() {
		return mnuType;
	}
	public void setMnuType(MenuType mnuType) {
		this.mnuType = mnuType;
	}
	public List getUserTypeList() {
		return userTypeList;
	}
	public void setUserTypeList(List<String> userTypeList) {
		this.userTypeList = userTypeList;
	}
	
	boolean hasPower( String userType) {
		for(int i=0; i < userTypeList.size(); i++){
			String token = (String) userTypeList.get(i);
			if( token.compareToIgnoreCase(userType) == 0 )
				return true;
		}
		
		return false;
	}
	
	boolean hasWritePower( String userType) {
		for(int i=0; i < writeUserList.size(); i++){
			String token = (String) writeUserList.get(i);
			if( token.compareToIgnoreCase(userType) == 0 )
				return true;
		}
		
		return false;
	}
	
	
	boolean hasPower( UserType userType) {
		
		if(this.mnuType == MenuType.MNU_LOCK)//Lock̹Ƿ ٺҰ
			return false;
		
		if( userType == null)
			return false;
		
		return hasPower( userType.toString() /*convUserType2Str(userType)*/);

	}
	
	boolean  hasWritePower( UserType userType ) {
		
		if(this.mnuType == MenuType.MNU_LOCK)//Lock̹Ƿ ٺҰ
			return false;
		
		if( userType == null)
			return false;
		
		return hasWritePower( userType.toString() /*convUserType2Str(userType)*/);

	}
	
	
	
	public void setUserTypeToken(UserType userType) {
		this.userTypeList.add(userType.toString());
	}
}
