package com.rfxsoft.justrfx.dwr;


import java.util.Random;
import java.util.Vector;

public class AcMessage {
	
    Integer id;
    String text;
    String code;
    
    String value1;
    String value2;
    String value3;
    String value4;
    String value5;
    String value6;
    String value7;
    String value8;
    String value9;
    String value10;
    
    Vector acVector;

  
    private void initValues() {
    	value1="";
    	value2="";
    	value3="";
    	value4="";
    	value5="";
    	value6="";
    	value7="";
    	value8="";
    	value9="";
    	value10="";
    }
    
    public AcMessage(String newtext)
    {
        text = newtext;
        if (text.length() > 256)
        {
            text = text.substring(0, 256);
        }
        text = text.replace('<', '[');
        text = text.replace('&', '_');
        
		Random ran = new Random();
		int iRand = ran.nextInt();
		
		if(iRand < 0) {
			iRand = (-1)* iRand;
		}
		id 		= iRand;
        code = Integer.toString(id);
        
        initValues();
    }
    
    public AcMessage(String newtext, Integer unique_id)
    {
        text = newtext;
        if (text.length() > 256)
        {
            text = text.substring(0, 256);
        }
        text = text.replace('<', '[');
        text = text.replace('&', '_');

		id 		= unique_id;
        code = Integer.toString(id);
        initValues();
    }
    
    public AcMessage(String newtext, Integer unique_id, String code)
    {
        text = newtext;
        if (text.length() > 256)
        {
            text = text.substring(0, 256);
        }
        text = text.replace('<', '[');
        text = text.replace('&', '_');

		id 	= unique_id;
        this.code = code;
        
        initValues();
    }

    
    public void setCode(String code) {
		this.code = code;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public void setText(String text) {
		this.text = text;
	}

	public long getId()
    {
        return id;
    }

    public String getText()
    {
        return text;
    }
    
    public String getCode()
    {
        return code;
    }
	public String getValue1() {
		return value1;
	}
	public void setValue1(String value1) {
		this.value1 = value1;
	}
	public String getValue2() {
		return value2;
	}
	public void setValue2(String value2) {
		this.value2 = value2;
	}
	public String getValue3() {
		return value3;
	}
	public void setValue3(String value3) {
		this.value3 = value3;
	}
	public String getValue4() {
		return value4;
	}
	public void setValue4(String value4) {
		this.value4 = value4;
	}
	public String getValue5() {
		return value5;
	}
	public void setValue5(String value5) {
		this.value5 = value5;
	}

	public Vector getAcVector() {
		return acVector;
	}

	public void setAcVector(Vector acVector) {
		this.acVector = acVector;
	}

	public String getValue10() {
		return value10;
	}

	public void setValue10(String value10) {
		this.value10 = value10;
	}

	public String getValue6() {
		return value6;
	}

	public void setValue6(String value6) {
		this.value6 = value6;
	}

	public String getValue7() {
		return value7;
	}

	public void setValue7(String value7) {
		this.value7 = value7;
	}

	public String getValue8() {
		return value8;
	}

	public void setValue8(String value8) {
		this.value8 = value8;
	}

	public String getValue9() {
		return value9;
	}

	public void setValue9(String value9) {
		this.value9 = value9;
	}



}
