package com.rfxsoft.justrfx.dwr;

import com.rfxsoft.justrfx.data.TableInfoDao;
import java.util.HashMap;
import java.util.Map;

public class CodeValidator {
	int cnt = 0;
	protected TableInfoDao tableinfoDao;
	
	public TableInfoDao getTableinfoDao() {
		return tableinfoDao;
	}

	public void setTableinfoDao(TableInfoDao tableinfoDao) {
		this.tableinfoDao = tableinfoDao;
	}
	/****************************************************
	 * ȸ ߺ
	 ****************************************************/
	public boolean isComAstValid(String companyCode) 
	{
		Map<String, String> map = new HashMap<String, String>();
		map.put("company_code", companyCode);
		cnt = tableinfoDao.getComAstCompanyCodeCnt(map);
		
				
		if(cnt > 0)
		{
			return false;
		}
		else
		{
			return true;
		}
	}
	
	/****************************************************
	 *  ߺ
	 ****************************************************/
	public boolean isComBstValid(String companyCode, String wa_code) 
	{
		Map<String, String> map = new HashMap<String, String>();
		map.put("company_code", companyCode);
		map.put("wa_code", wa_code);
		cnt = tableinfoDao.getComBstUnionCkCnt(map);
		
				
		if(cnt > 0)
		{
			return false;
		}
		else
		{
			return true;
		}
	}
	
	/****************************************************
	 *  ߺ
	 ****************************************************/
	public boolean isComCstValid(String companyCode, String wa_code, String division_code) 
	{
		Map<String, String> map = new HashMap<String, String>();
		map.put("company_code", companyCode);
		map.put("wa_code", wa_code);
		map.put("division_code", division_code);
		cnt = tableinfoDao.getComCstUnionCkCnt(map);
		
				
		if(cnt > 0)
		{
			return false;
		}
		else
		{
			return true;
		}
	}
	
	/****************************************************
	 * μ ߺ
	 ****************************************************/
	public boolean isComDstValid(String companyCode, String wa_code, String division_code, String dept_code) 
	{
		Map<String, String> map = new HashMap<String, String>();
		map.put("company_code", companyCode);
		map.put("wa_code", wa_code);
		map.put("division_code", division_code);
		map.put("dept_code", dept_code);
		cnt = tableinfoDao.getComDstUnionCkCnt(map);
		
				
		if(cnt > 0)
		{
			return false;
		}
		else
		{
			return true;
		}
	}
	
}
