package com.rfxsoft.justrfx.dwr;

import java.io.DataOutputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.StringWriter;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Vector;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.BeanCreationException;

import uk.ltd.getahead.dwr.WebContext;
import uk.ltd.getahead.dwr.WebContextFactory;
import uk.ltd.getahead.dwr.util.LocalUtil;

import com.rfxsoft.justrfx.business.DbInfoManager;
import com.rfxsoft.justrfx.business.c_prjt.PrjtManager;
import com.rfxsoft.justrfx.business.d_mtrl.MtrlManager;
import com.rfxsoft.justrfx.business.e_ptnr.PtnrManager;
import com.rfxsoft.justrfx.business.g_mynf.MynfManager;
import com.rfxsoft.justrfx.business.j_prch.PrchManager;
import com.rfxsoft.justrfx.data.AssyMapDao;
import com.rfxsoft.justrfx.data.CartDao;
import com.rfxsoft.justrfx.data.ComAstDao;
import com.rfxsoft.justrfx.data.ComBstDao;
import com.rfxsoft.justrfx.data.ComCstDao;
import com.rfxsoft.justrfx.data.ComDstDao;
import com.rfxsoft.justrfx.data.ErrHwGrDao;
import com.rfxsoft.justrfx.data.ErrHwPoDao;
import com.rfxsoft.justrfx.data.PositionDao;
import com.rfxsoft.justrfx.data.RtgAppDao;
import com.rfxsoft.justrfx.data.SrcAhdDao;
import com.rfxsoft.justrfx.data.UsrAstDao;
import com.rfxsoft.justrfx.data.ZipCodeDao;
import com.rfxsoft.justrfx.domain.AssyMap;
import com.rfxsoft.justrfx.domain.ComAst;
import com.rfxsoft.justrfx.domain.ComBst;
import com.rfxsoft.justrfx.domain.ComDst;
import com.rfxsoft.justrfx.domain.PartLine;
import com.rfxsoft.justrfx.domain.PjtTsk;
import com.rfxsoft.justrfx.domain.Position;
import com.rfxsoft.justrfx.domain.Project;
import com.rfxsoft.justrfx.domain.RtgApp;
import com.rfxsoft.justrfx.domain.SrcAhd;
import com.rfxsoft.justrfx.domain.SupAst;
import com.rfxsoft.justrfx.domain.SystemInfo;
import com.rfxsoft.justrfx.domain.TskMap;
import com.rfxsoft.justrfx.domain.UsrAst;
import com.rfxsoft.justrfx.domain.ZipCode;
import com.rfxsoft.justrfx.web.security.SessionSecurityManager;

public class CommonInfo extends DbInfoManager {
	protected final Log logger = LogFactory.getLog( getClass() );
	static LinkedList<AcMessage> messages =new LinkedList<AcMessage>();
	private DecimalFormat 	decimalFormat = new DecimalFormat("#,##0.0");

	// ó  ִ ִ ƼRequest 
	final int MAX_RECORD_QUAN	=	100;
	
	protected ComAstDao comastDao;
	protected ComCstDao comcstDao;
	protected ComDstDao comdstDao;
	protected PositionDao positionDao;
	protected ZipCodeDao zipcodeDao;
	protected UsrAstDao	 usrastDao;
	
	protected ComBstDao	 combstDao;
	protected SrcAhdDao	 srcahdDao;
	protected AssyMapDao assymapDao;
	protected CartDao    cartDao;
	protected RtgAppDao  rtgappDao;
	protected MtrlManager materialManager;
	protected MynfManager myInfoManager;
	protected PrchManager purchaseManager;
	protected PtnrManager partnerManager;
	protected SystemInfo systemInfo;
    protected ErrHwPoDao errHwPoDao;
    protected ErrHwGrDao errHwGrDao;
    
    //protected ProjectDao projectDao;
    //protected PjtTskDao	 pjttskDao;
    private PrjtManager	projectManager;
    

	protected List<String>		bufferList;//2  ʱ   д.
	
	
	public void afterPropertiesSet() throws Exception {
		if (baseLineDao == null)	throw new BeanCreationException("Must set baseLineDao");
		if (tableInfoDao == null)	throw new BeanCreationException("Must set tableInfoDao");
		if (comastDao == null)	throw new BeanCreationException("Must set comastDao");
		if (comcstDao == null)	throw new BeanCreationException("Must set comcstDao");
		if (comdstDao == null)	throw new BeanCreationException("Must set comdstDao");
		if (positionDao == null)	throw new BeanCreationException("Must set positionDao");
		if (zipcodeDao == null)	throw new BeanCreationException("Must set zipcodeDao");
		if (usrastDao == null)	throw new BeanCreationException("Must set usrastDao");
		if (combstDao == null)	throw new BeanCreationException("Must set combstDao");
		if (srcahdDao == null)	throw new BeanCreationException("Must set srcahdDao");
		if (assymapDao == null)	throw new BeanCreationException("Must set assymapDao");
		if (cartDao == null)	throw new BeanCreationException("Must set cartDao");
		if (rtgappDao == null)	throw new BeanCreationException("Must set rtgappDao");
        if (errHwPoDao == null) throw new BeanCreationException("Must set errHwPoDao");
        if (errHwGrDao == null) throw new BeanCreationException("Must set errHwGrDao");        
		if (materialManager == null)	throw new BeanCreationException("Must set materialManager");
		if (myInfoManager == null)	throw new BeanCreationException("Must set myInfoManager");
		if (purchaseManager == null)	throw new BeanCreationException("Must set purchaseManager");
		if (systemInfo == null)	throw new BeanCreationException("Must set SystemInfo");
		if (projectManager == null)	throw new BeanCreationException("Must set projectManager");
	}
	
	public MtrlManager getMaterialManager() {
		return materialManager;
	}

	public void setMaterialManager(MtrlManager materialManager) {
		this.materialManager = materialManager;
	}

	public CommonInfo() {
		super();
		
		bufferList =new ArrayList<String>();
	}

    public ErrHwPoDao getErrhwpoDao() {
        return errHwPoDao;
    }

    public void setErrhwpoDao(ErrHwPoDao errHwPoDao) {
        this.errHwPoDao = errHwPoDao;
    }
    
    public ErrHwGrDao getErrhwgrDao() {
        return errHwGrDao;
    }

    public void setErrhwgrDao(ErrHwGrDao errHwGrDao) {
        this.errHwGrDao = errHwGrDao;
    }    
    
	public ZipCodeDao getZipcodeDao() {
		return zipcodeDao;
	}

	public void setZipcodeDao(ZipCodeDao zipcodeDao) {
		this.zipcodeDao = zipcodeDao;
	}

	public PositionDao getPositionDao() {
		return positionDao;
	}

	public void setPositionDao(PositionDao positionDao) {
		this.positionDao = positionDao;
	}

	public ComDstDao getComdstDao() {
		return comdstDao;
	}

	public void setComdstDao(ComDstDao comdstDao) {
		this.comdstDao = comdstDao;
	}

	public List getItemFromMasterDb(String item_code) {
		logger.info("this is getItemFromMasterDb");
		Map<String, String> map = new HashMap<String, String>();
		map.put("item_code", item_code );
		List my_items = srcahdDao.getDynamic(map);
		
		for(Iterator i=my_items.iterator(); i.hasNext();) {
			SrcAhd part = (SrcAhd)i.next();
			logger.info(part.getItem_code() );
			logger.info(part.getItem_name() );
		}
		
		return my_items;
	
	}
    
    /**
     * PO I/F ȸ 
     * @param uniqueId
     * @return
     */
    public Map getErrHwPoByUniqueId(String uniqueId)
    {
        return (Map)this.baseLineDao.select_uid("errhwpo-detail", Integer.parseInt(uniqueId));
    }
    
    /**
     * GR I/F ȸ 
     * @param uniqueId
     * @return
     */
    public Map getErrHwGrByUniqueId(String uniqueId)
    {
        return (Map)this.baseLineDao.select_uid("errhwgr-detail", Integer.parseInt(uniqueId));
    }    
        
	public List getDeptList()
	{
		List comdsts = comdstDao.getAll();
		messages.clear();

		for(Iterator i=comdsts.iterator(); i.hasNext();) {
			ComDst comdst = (ComDst)i.next();
			String text = comdst.getDept_name();
			logger.info(text);
			messages.addFirst(new AcMessage(text));
			logger.debug(""+messages.toString());
		}		
		
	    return messages;
	}
	
	public List getPosiList()
	{
		List positions = positionDao.getAll();
		messages.clear();

		for(Iterator i=positions.iterator(); i.hasNext();) {
			Position position = (Position)i.next();
			String text = position.getName();
			messages.addFirst(new AcMessage(text));
		}		
		
	    return messages;
	}
	public UsrAst getUserByUniqueId(String strUnique_id)
	    {
		logger.info("this is getDeptList..getUserByUniqueId");
	    	int unique_id = Integer.parseInt(strUnique_id);
	    	logger.info("this is getUserByUniqueId");
	    	return usrastDao.getById(unique_id);
	    }
	
    //̾ƶ ȸ 󼼺
    public ComAst getCompanyById(String strUnique_id){
    	
    	int unique_id = Integer.parseInt(strUnique_id);
    	return comastDao.getById(unique_id);
    }
    
    //2006.03.27 ȯ  
    public ComBst getBusnessById(String strUnique_id){
    	
    	return combstDao.getById(Integer.parseInt(strUnique_id));
    }
	
	//μ˻
	public List getDeptList(String company_code, String wa_code){
		logger.info("this is getDeptList..commoninfo");
		Map<String, String> cond = new HashMap<String, String>();	
		cond.put("company_code", company_code);
		cond.put("wa_code", wa_code);
				
		return comdstDao.getByDeptNm(cond);
		
	}
	
//	⺻ μ
	public List getBudgetDeptList(String condition){
		logger.info("this is getBudgetDeptList..commoninfo");
		return comdstDao.getByBudgetDeptNm(condition);
		
	}
		
	//f12 
	public List getComastList(String condition)
	{
		Map<String, String> cond = new HashMap<String, String>();
		if(condition.length()==0)
			return comastDao.getAll();
		
		else if(condition=="biz_group_name"){
			cond.put("biz_group_name", "%"+condition+"%");
		}
		else if(condition=="multi_price_group"){
			cond.put("multi_price_group", "%"+condition+"%");
		}
		else if(condition=="groupware_type"){
			cond.put("groupware_type", "%"+condition+"%");
		}
		else if(condition=="sourcing_group"){
			cond.put("sourcing_group", "%"+condition+"%");
		}
		return comastDao.getDynamic(cond);
	}
	
	public List getBuyerList(String condition)
	{
		if(condition.length()==0)
			return combstDao.getAll();
		
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("wa_name", "%"+condition+"%");

		return combstDao.getDynamic(cond);
	}
	
	public List getCompanyList(String condition)
	{
		if(condition.length()==0)
			return comastDao.getAll();
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("company_name", "%"+condition+"%");

		return comastDao.getDynamic(cond);
	}
	
	public List getDeptNmList(String condition)
	{
		if(condition.length()==0)
			return comastDao.getAll();
		
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("company_name", "%"+condition+"%");
		comdstDao.getByName(condition);
		return comastDao.getDynamic(cond);
	}
	
	//ε(ȸ˻)
	public List getComp_nameList(String condition)
	{
		if(condition.length()==0)
			return combstDao.getAll();
		
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("company_name", "%"+condition+"%");

		return combstDao.getDynamic(cond);
	}
	//ε(˻)
	public List getWa_nameList(String condition)
	{
		return combstDao.getByWaNm(condition);
	}

	public List division_list(String division_name){
		Map<String, String> map = new HashMap<String, String>();
		map.put("division_name","%"+division_name+"%");
		return this.comcstDao.select_cond("comcst",map);
	}
	
	
	public List wa_list(String wa_name){
		Map<String, String> map = new HashMap<String, String>();
		map.put("wa_name","%"+wa_name+"%");
		return this.combstDao.select_cond("combst",map);
	}
	
	public List dept_list(String dept_name){
		Map<String, String> map = new HashMap<String, String>();
		map.put("dept_name","%"+dept_name+"%");
		return this.comdstDao.select_cond("comdst",map);
	}
	
	public List seller_list(String seller_name){
		Map<String, String> map = new HashMap<String, String>();
		map.put("seller_name","%"+seller_name+"%");
		return this.baseLineDao.select_cond("srcahd",map);
	}
	
	//μ(ȸ˻)
	public List getCompanynameList(String condition)
	{
		if(condition.length()==0)
			return comcstDao.getAll();
		
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("company_name",  "%"+condition+"%");

		return comcstDao.getDynamic(cond);
	}
	//μ(˻)
	public List getWanameList(String condition)
	{
		if(condition.length()==0)
			return comcstDao.getAll();
		
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("wa_name", "%"+condition+"%");

		return comcstDao.getByWaNm(condition);
	}
	//μ(ΰ˻)
	public List getDivision_nameList(String company_code, String wa_code)
	{
		if(wa_code.length()==0)
			return comcstDao.getAll();
		
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("company_code", "%"+company_code+"%");
		cond.put("wa_code", "%"+wa_code+"%");

		return comcstDao.getByDiNm(cond);
	}
	
	public List getPartListByParentOrderbyCreateDateDesc(String user_id, String assy_unique)
	{
		if(assy_unique.length()==0)
			return null;
		
		int parent = Integer.valueOf(assy_unique);
		
		List assymaps = assymapDao.getPartListByParentOrderbyCreateDateDesc(parent);
		
		
		WebContext wc = WebContextFactory.get();
		HttpServletRequest	request	 = wc.getHttpServletRequest();
		
		//default assy .
		setCurrentAssy(request, new Integer(parent).toString());
		
		logger.info(assymaps.size());
		List<PartLine> assys =new ArrayList<PartLine>();
		
		bufferList.clear();
		for(Iterator i=assymaps.iterator(); i.hasNext();) {
			PartLine partline = (PartLine)i.next();
			if(partline != null) {
				logger.info(partline.getItem_name());
				assys.add(partline);
				
				//PL_NO  Ŀ Է ƾ  ͸ ´.
				bufferList.add(partline.getPl_no());
			}
		}

		return assys;
	}
	
	
	public List getPartListMyNeed(Integer user_uid) {
		return this.getMaterialManager().getMyNeedList(user_uid);
	}
	
	public List getPartListByAssy(String user_id, String assy_unique, Double[] sales_price)
	{

		if(assy_unique.length()==0)
			return null;
		
		int parent = Integer.valueOf(assy_unique);
		
		SrcAhd assy_srcahd = srcahdDao.getById(parent);

		Double assy_price = 0.0;
		Double cur_price  = 0.0;
		
		if(assy_srcahd!=null) {//null̸ parent Project .
			assy_price = assy_srcahd.getSales_price();
		}
		
		List assymaps = assymapDao.getPartListByParent(parent);
		
		WebContext wc = WebContextFactory.get();
		HttpServletRequest	request	 = wc.getHttpServletRequest();
		
		//default assy .
		setCurrentAssy(request, new Integer(parent).toString());
		
		logger.info(assymaps.size());
		List<PartLine> assys =new ArrayList<PartLine>();
		
		bufferList.clear();
		for(Iterator i=assymaps.iterator(); i.hasNext();) {
			PartLine partline = (PartLine)i.next();
			if(partline != null) {
				logger.info(partline.getItem_name());
				
				if(partline.getIs_origin().compareToIgnoreCase("Y")==0) {
					cur_price = cur_price + partline.getSales_price()*partline.getQuan();
					assys.add(partline);
					//PL_NO  Ŀ Է ƾ  ͸ ´.
					bufferList.add(partline.getPl_no());
				}
			}
		}
		
		
		if(assy_srcahd!=null && assy_price.compareTo(cur_price) !=0) {
			assy_srcahd.setSales_price(cur_price);
			srcahdDao.update(assy_srcahd);
		}
		
		sales_price[0] = cur_price;
		return assys;
	}
	
	String[] defaultTaskName = {
			"ⱸ ",
			" ",
			"ⱸ ",
			" ",
			"ŷڼ",
			"Set-up"
	};
	
	public List getDefaultTask(Date start_plan, Date due_date) {

		List<PjtTsk> list = new ArrayList<PjtTsk>();
		
		for(int i=0; i<defaultTaskName.length; i++) {
			PjtTsk pjttsk = new PjtTsk();
			pjttsk.setTask_title(defaultTaskName[i]);
			pjttsk.setStart_plan(start_plan);
			pjttsk.setDue_date(due_date);
			
			list.add(pjttsk);
		}
		
		return list;
	}
	
	public void deleteTask(Integer task_id) {
		projectManager.deleteTask(task_id);
	}
	
	public Object addTask(String creator, Integer unique_id, Integer task_uid) {
		
		PjtTsk target = projectManager.getTaskByUid(task_uid);
		
		if(target==null)
			return null;
		
		target.setUnique_id(unique_id);
		target.setTask_title("");
		target.setChange_date(new Date());
		target.setChanger(creator);
		target.setIs_closed("N");
		target.setIs_opened("N");
		target.setResource_plan(0.0);
		target.setResource_mh(0.0);
		target.setDue_date(new Date());
		target.setStart_plan(new Date());

		return projectManager.addTask(creator, target);
		
	}
	public void ChangeTaskListPosition(Vector uid_list) {
		for(int i=0; i<uid_list.size(); i++) {
			Map<String, Integer> cond = new HashMap<String, Integer>();
			cond.put("position", new Integer(i));
			cond.put("unique_id", (Integer)uid_list.get(i));
			
			projectManager.modifyTask(cond);
		}
	}
	
	public List getTaskListByUid(String this_user_id, String pj_uid_str) {
		
		Integer pj_uid = Integer.valueOf(pj_uid_str);
		
		Project project = null;
		if( pj_uid != null && pj_uid > -1) {
			project = projectManager.getProjectByUniqueId(pj_uid);
		}
		
		if(project==null) {
			WebContext wc = WebContextFactory.get();
			HttpServletRequest	request	 = wc.getHttpServletRequest();
			
			Integer cur_pj_uid = getCurrentProject(request);
			project=this.projectManager.getProject(cur_pj_uid.toString());
	
		}
		
		if( project==null)
			return null;
		
		
		List	task_list = this.getProjectManager().getTaskList(project.getUnique_id());

		if(task_list==null || task_list.size()==0)
		{
			task_list = getDefaultTask(project.getStart_plan(), project.getEnd_plan());
		}
		
		return task_list;
	}
	
	
	
	//deprecated -->getPartListByAssy  .
	public List getAssyList(String project_unique)
	{
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("standard_flag", "A");
		if(project_unique.length()==0)
			return srcahdDao.getDynamic(cond);
		
		int parent = Integer.valueOf(project_unique);
		
		List assymaps = assymapDao.getByParent(parent);
		
		logger.info(assymaps.size());
		List<SrcAhd> assys =new ArrayList<SrcAhd>();
		
		for(Iterator i=assymaps.iterator(); i.hasNext();) {
			AssyMap assymap = (AssyMap)i.next();
			logger.info(assymap.getChild());
			SrcAhd srcahd = srcahdDao.getById(assymap.getChild());
			if(srcahd != null) {
				logger.info(srcahd.getItem_name());
				assys.add(srcahd);
			}
		}

		return assys;
	}
	
	public List getUserList(String condition)
	{
//		if(condition.length()==0)
//			return usrastDao.getAll();
		
		Map<String, String> cond = new HashMap<String, String>();
		
		if(condition.compareToIgnoreCase("?") !=0) {
			cond.put("user_name", "%"+condition+"%");
		}

		return usrastDao.getDynamic(cond);
	}
	
	
	public List getProjectList(String pj_name)
	{

		Map<String, String> cond = new HashMap<String, String>();
		
		
		if(pj_name.compareToIgnoreCase("?") ==0) {
			cond.put("is_complished", "N");
		}
		else {
			cond.put("is_complished", "N");
			cond.put("pj_name", "%"+pj_name+"%");
		}
			

		return projectManager.getProjectList(cond);
	}
	
	
	public List getProjList(String pj_name)
	{
		Map<String, String> cond = new HashMap<String, String>();
		
		
		if(pj_name.compareToIgnoreCase("?") ==0) {
			cond.put("is_complished", "N");
		}
		else {
			cond.put("is_complished", "N");
			cond.put("pj_name", "%"+pj_name+"%");
		}
			
		List projects =  projectManager.getProjectList(cond);
		
		messages.clear();

		for(Iterator i=projects.iterator(); i.hasNext();) {
			Project project = (Project)i.next();
			
			AcMessage message = new AcMessage(project.getPj_name(), project.getUnique_id(), project.getPj_code());
			message.setValue1(project.getStart_plan_str() );
			message.setValue2(project.getEnd_plan_str());
			
			messages.addFirst(message);

		}		
		
	    return messages;
	}
	
	public List getSupplierList(String condition)
	{
		if(condition.length()==0)
			return this.partnerManager.getAllSupplier();
		
		Map<String, String> cond = new HashMap<String, String>();
		cond.put("supplier_name", "%"+condition+"%");

		return this.partnerManager.getSupplierDynamic(cond);
	}
	
	public List getSupList(String sup_name)
	{
		Map<String, String> cond = new HashMap<String, String>();
		
		
		if(sup_name.compareToIgnoreCase("?") ==0) {
			cond.put("supplier_name", "%");
		}
		else {
			cond.put("supplier_name", "%"+sup_name+"%");
		}
			
		List suppliers =  partnerManager.getSupplierDynamic(cond);
		
		messages.clear();

		for(Iterator i=suppliers.iterator(); i.hasNext();) {
			SupAst supast = (SupAst)i.next();
			
			AcMessage message = new AcMessage(supast.getSupplier_name(), supast.getUnique_id(), supast.getSupplier_code());
			message.setValue1(supast.getAddress_1() );
			message.setValue2(supast.getPresident_name());
			
			message.setValue3( supast.getSales_person1_name());
			message.setValue4( supast.getSales_person1_telephone_no());
			message.setValue5( supast.getSales_person1_mobilephone_no());
			message.setValue6( supast.getSales_person1_fax_no() );
			message.setValue7( supast.getSales_person1_email_address() );

			messages.addFirst(message);

		}		
		
	    return messages;
	}	
	
	public List getTaskList(String project_unique, String map_date)
	{
		int pj_uid = Integer.valueOf(project_unique);
		List list = projectManager.getTaskList(pj_uid);
		return getTaskListByProject(list, map_date);
	}
	
	/*
	public List getTaskList(String project_unique)
	{
		int pj_uid = Integer.valueOf(project_unique);
		List list = projectManager.getTaskList(pj_uid);
		return getTaskListByProject(list, null);
	}
	*/
	public List getTaskListByCode(String pj_code)
	{
	
		List list = projectManager.getTaskList(pj_code);
		return getTaskListByProject(list, null);
	}
	
	private List getTaskListByProject(List/*Project*/ list, String map_date)
	{
		messages.clear();
		for(Iterator i=list.iterator(); i.hasNext();) {
			
			PjtTsk task = (PjtTsk)i.next();
			
			AcMessage message = new AcMessage(task.getTask_title(), task.getUnique_id());


			message.setValue1(task.getStart_plan_str());
			message.setValue2(task.getDue_date_str());
			message.setValue3( Double2String(task.getResource_plan() ));
			message.setValue4(task.getStart_date_str());
			message.setValue5(task.getEnd_date_str());
			message.setValue6( Double2String(task.getResource_mh()));
			message.setValue7(task.getIs_closed());

			if(map_date !=null) {
				String today_resource = "0";
				String tskmap_uid = "0";
				
				TskMap tskmap = projectManager.getTaskMapToday(task.getUnique_id(), map_date);
				if(tskmap!=null) {
					today_resource = Double2String(tskmap.getResource_mh());
					tskmap_uid		= String.valueOf(tskmap.getUnique_id());
				}
				
				message.setValue8(today_resource);
				message.setValue9(tskmap_uid);
			}
			
			message.setValue10(task.getIs_opened());
		
			
			messages.add(message);
		}
		
	    return messages;
	}
	
	//Dong   Ŀ Dong   ּҰ´
	public List getZipcodeList()
	{
		List zipcodes = zipcodeDao.getDongList();
		messages.clear();

		for(Iterator i=zipcodes.iterator(); i.hasNext();) {
			ZipCode zipcode = (ZipCode)i.next();
			String text = zipcode.getDong() + " " +
							zipcode.getBunji() + " / " +
							zipcode.getZipcode();
			logger.info(text);
			messages.addFirst(new AcMessage(text));
		}		
		
	    return messages;
	}
	
	public List getDongList()
	{
		List zipcodes = zipcodeDao.getDongList();
		messages.clear();

		for(Iterator i=zipcodes.iterator(); i.hasNext();) {
			ZipCode zipcode = (ZipCode)i.next();
			String text = zipcode.getDong();
			logger.info(messages.size());
			logger.info(text);
			if(messages.size()>10)
				return messages;
			messages.addFirst(new AcMessage(text));
		}		
		
	    return messages;
	}
	
	
	//Controller Ѵ.
	public List GetZipByDong( String condition ) {
		return zipcodeDao.getZipListByDong(condition+"%");
	}
	
	
    /**
     * @param origpostcode the code to lookup
     * @return a map of postcode data
     */
    public Map fillAddress(String strCode)
    {
        Map<String, String> reply = new HashMap<String, String>();
        String postcode = LocalUtil.replace(strCode, " ", "");
        
        ZipCode zipcode = zipcodeDao.getZipByCode(postcode);

        if (zipcode == null) {
            reply.put("zipcode", 	"000-000");
            reply.put("address", 	"NOT-FOUND");
            return reply;
        }
        String address = zipcode.getSido() + " " +
        					zipcode.getSido() + " " +
        					zipcode.getGubun() + " " +
        					zipcode.getDong() + " " +
        					zipcode.getBunji();
        reply.put("zipcode", 	zipcode.getZipcode());
        reply.put("address", 	address);

        return reply;
    }
    
    public Project getProjectByCode(String pj_code)
    {
    	return projectManager.getProject(pj_code);
    }
    
    public Project getProjectByUniqueId(String strUnique_id)
    {
    	int unique_id = Integer.parseInt(strUnique_id);
    	return projectManager.getProjectByUniqueId(unique_id);
    }
    
    public List getProjectDetailList(String strUnique_id)
    {
    	Project project = getProjectByUniqueId(strUnique_id );
    	List<Project> list = new ArrayList<Project>();
    	list.add(project);
    	
    	return list;
    }


  

    /*
     *  2006.3.13
     *   
     *  ˻/κ 󼼺 .
     */
    public SrcAhd getDetail(String item_code, Integer combst_uid)
    {
    	Map<String, Comparable> condition = new HashMap<String, Comparable>();
    	condition.put("item_code"	,	item_code	);
    	condition.put("combst_uid"	,	combst_uid	);
    	String img_path = systemInfo.getImagePath();
    	List list = srcahdDao.getDetail(condition);
    	
    	for(Iterator i=list.iterator(); i.hasNext();) {
			SrcAhd srcahd = (SrcAhd)i.next();
			srcahd.setImage_path(img_path+srcahd.getImage_path());
			return srcahd;
		}
    	
    	return null;
    }
    //srcahd...´
    public SrcAhd getDetail2(String stringUid)
    {
    	if(stringUid==null)
    		return null;
    	
    	return (SrcAhd)srcahdDao.select_uid("srcahd", Integer.parseInt(stringUid) );

    }
    
 
    
    /*
     * 2006.3.14
     * 
     * īƮϱ.
     * PR, PO īƮ  ǰ .
     * //Material Manager ̿ϴ  ٲ۴.k1park
    public void addCart(String cartData, String user_id, Integer user_uid)
    {    	
    	String cartStr 		= cartData;
    	String[] cartArray 	= cartStr.split(",");
    	
    	int item_list[] = new int[MAX_RECORD_QUAN];

    	int i=0;
    	for(; i<cartArray.length; i++)
    		item_list[i] = Integer.parseInt(cartArray[i]);
    	this.materialManager.addCart(cartStr, user_id, user_uid, item_list, i, combst_uid);
    }
     */
    
    /*
     *  2006.3.17
     *   
     *  īƮ󼼺
     */   
    public List getPrDetail(String unique_id)
    {    	
    	return purchaseManager.getPrDetail(new Integer(unique_id));
    }

    public List getPoDetail(String unique_id)
    {    	
    	return purchaseManager.getPoDetail(new Integer(unique_id));
    }
    public List getGrDetail(String unique_id)
    {    	
    	return purchaseManager.getGrDetail(new Integer(unique_id));
    }
    public List getRfqDetail(String unique_id)
    {    	
    	return purchaseManager.getRfqDetail(new Integer(unique_id));
    }
    
    
    //app̺.
    public void deleteUserAll(String user_id){
    	Map<String, String> condition = new HashMap<String, String>();
    	condition.put("user_id", user_id);
    	rtgappDao.deleteUserIdAll(condition);
    }
    
    

    // 2006.3.21 ȣ [缱 ()]
    public void addRtgApp(String data, String user_id)
    {
    	logger.info("缱 ()");
    	
	    	String[] arg_data = data.split(",");
	    	
	    	RtgApp rtgapp = new RtgApp();
	    	rtgapp.setUser_id(user_id);
	    	rtgapp.setUsrast_unique_id(Integer.parseInt(arg_data[0]));
	    	rtgapp.setGubun(arg_data[1]);
	    	rtgapp.setSeq(arg_data[2]);
	    	rtgapp.setCreator(user_id);
	    	
	    	rtgappDao.insert(user_id, rtgapp);
    }
     
    // 2006.3.21 ȣ [缱 ()]
    public void delRtgApp(String data, String user_id)
    {
    	logger.info("缱 ()");
    	
    	Map<String, String> condition = new HashMap<String, String>();
    	
    	condition.put("user_id", user_id);
    	condition.put("usrast_unique_id", data);
    	
    	rtgappDao.deleteUserId(condition);    	
    }
    
    //Assy child quan update
    public Integer updateChildQuan(String data, String user_id)
    {
    	//data = "chid;uid;quan"
    	
    	String[] uid_quan = data.split(";");
    	if(uid_quan.length != 3)
    		return -1;
    	
    	return this.materialManager.updateChildQaun(Integer.parseInt(uid_quan[2]),
    			Integer.parseInt(uid_quan[0]), Integer.parseInt(uid_quan[1]));
    }
    
    
    public void UtfFileWriter(String fileName, String inputString) {
        //FileWriter fw = new FileWriter(fileName);
        
    	//File ֳ Ȯ Ĥ 
        DataOutputStream ds=null;
		try {
			ds = new DataOutputStream(new FileOutputStream(fileName ));
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
        
        try {
			ds.writeUTF(inputString);
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
    }
    
    
   public String getForward4Me(String url) throws ServletException, IOException
    {
       	
    	//String encodings[] = {"UTF-8", "euc-kr", "MS949" };
    	WebContext wc = WebContextFactory.get();
    	
        StringWriter sout = new StringWriter();
        StringBuffer buffer = sout.getBuffer();
        HttpServletResponse response = wc.getHttpServletResponse();
        HttpServletRequest	request	 = wc.getHttpServletRequest();
        ServletContext sc = wc.getServletContext();
        
        request.setCharacterEncoding("UTF-8");
        response.setContentType("text/html");
        response.setLocale(Locale.KOREAN);
        response.setCharacterEncoding("UTF-8");        
        //response.setContentType("text/xml;charset=euc-kr");

        HttpServletResponse fakeResponse = new SwallowingHttpServletResponse(response, sout);

        RequestDispatcher rd = sc.getRequestDispatcher(url);
        rd.include(request, fakeResponse);
        //rd.forward(request, fakeResponse);

        String output = buffer.toString();
        //output = "UTF8: " + output+ "converted: " + EuckrUtf8(output);// + Utf8Ms949(output) + Utf8Utf8(output);
        return output;
    }
       
    public String getForward(String pageName) throws ServletException, IOException
    {
    	//ش  Ѿ...kang
    	logger.debug("pangName"+pageName);
    	return getForward4Me(pageName);
    }

	public ComBstDao getCombstDao() {
		return combstDao;
	}

	public void setCombstDao(ComBstDao combstDao) {
		this.combstDao = combstDao;
	}

	public UsrAstDao getUsrastDao() {
		return usrastDao;
	}

	public void setUsrastDao(UsrAstDao usrastDao) {
		this.usrastDao = usrastDao;
	}

	public AssyMapDao getAssymapDao() {
		return assymapDao;
	}

	public void setAssymapDao(AssyMapDao assymapDao) {
		this.assymapDao = assymapDao;
	}

	public SrcAhdDao getSrcahdDao() {
		return srcahdDao;
	}

	public void setSrcahdDao(SrcAhdDao srcahdDao) {
		this.srcahdDao = srcahdDao;
	}
	public CartDao getCartDao() {
		return cartDao;
	}
	

	public void setCartDao(CartDao cartDao) {
		this.cartDao = cartDao;
	}

	public List getBufferList() {
		return bufferList;
	}

	public void setBufferList(List<String> bufferList) {
		this.bufferList = bufferList;
	}

	public ComAstDao getComastDao() {
		return comastDao;
	}

	public void setComastDao(ComAstDao comastDao) {
		this.comastDao = comastDao;
	}

	public RtgAppDao getRtgappDao() {
		return rtgappDao;
	}

	public void setRtgappDao(RtgAppDao rtgappDao) {
		this.rtgappDao = rtgappDao;
	}

	public MynfManager getMyInfoManager() {
		return myInfoManager;
	}

	public void setMyInfoManager(MynfManager myInfoManager) {
		this.myInfoManager = myInfoManager;
	}

	public ComCstDao getComcstDao() {
		return comcstDao;
	}

	public void setComcstDao(ComCstDao comcstDao) {
		this.comcstDao = comcstDao;
	}

	public PrchManager getPurchaseManager() {
		return purchaseManager;
	}

	public void setPurchaseManager(PrchManager purchaseManager) {
		this.purchaseManager = purchaseManager;
	}

	public PtnrManager getPartnerManager() {
		return partnerManager;
	}

	public void setPartnerManager(PtnrManager partnerManager) {
		this.partnerManager = partnerManager;
	}

	public SystemInfo getSystemInfo() {
		return systemInfo;
	}

	public void setSystemInfo(SystemInfo systemInfo) {
		this.systemInfo = systemInfo;
	}

	public PrjtManager getProjectManager() {
		return projectManager;
	}

	public void setProjectManager(PrjtManager projectManager) {
		this.projectManager = projectManager;
	}
	
	
	public String Double2String(Double value) {
		if(value==null) {
			return "0";
		}
		
		return decimalFormat.format(value);
	}

	public Integer getCurrentProject(HttpServletRequest request) {
		return SessionSecurityManager.getCurrentProject(request);
	}
	
	public Integer getCurrentAssy(HttpServletRequest request) {
		return SessionSecurityManager.getCurrentAssy(request);
	}
	
	public boolean setCurrentProject(HttpServletRequest request, String cur_project) {
		
		String session_project = getCurrentProject(request).toString();
		
		if(session_project.compareTo(cur_project)==0) {
			return true;
		}
		
		SessionSecurityManager.setCurProjectId(request, cur_project);
		
		String user_id = this.getThis_userid(request);
		this.myInfoManager.setEnvRaw(user_id, "CUR_PROJECT_ID", cur_project);
		
		return false;
		
	}
	
	public boolean setCurrentAssy(HttpServletRequest request, String cur_assy) {
		String session_assy = getCurrentAssy(request).toString();
		if(session_assy.compareTo(cur_assy)==0) {
			return true;
		}
		
		SessionSecurityManager.setCurAssyId(request, cur_assy);
		
		String user_id = this.getThis_userid(request);
		this.myInfoManager.setEnvRaw(user_id, "CUR_ASSY_ID", cur_assy);
		
		return false;
	}

	public String getThis_userid(HttpServletRequest request) {

		return SessionSecurityManager.getThis_userid(request);
	}
	
}
