package com.rfxsoft.justrfx.dwr;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.rfxsoft.justrfx.data.PositionDao;
import com.rfxsoft.justrfx.domain.Position;

public class UserPosition {

	protected final Log logger = LogFactory.getLog( getClass() );

	static LinkedList<AcMessage> messages =new LinkedList<AcMessage>();
	protected PositionDao positionDao;


	public PositionDao getPositionDao() {
		return positionDao;
	}

	public void setPositionDao(PositionDao positionDao) {
		this.positionDao = positionDao;
	}

	public List addMessage(String text)
    {
        messages.addFirst(new AcMessage(text));

        return messages;
    }
	
	public List getMessages()
	{
		List positions = positionDao.getAll();

		for(Iterator i=positions.iterator(); i.hasNext();) {
			Position position = (Position)i.next();
			String text = position.getName();
			logger.info(text);
			messages.addFirst(new AcMessage(text));
		}		
		
	    return messages;
	}
}
