package com.rfxsoft.justrfx.gate.imk2hmro;

import java.util.Iterator;
import java.util.List;

import org.springframework.beans.factory.BeanCreationException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.FileSystemXmlApplicationContext;

import com.rfxsoft.justrfx.business.f_admn.DefaultAdmnManager;
import com.rfxsoft.justrfx.business.k_gate.DefaultGateManager;
import com.rfxsoft.justrfx.domain.ImkOdt;
import com.rfxsoft.justrfx.domain.OdtAst;

public class GateManagerImkController {
	/* 1. Time Looping type 
	 *    Arguments : type('RTOT','RTNW')
	 * 2. RTOT(ǰ)
	 * 3. RTNW(űǰû )
	 */
	ApplicationContext context = 
		new FileSystemXmlApplicationContext(
				new String[] {"company-information.xml", "envContext.xml", "applicationContext.xml"});

	DefaultGateManager gateManager  = (DefaultGateManager)context.getBean("gateManager");
	DefaultAdmnManager adminManager = (DefaultAdmnManager)context.getBean("adminManager");
	
	// RTOT(ǰ)
	public void CreateInterfaceRTOTRecord(String type){
		String sn_status = "";
		
		// imkodt if_flag = 'N'ΰ Ѵ.
		List imkodt_list = gateManager.getImkodtList("imkodt");
		
		if (imkodt_list != null) {
			for(Iterator i=imkodt_list.iterator(); i.hasNext();) {
				ImkOdt imkodt = (ImkOdt)i.next();
				OdtAst odtast = new OdtAst();
				sn_status = "";
				
				// ѰǾ odtast Ѵ.
				if (gateManager.OdtastDomainSet(imkodt, odtast) == false) continue;
				
				// ѰǾ assymap status tr_uid updateѴ.
				if ("غ".equals(imkodt.getSn_status().trim())) {
					sn_status = "GV";
				}else if ("".equals(imkodt.getSn_status().trim())) {
					sn_status = "GH";
				}else if ("ۿϷ".equals(imkodt.getSn_status().trim())) {
					sn_status = "GO";
				}
				
				// ѰǾ assymap status tr_uid updateѴ.
				if (gateManager.editAssymapTruid(imkodt.getBy_po_no(), Integer.parseInt(imkodt.getBy_po_seq()), sn_status, odtast.getUnique_id()) == false) 
                    continue;
				
				// ѰǾ xpoast update(mp_status  update)
				if (gateManager.editXpoAstMpStatus(imkodt.getBy_po_no(), imkodt.getBy_po_seq(), sn_status) == false) 
                    continue;
				
				// ѰǾ imkodt if_flag = 'Y', ,ڸ updateѴ.
				if (gateManager.editImkodt(imkodt.getPo_no(), imkodt.getPo_seq()) == false) continue;
			}
		}		
	}

	
	// RTNW(űǰû )
	public void CreateInterfaceRTNWRecord(String type){
		
	}	
	
	public final void afterPropertiesSet() throws Exception {
		if (gateManager == null) throw new BeanCreationException("Must be set gateManager on GateManagerImkController");
		if (adminManager == null) throw new BeanCreationException("Must be set adminManager on GateManagerImkController");
	}
	
	public DefaultGateManager getGateManager() {
		return gateManager;
	}

	public void setGateManager(DefaultGateManager gateManager) {
		this.gateManager = gateManager;
	}

	public ApplicationContext getContext() {
		return context;
	}

	public void setContext(ApplicationContext context) {
		this.context = context;
	}
	
	public DefaultAdmnManager getAdminManager() {
		return adminManager;
	}

	public void setAdminManager(DefaultAdmnManager adminManager) {
		this.adminManager = adminManager;
	}

}
