package com.rfxsoft.justrfx.test;

import java.io.UnsupportedEncodingException;
import java.util.Properties;

import javax.mail.Authenticator;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class MailUtil {

	public static void sendMail (String mailServerName, 
	  int mailServerPort,
	  String subject,
	  String to, 
	  String from, 
	  String messageText) 
	  throws AddressException, MessagingException, UnsupportedEncodingException {

	//	   Setup mail server
		  Authenticator auth = new PopupAuthenticator("k1park", "0samsung");
	
	//	     Create session
		  Properties mailProps = new Properties();
		  mailProps.put("mail.smtp.host", mailServerName);
		  mailProps.put("mail.smtp.port", String.valueOf(mailServerPort));
		  mailProps.put("mail.smtp.auth", "true");
	
		  Session mailSession = Session.getInstance(mailProps, auth);
		 
		  InternetAddress toAddrs = new InternetAddress(to);
		  InternetAddress fromAddr = new InternetAddress(from,"  ̸");
		 
		 //     Create and initialize message
		  Message message = new MimeMessage(mailSession);
		  message.setFrom(fromAddr);
		  message.setRecipient(Message.RecipientType.TO, toAddrs);
		  message.setSubject(subject);
		  message.setContent(messageText.toString(), "text/html; charset=utf-8");
		 //     Send message
	  
		  try {
			   Transport.send(message);
			  } catch(Exception ex) {
			   ex.printStackTrace();
			   throw new MessagingException(ex.getMessage());
		  }
	 }

}


