/**
 * 
 */
package com.rfxsoft.justrfx.web;

import java.io.IOException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.web.servlet.mvc.AbstractController;

import com.rfxsoft.justrfx.DocuType;

/**
 * @author k1park
 *
 */
public abstract class AbstractDocuFactoryController extends AbstractController implements /*Controller,*/ InitializingBean {
	
	@SuppressWarnings("unused")
	private static String metaData =
		"<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>";
	@SuppressWarnings("unused")
	private static String strCallOnLoad =
		"<script language=\"JavaScript\"> <!--" +
		"function init(){lo_form.submit();	}	function callOnLoad(load)	{if (window.addEventListener) { window.addEventListener('load', load, false); }" +
	    "else if (window.attachEvent) {window.attachEvent('onload', load); } else {window.onload = load;" +
	    "}	}	callOnLoad(init);" +
		"//	--></script>";
	
	private String param1;
	private String param2;
	private String param3;
	private String param4;
	private String param5;
	
    public abstract void doMakeDocu (HttpServletRequest request,
    		HttpServletResponse response, DocuType type, String docuKey) throws IOException;

    public abstract void doSendCocu (HttpServletRequest request,
    		HttpServletResponse response, String docuKey) throws IOException;
    
	public abstract void isBusy(Runnable runnable,
			ServletOutputStream stream) throws IOException;

	protected abstract void isFinished(ServletOutputStream stream,
			String docu_key) throws IOException;

	protected abstract void isError(ServletOutputStream stream)
			throws IOException;

	public String getParam1() {
		return param1;
	}

	public void setParam1(String param1) {
		this.param1 = param1;
	}

	public String getParam2() {
		return param2;
	}

	public void setParam2(String param2) {
		this.param2 = param2;
	}

	public String getParam3() {
		return param3;
	}

	public void setParam3(String param3) {
		this.param3 = param3;
	}

	public String getParam4() {
		return param4;
	}

	public void setParam4(String param4) {
		this.param4 = param4;
	}

	public String getParam5() {
		return param5;
	}

	public void setParam5(String param5) {
		this.param5 = param5;
	}

	

}

