package com.rfxsoft.justrfx.web;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.ModelAndView;

import com.rfxsoft.justrfx.business.f_admn.AdmnManager;
import com.rfxsoft.justrfx.domain.RegisterdMasterCompany;
import com.rfxsoft.justrfx.web.tiles.AbstractMenuController;

public class LogoutController extends AbstractMenuController {
	protected final Log logger = LogFactory.getLog( getClass() );
	
	public ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		
		RegisterdMasterCompany m_com = this.getMasterCompany();
//		String companyDisplay = "";
		String companyLogo	  = "";
		
		if(m_com!=null) {
//			companyDisplay  = this.getMasterCompany().getCompanyDisplay();
			companyLogo		= this.getMasterCompany().getCompanyLogo();
		}
		
		logger.info(" α׿");
		request.getSession().invalidate();
		Map<String, Object> menu_info = new HashMap<String, Object>();
		AdmnManager adminManager=this.getAdminManager();
		if(adminManager!= null){
		List list = this.getAdminManager().getMainBoard();
		menu_info.put("board",	list);//  
		}
		
		menu_info.put("com_logo",	companyLogo);

		String login_route = "security-login";
		/*
		if( companyDisplay!=null && companyDisplay.length() >0) {
			login_route = login_route + companyDisplay;
		}
		*/
		
		return new ModelAndView(login_route, menu_info);

	}

}
