package com.rfxsoft.justrfx.web.controller;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Random;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanCreationException;
import org.springframework.beans.factory.InitializingBean;


import com.rfxsoft.justrfx.business.c_prjt.PrjtManager;
import com.rfxsoft.justrfx.business.g_mynf.MynfManager;
import com.rfxsoft.justrfx.domain.JrfxSuperDomain;
import com.rfxsoft.justrfx.domain.PjtTsk;
import com.rfxsoft.justrfx.domain.Project;
import com.rfxsoft.justrfx.domain.TskMap;


import com.rfxsoft.justrfx.domain.command.JrServiceName;



public class PrjtManagerController extends AbstractMenuTileController
		implements InitializingBean {

	String is_complished;
	String pj_code;
	String pj_name;
	String pj_type;
	String wa_code;
	String wa_name;
	String pm_id;
	String pm_name;
	String pl_id;
	String pl_name;
	String regist_date;
	String selling_price;
	String newmodcont;
	String description;
	String start_plan;
	String price_plan;
	String end_plan;
	String purchase_plan;
	String delivery_plan;
	String human_plan;
	String unique_id;
	String pj_unique_id;
	String quan;
	
	String wa_name_unique;
	String pm_name_unique;
	String pl_name_unique;
	
	Date registDate;
	Date startPlanDate;
	Date endPlanDate;
	Date deleveryPlanDate;
	
	Double sellingPriceDouble;
	Double purchasePlanDouble;
	Double humanPlanDouble;
	Double pricePlanDouble;
	Integer wa_name_unique_id;
	
	Integer	quanInteger;
	
	String[] defaultTaskName = {
			"ⱸ ",
			" ",
			"ⱸ ",
			" ",
			"ŷڼ",
			"Set-up"
	};

	private void GetRequestValue(HttpServletRequest request) {

		is_complished=  request.getParameter("is_complished");
		pj_code = 		request.getParameter("pj_code");
		pj_name = 		request.getParameter("pj_name");
		pj_type = 		request.getParameter("pj_type");
		wa_code = 		request.getParameter("wa_code");
		wa_name = 		request.getParameter("wa_name");
		pm_id = 		request.getParameter("pm_id");
		pm_name = 		request.getParameter("pm_name");
		pl_id = 		request.getParameter("pl_id");
		pl_name = 		request.getParameter("pl_name");
		regist_date = 	request.getParameter("regist_date");
		selling_price = request.getParameter("selling_price");
		newmodcont = 	request.getParameter("newmodcont");
		description = 	request.getParameter("description");
		start_plan = 	request.getParameter("start_plan");
		price_plan = 	request.getParameter("price_plan");
		end_plan = 		request.getParameter("end_plan");
		purchase_plan = request.getParameter("purchase_plan");
		delivery_plan = request.getParameter("delivery_plan");
		human_plan = 	request.getParameter("human_plan");
		quan		=	request.getParameter("quan");
		
		unique_id = 	request.getParameter("unique_id");
		pj_unique_id = 	request.getParameter("pj_unique_id");
		
		wa_name_unique = request.getParameter("wa_name_unique");
		pm_name_unique = request.getParameter("pm_name_unique");// ʴ´
		pl_name_unique = request.getParameter("pl_name_unique");// ʴ´.
		
		logger.info("unique_id:"+unique_id);
		logger.info("pj_code:"+pj_code);
		logger.info("pj_name:"+pj_name);
		logger.info("pj_type:"+pj_type);
		logger.info("wa_code:"+wa_code);
		logger.info("wa_name:"+wa_name);
		logger.info("pm_id:"+pm_id);
		logger.info("pm_name:"+pm_name);
		logger.info("pl_id:"+pl_id);
		logger.info("pl_name:"+pl_name);
		logger.info("regist_date:"+regist_date);
		logger.info("selling_price:"+selling_price);
		logger.info("newmodcont:"+newmodcont);
		logger.info("description:"+description);
		logger.info("pj_code:"+start_plan);
		logger.info("start_plan:"+price_plan);
		logger.info("end_plan:"+end_plan);
		logger.info("purchase_plan:"+purchase_plan);
		logger.info("delivery_plan:"+delivery_plan);
		logger.info("human_plan:"+human_plan);
		logger.info("wa_name_unique:"+wa_name_unique);

		registDate 			= 	String2Date(regist_date);
		startPlanDate		=	String2Date(start_plan);
		endPlanDate			=	String2Date(end_plan);
		deleveryPlanDate	=	String2Date(delivery_plan);
		
		sellingPriceDouble 	= 	String2Double(selling_price);
		purchasePlanDouble 	= 	String2Double(purchase_plan);
		humanPlanDouble 	= 	String2Double(human_plan);
		pricePlanDouble 	= 	String2Double(price_plan);
		
		if( quan != null && quan.length()>0) {
			quanInteger = new Integer(quan);
		}
		else
			quanInteger = 1;
		
		if( wa_name_unique != null && wa_name_unique.length()>0) {
			wa_name_unique_id = new Integer(wa_name_unique);
		}
		
	}
	
	public List getDefaultTask(Date start_plan, Date due_date) {

		List<PjtTsk> list = new ArrayList<PjtTsk>();
		
		for(int i=0; i<defaultTaskName.length; i++) {
			PjtTsk pjttsk = new PjtTsk();
			pjttsk.setTask_title(defaultTaskName[i]);
			pjttsk.setStart_plan(start_plan);
			pjttsk.setDue_date(due_date);
			
			list.add(pjttsk);
		}
		
		return list;
	}
	
	public List getDefaultTask17(Date start_plan, Date due_date) {

		List<JrfxSuperDomain> list = new ArrayList<JrfxSuperDomain>();
		
		for(int i=0; i<defaultTaskName.length; i++) {
			PjtTsk pjttsk = new PjtTsk();
			pjttsk.setTask_title(defaultTaskName[i]);
			pjttsk.setStart_plan(null);
			pjttsk.setDue_date(null);
			
			list.add(pjttsk);
		}
		
		return list;
	}
	

	
	private void ModifyTaskSingle(Integer pj_uid, String creator, Integer serial, Integer comparing_uid, List task_list,
			String task_titles, Date start_plan, Date due_date, Double resource_plan) {
		
		PjtTsk task = isMatchedInList(comparing_uid,  task_list);
		if(task != null) {
			task.setTask_title(task_titles);
			task.setStart_plan(start_plan);
			task.setDue_date(due_date);
			task.setPosition(serial);
			task.setResource_plan(resource_plan);
			this.getProjectManager().modifyTask(task);
		}
		else {
			PjtTsk task_new = new PjtTsk();
			task_new.setTask_title(task_titles);
			task_new.setStart_plan(start_plan);
			task_new.setDue_date(due_date);
			task_new.setPosition(serial);
			task_new.setParent(pj_uid);
			task_new.setResource_plan(resource_plan);
			this.getProjectManager().addTask(creator, task_new);
		}

	}
	
	private PjtTsk isMatchedInList(Integer comparing_uid,  List task_list) {
		
		for(Iterator i=task_list.iterator(); i.hasNext();) {
			PjtTsk task = (PjtTsk)i.next();
			
			Integer task_uid = task.getUnique_id();

			if(comparing_uid.compareTo(task_uid) == 0) {
				return task;
			}
		}
		
		return null;
	}
	
	boolean isMatchedInArray(Integer comparing_uid, int this_task_quan, Integer[] task_uids) {
		
		//task_uid  Ǵ 
		for(int i=0; i < this_task_quan; i++) {
			if(comparing_uid.compareTo(task_uids[i]) == 0) {
				return true;
			}
		}
		
		return false;
	}

	
	private void ModifyTask(Integer pj_uid, String creator, int this_task_quan, List task_list, Integer[] task_uids, String[] task_titles,
				Date[] start_plan, Date[] due_date, Double[] resource_plan) {
		
		Double total_resource = 0.0;
		
		//task_uid  Ǵ 
		for(int i=0; i < this_task_quan; i++) {
			ModifyTaskSingle( pj_uid,  creator, i, task_uids[i], task_list,
					task_titles[i], start_plan[i], due_date[i], resource_plan[i]);
			
			total_resource = total_resource + resource_plan[i];
		}
		
		//task_uid   .
		for(Iterator i=task_list.iterator(); i.hasNext();) {
			PjtTsk task = (PjtTsk)i.next();
			
			if(isMatchedInArray(task.getUnique_id(), this_task_quan, task_uids)==false) {
				this.getProjectManager().deleteTask(task.getUnique_id());
				
				Double thisresource_plan = task.getResource_plan();
				
				if(thisresource_plan!=null) {
					total_resource = total_resource - thisresource_plan;
				}
			}
			
		}
		
		this.getProjectManager().updateProjectHumanPlan(pj_uid, total_resource);

	}
	
	public int GetRequestValue_17Add(HttpServletRequest request, 
			Double[] sum_resource_mh,
			String[] pj_name,
			Integer[] pj_uid, String[] map_date,
			Integer[] pjttak_uids,	Integer[] taskmap_uids, Double[]resource_today,
			String[] is_closed, String[] is_closed_prev) {
		
		Integer task_quan = this.GetRequestInteger(request, "task_quan");
		
		sum_resource_mh[0] = this.GetRequestDouble(request, "total_resource_mh");
		pj_name[0] = this.GetRequestString(request, "pj_name");
		pj_uid[0] = this.GetRequestInteger(request, "pj_uid");
		map_date[0] 	= this.GetRequestString(request, "map_date");
		
		
		if(task_quan==0)
			return 0;
		
		for(int i=0; i < task_quan; i++) {
			pjttak_uids[i] 		= this.GetRequestInteger(request, String.valueOf(i) + "_unique_id");
			taskmap_uids[i] 	= this.GetRequestInteger(request, String.valueOf(i) + "_tskmap_uid");
			resource_today[i]	= this.GetRequestDouble(request, String.valueOf(i) +  "_resource_today");
			is_closed[i]		= this.GetRequestString(request, String.valueOf(i) +  "_is_closed");
			is_closed_prev[i]	= this.GetRequestString(request, String.valueOf(i) +  "_is_closed_prev");
		}
		return task_quan;
		
	}
	
	public int GetRequestValue_18Edit(HttpServletRequest request,
			String[] pj_name, Integer[] pj_uid, Date[] pj_start_plan, Date[] pj_end_plan,
			Integer[] task_uids,	String[] task_titles, Date[] start_plan,	Date[] due_date,
			Double[]	resource_plan) {
		
		Integer task_quan = this.GetRequestInteger(request, "task_quan");
		
		pj_name[0] = this.GetRequestString(request, "pj_name");
		pj_uid[0] = this.GetRequestInteger(request, "pj_uid");
		pj_start_plan[0] 	= this.GetRequestDate(request, "pj_start_plan");
		pj_end_plan[0] 		= this.GetRequestDate(request, "pj_end_plan");
		
		if(task_quan==0)
			return 0;
		
		for(int i=0; i < task_quan; i++) {
			task_uids[i] 		= this.GetRequestInteger(request, String.valueOf(i) + "_unique_id");
			task_titles[i] 	= this.GetRequestString(request, String.valueOf(i) + "_task_title");
			start_plan[i] 	= this.GetRequestDate(request, String.valueOf(i) + "_start_plan");
			due_date[i] 	= this.GetRequestDate(request, String.valueOf(i) + "_due_date");
			resource_plan[i]= this.GetRequestDouble(request, String.valueOf(i) + "_resource_plan");
		}
		return task_quan;
		
	}
	

	private void ModifyTaskMapBatch( String creator, int this_task_quan,
			String[] 	map_date, Integer[] pjttsk_uids, Integer[] taskmap_uids,
			Double[] resource_today, String[] 	is_closed, String[] is_closed_prev) {
		
		
		Vector<Integer> pjttsk_uids_close = new Vector<Integer>();
		//Integer[] pjttsk_uids_close = new Integer[MAX_RECORD_QUAN];
		
//		int j=0;
		
		for(int i=0; i < this_task_quan; i++) {
		
			if(taskmap_uids[i].compareTo(0)<1) {//ϵ ʾ 
				this.getProjectManager().addTaskMap(creator, map_date[0], pjttsk_uids[i], resource_today[i]);
			}
			else {//ϵǾ 
				this.getProjectManager().modifyTaskMap(creator, taskmap_uids[i], resource_today[i]);
			}
			
			//resource
			getProjectManager().updateResourceMh(pjttsk_uids[i]);
			
			//	close   
			String comparing = new String(is_closed[i]);
			String comparing_prev = new String(is_closed_prev[i]);
			if(comparing.compareToIgnoreCase("Y")==0 &&
					comparing_prev.compareToIgnoreCase("N")==0)// Ŭ ƴ ͸
			{
				pjttsk_uids_close.add(pjttsk_uids[i]);
			}
			
		}
		
		if(pjttsk_uids_close.size()>0)
			this.getProjectManager().doCloseTaskIter(creator, pjttsk_uids_close);
		
		
	}

	
	public void PrchProcess_17Add(HttpServletRequest request, Map<String, Object> menu_info) {
		String[] 	pj_name=	new String[1];
		Integer[] 	pj_uid= 	new Integer[1];
		String[] 	map_date=	new String[1];
		Double[]	sum_resource_mh=	new Double[1];
		
		Integer[] 	pjttak_uids= 		new Integer[MAX_RECORD_QUAN];
		Integer[] 	taskmap_uids= 		new Integer[MAX_RECORD_QUAN];
		Double[] 	resource_today=	new Double[MAX_RECORD_QUAN];
		String[] 	is_closed=		new String[MAX_RECORD_QUAN];
		String[] 	is_closed_prev=		new String[MAX_RECORD_QUAN];

		int this_task_quan = GetRequestValue_17Add(request, sum_resource_mh, pj_name, pj_uid, map_date,
				pjttak_uids,	taskmap_uids, resource_today,	is_closed, is_closed_prev );
		
		if(this_task_quan>0) {
			
			ModifyTaskMapBatch(this.getThis_userid(request), this_task_quan,  map_date,
					pjttak_uids,	taskmap_uids, resource_today,	is_closed, is_closed_prev);
			
			//Ʈ resource mh 
			this.getProjectManager().updateProjectHumanCost(pj_uid[0], sum_resource_mh[0]);
			
			menu_info.put("data", "[" + pj_name[0] + ":" + map_date[0] + "]  ԷµǾϴ.");
		}
		else {
			logger.info("PrchProcess_17Add() ");
		}
		
		PrchProcess_17Def(request, menu_info, pj_uid[0], map_date[0]);
	}
	
	
	public void PrchProcess_18Def(HttpServletRequest request, Map<String, Object> menu_info,
			Integer pj_uid) {
			
		Project project = null;
		if( pj_uid == null || pj_uid < 0) {
			pj_uid = getCurrentProject(request);
		}
		
		project = projectManager.getProjectByUniqueId(pj_uid);
		menu_info.put("project",  SetCurProjectForm(project) );
		
		if( project==null)
			return;
		
		/*DWR ̵
		List	task_list = this.getProjectManager().getTaskList(project.getUnique_id());

		if(task_list==null || task_list.size()==0)
		{
			task_list = getDefaultTask(project.getStart_plan(), project.getEnd_plan());
		}
		
		menu_info.put("TaskList", task_list);
		*/
	}
	
	
	
	public void PrchProcess_17Def(HttpServletRequest request, Map<String, Object> menu_info,
			Integer pj_uid, String map_date_def) {
		
		Project project = null;
		if( pj_uid == null || pj_uid < 0) {
			pj_uid = getCurrentProject(request);
		}
		
		project = projectManager.getProjectByUniqueId(pj_uid);
		menu_info.put("project",  SetCurProjectForm(project) );
		
		if( project==null)
			return;
		
		
		List	task_list = this.getProjectManager().getTaskList(project.getUnique_id());

		
		String map_date = Date2String(new Date());
		if(map_date_def != null)
			map_date = map_date_def;
		
		if(task_list==null || task_list.size()==0)
		{
			task_list = getDefaultTask17(project.getStart_plan(), project.getEnd_plan());
			map_date = "0000/00/00";
		}
		else {
			for(Iterator i=task_list.iterator(); i.hasNext();) {
				PjtTsk pjttsk = (PjtTsk)i.next();
				
				TskMap today_tskmap = this.getProjectManager().getTaskMapToday(pjttsk.getUnique_id(), map_date);
				if(today_tskmap!=null) {
					pjttsk.setResource_today(today_tskmap.getResource_mh());
					pjttsk.setTskmap_uid(today_tskmap.getUnique_id());
				}
				
			}	
			
		}
		
		menu_info.put("TaskList", task_list);
		menu_info.put("map_date", map_date);
		
	}
	
	
	public void PrchProcess_18Edit(HttpServletRequest request, Map<String, Object> menu_info) {

		String[] 	pj_name=	new String[1];
		Integer[] 	pj_uid= 	new Integer[1];
		Date[] 	pj_start_plan=	new Date[1];
		Date[] 	pj_end_plan=	new Date[1];
		
		Integer[] 	task_uids= 		new Integer[MAX_RECORD_QUAN];
		String[] 	task_titles=	new String[MAX_RECORD_QUAN];
		Date[] 		start_plan=		new Date[MAX_RECORD_QUAN];
		Date[] 		due_date=		new Date[MAX_RECORD_QUAN];
		Double[]	resource_plan=	new Double[MAX_RECORD_QUAN];

		int this_task_quan = GetRequestValue_18Edit(request, pj_name, pj_uid, pj_start_plan, pj_end_plan,
				task_uids,	task_titles, start_plan,	due_date, resource_plan );
		
		if(this_task_quan>0) {
			
			List task_list = this.getProjectManager().getTaskList(pj_uid[0]);
			
			ModifyTask(pj_uid[0], this.getThis_userid(request), this_task_quan, task_list, task_uids, task_titles, start_plan, due_date,
					resource_plan);
			
			PrchProcess_18Def(request, menu_info, pj_uid[0]);
			menu_info.put("data", "[" + pj_name[0] + "] ȹ Ǿϴ.");

			
		}
		else {
			logger.info("PrchProcess_18Edit() ");
		}
	}

	public void DoMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		//ε   Ÿ ...
		if ( this.getServiceName() != JrServiceName.C_PRJT) {
			logger.info("C_PRJT     Դϴ.");
			return;
		}
		
		//  б
		GetRequestValue(request);

		Vector<String> result = new Vector<String>();
		
		switch(this.getMenuId()) {
		case MN01://Ʈ˻/
		{
			switch(this.getActivityName()){
			case MODFORM:
			{
				Vector<Project> vecProject = new Vector<Project>();
				
				if(GetProjectByCode(vecProject) ) {
					menu_info.put("projectlist", 	vecProject );
					menu_info.put("data", 	result);
				}
				else {
					result.add("Ʈ ã  ϴ");
					menu_info.put("data", 	result);
				}
			}

				break;
			case EDIT:
				ModifyProject(result);
				menu_info.put("data", 	result);
				menu_info.put("URL", "c_prjt.html?menuId=c01");		
				break;
			case DELETE:
				this.ComplishProjectByCode();
				menu_info.put("projectlist", 	this.GetProjectList() );
				menu_info.put("URL", "c_prjt.html?menuId=c01");
				break;
			default:
				menu_info.put("projectlist", 	this.GetProjectList() );
			}

		}
		break;
		case MN02://Ʈ
		{
			switch(this.getActivityName()){
				case ADD:
				{
					AddProject(result, request);
					menu_info.put("data", 	result);
					menu_info.put("URL", "c_prjt.html?menuId=c02");
				}
				break;
				default://Է
					Random ran = new Random();
					Integer iRand = ran.nextInt();
					String strId = Integer.toHexString(iRand.intValue()).toUpperCase();
					
					strId = strId.substring(0,4);
					menu_info.put("unique_id", 	strId.toUpperCase() );
			}

		}
		break;
		case MN03://ƮBOM
		{
			
		}
		break;
		case MN04://߰-
		{
			
		}
		break;
		case MN05://߰-ش
		{
			
		}
		break;
		case MN06://߰-θ
		{
			
		}
		break;
		case MN07://߰-θǾƷ
		{
			
		}
		break;
		case MN08://-Ϸκ
		{
			
		}
		break;
		case MN09://-̵
		{
			
		}
		break;
		case MN10://-ڷ̵
		{
			
		}
		break;
		case MN11://-̵
		{
			
		}
		break;
		case MN12://-̵
		{
			
		}
		break;
		case MN13://-
		{
			
		}
		break;
		case MN14://̷-ںȸ
		{
			
		}
		break;
		case MN15://̷-Ʈȸ
		{
			
		}
		break;
		case MN16:
		{
			
		}
		break;
		case MN17://ϰԷ  
		{
			switch(this.getActivityName()){
			case ADD:
				PrchProcess_17Add(request, menu_info);
				//menu_info.put("data", " ԷµǾϴ.");
				//menu_info.put("URL", "c_prjt.html?menuId=c17");
				break;
			case LISTCOND:
				break;
			default:
				PrchProcess_17Def(request, menu_info, null, null);
				break;
			}
			
		}
		break;
		
		case MN18://ȹ
		{
			switch(this.getActivityName()){
			case EDIT://ȹ 
				PrchProcess_18Edit(request, menu_info);
				//menu_info.put("data", "ȹ Ǿϴ.");
				//menu_info.put("URL", "c_prjt.html?menuId=c18");
				break;
			default://Ʈ  
				PrchProcess_18Def(request, menu_info, null);
				break;
			}
		}
		break;
			
		default:
			logger.info("    Դϴ.");
			return;
			
		}

	}
	
	
	public void DoPopupMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		
	}
	
	public void AddProject( Vector<String> result,  HttpServletRequest request) {
	
		Project project = new Project();

		project.setPj_code(pj_code);
		project.setPj_name(pj_name);
		project.setPj_type(pj_type);
		project.setWa_code(wa_code);
		project.setWa_name(wa_name);
		project.setPm_id(pm_id);
		project.setPl_id(pl_id);
		project.setPm_name(pm_name);
		project.setPl_name(pl_name);
		project.setRegist_date(registDate);
		project.setSelling_price(sellingPriceDouble);
		project.setNewmodcont(newmodcont);
		project.setDescription(description);
		project.setStart_plan(startPlanDate);
		project.setPrice_plan(pricePlanDouble);
		project.setEnd_plan(endPlanDate);
		project.setPurchase_plan(purchasePlanDouble);
		project.setDelivery_plan(deleveryPlanDate);
		project.setHuman_plan(humanPlanDouble);
		project.setOrder_com_unique(wa_name_unique_id);
		project.setNewmodcont(newmodcont);
		project.setDescription(description);
		project.setQuan(quanInteger);
		
		projectManager.addProject(this.getThis_userid(request), project);
		result.add("Ʈ ߰ : " + pj_code + "/" + pj_name);

	}
	
	public void ModifyProject( Vector<String> result ) {
		
		Project project = new Project();
	
		project.setPj_code(pj_code);
		project.setPj_name(pj_name);
		project.setPj_type(pj_type);
		project.setWa_code(wa_code);
		project.setWa_name(wa_name);
		project.setPm_id(pm_id);
		project.setPl_id(pl_id);
		project.setPm_name(pm_name);
		project.setPl_name(pl_name);
		project.setRegist_date(registDate);
		project.setSelling_price(sellingPriceDouble);
		project.setNewmodcont(newmodcont);
		project.setDescription(description);
		project.setStart_plan(startPlanDate);
		project.setPrice_plan(pricePlanDouble);
		project.setEnd_plan(endPlanDate);
		project.setPurchase_plan(purchasePlanDouble);
		project.setDelivery_plan(deleveryPlanDate);
		project.setHuman_plan(humanPlanDouble);
		project.setOrder_com_unique(wa_name_unique_id);
		project.setNewmodcont(newmodcont);
		project.setDescription(description);
		project.setQuan(quanInteger);
	
		Integer int_unique_id=null;
		
		if( unique_id != null && unique_id.length()>0) {
			
			logger.info("****unique_id:****"+unique_id);
			int_unique_id = new Integer(unique_id);
			
			project.setUnique_id(int_unique_id);
			
			projectManager.modifyProject(project);
			result.add("Ʈ  : " + pj_code + "/" + pj_name);
		}
		else  {
			result.add("Ʈ  : " + pj_code + "/" + pj_name);
			result.add("˼ Unique Id");
		}
	}

	private boolean GetProjectByCode(List<Project> lists) {

		
		if(pj_unique_id == null) {
			logger.info("cannot find pj unique id");
			return false;
		}
		
		int intUnique_id = Integer.parseInt(pj_unique_id);
		
		Project project = projectManager.getProjectByUniqueId(intUnique_id);
		
		lists.add(project);
		
		return true;
		
	}
	
	@SuppressWarnings("unused")
	private void DeleteProjectByCode( ) {
//		String strPj_unique = null;
//		
//		try {
//			strPj_unique = RequestUtils.getStringParameter(request, "pj_unique_id");
//		} catch (ServletRequestBindingException e) {
//			e.printStackTrace();
//		}

		if(pj_unique_id == null) {
			logger.info("cannot find pj unique id");
			return;
		}
		
		int intUnique_id = Integer.parseInt(pj_unique_id);
			
		projectManager.deleteProject(intUnique_id);

	}
	
	private void ComplishProjectByCode( ) {


		if(pj_unique_id == null) {
			logger.info("cannot find pj unique id");
			return;
		}
		
		int intUnique_id = Integer.parseInt(pj_unique_id);
			
		projectManager.complishProject(intUnique_id);

		this.myInfoManager.clearProjectInfo(intUnique_id);

	}
	
	private List GetProjectList( /*HttpServletRequest request*/) {
		
		if(is_complished == null)	is_complished = "N";
		if(pj_code == null)			pj_code = "";
		if(pj_name == null)			pj_name = "";
		if(wa_name == null)			wa_name = "";
		if(pm_name == null)			pm_name = "";
		if(pl_name == null)			pl_name = "";
//
//		logger.info("pj_code:" + pj_code);
//		logger.info("pj_name:" + pj_name);
//		logger.info("wa_name:" + wa_name);
//		logger.info("pm_name:" + pm_name);
//		logger.info("pl_name:" + pl_name);
//		
		/*
		if( pj_code.length()==0 && pj_name.length()==0 && wa_name.length()==0 && pm_name.length()==0 && pl_name.length()==0
				&& is_complished.length()==0)
		{
			logger.info("ΰ˻");
			return projectManager.getProjectList();
		}
		
		else
			logger.info("ǰ˻");
		*/
		
		Map<String, String> map = new HashMap<String, String>();

		if(pj_code.length()>0)
			map.put("pj_code",	pj_code);
		if(pj_name.length()>0)
			map.put("pj_name",	"%" + pj_name + "%");
		if(wa_name.length()>0)
			map.put("wa_name",	"%" + wa_name + "%");
		if(pm_name.length()>0)
			map.put("pm_name",	"%" + pm_name + "%");
		if(pl_name.length()>0)
			map.put("pl_name",	"%" + pl_name + "%");
		if(	is_complished.compareToIgnoreCase("Y")==0 ||
				is_complished.compareToIgnoreCase("N")==0)
			map.put("is_complished",	is_complished);
		
		return projectManager.getProjectList(map);
		
	}

	private List SetCurProjectForm(Project project) {
		
		List<Project> lists = new ArrayList<Project>();
		
		if (project==null) {
			project =  new Project();
			project.setUnique_id(-1);
			project.setPj_code("-1");
			project.setPj_name("");
		}

//		lists = new ArrayList();
		lists.add(project);
		
		return lists;
		
	}
	
	@SuppressWarnings("unused")
	private List SetCurProjectForm(HttpServletRequest request) {
		
		List<Project> lists = new ArrayList<Project>();
		

		Integer cur_pj_uid = getCurrentProject(request);
		Project project=this.projectManager.getProject(cur_pj_uid.toString());
		
		
		if (project==null) {
			project =  new Project();
			project.setUnique_id(-1);
			project.setPj_code("-1");
			project.setPj_name("");
		}

//		lists = new ArrayList();
		lists.add(project);
		
		return lists;
		
	}
	
	//-- Getter/Settere--
	private PrjtManager	projectManager;
	private MynfManager myInfoManager;
	
	
	public PrjtManager getProjectManager() {
		return projectManager;
	}

	public void setProjectManager(PrjtManager projectManager) {
		this.projectManager = projectManager;
	}
	
	
	public MynfManager getMyInfoManager() {
		return myInfoManager;
	}

	public void setMyInfoManager(MynfManager myInfoManager) {
		this.myInfoManager = myInfoManager;
	}
	
	public final void afterPropertiesSet() throws Exception {
		if (menuManager == null) throw new BeanCreationException("Must set menuManager on PrjtManagerController");
		if (projectManager == null) throw new BeanCreationException("Must set projectManager on PrjtManagerController");
		if (myInfoManager == null) throw new BeanCreationException("Must be set myInfoManager on MynfManagerController");

	}

}
