package com.rfxsoft.justrfx.web.controller;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanCreationException;
import org.springframework.beans.factory.InitializingBean;

import com.rfxsoft.justrfx.business.e_ptnr.PtnrManager;
import com.rfxsoft.justrfx.business.g_mynf.MynfManager;
import com.rfxsoft.justrfx.domain.ComBst;
import com.rfxsoft.justrfx.domain.SupAst;
import com.rfxsoft.justrfx.domain.UsrAst;
import com.rfxsoft.justrfx.domain.command.JrServiceName;

/**
 * @author k1park
 *
 */

public class PtnrManagerController extends AbstractMenuTileController implements InitializingBean{
	
	String supname;
	String buyername;
	String wa_code;
	
	String biz_no;
	String wa_name;
	String president_name;
	String company_code;
	String address_1;
	String biz_condition;
	String biz_category;
	
	String business_registration_no;
	String supplier_name;
	String corporation_no;
	String establishment_year;
	String business_condition;
	String business_category;
	String stamp_path;
	String telephone_no;
	String fax_no;
	String email_address;
	
	String sales_name1;
	String sales_email1;
	String sales_tel1;
	String sales_fax1;
	String sales_hp1;
	
//	String delete_flag;
	/*
	 * biz_no 				ڵϹȣ
	 * wa_name 				ȸ 
	 * president_name 		ǥ 
	 * company_code 		εϹȣ
	 * biz_condition        
	 * biz_category 		
	 */
	private void GetRequestValue(HttpServletRequest request) {

		supname 	= request.getParameter("supplier_name");
		buyername 	= request.getParameter("wa_name");
		wa_code 	= request.getParameter("wa_code");
			
		biz_no = request.getParameter("biz_no");//ڵϹȣ      
		wa_name = request.getParameter("wa_name");//ȸ      
		president_name = request.getParameter("president_name");//ǥڸ      
		company_code = request.getParameter("company_code");//εϹȣ      
		address_1 = request.getParameter("address_1");//      
		biz_condition = request.getParameter("biz_condition");//      
		biz_category = request.getParameter("biz_category");//
		
		
		business_registration_no = request.getParameter("business_registration_no");//ڵϹȣ      
		supplier_name = request.getParameter("supplier_name");//ȸ         
		corporation_no = request.getParameter("corporation_no");//εϹȣ      
		establishment_year = request.getParameter("establishment_year");//      
		business_condition = request.getParameter("business_condition");//      
		business_category = request.getParameter("business_category");//      
		stamp_path = request.getParameter("stamp_path");//θ      
		telephone_no = request.getParameter("telephone_no");//ǥȭ      
		fax_no = request.getParameter("fax_no");//ǥѽ      
		email_address = request.getParameter("email_address");//ǥe-Mail 
		
		sales_name1 = request.getParameter("sales_name1");
		sales_email1 = request.getParameter("sales_email1");
		sales_tel1 = request.getParameter("sales_tel1");
		sales_fax1 = request.getParameter("sales_fax1");
		sales_hp1 = request.getParameter("sales_hp1");
		
	}
	
	public String nullCk(String args)
	{
		if(args == null)
		{
			args = "";
		}
		return args;
	
	}

	public void DoMenuProcess(HttpServletRequest request, HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		//ε   Ÿ ...
		logger.debug(":::::::::::::::::::::::::::::::::ƶ"+this.getServiceName());
		if ( this.getServiceName() != JrServiceName.E_PTNR) {
			logger.info("G_MYNF     Դϴ.");
			return;
		}
		//  б
		GetRequestValue(request);
		
		// 
//		Vector result = new Vector();
		logger.debug("׽ƮԴϴ.....");
		logger.info("switch this.getMenuId()"+this.getMenuId()+"this.getActivityName()");
		switch(this.getMenuId()) {
		case MN01: //ּҷ ˻/
			switch(this.getActivityName()){
			case EDIT://
				break;
			case DETAIL://
				break;
			case DELETE://
				break;
			default://LISTALL
				menu_info.put("buyerlist", 	this.getBuyerInfo() );
			
			}			
			break;
		case MN02: //ּҷ 
			switch(this.getActivityName()){
			case FORM:		//Է
				break;
			case MODFORM:	//
				break;
			case LISTALL:	// 
			case LISTCOND:	// 
				break;
			case DETAIL:		//󼼺	
				break;
			case ADD:		//߰ Action
				break;
			case EDIT:		// Action
				break;
			case DELETE:		// Action	
				break;
			default:
			} 
			break;
		case MN03:// ˻/
		{
			Integer target_id = this.GetRequestInteger(request, "unique_id");
			
			if(target_id<0) {
				menu_info.put("data", " unique_id 0 ۽ϴ.");
				menu_info.put("URL", "e_ptnr.html?menuId=e03");
			}
			
			switch(this.getActivityName()){
			case FORM:		//Է
				break;
			case MODFORM:	//
			case DETAIL:	//󼼺
				if(target_id>0) {
					ComBst combst = partnerManager.getBuyerByUniqueId(target_id);
					
					if( combst==null ) {
						menu_info.put("data", "縦 ã  ϴ.");
						menu_info.put("URL", "e_ptnr.html?menuId=e03");
					}
					else {
						menu_info.put("buyer", 	combst );
					}
					break;
				}
				break;
			case EDIT:		// Action
				if(target_id>0) {
					menu_info.put("data", 	modifyBuyer( target_id));
					menu_info.put("URL", 	"e_ptnr.html?menuId=e03");
				}
				break;
			case DELETE:		// Action	
			{
				if(target_id>0) {
					partnerManager.deleteBuyer(target_id);
					menu_info.put("data", "縦 ߽ϴ.");
					menu_info.put("URL", "e_ptnr.html?menuId=e03");
				}
			}
				break;
			default:
			case LISTALL:	// 
			case LISTCOND:	// 
				menu_info.put("buyerlist", 	this.getBuyerList() );
				break;
			}
		}
			break;
		case MN04:// 
			switch(this.getActivityName()){
			case ADD:
				String this_result = addBuyer(request);
				menu_info.put("data", 	this_result);
				menu_info.put("URL", "e_ptnr.html?menuId=e04");
			default:
			}
			
			break;
		case MN05://޻˻/
		{
			Integer target_id = this.GetRequestInteger(request, "unique_id");
			
			if(target_id<0) {
				menu_info.put("data", "޻ unique_id 0 ۽ϴ.");
				menu_info.put("URL", "e_ptnr.html?menuId=e05");
			}

			switch(this.getActivityName()){
			
			case EDIT:
				if(target_id>0) {
					menu_info.put("data", 	editSupplier( request, target_id));
					menu_info.put("URL", 	"e_ptnr.html?menuId=e05");
				}
				break;
			case DELETE:
				if(target_id>0) {
					partnerManager.deleteSupplier(target_id);
					
					menu_info.put("data", "޻縦 ߽ϴ.");
					menu_info.put("URL", "e_ptnr.html?menuId=e05");
				}

				break;
			case DETAIL:
			case MODFORM:
				if(target_id>0) {
					SupAst supplier = partnerManager.getSupplierById(target_id);
					
					if( supplier==null ) {
						menu_info.put("data", "޻縦 ã  ϴ.");
						menu_info.put("URL", "e_ptnr.html?menuId=e05");
					}
					else {
						menu_info.put("supplier", 	supplier );
					}
					break;
				}
			default://˻
				menu_info.put("supplierlist", 	this.getSupplierList() );
				break;
			}
		}
			break;
		case MN06://޻ 
			switch(this.getActivityName()){
			case ADD:
				menu_info.put("data", 	addSupplier(request));
				menu_info.put("URL", 	"e_ptnr.html?menuId=e06");
				break;
			}
			break;

			
		default:
			logger.info("E_PTNR     Դϴ.");
		}
	
	}		
		

	//  ˻  
	private List getBuyerList() {
		/*
		 * biz_no 				ڵϹȣ
		 * wa_name 				ȸ 
		 * president_name 		ǥ 
		 * company_code 		εϹȣ
		 * biz_condition        
		 * biz_category 		
		 */
		
		Map<String, String> condition = new HashMap<String, String>();
		
		//delete_flag XML ͸ϹǷ ʴ´.
		//delete_flag = "N";
		//condition.put("delete_flag", delete_flag );
		
		logger.info("biz_no"+biz_no+"wa_name"+wa_name+"president_name"+president_name+"company_code"+company_code+"biz_condition"+biz_condition+"biz_category"+biz_category);
		
		
		if(!nullCk(biz_no).equals("")){
			condition.put("biz_no", "%"+biz_no+"%" );
			logger.info("׽Ʈ°"+"["+condition.get("biz_no")+"]");
		}
		if(!nullCk(wa_name).equals(""))
			condition.put("wa_name", "%"+wa_name+"%" );
		
		if(!nullCk(president_name).equals(""))
			condition.put("president_name", "%"+president_name+"%" );
		
		if(!nullCk(company_code).equals(""))
			condition.put("company_code", "%"+company_code+"%" );
		
		if(!nullCk(biz_condition).equals(""))
			condition.put("biz_condition", "%"+biz_condition+"%" );
		
		if(!nullCk(biz_category).equals(""))
			condition.put("biz_category", "%"+biz_category+"%" );
		
		if(condition.size()>0)
			return partnerManager.getBuyerDynamic(condition);
		else
			return partnerManager.getAllBuyer();
	}
	
	//޻  ˻
	private List getSupplierList() {
		
		Map<String, String> condition = new HashMap<String, String>();
		
		if(supname == null) {
			condition.put("supplier_name", "%" );
			return partnerManager.getSupplierDynamic(condition);
			
		}

		if(supname=="")
			condition.put("supplier_name", "%" );
		else
			condition.put("supplier_name", "%"+supname+"%" );

		
		return partnerManager.getSupplierDynamic(condition);

	}
	
	//  Ȯ
	private List getBuyerInfo() {
		
		if(wa_code == null) {
			logger.info("cannot find wa_code");
			return null;
		}
		ComBst combst = partnerManager.getBuyerByCode(wa_code);
		
		List<ComBst> lists = new ArrayList<ComBst>();

		lists.add(combst);
		
		
		return lists;
	}
	
	
	
//	  
	@SuppressWarnings("unused")
	private List deleteBuyer() 
	{
		
		if(wa_code == null) 
		{
			logger.info("cannot find wa_code");
			return null;
		}
		partnerManager.deleteBuyer(wa_code);
		List lists = getBuyerList();
		return lists;
	}
	
	public String addBuyer(HttpServletRequest request){
		
		ComBst combst = new ComBst();
		//Base Line Ѵ.
		//UsrAst me = this.getMyInfoManager().getMyInfo();
		//combst.SetDefault(me.getUser_id());
		
		combst.SetDefault();

		combst.setWa_name(wa_name);//ȸ 
		combst.setBiz_no(biz_no);//ڵϹȣ 
		combst.setPresident_name(president_name);//ǥ ̸
		combst.setCompany_code(company_code);//εϹȣ 
		combst.setAddress_1(address_1);//
		combst.setBiz_condition(biz_condition);//
		combst.setBiz_category(biz_category);//
		
		partnerManager.addBuyer(this.getThis_userid(request), combst);
		
		String result	= "  : ";
		result = result + "()ȸ: " + wa_name;

		return result;
	}
	
	public List  addSupplier(HttpServletRequest request){

		
		SupAst supast = new SupAst();
		UsrAst me = myInfoManager.getMyInfo( this.getThis_useruid(request));
		
		supast.SetDefault(me.getUser_id());
		
		supast.setSupplier_name(supplier_name);//ȸ   
		supast.setBusiness_registration_no(business_registration_no);//ڵϹȣ      
		supast.setPresident_name(president_name);//ǥڸ      
		supast.setCorporation_no(corporation_no);//εϹȣ      
		supast.setEstablishment_year(establishment_year);//      
		supast.setAddress_1(address_1);//      
		supast.setBusiness_condition(business_condition);//      
		supast.setBusiness_category(business_category);//      
//		supast.setStamp_path(stamp_path);//θ      
		supast.setTelephone_no(telephone_no);//ǥȭ      
		supast.setFax_no(fax_no);//ǥѽ      
		supast.setEmail_address(email_address);//ǥe-Mail
		supast.setCreate_date(new Date());
		
		supast.setSales_person1_name(sales_name1);
		supast.setSales_person1_email_address(sales_email1);
		supast.setSales_person1_telephone_no(sales_tel1);
		supast.setSales_person1_fax_no(sales_fax1);
		supast.setSales_person1_mobilephone_no(sales_hp1);
		
		partnerManager.addSupplier( this.getThis_userid(request), supast);
		
		Vector<String> result = new Vector<String>();
		result.add("޻  : ");
		result.add( "()ȸ: " + supplier_name );
		
		return result;
	}
	
	public List  editSupplier(HttpServletRequest request, Integer targer_id){

		
		SupAst supast = partnerManager.getSupplierById(targer_id);
		UsrAst me = myInfoManager.getMyInfo( this.getThis_useruid(request));
		
		supast.SetDefault(me.getUser_id());
		
		supast.setSupplier_name(supplier_name);//ȸ   
		supast.setBusiness_registration_no(business_registration_no);//ڵϹȣ      
		supast.setPresident_name(president_name);//ǥڸ      
		supast.setCorporation_no(corporation_no);//εϹȣ      
		supast.setEstablishment_year(establishment_year);//      
		supast.setAddress_1(address_1);//      
		supast.setBusiness_condition(business_condition);//      
		supast.setBusiness_category(business_category);//      
//		supast.setStamp_path(stamp_path);//θ      
		supast.setTelephone_no(telephone_no);//ǥȭ      
		supast.setFax_no(fax_no);//ǥѽ      
		supast.setEmail_address(email_address);//ǥe-Mail
		supast.setChange_date(new Date());
		
		supast.setSales_person1_name(sales_name1);
		supast.setSales_person1_email_address(sales_email1);
		supast.setSales_person1_telephone_no(sales_tel1);
		supast.setSales_person1_fax_no(sales_fax1);
		supast.setSales_person1_mobilephone_no(sales_hp1);
		
		partnerManager.modifySupplier(supast);
		
		Vector<String> result = new Vector<String>();
		result.add("޻  : ");
		result.add( "()ȸ: " + supplier_name );
		
		return result;
	}
	
	public List modifyBuyer(){

		ComBst combst = partnerManager.getBuyerByCode(wa_code);
		
		combst.setWa_name(wa_name);//ȸ 
		combst.setBiz_no(biz_no);//ڵϹȣ 
		combst.setPresident_name(president_name);//ǥ ̸
		combst.setCompany_code(company_code);//εϹȣ 
		combst.setAddress_1(address_1);//
		combst.setBiz_condition(biz_condition);//
		combst.setBiz_category(biz_category);//
		
		partnerManager.modifyBuyer(combst);
		
		Vector<String> result = new Vector<String>();
		result.add("  : ");
		result.add("()ȸڵ: " + wa_code );
		
		return result;

	}
	

	public List modifyBuyer(Integer unique_id){

		ComBst combst = partnerManager.getBuyerByUniqueId(unique_id);
		
		combst.setWa_name(wa_name);//ȸ 
		combst.setBiz_no(biz_no);//ڵϹȣ 
		combst.setPresident_name(president_name);//ǥ ̸
		combst.setCompany_code(company_code);//εϹȣ 
		combst.setAddress_1(address_1);//
		combst.setBiz_condition(biz_condition);//
		combst.setBiz_category(biz_category);//
		
		partnerManager.modifyBuyer(combst);
		
		Vector<String> result = new Vector<String>();
		result.add("  : ");
		result.add("()ȸڵ: " + wa_code );
		
		return result;

	}
	
	
	private PtnrManager partnerManager;
	private MynfManager myInfoManager;
	
	public PtnrManager getPartnerManager() {
		return partnerManager;
	}

	public void setPartnerManager(PtnrManager partnerManager) {
		this.partnerManager = partnerManager;
	}
	
	public MynfManager getMyInfoManager() {
		return myInfoManager;
	}

	public void setMyInfoManager(MynfManager myInfoManager) {
		this.myInfoManager = myInfoManager;
	}
	
	public final void afterPropertiesSet() throws Exception {
		if (menuManager == null) throw new BeanCreationException("Must set menuManager on PtnrManagerController");
		if (partnerManager == null) throw new BeanCreationException("Must be set partnerManager on PtnrManagerController");
		if (myInfoManager == null) throw new BeanCreationException("Must be set myInfoManager on PtnrManagerController");

	}
	
	public void DoPopupMenuProcess(HttpServletRequest request,HttpServletResponse response, String menuType, Map<String, Object> menu_info) {
		
	}
}
