/*
 * Created on 08-Nov-2004
 */
package com.rfxsoft.justrfx.web.security;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import com.rfxsoft.justrfx.business.g_mynf.DefaultMynfManager;
import com.rfxsoft.justrfx.domain.SystemInfo;
import com.rfxsoft.justrfx.domain.UsrAst;
import com.rfxsoft.justrfx.web.tiles.AbstractMenuController;

/**
 * @author k1park
 */
public class LoginController extends AbstractMenuController {


	private DefaultMynfManager myInfoManager;
	private SystemInfo systemInfo;


	public DefaultMynfManager getMyInfoManager() {
		return myInfoManager;
	}

	public void setMyInfoManager(DefaultMynfManager myInfoManager) {
		this.myInfoManager = myInfoManager;
	}

	public SystemInfo getSystemInfo() {
		return systemInfo;
	}

	public void setSystemInfo(SystemInfo systemInfo) {
		this.systemInfo = systemInfo;
	}

	public ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse arg1) throws Exception {
//		RegisterdMasterCompany m_com = this.getMasterCompany();
//		String companyDisplay = "";
		String companyLogo	  = "";
		
		String username = request.getParameter("username");
		String password = request.getParameter("password");
		
		Map<String, Object> menu_info = new HashMap<String, Object>();


		if (username != null && password != null) {
			// process login

			UsrAst user = this.getAdminManager().login(username, password);
			
			if(user == null) {
				
				menu_info.put("com_logo",	companyLogo);

				String login_route = "security-login";
				/*
				if( companyDisplay!=null && companyDisplay.length() >0) {
					login_route = login_route + companyDisplay;
				}
				*/

				menu_info.put("data",	"α ! ̵ н带 Ȯϼ.");
				menu_info.put("URL",	"b_rtng.html?menuId=b02");
				return new ModelAndView(login_route, menu_info);
			}
			//̷̹α Ͽ α 
			/*
			else if(user.getLogin_flag().compareToIgnoreCase("Y") == 0) {
				menu_info.put("com_logo",	companyLogo);

				String login_route = "security-login";
				
				menu_info.put("data",	"α ! ̹ αϿ  ̵ Դϴ.");
				menu_info.put("URL",	"b_rtng.html?menuId=b02");
				
				request.getSession().invalidate();

				return new ModelAndView(login_route, menu_info);
			}
			*/
			else
			{
				
				String cur_project = myInfoManager.getEnvRaw(username, "CUR_PROJECT_ID");
				String cur_assy = myInfoManager.getEnvRaw(username, "CUR_ASSY_ID");
				
				SessionSecurityManager.setUser(request, 
						user, systemInfo, this.getAdminManager(),
						cur_project,
						cur_assy
				);
				return new ModelAndView("index-redirect");
			}
			
			

		} else {

			menu_info.put("com_logo",	companyLogo);

			String login_route = "security-login";
			/*
			if( companyDisplay!=null && companyDisplay.length() >0) {
				login_route = login_route + companyDisplay;
			}
			*/
			
			return new ModelAndView(login_route, menu_info);
		}
	}

	

}
