package com.rfxsoft.justrfx.web.tiles;

import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.servlet.ModelAndView;

import com.rfxsoft.justrfx.MenuObjectType;
import com.rfxsoft.justrfx.UserType;
import com.rfxsoft.justrfx.domain.RegisterdMasterCompany;
import com.rfxsoft.justrfx.web.security.SessionSecurityManager;


public class MenuTileController extends AbstractMenuController {


	/* (non-Javadoc)
	 * @see org.springframework.web.servlet.mvc.AbstractController#handleRequestInternalInternal(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {

		Map<String, Object> menu_info = new HashMap<String, Object>();
		RegisterdMasterCompany m_com = this.getMasterCompany();
		String companyDisplay = "";
		String companyLogo	  = "";
		
		//αε 
		if (SessionSecurityManager.isUserLoggedIn(request)) {
			
			if(m_com!=null) {
				companyDisplay  = this.getMasterCompany().getCompanyDisplay();
				companyLogo		= this.getMasterCompany().getCompanyLogo();
			}

			UserType myUserType = this.getThis_user_type(request);
			String	 myUserId	= this.getThis_userid(request);
			String	 myUserName	= this.getThis_user_name(request);
			
			String menuType = ServletRequestUtils.getStringParameter(request, "menuId");
			String isPopup = ServletRequestUtils.getStringParameter(request, "popup");
			this.getMenuManager().logger.info(menuType +  " ޴ θ.");
			this.getMenuManager().logger.info(isPopup +  " :ȣ ");
			
			//ȸΰ 
			menu_info.put("com_logo",	m_com.getCompanyLogo());

			//Popup ޴ θ 
			if(isPopup !=null) {
				String target_form = ServletRequestUtils.getStringParameter(request, "objForm");
				String target_ctrl = ServletRequestUtils.getStringParameter(request, "objCtrl");
				String target_ctrl1 = ServletRequestUtils.getStringParameter(request, "objCtrl1");
				
				menu_info.put("objForm", 	target_form);
				menu_info.put("objCtrl", 	target_ctrl);
				menu_info.put("objCtrl1", 	target_ctrl1);
				return new ModelAndView(menuType+"-popup", menu_info);
			}
			

			MenuManager menuManager = this.getMenuManager();
			
			//Ƴ ߴµ....  ?
			//MenuObject target=null;
			
			if(menuManager != null) {
				menuManager.GetMenuDisplay(menuType, menu_info, myUserType,
						companyDisplay, myUserId, myUserName, companyLogo, MenuObjectType.MN_SERVICE
						/*,	target*/);

			}
			
			return new ModelAndView("index", menu_info);
		
		} else {//α׿Ǿ

			if(m_com!=null) {
				companyDisplay  = this.getMasterCompany().getCompanyDisplay();
				companyLogo		= this.getMasterCompany().getCompanyLogo();
				menu_info.put("com_logo",	companyLogo);
			}
			
			String login_route = "security-login";
			if( companyDisplay!=null && companyDisplay.length() >0) {
				login_route = login_route + companyDisplay;
			}
			
			return new ModelAndView(login_route, menu_info);
		
		}

		
	}

	
	
}

